diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index c449d9d..efb09f8 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -380,6 +380,40 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{ArcHyperbolicFunctionCategory}{AHYP}
 \pagepic{ps/v102archyperbolicfunctioncategory.ps}{AHYP}{1.00}
+<<ArcHyperbolicFunctionCategory.input>>=
+)set break resume
+)sys rm -f ArcHyperbolicFunctionCategory.output
+)spool ArcHyperbolicFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ArcHyperbolicFunctionCategory
+--R ArcHyperbolicFunctionCategory  is a category constructor
+--R Abbreviation for ArcHyperbolicFunctionCategory is AHYP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for AHYP 
+--R
+--R------------------------------- Operations --------------------------------
+--R acosh : % -> %                        acoth : % -> %
+--R acsch : % -> %                        asech : % -> %
+--R asinh : % -> %                        atanh : % -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ArcHyperbolicFunctionCategory.help>>=
+====================================================================
+ArcHyperbolicFunctionCategory examples
+====================================================================
+
+See Also:
+o )show ArcHyperbolicFunctionCategory
+
+@
 
 {\bf See:}
 
@@ -457,6 +491,40 @@ digraph pic {
 The {\tt asec} and {\tt acsc} functions were modified to include an
 intermediate test to check that the argument has a reciprocal values.
 
+<<ArcTrigonometricFunctionCategory.input>>=
+)set break resume
+)sys rm -f ArcTrigonometricFunctionCategory.output
+)spool ArcTrigonometricFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ArcTrigonometricFunctionCategory
+--R ArcTrigonometricFunctionCategory  is a category constructor
+--R Abbreviation for ArcTrigonometricFunctionCategory is ATRIG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ATRIG 
+--R
+--R------------------------------- Operations --------------------------------
+--R acos : % -> %                         acot : % -> %
+--R acsc : % -> %                         asec : % -> %
+--R asin : % -> %                         atan : % -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ArcTrigonometricFunctionCategory.help>>=
+====================================================================
+ArcTrigonometricFunctionCategory examples
+====================================================================
+
+See Also:
+o )show ArcTrigonometricFunctionCategory
+
+@
 {\bf See:}
 
 \pageto{TranscendentalFunctionCategory}{TRANFUN}
@@ -712,6 +780,38 @@ digraph pic {
 \pagehead{BasicType}{BASTYPE}
 \pagepic{ps/v102basictype.ps}{BASTYPE}{1.00}
 
+<<BasicType.input>>=
+)set break resume
+)sys rm -f BasicType.output
+)spool BasicType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BasicType
+--R BasicType  is a category constructor
+--R Abbreviation for BasicType is BASTYPE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for BASTYPE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BasicType.help>>=
+====================================================================
+BasicType examples
+====================================================================
+
+See Also:
+o )show BasicType
+
+@
 {\bf See:}
 
 \pageto{BlowUpMethodCategory}{BLMETCT}
@@ -787,6 +887,38 @@ digraph pic {
 \pagehead{CoercibleTo}{KOERCE}
 \pagepic{ps/v102koerce.ps}{KOERCE}{1.00}
 
+<<CoercibleTo.input>>=
+)set break resume
+)sys rm -f CoercibleTo.output
+)spool CoercibleTo.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CoercibleTo
+--R CoercibleTo S: Type  is a category constructor
+--R Abbreviation for CoercibleTo is KOERCE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for KOERCE 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> S                      
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<CoercibleTo.help>>=
+====================================================================
+CoercibleTo examples
+====================================================================
+
+See Also:
+o )show CoercibleTo
+
+@
 {\bf See:}
 
 \pageto{BlowUpMethodCategory}{BLMETCT}
@@ -861,6 +993,39 @@ digraph pic {
 \pagehead{CombinatorialFunctionCategory}{CFCAT}
 \pagepic{ps/v102combinatorialfunctioncategory.ps}{CFCAT}{1.00}
 
+<<CombinatorialFunctionCategory.input>>=
+)set break resume
+)sys rm -f CombinatorialFunctionCategory.output
+)spool CombinatorialFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CombinatorialFunctionCategory
+--R CombinatorialFunctionCategory  is a category constructor
+--R Abbreviation for CombinatorialFunctionCategory is CFCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for CFCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R binomial : (%,%) -> %                 factorial : % -> %
+--R permutation : (%,%) -> %             
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<CombinatorialFunctionCategory.help>>=
+====================================================================
+CombinatorialFunctionCategory examples
+====================================================================
+
+See Also:
+o )show CombinatorialFunctionCategory
+
+@
 {\bf See:}
 
 \pageto{CombinatorialOpsCategory}{COMBOPC}
@@ -937,6 +1102,38 @@ digraph pic {
 \pagehead{ConvertibleTo}{KONVERT}
 \pagepic{ps/v102konvert.ps}{KONVERT}{1.00}
 
+<<ConvertibleTo.input>>=
+)set break resume
+)sys rm -f ConvertibleTo.output
+)spool ConvertibleTo.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ConvertibleTo
+--R ConvertibleTo S: Type  is a category constructor
+--R Abbreviation for ConvertibleTo is KONVERT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for KONVERT 
+--R
+--R------------------------------- Operations --------------------------------
+--R convert : % -> S                     
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ConvertibleTo.help>>=
+====================================================================
+ConvertibleTo examples
+====================================================================
+
+See Also:
+o )show ConvertibleTo
+
+@
 {\bf See:}
 
 \pageto{Collection}{CLAGG}
@@ -1063,6 +1260,39 @@ digraph pic {
 \pagehead{ElementaryFunctionCategory}{ELEMFUN}
 \pagepic{ps/v102elementaryfunctioncategory.ps}{ELEMFUN}{1.00}
 
+<<ElementaryFunctionCategory.input>>=
+)set break resume
+)sys rm -f ElementaryFunctionCategory.output
+)spool ElementaryFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryFunctionCategory
+--R ElementaryFunctionCategory  is a category constructor
+--R Abbreviation for ElementaryFunctionCategory is ELEMFUN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ELEMFUN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?**? : (%,%) -> %                     exp : % -> %
+--R log : % -> %                         
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ElementaryFunctionCategory.help>>=
+====================================================================
+ElementaryFunctionCategory examples
+====================================================================
+
+See Also:
+o )show ElementaryFunctionCategory
+
+@
 {\bf See:}
 
 \pageto{TranscendentalFunctionCategory}{TRANFUN}
@@ -1134,6 +1364,38 @@ digraph pic {
 \pagehead{Eltable}{ELTAB}
 \pagepic{ps/v102eltab.ps}{ELTAB}{1.00}
 
+<<Eltable.input>>=
+)set break resume
+)sys rm -f Eltable.output
+)spool Eltable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Eltable
+--R Eltable(S: SetCategory,Index: Type)  is a category constructor
+--R Abbreviation for Eltable is ELTAB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ELTAB 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?.? : (%,S) -> Index                 
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Eltable.help>>=
+====================================================================
+Eltable examples
+====================================================================
+
+See Also:
+o )show Eltable
+
+@
 {\bf See:}
 
 \pageto{EltableAggregate}{ELTAGG}\hfill
@@ -1222,6 +1484,40 @@ digraph pic {
 The {\tt csch} and {\tt sech} functions were modified to include an
 intermediate test to check that the argument has a reciprocal values.
 
+<<HyperbolicFunctionCategory.input>>=
+)set break resume
+)sys rm -f HyperbolicFunctionCategory.output
+)spool HyperbolicFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show HyperbolicFunctionCategory
+--R HyperbolicFunctionCategory  is a category constructor
+--R Abbreviation for HyperbolicFunctionCategory is HYPCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for HYPCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R cosh : % -> %                         coth : % -> %
+--R csch : % -> %                         sech : % -> %
+--R sinh : % -> %                         tanh : % -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<HyperbolicFunctionCategory.help>>=
+====================================================================
+HyperbolicFunctionCategory examples
+====================================================================
+
+See Also:
+o )show HyperbolicFunctionCategory
+
+@
 {\bf See:}
 
 \pageto{TranscendentalFunctionCategory}{TRANFUN}
@@ -1312,6 +1608,38 @@ digraph pic {
 \pagehead{InnerEvalable}{IEVALAB}
 \pagepic{ps/v102innerevalable.ps}{IEVALAB}{1.00}
 
+<<InnerEvalable.input>>=
+)set break resume
+)sys rm -f InnerEvalable.output
+)spool InnerEvalable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerEvalable
+--R InnerEvalable(A: SetCategory,B: Type)  is a category constructor
+--R Abbreviation for InnerEvalable is IEVALAB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for IEVALAB 
+--R
+--R------------------------------- Operations --------------------------------
+--R eval : (%,A,B) -> %                   eval : (%,List A,List B) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InnerEvalable.help>>=
+====================================================================
+InnerEvalable examples
+====================================================================
+
+See Also:
+o )show InnerEvalable
+
+@
 {\bf See:}
 
 \pageto{DesingTreeCategory}{DSTRCAT}
@@ -1421,6 +1749,40 @@ digraph pic {
 \pagehead{OpenMath}{OM}
 \pagepic{ps/v102openmath.ps}{OM}{1.00}
 
+<<OpenMath.input>>=
+)set break resume
+)sys rm -f OpenMath.output
+)spool OpenMath.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OpenMath
+--R OpenMath  is a category constructor
+--R Abbreviation for OpenMath is OM 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OM 
+--R
+--R------------------------------- Operations --------------------------------
+--R OMwrite : % -> String                 OMwrite : (%,Boolean) -> String
+--R OMwrite : (OpenMathDevice,%) -> Void
+--R OMwrite : (OpenMathDevice,%,Boolean) -> Void
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OpenMath.help>>=
+====================================================================
+OpenMath examples
+====================================================================
+
+See Also:
+o )show OpenMath
+
+@
 {\bf See:}
 
 \pageto{StringCategory}{STRICAT}
@@ -1499,6 +1861,54 @@ digraph pic {
 \pagehead{PartialTranscendentalFunctions}{PTRANFN}
 \pagepic{ps/v102partialtranscendentalfunctions.ps}{PTRANFN}{1.00}
 
+<<PartialTranscendentalFunctions.input>>=
+)set break resume
+)sys rm -f PartialTranscendentalFunctions.output
+)spool PartialTranscendentalFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PartialTranscendentalFunctions
+--R PartialTranscendentalFunctions K: TranscendentalFunctionCategory  is a category constructor
+--R Abbreviation for PartialTranscendentalFunctions is PTRANFN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PTRANFN 
+--R
+--R------------------------------- Operations --------------------------------
+--R acosIfCan : K -> Union(K,"failed")    acotIfCan : K -> Union(K,"failed")
+--R acscIfCan : K -> Union(K,"failed")    asecIfCan : K -> Union(K,"failed")
+--R asinIfCan : K -> Union(K,"failed")    atanIfCan : K -> Union(K,"failed")
+--R cosIfCan : K -> Union(K,"failed")     coshIfCan : K -> Union(K,"failed")
+--R cotIfCan : K -> Union(K,"failed")     cothIfCan : K -> Union(K,"failed")
+--R cscIfCan : K -> Union(K,"failed")     cschIfCan : K -> Union(K,"failed")
+--R expIfCan : K -> Union(K,"failed")     logIfCan : K -> Union(K,"failed")
+--R secIfCan : K -> Union(K,"failed")     sechIfCan : K -> Union(K,"failed")
+--R sinIfCan : K -> Union(K,"failed")     sinhIfCan : K -> Union(K,"failed")
+--R tanIfCan : K -> Union(K,"failed")     tanhIfCan : K -> Union(K,"failed")
+--R acoshIfCan : K -> Union(K,"failed")
+--R acothIfCan : K -> Union(K,"failed")
+--R acschIfCan : K -> Union(K,"failed")
+--R asechIfCan : K -> Union(K,"failed")
+--R asinhIfCan : K -> Union(K,"failed")
+--R atanhIfCan : K -> Union(K,"failed")
+--R nthRootIfCan : (K,NonNegativeInteger) -> Union(K,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PartialTranscendentalFunctions.help>>=
+====================================================================
+PartialTranscendentalFunctions examples
+====================================================================
+
+See Also:
+o )show PartialTranscendentalFunctions
+
+@
 {\bf See:}
 
 \pagefrom{Category}{CATEGORY}
@@ -1690,6 +2100,39 @@ digraph pic {
 \pagehead{Patternable}{PATAB}
 \pagepic{ps/v102patternable.ps}{PATAB}{1.00}
 
+<<Patternable.input>>=
+)set break resume
+)sys rm -f Patternable.output
+)spool Patternable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Patternable
+--R Patternable R: Type  is a category constructor
+--R Abbreviation for Patternable is PATAB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PATAB 
+--R
+--R------------------------------- Operations --------------------------------
+--R convert : % -> Pattern Integer if R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if R has KONVERT PATTERN FLOAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Patternable.help>>=
+====================================================================
+Patternable examples
+====================================================================
+
+See Also:
+o )show Patternable
+
+@
 {\bf See:}
 
 \pageto{ComplexCategory}{COMPCAT}
@@ -1774,6 +2217,39 @@ digraph pic {
 \pagehead{PrimitiveFunctionCategory}{PRIMCAT}
 \pagepic{ps/v102primitivefunctioncategory.ps}{PRIMCAT}{1.00}
 
+<<PrimitiveFunctionCategory.input>>=
+)set break resume
+)sys rm -f PrimitiveFunctionCategory.output
+)spool PrimitiveFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PrimitiveFunctionCategory
+--R PrimitiveFunctionCategory  is a category constructor
+--R Abbreviation for PrimitiveFunctionCategory is PRIMCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PRIMCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R integral : (%,Symbol) -> %           
+--R integral : (%,SegmentBinding %) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PrimitiveFunctionCategory.help>>=
+====================================================================
+PrimitiveFunctionCategory examples
+====================================================================
+
+See Also:
+o )show PrimitiveFunctionCategory
+
+@
 {\bf See:}
 
 \pageto{LiouvillianFunctionCategory}{LFCAT}
@@ -1837,6 +2313,39 @@ digraph pic {
 \pagehead{RadicalCategory}{RADCAT}
 \pagepic{ps/v102radicalcategory.ps}{RADCAT}{1.00}
 
+<<RadicalCategory.input>>=
+)set break resume
+)sys rm -f RadicalCategory.output
+)spool RadicalCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RadicalCategory
+--R RadicalCategory  is a category constructor
+--R Abbreviation for RadicalCategory is RADCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RADCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?**? : (%,Fraction Integer) -> %      nthRoot : (%,Integer) -> %
+--R sqrt : % -> %                        
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RadicalCategory.help>>=
+====================================================================
+RadicalCategory examples
+====================================================================
+
+See Also:
+o )show RadicalCategory
+
+@
 {\bf See:}
 
 \pageto{AlgebraicallyClosedField}{ACF}
@@ -1919,6 +2428,39 @@ digraph pic {
 \pagehead{RetractableTo}{RETRACT}
 \pagepic{ps/v102retractableto.ps}{RETRACT}{1.00}
 
+<<RetractableTo.input>>=
+)set break resume
+)sys rm -f RetractableTo.output
+)spool RetractableTo.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RetractableTo
+--R RetractableTo S: Type  is a category constructor
+--R Abbreviation for RetractableTo is RETRACT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RETRACT 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : S -> %                       retract : % -> S
+--R retractIfCan : % -> Union(S,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RetractableTo.help>>=
+====================================================================
+RetractableTo examples
+====================================================================
+
+See Also:
+o )show RetractableTo
+
+@
 {\bf See:}
 
 \pageto{DifferentialPolynomialCategory}{DPOLCAT}
@@ -2069,6 +2611,43 @@ digraph pic {
 \pagehead{SpecialFunctionCategory}{SPFCAT}
 \pagepic{ps/v102specialfunctioncategory.ps}{SPFCAT}{1.00}
 
+<<SpecialFunctionCategory.input>>=
+)set break resume
+)sys rm -f SpecialFunctionCategory.output
+)spool SpecialFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SpecialFunctionCategory
+--R SpecialFunctionCategory  is a category constructor
+--R Abbreviation for SpecialFunctionCategory is SPFCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SPFCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R Beta : (%,%) -> %                     Gamma : % -> %
+--R Gamma : (%,%) -> %                    abs : % -> %
+--R airyAi : % -> %                       airyBi : % -> %
+--R besselI : (%,%) -> %                  besselJ : (%,%) -> %
+--R besselK : (%,%) -> %                  besselY : (%,%) -> %
+--R digamma : % -> %                      polygamma : (%,%) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SpecialFunctionCategory.help>>=
+====================================================================
+SpecialFunctionCategory examples
+====================================================================
+
+See Also:
+o )show SpecialFunctionCategory
+
+@
 {\bf See:}
 
 \pagefrom{Category}{CATEGORY}
@@ -2175,6 +2754,40 @@ digraph pic {
 The {\tt csc} and {\tt sec} functions were modified to include an
 intermediate test to check that the argument has a reciprocal values.
 
+<<TrigonometricFunctionCategory.input>>=
+)set break resume
+)sys rm -f TrigonometricFunctionCategory.output
+)spool TrigonometricFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TrigonometricFunctionCategory
+--R TrigonometricFunctionCategory  is a category constructor
+--R Abbreviation for TrigonometricFunctionCategory is TRIGCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for TRIGCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R cos : % -> %                          cot : % -> %
+--R csc : % -> %                          sec : % -> %
+--R sin : % -> %                          tan : % -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<TrigonometricFunctionCategory.help>>=
+====================================================================
+TrigonometricFunctionCategory examples
+====================================================================
+
+See Also:
+o )show TrigonometricFunctionCategory
+
+@
 {\bf See:}
 
 \pageto{TranscendentalFunctionCategory}{TRANFUN}
@@ -2315,6 +2928,44 @@ digraph pic {
 \pagehead{Aggregate}{AGG}
 \pagepic{ps/v102agg.ps}{AGG}{1.00}
 
+<<Aggregate.input>>=
+)set break resume
+)sys rm -f Aggregate.output
+)spool Aggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Aggregate
+--R Aggregate  is a category constructor
+--R Abbreviation for Aggregate is AGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for AGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R copy : % -> %                         empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Aggregate.help>>=
+====================================================================
+Aggregate examples
+====================================================================
+
+See Also:
+o )show Aggregate
+
+@
 {\bf See:}
 
 \pageto{HomogeneousAggregate}{HOAGG}
@@ -2437,6 +3088,43 @@ digraph pic {
 \pagehead{CombinatorialOpsCategory}{COMBOPC}
 \pagepic{ps/v102combinatorialopscategory.ps}{COMBOPC}{1.00}
 
+<<CombinatorialOpsCategory.input>>=
+)set break resume
+)sys rm -f CombinatorialOpsCategory.output
+)spool CombinatorialOpsCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CombinatorialOpsCategory
+--R CombinatorialOpsCategory  is a category constructor
+--R Abbreviation for CombinatorialOpsCategory is COMBOPC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for COMBOPC 
+--R
+--R------------------------------- Operations --------------------------------
+--R binomial : (%,%) -> %                 factorial : % -> %
+--R factorials : (%,Symbol) -> %          factorials : % -> %
+--R permutation : (%,%) -> %              product : (%,Symbol) -> %
+--R summation : (%,Symbol) -> %          
+--R product : (%,SegmentBinding %) -> %
+--R summation : (%,SegmentBinding %) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<CombinatorialOpsCategory.help>>=
+====================================================================
+CombinatorialOpsCategory examples
+====================================================================
+
+See Also:
+o )show CombinatorialOpsCategory
+
+@
 {\bf See:}
 
 \pagefrom{CombinatorialFunctionCategory}{CFCAT}
@@ -2533,6 +3221,41 @@ digraph pic {
 \pagehead{EltableAggregate}{ELTAGG}
 \pagepic{ps/v102eltableaggregate.ps}{ELTAGG}{0.75}
 
+<<EltableAggregate.input>>=
+)set break resume
+)sys rm -f EltableAggregate.output
+)spool EltableAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show EltableAggregate
+--R EltableAggregate(Dom: SetCategory,Im: Type)  is a category constructor
+--R Abbreviation for EltableAggregate is ELTAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ELTAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R elt : (%,Dom,Im) -> Im                ?.? : (%,Dom) -> Im
+--R qelt : (%,Dom) -> Im                 
+--R qsetelt! : (%,Dom,Im) -> Im if $ has shallowlyMutable
+--R setelt : (%,Dom,Im) -> Im if $ has shallowlyMutable
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<EltableAggregate.help>>=
+====================================================================
+EltableAggregate examples
+====================================================================
+
+See Also:
+o )show EltableAggregate
+
+@
 {\bf See:}
 
 \pageto{IndexedAggregate}{IXAGG}
@@ -2656,6 +3379,39 @@ digraph pic {
 \pagehead{Evalable}{EVALAB}
 \pagepic{ps/v102evalable.ps}{EVALAB}{1.00}
 
+<<Evalable.input>>=
+)set break resume
+)sys rm -f Evalable.output
+)spool Evalable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Evalable
+--R Evalable R: SetCategory  is a category constructor
+--R Abbreviation for Evalable is EVALAB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for EVALAB 
+--R
+--R------------------------------- Operations --------------------------------
+--R eval : (%,List Equation R) -> %       eval : (%,Equation R) -> %
+--R eval : (%,R,R) -> %                   eval : (%,List R,List R) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Evalable.help>>=
+====================================================================
+Evalable examples
+====================================================================
+
+See Also:
+o )show Evalable
+
+@
 {\bf See:}
 
 \pageto{ExpressionSpace}{ES}
@@ -2762,6 +3518,38 @@ digraph pic {
 \pagehead{FortranProgramCategory}{FORTCAT}
 \pagepic{ps/v102fortranprogramcategory.ps}{FORTCAT}{1.00}
 
+<<FortranProgramCategory.input>>=
+)set break resume
+)sys rm -f FortranProgramCategory.output
+)spool FortranProgramCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranProgramCategory
+--R FortranProgramCategory  is a category constructor
+--R Abbreviation for FortranProgramCategory is FORTCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FORTCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranProgramCategory.help>>=
+====================================================================
+FortranProgramCategory examples
+====================================================================
+
+See Also:
+o )show FortranProgramCategory
+
+@
 {\bf See:}
 
 \pageto{FortranFunctionCategory}{FORTFN}
@@ -2856,6 +3644,45 @@ digraph pic {
 \pagehead{FullyRetractableTo}{FRETRCT}
 \pagepic{ps/v102fullyretractableto.ps}{FRETRCT}{1.00}
 
+<<FullyRetractableTo.input>>=
+)set break resume
+)sys rm -f FullyRetractableTo.output
+)spool FullyRetractableTo.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FullyRetractableTo
+--R FullyRetractableTo S: Type  is a category constructor
+--R Abbreviation for FullyRetractableTo is FRETRCT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FRETRCT 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : S -> %                       retract : % -> S
+--R coerce : Integer -> % if S has RETRACT INT
+--R coerce : Fraction Integer -> % if S has RETRACT FRAC INT
+--R retract : % -> Integer if S has RETRACT INT
+--R retract : % -> Fraction Integer if S has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if S has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if S has RETRACT FRAC INT
+--R retractIfCan : % -> Union(S,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FullyRetractableTo.help>>=
+====================================================================
+FullyRetractableTo examples
+====================================================================
+
+See Also:
+o )show FullyRetractableTo
+
+@
 {\bf See:}
 
 \pageto{ComplexCategory}{COMPCAT}
@@ -2984,6 +3811,44 @@ digraph pic {
 \pagehead{FullyPatternMatchable}{FPATMAB}
 \pagepic{ps/v102fullypatternmatchable.ps}{FPATMAB}{1.00}
 
+<<FullyPatternMatchable.input>>=
+)set break resume
+)sys rm -f FullyPatternMatchable.output
+)spool FullyPatternMatchable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FullyPatternMatchable
+--R FullyPatternMatchable R: Type  is a category constructor
+--R Abbreviation for FullyPatternMatchable is FPATMAB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FPATMAB 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean if R has PATMAB INT or R has PATMAB FLOAT
+--R coerce : % -> OutputForm if R has PATMAB INT or R has PATMAB FLOAT
+--R hash : % -> SingleInteger if R has PATMAB INT or R has PATMAB FLOAT
+--R latex : % -> String if R has PATMAB INT or R has PATMAB FLOAT
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if R has PATMAB FLOAT
+--R ?~=? : (%,%) -> Boolean if R has PATMAB INT or R has PATMAB FLOAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FullyPatternMatchable.help>>=
+====================================================================
+FullyPatternMatchable examples
+====================================================================
+
+See Also:
+o )show FullyPatternMatchable
+
+@
 {\bf See:}
 
 \pageto{ComplexCategory}{COMPCAT}
@@ -3104,6 +3969,40 @@ digraph pic {
 \pagehead{Logic}{LOGIC}
 \pagepic{ps/v102logic.ps}{LOGIC}{1.00}
 
+<<Logic.input>>=
+)set break resume
+)sys rm -f Logic.output
+)spool Logic.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Logic
+--R Logic  is a category constructor
+--R Abbreviation for Logic is LOGIC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for LOGIC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?/\? : (%,%) -> %                     ?=? : (%,%) -> Boolean
+--R ?\/? : (%,%) -> %                     ~? : % -> %
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Logic.help>>=
+====================================================================
+Logic examples
+====================================================================
+
+See Also:
+o )show Logic
+
+@
 {\bf See:}
 
 \pageto{BitAggregate}{BTAGG}
@@ -3190,6 +4089,40 @@ digraph pic {
 \pagehead{PlottablePlaneCurveCategory}{PPCURVE}
 \pagepic{ps/v102plottableplanecurvecategory.ps}{PPCURVE}{1.00}
 
+<<PlottablePlaneCurveCategory.input>>=
+)set break resume
+)sys rm -f PlottablePlaneCurveCategory.output
+)spool PlottablePlaneCurveCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PlottablePlaneCurveCategory
+--R PlottablePlaneCurveCategory  is a category constructor
+--R Abbreviation for PlottablePlaneCurveCategory is PPCURVE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PPCURVE 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              xRange : % -> Segment DoubleFloat
+--R yRange : % -> Segment DoubleFloat    
+--R listBranches : % -> List List Point DoubleFloat
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PlottablePlaneCurveCategory.help>>=
+====================================================================
+PlottablePlaneCurveCategory examples
+====================================================================
+
+See Also:
+o )show PlottablePlaneCurveCategory
+
+@
 {\bf See:}
 
 \pagefrom{CoercibleTo}{KOERCE}
@@ -3287,6 +4220,40 @@ digraph pic {
 \pagehead{PlottableSpaceCurveCategory}{PSCURVE}
 \pagepic{ps/v102plottablespacecurvecategory.ps}{PSCURVE}{1.00}
 
+<<PlottableSpaceCurveCategory.input>>=
+)set break resume
+)sys rm -f PlottableSpaceCurveCategory.output
+)spool PlottableSpaceCurveCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PlottableSpaceCurveCategory
+--R PlottableSpaceCurveCategory  is a category constructor
+--R Abbreviation for PlottableSpaceCurveCategory is PSCURVE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PSCURVE 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              xRange : % -> Segment DoubleFloat
+--R yRange : % -> Segment DoubleFloat     zRange : % -> Segment DoubleFloat
+--R listBranches : % -> List List Point DoubleFloat
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PlottableSpaceCurveCategory.help>>=
+====================================================================
+PlottableSpaceCurveCategory examples
+====================================================================
+
+See Also:
+o )show PlottableSpaceCurveCategory
+
+@
 {\bf See:}
 
 \pagefrom{CoercibleTo}{KOERCE}
@@ -3389,6 +4356,38 @@ digraph pic {
 \pagehead{RealConstant}{REAL}
 \pagepic{ps/v102realconstant.ps}{REAL}{1.00}
 
+<<RealConstant.input>>=
+)set break resume
+)sys rm -f RealConstant.output
+)spool RealConstant.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RealConstant
+--R RealConstant  is a category constructor
+--R Abbreviation for RealConstant is REAL 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for REAL 
+--R
+--R------------------------------- Operations --------------------------------
+--R convert : % -> Float                  convert : % -> DoubleFloat
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RealConstant.help>>=
+====================================================================
+RealConstant examples
+====================================================================
+
+See Also:
+o )show RealConstant
+
+@
 {\bf See:}
 
 \pageto{IntegerNumberSystem}{INS}
@@ -3470,6 +4469,42 @@ digraph pic {
 \pagehead{SegmentCategory}{SEGCAT}
 \pagepic{ps/v102segmentcategory.ps}{SEGCAT}{1.00}
 
+<<SegmentCategory.input>>=
+)set break resume
+)sys rm -f SegmentCategory.output
+)spool SegmentCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SegmentCategory
+--R SegmentCategory S: Type  is a category constructor
+--R Abbreviation for SegmentCategory is SEGCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SEGCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R BY : (%,Integer) -> %                 ?..? : (S,S) -> %
+--R convert : S -> %                      hi : % -> S
+--R high : % -> S                         incr : % -> Integer
+--R lo : % -> S                           low : % -> S
+--R segment : (S,S) -> %                 
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SegmentCategory.help>>=
+====================================================================
+SegmentCategory examples
+====================================================================
+
+See Also:
+o )show SegmentCategory
+
+@
 {\bf See:}
 
 \pageto{SegmentExpansionCategory}{SEGXCAT}
@@ -3588,6 +4623,40 @@ digraph pic {
 \pagehead{SetCategory}{SETCAT}
 \pagepic{ps/v102setcategory.ps}{SETCAT}{1.00}
 
+<<SetCategory.input>>=
+)set break resume
+)sys rm -f SetCategory.output
+)spool SetCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SetCategory
+--R SetCategory  is a category constructor
+--R Abbreviation for SetCategory is SETCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SETCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SetCategory.help>>=
+====================================================================
+SetCategory examples
+====================================================================
+
+See Also:
+o )show SetCategory
+
+@
 {\bf See:}
 
 \pageto{AbelianSemiGroup}{ABELSG}
@@ -3714,6 +4783,51 @@ digraph pic {
 \pagehead{TranscendentalFunctionCategory}{TRANFUN}
 \pagepic{ps/v102transcendentalfunctioncategory.ps}{TRANFUN}{0.75}
 
+<<TranscendentalFunctionCategory.input>>=
+)set break resume
+)sys rm -f TranscendentalFunctionCategory.output
+)spool TranscendentalFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TranscendentalFunctionCategory
+--R TranscendentalFunctionCategory  is a category constructor
+--R Abbreviation for TranscendentalFunctionCategory is TRANFUN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for TRANFUN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?**? : (%,%) -> %                     acos : % -> %
+--R acosh : % -> %                        acot : % -> %
+--R acoth : % -> %                        acsc : % -> %
+--R acsch : % -> %                        asec : % -> %
+--R asech : % -> %                        asin : % -> %
+--R asinh : % -> %                        atan : % -> %
+--R atanh : % -> %                        cos : % -> %
+--R cosh : % -> %                         cot : % -> %
+--R coth : % -> %                         csc : % -> %
+--R csch : % -> %                         exp : % -> %
+--R log : % -> %                          pi : () -> %
+--R sec : % -> %                          sech : % -> %
+--R sin : % -> %                          sinh : % -> %
+--R tan : % -> %                          tanh : % -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<TranscendentalFunctionCategory.help>>=
+====================================================================
+TranscendentalFunctionCategory examples
+====================================================================
+
+See Also:
+o )show TranscendentalFunctionCategory
+
+@
 The {\tt acsch}, {\tt asech}, and {\tt acoth} functions were modified to
 include an intermediate test to check that the argument has a
 reciprocal values.
@@ -3918,6 +5032,41 @@ digraph pic {
 \pagehead{AbelianSemiGroup}{ABELSG}
 \pagepic{ps/v102abeliansemigroup.ps}{ABELSG}{0.75}
 
+<<AbelianSemiGroup.input>>=
+)set break resume
+)sys rm -f AbelianSemiGroup.output
+)spool AbelianSemiGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AbelianSemiGroup
+--R AbelianSemiGroup  is a category constructor
+--R Abbreviation for AbelianSemiGroup is ABELSG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ABELSG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AbelianSemiGroup.help>>=
+====================================================================
+AbelianSemiGroup examples
+====================================================================
+
+See Also:
+o )show AbelianSemiGroup
+
+@
 {\bf See:}
 
 \pageto{AbelianMonoid}{ABELMON}
@@ -4425,6 +5574,50 @@ digraph pic {
 \pagehead{FortranFunctionCategory}{FORTFN}
 \pagepic{ps/v102fortranfunctioncategory.ps}{FORTFN}{1.00}
 
+<<FortranFunctionCategory.input>>=
+)set break resume
+)sys rm -f FortranFunctionCategory.output
+)spool FortranFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranFunctionCategory
+--R FortranFunctionCategory  is a category constructor
+--R Abbreviation for FortranFunctionCategory is FORTFN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FORTFN 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R retract : Polynomial Integer -> %     retract : Polynomial Float -> %
+--R retract : Expression Integer -> %     retract : Expression Float -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Fraction Polynomial Integer -> %
+--R retract : Fraction Polynomial Float -> %
+--R retractIfCan : Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Expression Integer -> Union(%,"failed")
+--R retractIfCan : Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranFunctionCategory.help>>=
+====================================================================
+FortranFunctionCategory examples
+====================================================================
+
+See Also:
+o )show FortranFunctionCategory
+
+@
 {\bf See:}
 
 \pagefrom{FortranProgramCategory}{FORTCAT}
@@ -4572,6 +5765,41 @@ digraph pic {
 \pagehead{FortranMatrixCategory}{FMC}
 \pagepic{ps/v102fortranmatrixcategory.ps}{FMC}{1.00}
 
+<<FortranMatrixCategory.input>>=
+)set break resume
+)sys rm -f FortranMatrixCategory.output
+)spool FortranMatrixCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranMatrixCategory
+--R FortranMatrixCategory  is a category constructor
+--R Abbreviation for FortranMatrixCategory is FMC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FMC 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : Matrix MachineFloat -> %     coerce : % -> OutputForm
+--R outputAsFortran : % -> Void          
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranMatrixCategory.help>>=
+====================================================================
+FortranMatrixCategory examples
+====================================================================
+
+See Also:
+o )show FortranMatrixCategory
+
+@
 {\bf See:}
 
 \pagefrom{FortranProgramCategory}{FORTCAT}
@@ -4671,6 +5899,52 @@ digraph pic {
 \pagehead{FortranMatrixFunctionCategory}{FMFUN}
 \pagepic{ps/v102fortranmatrixfunctioncategory.ps}{FMFUN}{1.00}
 
+<<FortranMatrixFunctionCategory.input>>=
+)set break resume
+)sys rm -f FortranMatrixFunctionCategory.output
+)spool FortranMatrixFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranMatrixFunctionCategory
+--R FortranMatrixFunctionCategory  is a category constructor
+--R Abbreviation for FortranMatrixFunctionCategory is FMFUN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FMFUN 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Matrix Fraction Polynomial Integer -> %
+--R retract : Matrix Fraction Polynomial Float -> %
+--R retract : Matrix Polynomial Integer -> %
+--R retract : Matrix Polynomial Float -> %
+--R retract : Matrix Expression Integer -> %
+--R retract : Matrix Expression Float -> %
+--R retractIfCan : Matrix Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Matrix Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Matrix Expression Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranMatrixFunctionCategory.help>>=
+====================================================================
+FortranMatrixFunctionCategory examples
+====================================================================
+
+See Also:
+o )show FortranMatrixFunctionCategory
+
+@
 {\bf See:}
 
 \pagefrom{FortranProgramCategory}{FORTCAT}
@@ -4819,6 +6093,41 @@ digraph pic {
 \pagehead{FortranVectorCategory}{FVC}
 \pagepic{ps/v102fortranvectorcategory.ps}{FVC}{1.00}
 
+<<FortranVectorCategory.input>>=
+)set break resume
+)sys rm -f FortranVectorCategory.output
+)spool FortranVectorCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranVectorCategory
+--R FortranVectorCategory  is a category constructor
+--R Abbreviation for FortranVectorCategory is FVC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FVC 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : Vector MachineFloat -> %     coerce : % -> OutputForm
+--R outputAsFortran : % -> Void          
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranVectorCategory.help>>=
+====================================================================
+FortranVectorCategory examples
+====================================================================
+
+See Also:
+o )show FortranVectorCategory
+
+@
 {\bf See:}
 
 \pagefrom{FortranProgramCategory}{FORTCAT}
@@ -4916,6 +6225,52 @@ digraph pic {
 \pagehead{FortranVectorFunctionCategory}{FVFUN}
 \pagepic{ps/v102fortranvectorfunctioncategory.ps}{FVFUN}{1.00}
 
+<<FortranVectorFunctionCategory.input>>=
+)set break resume
+)sys rm -f FortranVectorFunctionCategory.output
+)spool FortranVectorFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranVectorFunctionCategory
+--R FortranVectorFunctionCategory  is a category constructor
+--R Abbreviation for FortranVectorFunctionCategory is FVFUN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FVFUN 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranVectorFunctionCategory.help>>=
+====================================================================
+FortranVectorFunctionCategory examples
+====================================================================
+
+See Also:
+o )show FortranVectorFunctionCategory
+
+@
 {\bf See:}
 
 \pagefrom{FortranProgramCategory}{FORTCAT}
@@ -5063,6 +6418,45 @@ digraph pic {
 \pagehead{FullyEvalableOver}{FEVALAB}
 \pagepic{ps/v102fullyevalableover.ps}{FEVALAB}{0.75}
 
+<<FullyEvalableOver.input>>=
+)set break resume
+)sys rm -f FullyEvalableOver.output
+)spool FullyEvalableOver.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FullyEvalableOver
+--R FullyEvalableOver R: SetCategory  is a category constructor
+--R Abbreviation for FullyEvalableOver is FEVALAB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FEVALAB 
+--R
+--R------------------------------- Operations --------------------------------
+--R map : ((R -> R),%) -> %              
+--R ?.? : (%,R) -> % if R has ELTAB(R,R)
+--R eval : (%,List R,List R) -> % if R has EVALAB R
+--R eval : (%,R,R) -> % if R has EVALAB R
+--R eval : (%,Equation R) -> % if R has EVALAB R
+--R eval : (%,List Equation R) -> % if R has EVALAB R
+--R eval : (%,List Symbol,List R) -> % if R has IEVALAB(SYMBOL,R)
+--R eval : (%,Symbol,R) -> % if R has IEVALAB(SYMBOL,R)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FullyEvalableOver.help>>=
+====================================================================
+FullyEvalableOver examples
+====================================================================
+
+See Also:
+o )show FullyEvalableOver
+
+@
 {\bf See:}
 
 \pageto{ComplexCategory}{COMPCAT}
@@ -5201,6 +6595,44 @@ digraph pic {
 \pagehead{FileCategory}{FILECAT}
 \pagepic{ps/v102filecategory.ps}{FILECAT}{1.00}
 
+<<FileCategory.input>>=
+)set break resume
+)sys rm -f FileCategory.output
+)spool FileCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FileCategory
+--R FileCategory(Name: SetCategory,S: SetCategory)  is a category constructor
+--R Abbreviation for FileCategory is FILECAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FILECAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                close! : % -> %
+--R coerce : % -> OutputForm              flush : % -> Void
+--R hash : % -> SingleInteger             iomode : % -> String
+--R latex : % -> String                   name : % -> Name
+--R open : (Name,String) -> %             open : Name -> %
+--R read! : % -> S                        reopen! : (%,String) -> %
+--R write! : (%,S) -> S                   ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FileCategory.help>>=
+====================================================================
+FileCategory examples
+====================================================================
+
+See Also:
+o )show FileCategory
+
+@
 {\bf See:}
 
 \pagefrom{SetCategory}{SETCAT}
@@ -5346,6 +6778,42 @@ digraph pic {
 \pagehead{Finite}{FINITE}
 \pagepic{ps/v102finite.ps}{FINITE}{1.00}
 
+<<Finite.input>>=
+)set break resume
+)sys rm -f Finite.output
+)spool Finite.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Finite
+--R Finite  is a category constructor
+--R Abbreviation for Finite is FINITE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FINITE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             index : PositiveInteger -> %
+--R latex : % -> String                   lookup : % -> PositiveInteger
+--R random : () -> %                      size : () -> NonNegativeInteger
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Finite.help>>=
+====================================================================
+Finite examples
+====================================================================
+
+See Also:
+o )show Finite
+
+@
 {\bf See:}
 
 \pageto{DirectProductCategory}{DIRPCAT}
@@ -5464,6 +6932,45 @@ digraph pic {
 \pagehead{FileNameCategory}{FNCAT}
 \pagepic{ps/v102filenamecategory.ps}{FNCAT}{0.70}
 
+<<FileNameCategory.input>>=
+)set break resume
+)sys rm -f FileNameCategory.output
+)spool FileNameCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FileNameCategory
+--R FileNameCategory  is a category constructor
+--R Abbreviation for FileNameCategory is FNCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FNCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> String
+--R coerce : String -> %                  coerce : % -> OutputForm
+--R directory : % -> String               exists? : % -> Boolean
+--R extension : % -> String               hash : % -> SingleInteger
+--R latex : % -> String                   name : % -> String
+--R new : (String,String,String) -> %     readable? : % -> Boolean
+--R writable? : % -> Boolean              ?~=? : (%,%) -> Boolean
+--R filename : (String,String,String) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FileNameCategory.help>>=
+====================================================================
+FileNameCategory examples
+====================================================================
+
+See Also:
+o )show FileNameCategory
+
+@
 {\bf See:}
 
 \pagefrom{SetCategory}{SETCAT}
@@ -5603,6 +7110,43 @@ digraph pic {
 \pagehead{GradedModule}{GRMOD}
 \pagepic{ps/v102gradedmodule.ps}{GRMOD}{1.00}
 
+<<GradedModule.input>>=
+)set break resume
+)sys rm -f GradedModule.output
+)spool GradedModule.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GradedModule
+--R GradedModule(R: CommutativeRing,E: AbelianMonoid)  is a category constructor
+--R Abbreviation for GradedModule is GRMOD 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for GRMOD 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R degree : % -> E                       hash : % -> SingleInteger
+--R latex : % -> String                   ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<GradedModule.help>>=
+====================================================================
+GradedModule examples
+====================================================================
+
+See Also:
+o )show GradedModule
+
+@
 {\bf See:}
 
 \pageto{GradedAlgebra}{GRALG}
@@ -5741,6 +7285,61 @@ digraph pic {
 \pagehead{HomogeneousAggregate}{HOAGG}
 \pagepic{ps/v102homogeneousaggregate.ps}{HOAGG}{1.00}
 
+<<HomogeneousAggregate.input>>=
+)set break resume
+)sys rm -f HomogeneousAggregate.output
+)spool HomogeneousAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show HomogeneousAggregate
+--R HomogeneousAggregate S: Type  is a category constructor
+--R Abbreviation for HomogeneousAggregate is HOAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for HOAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R copy : % -> %                         empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R map : ((S -> S),%) -> %               sample : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<HomogeneousAggregate.help>>=
+====================================================================
+HomogeneousAggregate examples
+====================================================================
+
+See Also:
+o )show HomogeneousAggregate
+
+@
 {\bf See:}
 
 \pageto{BagAggregate}{BGAGG}
@@ -5986,6 +7585,42 @@ digraph pic {
 \pagehead{IndexedDirectProductCategory}{IDPC}
 \pagepic{ps/v102liouvillianfunctioncategory.ps}{IDPC}{1.00}
 
+<<IndexedDirectProductCategory.input>>=
+)set break resume
+)sys rm -f IndexedDirectProductCategory.output
+)spool IndexedDirectProductCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedDirectProductCategory
+--R IndexedDirectProductCategory(A: SetCategory,S: OrderedSet)  is a category constructor
+--R Abbreviation for IndexedDirectProductCategory is IDPC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for IDPC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> A           leadingSupport : % -> S
+--R map : ((A -> A),%) -> %               monomial : (A,S) -> %
+--R reductum : % -> %                     ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedDirectProductCategory.help>>=
+====================================================================
+IndexedDirectProductCategory examples
+====================================================================
+
+See Also:
+o )show IndexedDirectProductCategory
+
+@
 {\bf See:}
 
 \pagefrom{SetCategory}{SETCAT}
@@ -6106,6 +7741,56 @@ digraph pic {
 \pagehead{LiouvillianFunctionCategory}{LFCAT}
 \pagepic{ps/v102liouvillianfunctioncategory.ps}{LFCAT}{0.60}
 
+<<LiouvillianFunctionCategory.input>>=
+)set break resume
+)sys rm -f LiouvillianFunctionCategory.output
+)spool LiouvillianFunctionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LiouvillianFunctionCategory
+--R LiouvillianFunctionCategory  is a category constructor
+--R Abbreviation for LiouvillianFunctionCategory is LFCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for LFCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?**? : (%,%) -> %                     Ci : % -> %
+--R Ei : % -> %                           Si : % -> %
+--R acos : % -> %                         acosh : % -> %
+--R acot : % -> %                         acoth : % -> %
+--R acsc : % -> %                         acsch : % -> %
+--R asec : % -> %                         asech : % -> %
+--R asin : % -> %                         asinh : % -> %
+--R atan : % -> %                         atanh : % -> %
+--R cos : % -> %                          cosh : % -> %
+--R cot : % -> %                          coth : % -> %
+--R csc : % -> %                          csch : % -> %
+--R dilog : % -> %                        erf : % -> %
+--R exp : % -> %                          integral : (%,Symbol) -> %
+--R li : % -> %                           log : % -> %
+--R pi : () -> %                          sec : % -> %
+--R sech : % -> %                         sin : % -> %
+--R sinh : % -> %                         tan : % -> %
+--R tanh : % -> %                        
+--R integral : (%,SegmentBinding %) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LiouvillianFunctionCategory.help>>=
+====================================================================
+LiouvillianFunctionCategory examples
+====================================================================
+
+See Also:
+o )show LiouvillianFunctionCategory
+
+@
 {\bf See:}
 
 \pagefrom{PrimitiveFunctionCategory}{PRIMCAT}
@@ -6292,6 +7977,43 @@ digraph pic {
 \pagehead{Monad}{MONAD}
 \pagepic{ps/v102monad.ps}{MONAD}{0.70}
 
+<<Monad.input>>=
+)set break resume
+)sys rm -f Monad.output
+)spool Monad.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Monad
+--R Monad  is a category constructor
+--R Abbreviation for Monad is MONAD 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for MONAD 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,PositiveInteger) -> %
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R leftPower : (%,PositiveInteger) -> %
+--R rightPower : (%,PositiveInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Monad.help>>=
+====================================================================
+Monad examples
+====================================================================
+
+See Also:
+o )show Monad
+
+@
 {\bf See:}
 
 \pageto{MonadWithUnit}{MONADWU}
@@ -6434,6 +8156,44 @@ digraph pic {
 \pagehead{NumericalIntegrationCategory}{NUMINT}
 \pagepic{ps/v102numericalintegrationcategory.ps}{NUMINT}{1.00}
 
+<<NumericalIntegrationCategory.input>>=
+)set break resume
+)sys rm -f NumericalIntegrationCategory.output
+)spool NumericalIntegrationCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericalIntegrationCategory
+--R NumericalIntegrationCategory  is a category constructor
+--R Abbreviation for NumericalIntegrationCategory is NUMINT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for NUMINT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NumericalIntegrationCategory.help>>=
+====================================================================
+NumericalIntegrationCategory examples
+====================================================================
+
+See Also:
+o )show NumericalIntegrationCategory
+
+@
 {\bf See:}
 
 \pagefrom{SetCategory}{SETCAT}
@@ -6592,6 +8352,44 @@ digraph pic {
 \pagehead{NumericalOptimizationCategory}{OPTCAT}
 \pagepic{ps/v102numericaloptimizationcategory.ps}{OPTCAT}{1.00}
 
+<<NumericalOptimizationCategory.input>>=
+)set break resume
+)sys rm -f NumericalOptimizationCategory.output
+)spool NumericalOptimizationCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericalOptimizationCategory
+--R NumericalOptimizationCategory  is a category constructor
+--R Abbreviation for NumericalOptimizationCategory is OPTCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OPTCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(lfn: List Expression DoubleFloat,init: List DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R numericalOptimization : Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat) -> Result
+--R numericalOptimization : Record(lfn: List Expression DoubleFloat,init: List DoubleFloat) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NumericalOptimizationCategory.help>>=
+====================================================================
+NumericalOptimizationCategory examples
+====================================================================
+
+See Also:
+o )show NumericalOptimizationCategory
+
+@
 {\bf See:}
 
 \pagefrom{SetCategory}{SETCAT}
@@ -6744,6 +8542,42 @@ digraph pic {
 \pagehead{OrdinaryDifferentialEquationsSolverCategory}{ODECAT}
 \pagepic{ps/v102ordinarydifferentialequationssolvercategory.ps}{ODECAT}{1.00}
 
+<<OrdinaryDifferentialEquationsSolverCategory.input>>=
+)set break resume
+)sys rm -f OrdinaryDifferentialEquationsSolverCategory.output
+)spool OrdinaryDifferentialEquationsSolverCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrdinaryDifferentialEquationsSolverCategory
+--R OrdinaryDifferentialEquationsSolverCategory  is a category constructor
+--R Abbreviation for OrdinaryDifferentialEquationsSolverCategory is ODECAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ODECAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R ODESolve : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> Result
+--R measure : (RoutinesTable,Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrdinaryDifferentialEquationsSolverCategory.help>>=
+====================================================================
+OrdinaryDifferentialEquationsSolverCategory examples
+====================================================================
+
+See Also:
+o )show OrdinaryDifferentialEquationsSolverCategory
+
+@
 {\bf See:}
 
 \pagefrom{SetCategory}{SETCAT}
@@ -6877,6 +8711,43 @@ digraph pic {
 \pagehead{OrderedSet}{ORDSET}
 \pagepic{ps/v102orderedset.ps}{ORDSET}{1.00}
 
+<<OrderedSet.input>>=
+)set break resume
+)sys rm -f OrderedSet.output
+)spool OrderedSet.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedSet
+--R OrderedSet  is a category constructor
+--R Abbreviation for OrderedSet is ORDSET 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ORDSET 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedSet.help>>=
+====================================================================
+OrderedSet examples
+====================================================================
+
+See Also:
+o )show OrderedSet
+
+@
 {\bf See:}
 
 \pageto{BitAggregate}{BTAGG}
@@ -7017,6 +8888,42 @@ digraph pic {
 \pagehead{PartialDifferentialEquationsSolverCategory}{PDECAT}
 \pagepic{ps/v102partialdifferentialequationssolvercategory.ps}{PDECAT}{1.00}
 
+<<PartialDifferentialEquationsSolverCategory.input>>=
+)set break resume
+)sys rm -f PartialDifferentialEquationsSolverCategory.output
+)spool PartialDifferentialEquationsSolverCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PartialDifferentialEquationsSolverCategory
+--R PartialDifferentialEquationsSolverCategory  is a category constructor
+--R Abbreviation for PartialDifferentialEquationsSolverCategory is PDECAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PDECAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R PDESolve : Record(pde: List Expression DoubleFloat,constraints: List Record(start: DoubleFloat,finish: DoubleFloat,grid: NonNegativeInteger,boundaryType: Integer,dStart: Matrix DoubleFloat,dFinish: Matrix DoubleFloat),f: List List Expression DoubleFloat,st: String,tol: DoubleFloat) -> Result
+--R measure : (RoutinesTable,Record(pde: List Expression DoubleFloat,constraints: List Record(start: DoubleFloat,finish: DoubleFloat,grid: NonNegativeInteger,boundaryType: Integer,dStart: Matrix DoubleFloat,dFinish: Matrix DoubleFloat),f: List List Expression DoubleFloat,st: String,tol: DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PartialDifferentialEquationsSolverCategory.help>>=
+====================================================================
+PartialDifferentialEquationsSolverCategory examples
+====================================================================
+
+See Also:
+o )show PartialDifferentialEquationsSolverCategory
+
+@
 {\bf See:}
 
 \pagefrom{SetCategory}{SETCAT}
@@ -7179,6 +9086,41 @@ digraph pic {
 \pagehead{PatternMatchable}{PATMAB}
 \pagepic{ps/v102patternmatchable.ps}{PATMAB}{1.00}
 
+<<PatternMatchable.input>>=
+)set break resume
+)sys rm -f PatternMatchable.output
+)spool PatternMatchable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchable
+--R PatternMatchable S: SetCategory  is a category constructor
+--R Abbreviation for PatternMatchable is PATMAB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PATMAB 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R patternMatch : (%,Pattern S,PatternMatchResult(S,%)) -> PatternMatchResult(S,%)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PatternMatchable.help>>=
+====================================================================
+PatternMatchable examples
+====================================================================
+
+See Also:
+o )show PatternMatchable
+
+@
 {\bf See:}
 
 \pageto{RealNumberSystem}{RNS}
@@ -7284,6 +9226,48 @@ digraph pic {
 \pagehead{RealRootCharacterizationCategory}{RRCC}
 \pagepic{ps/v102realrootcharacterizationcategory.ps}{RRCC}{0.60}
 
+<<RealRootCharacterizationCategory.input>>=
+)set break resume
+)sys rm -f RealRootCharacterizationCategory.output
+)spool RealRootCharacterizationCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RealRootCharacterizationCategory
+--R RealRootCharacterizationCategory(TheField: Join(OrderedRing,Field),ThePols: UnivariatePolynomialCategory t#1)  is a category constructor
+--R Abbreviation for RealRootCharacterizationCategory is RRCC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RRCC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                allRootsOf : ThePols -> List %
+--R coerce : % -> OutputForm              definingPolynomial : % -> ThePols
+--R hash : % -> SingleInteger             latex : % -> String
+--R sign : (ThePols,%) -> Integer         zero? : (ThePols,%) -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R approximate : (ThePols,%,TheField) -> TheField
+--R negative? : (ThePols,%) -> Boolean
+--R positive? : (ThePols,%) -> Boolean
+--R recip : (ThePols,%) -> Union(ThePols,"failed")
+--R relativeApprox : (ThePols,%,TheField) -> TheField
+--R rootOf : (ThePols,PositiveInteger) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RealRootCharacterizationCategory.help>>=
+====================================================================
+RealRootCharacterizationCategory examples
+====================================================================
+
+See Also:
+o )show RealRootCharacterizationCategory
+
+@
 {\bf See:}
 
 \pagefrom{SetCategory}{SETCAT}
@@ -7470,6 +9454,43 @@ digraph pic {
 \pagehead{SegmentExpansionCategory}{SEGXCAT}
 \pagepic{ps/v102segmentexpansioncategory.ps}{SEGXCAT}{0.75}
 
+<<SegmentExpansionCategory.input>>=
+)set break resume
+)sys rm -f SegmentExpansionCategory.output
+)spool SegmentExpansionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SegmentExpansionCategory
+--R SegmentExpansionCategory(S: OrderedRing,L: StreamAggregate t#1)  is a category constructor
+--R Abbreviation for SegmentExpansionCategory is SEGXCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SEGXCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R BY : (%,Integer) -> %                 ?..? : (S,S) -> %
+--R convert : S -> %                      expand : % -> L
+--R expand : List % -> L                  hi : % -> S
+--R high : % -> S                         incr : % -> Integer
+--R lo : % -> S                           low : % -> S
+--R map : ((S -> S),%) -> L               segment : (S,S) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SegmentExpansionCategory.help>>=
+====================================================================
+SegmentExpansionCategory examples
+====================================================================
+
+See Also:
+o )show SegmentExpansionCategory
+
+@
 {\bf See:}
 
 \pagefrom{SegmentCategory}{SEGCAT}
@@ -7590,7 +9611,6 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{SemiGroup}{SGROUP}
 \pagepic{ps/v102semigroup.ps}{SGROUP}{0.75}
-
 A Semigroup is defined as a set $S$ with a binary multiplicative
 operator ``*''. A Semigroup $G(S,*)$ is:
 \begin{itemize}
@@ -7599,6 +9619,42 @@ operator ``*''. A Semigroup $G(S,*)$ is:
 \item associative. $\forall a,b,c \in S, a*(b*c) = (a*b)*c$
 \end{itemize}
 
+<<SemiGroup.input>>=
+)set break resume
+)sys rm -f SemiGroup.output
+)spool SemiGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SemiGroup
+--R SemiGroup  is a category constructor
+--R Abbreviation for SemiGroup is SGROUP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SGROUP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,PositiveInteger) -> %
+--R ?=? : (%,%) -> Boolean                ?^? : (%,PositiveInteger) -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SemiGroup.help>>=
+====================================================================
+SemiGroup examples
+====================================================================
+
+See Also:
+o )show SemiGroup
+
+@
+
 {\bf See:}
 
 \pageto{FunctionSpace}{FS}
@@ -7849,6 +9905,53 @@ digraph pic {
 \pagehead{SExpressionCategory}{SEXCAT}
 \pagepic{ps/v102sexpressioncategory.ps}{SEXCAT}{0.60}
 
+<<SExpressionCategory.input>>=
+)set break resume
+)sys rm -f SExpressionCategory.output
+)spool SExpressionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SExpressionCategory
+--R SExpressionCategory(Str: SetCategory,Sym: SetCategory,Int: SetCategory,Flt: SetCategory,Expr: SetCategory)  is a category constructor
+--R Abbreviation for SExpressionCategory is SEXCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SEXCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R #? : % -> Integer                     ?=? : (%,%) -> Boolean
+--R atom? : % -> Boolean                  car : % -> %
+--R cdr : % -> %                          coerce : % -> OutputForm
+--R convert : Expr -> %                   convert : Flt -> %
+--R convert : Int -> %                    convert : Sym -> %
+--R convert : Str -> %                    convert : List % -> %
+--R destruct : % -> List %                ?.? : (%,List Integer) -> %
+--R ?.? : (%,Integer) -> %                eq : (%,%) -> Boolean
+--R expr : % -> Expr                      float : % -> Flt
+--R float? : % -> Boolean                 hash : % -> SingleInteger
+--R integer : % -> Int                    integer? : % -> Boolean
+--R latex : % -> String                   list? : % -> Boolean
+--R null? : % -> Boolean                  pair? : % -> Boolean
+--R string : % -> Str                     string? : % -> Boolean
+--R symbol : % -> Sym                     symbol? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SExpressionCategory.help>>=
+====================================================================
+SExpressionCategory examples
+====================================================================
+
+See Also:
+o )show SExpressionCategory
+
+@
 {\bf See:}
 
 \pagefrom{SetCategory}{SETCAT}
@@ -8046,6 +10149,41 @@ digraph pic {
 \pagehead{StepThrough}{STEP}
 \pagepic{ps/v102stepthrough.ps}{STEP}{1.00}
 
+<<StepThrough.input>>=
+)set break resume
+)sys rm -f StepThrough.output
+)spool StepThrough.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StepThrough
+--R StepThrough  is a category constructor
+--R Abbreviation for StepThrough is STEP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for STEP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             init : () -> %
+--R latex : % -> String                   ?~=? : (%,%) -> Boolean
+--R nextItem : % -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<StepThrough.help>>=
+====================================================================
+StepThrough examples
+====================================================================
+
+See Also:
+o )show StepThrough
+
+@
 {\bf See:}
 
 \pageto{FiniteFieldCategory}{FFIELDC}
@@ -8155,6 +10293,73 @@ digraph pic {
 \pagehead{ThreeSpaceCategory}{SPACEC}
 \pagepic{ps/v102threespacecategory.ps}{SPACEC}{1.00}
 
+<<ThreeSpaceCategory.input>>=
+)set break resume
+)sys rm -f ThreeSpaceCategory.output
+)spool ThreeSpaceCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ThreeSpaceCategory
+--R ThreeSpaceCategory R: Ring  is a category constructor
+--R Abbreviation for ThreeSpaceCategory is SPACEC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SPACEC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                check : % -> %
+--R closedCurve : % -> List Point R       closedCurve : List Point R -> %
+--R closedCurve? : % -> Boolean           coerce : % -> OutputForm
+--R components : % -> List %              composite : List % -> %
+--R composites : % -> List %              copy : % -> %
+--R create3Space : SubSpace(3,R) -> %     create3Space : () -> %
+--R curve : % -> List Point R             curve : List Point R -> %
+--R curve : (%,List List R) -> %          curve : (%,List Point R) -> %
+--R curve? : % -> Boolean                 hash : % -> SingleInteger
+--R latex : % -> String                   lp : % -> List Point R
+--R merge : (%,%) -> %                    merge : List % -> %
+--R mesh : % -> List List Point R         mesh : List List Point R -> %
+--R mesh? : % -> Boolean                  point : % -> Point R
+--R point : Point R -> %                  point : (%,List R) -> %
+--R point : (%,Point R) -> %              point? : % -> Boolean
+--R polygon : % -> List Point R           polygon : List Point R -> %
+--R polygon : (%,List List R) -> %        polygon : (%,List Point R) -> %
+--R polygon? : % -> Boolean               subspace : % -> SubSpace(3,R)
+--R ?~=? : (%,%) -> Boolean              
+--R closedCurve : (%,List List R) -> %
+--R closedCurve : (%,List Point R) -> %
+--R enterPointData : (%,List Point R) -> NonNegativeInteger
+--R lllip : % -> List List List NonNegativeInteger
+--R lllp : % -> List List List Point R
+--R llprop : % -> List List SubSpaceComponentProperty
+--R lprop : % -> List SubSpaceComponentProperty
+--R mesh : (List List Point R,Boolean,Boolean) -> %
+--R mesh : (%,List List List R,Boolean,Boolean) -> %
+--R mesh : (%,List List Point R,Boolean,Boolean) -> %
+--R mesh : (%,List List List R,List SubSpaceComponentProperty,SubSpaceComponentProperty) -> %
+--R mesh : (%,List List Point R,List SubSpaceComponentProperty,SubSpaceComponentProperty) -> %
+--R modifyPointData : (%,NonNegativeInteger,Point R) -> %
+--R numberOfComponents : % -> NonNegativeInteger
+--R numberOfComposites : % -> NonNegativeInteger
+--R objects : % -> Record(points: NonNegativeInteger,curves: NonNegativeInteger,polygons: NonNegativeInteger,constructs: NonNegativeInteger)
+--R point : (%,NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ThreeSpaceCategory.help>>=
+====================================================================
+ThreeSpaceCategory examples
+====================================================================
+
+See Also:
+o )show ThreeSpaceCategory
+
+@
 {\bf See:}
 
 \pagefrom{SetCategory}{SETCAT}
@@ -8607,6 +10812,43 @@ digraph pic {
 \pagehead{AbelianMonoid}{ABELMON}
 \pagepic{ps/v102abelianmonoid.ps}{ABELMON}{0.75}
 
+<<AbelianMonoid.input>>=
+)set break resume
+)sys rm -f AbelianMonoid.output
+)spool AbelianMonoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AbelianMonoid
+--R AbelianMonoid  is a category constructor
+--R Abbreviation for AbelianMonoid is ABELMON 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ABELMON 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AbelianMonoid.help>>=
+====================================================================
+AbelianMonoid examples
+====================================================================
+
+See Also:
+o )show AbelianMonoid
+
+@
 {\bf See:}
 
 \pageto{CancellationAbelianMonoid}{CABMON}
@@ -8977,6 +11219,63 @@ digraph pic {
 \pagehead{BagAggregate}{BGAGG}
 \pagepic{ps/v102bagaggregate.ps}{BGAGG}{1.00}
 
+<<BagAggregate.input>>=
+)set break resume
+)sys rm -f BagAggregate.output
+)spool BagAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BagAggregate
+--R BagAggregate S: Type  is a category constructor
+--R Abbreviation for BagAggregate is BGAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for BGAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R bag : List S -> %                     copy : % -> %
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                extract! : % -> S
+--R insert! : (S,%) -> %                  inspect : % -> S
+--R map : ((S -> S),%) -> %               sample : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BagAggregate.help>>=
+====================================================================
+BagAggregate examples
+====================================================================
+
+See Also:
+o )show BagAggregate
+
+@
 {\bf See:}
 
 \pageto{DictionaryOperations}{DIOPS}
@@ -9154,6 +11453,45 @@ digraph pic {
 \pagehead{CachableSet}{CACHSET}
 \pagepic{ps/v102cachableset.ps}{CACHSET}{1.00}
 
+<<CachableSet.input>>=
+)set break resume
+)sys rm -f CachableSet.output
+)spool CachableSet.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CachableSet
+--R CachableSet  is a category constructor
+--R Abbreviation for CachableSet is CACHSET 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for CACHSET 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R ?~=? : (%,%) -> Boolean              
+--R position : % -> NonNegativeInteger
+--R setPosition : (%,NonNegativeInteger) -> Void
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<CachableSet.help>>=
+====================================================================
+CachableSet examples
+====================================================================
+
+See Also:
+o )show CachableSet
+
+@
 {\bf See:}
 
 \pagefrom{OrderedSet}{ORDSET}
@@ -9259,6 +11597,71 @@ digraph pic {
 \pagehead{Collection}{CLAGG}
 \pagepic{ps/v102collection.ps}{CLAGG}{1.00}
 
+<<Collection.input>>=
+)set break resume
+)sys rm -f Collection.output
+)spool Collection.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Collection
+--R Collection S: Type  is a category constructor
+--R Abbreviation for Collection is CLAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for CLAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R construct : List S -> %               copy : % -> %
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                map : ((S -> S),%) -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Collection.help>>=
+====================================================================
+Collection examples
+====================================================================
+
+See Also:
+o )show Collection
+
+@
 {\bf See:}
 
 \pageto{DictionaryOperations}{DIOPS}
@@ -9522,6 +11925,49 @@ digraph pic {
 \pagehead{DifferentialVariableCategory}{DVARCAT}
 \pagepic{ps/v102differentialvariablecategory.ps}{DVARCAT}{1.00}
 
+<<DifferentialVariableCategory.input>>=
+)set break resume
+)sys rm -f DifferentialVariableCategory.output
+)spool DifferentialVariableCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DifferentialVariableCategory
+--R DifferentialVariableCategory S: OrderedSet  is a category constructor
+--R Abbreviation for DifferentialVariableCategory is DVARCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for DVARCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : S -> %
+--R coerce : % -> OutputForm              differentiate : % -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R order : % -> NonNegativeInteger       retract : % -> S
+--R variable : % -> S                     weight : % -> NonNegativeInteger
+--R ?~=? : (%,%) -> Boolean              
+--R differentiate : (%,NonNegativeInteger) -> %
+--R makeVariable : (S,NonNegativeInteger) -> %
+--R retractIfCan : % -> Union(S,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DifferentialVariableCategory.help>>=
+====================================================================
+DifferentialVariableCategory examples
+====================================================================
+
+See Also:
+o )show DifferentialVariableCategory
+
+@
 {\bf See:}
 
 \pagefrom{OrderedSet}{ORDSET}
@@ -9759,6 +12205,79 @@ digraph pic {
 \pagehead{ExpressionSpace}{ES}
 \pagepic{ps/v102expressionspace.ps}{ES}{0.35}
 
+<<ExpressionSpace.input>>=
+)set break resume
+)sys rm -f ExpressionSpace.output
+)spool ExpressionSpace.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExpressionSpace
+--R ExpressionSpace  is a category constructor
+--R Abbreviation for ExpressionSpace is ES 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ES 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               belong? : BasicOperator -> Boolean
+--R box : List % -> %                     box : % -> %
+--R coerce : Kernel % -> %                coerce : % -> OutputForm
+--R distribute : (%,%) -> %               distribute : % -> %
+--R elt : (BasicOperator,%,%) -> %        elt : (BasicOperator,%) -> %
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R eval : (%,Kernel %,%) -> %            freeOf? : (%,Symbol) -> Boolean
+--R freeOf? : (%,%) -> Boolean            hash : % -> SingleInteger
+--R height : % -> NonNegativeInteger      is? : (%,Symbol) -> Boolean
+--R kernel : (BasicOperator,%) -> %       kernels : % -> List Kernel %
+--R latex : % -> String                   map : ((% -> %),Kernel %) -> %
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R paren : List % -> %                   paren : % -> %
+--R retract : % -> Kernel %               subst : (%,Equation %) -> %
+--R tower : % -> List Kernel %            ?~=? : (%,%) -> Boolean
+--R definingPolynomial : % -> % if $ has RING
+--R elt : (BasicOperator,List %) -> %
+--R elt : (BasicOperator,%,%,%,%) -> %
+--R elt : (BasicOperator,%,%,%) -> %
+--R eval : (%,BasicOperator,(% -> %)) -> %
+--R eval : (%,BasicOperator,(List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (% -> %)) -> %
+--R eval : (%,Symbol,(% -> %)) -> %
+--R eval : (%,Symbol,(List % -> %)) -> %
+--R eval : (%,List Symbol,List (List % -> %)) -> %
+--R eval : (%,List Symbol,List (% -> %)) -> %
+--R eval : (%,List Kernel %,List %) -> %
+--R even? : % -> Boolean if $ has RETRACT INT
+--R is? : (%,BasicOperator) -> Boolean
+--R kernel : (BasicOperator,List %) -> %
+--R mainKernel : % -> Union(Kernel %,"failed")
+--R minPoly : Kernel % -> SparseUnivariatePolynomial % if $ has RING
+--R odd? : % -> Boolean if $ has RETRACT INT
+--R operator : BasicOperator -> BasicOperator
+--R operators : % -> List BasicOperator
+--R retractIfCan : % -> Union(Kernel %,"failed")
+--R subst : (%,List Kernel %,List %) -> %
+--R subst : (%,List Equation %) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ExpressionSpace.help>>=
+====================================================================
+ExpressionSpace examples
+====================================================================
+
+See Also:
+o )show ExpressionSpace
+
+@
 {\bf See:}
 
 \pageto{FunctionSpace}{FS}
@@ -10288,6 +12807,46 @@ digraph pic {
 \pagehead{GradedAlgebra}{GRALG}
 \pagepic{ps/v102gradedalgebra.ps}{GRALG}{0.75}
 
+<<GradedAlgebra.input>>=
+)set break resume
+)sys rm -f GradedAlgebra.output
+)spool GradedAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GradedAlgebra
+--R GradedAlgebra(R: CommutativeRing,E: AbelianMonoid)  is a category constructor
+--R Abbreviation for GradedAlgebra is GRALG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for GRALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R coerce : R -> %                       coerce : % -> OutputForm
+--R degree : % -> E                       hash : % -> SingleInteger
+--R latex : % -> String                   product : (%,%) -> %
+--R retract : % -> R                      ?~=? : (%,%) -> Boolean
+--R retractIfCan : % -> Union(R,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<GradedAlgebra.help>>=
+====================================================================
+GradedAlgebra examples
+====================================================================
+
+See Also:
+o )show GradedAlgebra
+
+@
 {\bf See:}
 
 \pagefrom{GradedModule}{GRMOD}
@@ -10445,6 +13004,72 @@ digraph pic {
 \pagehead{IndexedAggregate}{IXAGG}
 \pagepic{ps/v102indexedaggregate.ps}{IXAGG}{0.90}
 
+<<IndexedAggregate.input>>=
+)set break resume
+)sys rm -f IndexedAggregate.output
+)spool IndexedAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedAggregate
+--R IndexedAggregate(Index: SetCategory,Entry: Type)  is a category constructor
+--R Abbreviation for IndexedAggregate is IXAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for IXAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R copy : % -> %                         ?.? : (%,Index) -> Entry
+--R elt : (%,Index,Entry) -> Entry        empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List Entry
+--R eq? : (%,%) -> Boolean                index? : (Index,%) -> Boolean
+--R indices : % -> List Index             map : ((Entry -> Entry),%) -> %
+--R qelt : (%,Index) -> Entry             sample : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if Entry has SETCAT
+--R any? : ((Entry -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if Entry has SETCAT
+--R count : (Entry,%) -> NonNegativeInteger if Entry has SETCAT and $ has finiteAggregate
+--R count : ((Entry -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R entry? : (Entry,%) -> Boolean if $ has finiteAggregate and Entry has SETCAT
+--R eval : (%,List Entry,List Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,Entry,Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,Equation Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,List Equation Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R every? : ((Entry -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,Entry) -> % if $ has shallowlyMutable
+--R first : % -> Entry if Index has ORDSET
+--R hash : % -> SingleInteger if Entry has SETCAT
+--R latex : % -> String if Entry has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((Entry -> Entry),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Index if Index has ORDSET
+--R member? : (Entry,%) -> Boolean if Entry has SETCAT and $ has finiteAggregate
+--R members : % -> List Entry if $ has finiteAggregate
+--R minIndex : % -> Index if Index has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List Entry if $ has finiteAggregate
+--R qsetelt! : (%,Index,Entry) -> Entry if $ has shallowlyMutable
+--R setelt : (%,Index,Entry) -> Entry if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R swap! : (%,Index,Index) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if Entry has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedAggregate.help>>=
+====================================================================
+IndexedAggregate examples
+====================================================================
+
+See Also:
+o )show IndexedAggregate
+
+@
 {\bf See:}
 
 \pageto{DirectProductCategory}{DIRPCAT}
@@ -10727,6 +13352,49 @@ digraph pic {
 \pagehead{MonadWithUnit}{MONADWU}
 \pagepic{ps/v102monadwithunit.ps}{MONADWU}{0.75}
 
+<<MonadWithUnit.input>>=
+)set break resume
+)sys rm -f MonadWithUnit.output
+)spool MonadWithUnit.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MonadWithUnit
+--R MonadWithUnit  is a category constructor
+--R Abbreviation for MonadWithUnit is MONADWU 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for MONADWU 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,PositiveInteger) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R leftPower : (%,NonNegativeInteger) -> %
+--R leftPower : (%,PositiveInteger) -> %
+--R leftRecip : % -> Union(%,"failed")
+--R rightPower : (%,NonNegativeInteger) -> %
+--R rightPower : (%,PositiveInteger) -> %
+--R rightRecip : % -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MonadWithUnit.help>>=
+====================================================================
+MonadWithUnit examples
+====================================================================
+
+See Also:
+o )show MonadWithUnit
+
+@
 {\bf See:}
 
 \pageto{NonAssociativeRing}{NASRING}
@@ -10907,6 +13575,45 @@ digraph pic {
 \pagehead{Monoid}{MONOID}
 \pagepic{ps/v102monoid.ps}{MONOID}{0.75}
 
+<<Monoid.input>>=
+)set break resume
+)sys rm -f Monoid.output
+)spool Monoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Monoid
+--R Monoid  is a category constructor
+--R Abbreviation for Monoid is MONOID 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for MONOID 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,PositiveInteger) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Monoid.help>>=
+====================================================================
+Monoid examples
+====================================================================
+
+See Also:
+o )show Monoid
+
+@
 {\bf See:}
 
 \pageto{FunctionSpace}{FS}
@@ -11065,6 +13772,45 @@ digraph pic {
 \pagehead{OrderedFinite}{ORDFIN}
 \pagepic{ps/v102orderedfinite.ps}{ORDFIN}{1.00}
 
+<<OrderedFinite.input>>=
+)set break resume
+)sys rm -f OrderedFinite.output
+)spool OrderedFinite.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedFinite
+--R OrderedFinite  is a category constructor
+--R Abbreviation for OrderedFinite is ORDFIN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ORDFIN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : % -> OutputForm
+--R hash : % -> SingleInteger             index : PositiveInteger -> %
+--R latex : % -> String                   lookup : % -> PositiveInteger
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R random : () -> %                      size : () -> NonNegativeInteger
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedFinite.help>>=
+====================================================================
+OrderedFinite examples
+====================================================================
+
+See Also:
+o )show OrderedFinite
+
+@
 {\bf See:}
 
 \pagefrom{Finite}{FINITE}
@@ -11648,6 +14394,70 @@ digraph pic {
 \pagehead{RecursiveAggregate}{RCAGG}
 \pagepic{ps/v102recursiveaggregate.ps}{RCAGG}{1.00}
 
+<<RecursiveAggregate.input>>=
+)set break resume
+)sys rm -f RecursiveAggregate.output
+)spool RecursiveAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RecursiveAggregate
+--R RecursiveAggregate S: Type  is a category constructor
+--R Abbreviation for RecursiveAggregate is RCAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RCAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                copy : % -> %
+--R cyclic? : % -> Boolean                distance : (%,%) -> Integer
+--R ?.value : (%,value) -> S              empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R leaf? : % -> Boolean                  leaves : % -> List S
+--R map : ((S -> S),%) -> %               nodes : % -> List %
+--R sample : () -> %                      value : % -> S
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RecursiveAggregate.help>>=
+====================================================================
+RecursiveAggregate examples
+====================================================================
+
+See Also:
+o )show RecursiveAggregate
+
+@
 {\bf See:}
 
 \pageto{BinaryRecursiveAggregate}{BRAGG}
@@ -11881,6 +14691,73 @@ be obtained by calling the function 'minColIndex'.  The index of
 the first element of a 'Row' is the same as the index of the
 first column in an array and vice versa.
 
+<<TwoDimensionalArrayCategory.input>>=
+)set break resume
+)sys rm -f TwoDimensionalArrayCategory.output
+)spool TwoDimensionalArrayCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TwoDimensionalArrayCategory
+--R TwoDimensionalArrayCategory(R: Type,Row: FiniteLinearAggregate t#1,Col: FiniteLinearAggregate t#1)  is a category constructor
+--R Abbreviation for TwoDimensionalArrayCategory is ARR2CAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ARR2CAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R column : (%,Integer) -> Col           copy : % -> %
+--R elt : (%,Integer,Integer,R) -> R      elt : (%,Integer,Integer) -> R
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                fill! : (%,R) -> %
+--R map : (((R,R) -> R),%,%,R) -> %       map : (((R,R) -> R),%,%) -> %
+--R map : ((R -> R),%) -> %               map! : ((R -> R),%) -> %
+--R maxColIndex : % -> Integer            maxRowIndex : % -> Integer
+--R minColIndex : % -> Integer            minRowIndex : % -> Integer
+--R ncols : % -> NonNegativeInteger       nrows : % -> NonNegativeInteger
+--R parts : % -> List R                   qelt : (%,Integer,Integer) -> R
+--R row : (%,Integer) -> Row              sample : () -> %
+--R setRow! : (%,Integer,Row) -> %       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if R has SETCAT
+--R count : (R,%) -> NonNegativeInteger if R has SETCAT and $ has finiteAggregate
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if R has SETCAT
+--R latex : % -> String if R has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R member? : (R,%) -> Boolean if R has SETCAT and $ has finiteAggregate
+--R members : % -> List R if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,NonNegativeInteger,R) -> %
+--R qsetelt! : (%,Integer,Integer,R) -> R
+--R setColumn! : (%,Integer,Col) -> %
+--R setelt : (%,Integer,Integer,R) -> R
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<TwoDimensionalArrayCategory.help>>=
+====================================================================
+TwoDimensionalArrayCategory examples
+====================================================================
+
+See Also:
+o )show TwoDimensionalArrayCategory
+
+@
+
 {\bf See:}
 
 \pageto{MatrixCategory}{MATCAT}
@@ -12424,6 +15301,76 @@ digraph pic {
 \pagehead{BinaryRecursiveAggregate}{BRAGG}
 \pagepic{ps/v102binaryrecursiveaggregate.ps}{BRAGG}{1.00}
 
+<<BinaryRecursiveAggregate.input>>=
+)set break resume
+)sys rm -f BinaryRecursiveAggregate.output
+)spool BinaryRecursiveAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BinaryRecursiveAggregate
+--R BinaryRecursiveAggregate S: Type  is a category constructor
+--R Abbreviation for BinaryRecursiveAggregate is BRAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for BRAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                copy : % -> %
+--R cyclic? : % -> Boolean                distance : (%,%) -> Integer
+--R ?.right : (%,right) -> %              ?.left : (%,left) -> %
+--R ?.value : (%,value) -> S              empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R leaf? : % -> Boolean                  leaves : % -> List S
+--R left : % -> %                         map : ((S -> S),%) -> %
+--R nodes : % -> List %                   right : % -> %
+--R sample : () -> %                      value : % -> S
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,right,%) -> % if $ has shallowlyMutable
+--R setelt : (%,left,%) -> % if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setleft! : (%,%) -> % if $ has shallowlyMutable
+--R setright! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BinaryRecursiveAggregate.help>>=
+====================================================================
+BinaryRecursiveAggregate examples
+====================================================================
+
+See Also:
+o )show BinaryRecursiveAggregate
+
+@
 {\bf See:}
 
 \pageto{BinaryTreeCategory}{BTCAT}
@@ -12719,6 +15666,44 @@ digraph pic {
 \pagehead{CancellationAbelianMonoid}{CABMON}
 \pagepic{ps/v102cancellationabelianmonoid.ps}{CABMON}{0.75}
 
+<<CancellationAbelianMonoid.input>>=
+)set break resume
+)sys rm -f CancellationAbelianMonoid.output
+)spool CancellationAbelianMonoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CancellationAbelianMonoid
+--R CancellationAbelianMonoid  is a category constructor
+--R Abbreviation for CancellationAbelianMonoid is CABMON 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for CABMON 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<CancellationAbelianMonoid.help>>=
+====================================================================
+CancellationAbelianMonoid examples
+====================================================================
+
+See Also:
+o )show CancellationAbelianMonoid
+
+@
 {\bf See:}
 
 \pageto{AbelianGroup}{ABELGRP}
@@ -12844,6 +15829,77 @@ digraph pic {
 \pagehead{DictionaryOperations}{DIOPS}
 \pagepic{ps/v102dictionaryoperations.ps}{DIOPS}{1.00}
 
+<<DictionaryOperations.input>>=
+)set break resume
+)sys rm -f DictionaryOperations.output
+)spool DictionaryOperations.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DictionaryOperations
+--R DictionaryOperations S: SetCategory  is a category constructor
+--R Abbreviation for DictionaryOperations is DIOPS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for DIOPS 
+--R
+--R------------------------------- Operations --------------------------------
+--R bag : List S -> %                     construct : List S -> %
+--R copy : % -> %                         dictionary : List S -> %
+--R dictionary : () -> %                  empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R extract! : % -> S                     insert! : (S,%) -> %
+--R inspect : % -> S                      map : ((S -> S),%) -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R remove! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (S,%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DictionaryOperations.help>>=
+====================================================================
+DictionaryOperations examples
+====================================================================
+
+See Also:
+o )show DictionaryOperations
+
+@
 {\bf See:}
 
 \pageto{Dictionary}{DIAGG}
@@ -13082,6 +16138,76 @@ digraph pic {
 \pagehead{DoublyLinkedAggregate}{DLAGG}
 \pagepic{ps/v102doublylinkedaggregate.ps}{DLAGG}{1.00}
 
+<<DoublyLinkedAggregate.input>>=
+)set break resume
+)sys rm -f DoublyLinkedAggregate.output
+)spool DoublyLinkedAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DoublyLinkedAggregate
+--R DoublyLinkedAggregate S: Type  is a category constructor
+--R Abbreviation for DoublyLinkedAggregate is DLAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for DLAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                copy : % -> %
+--R cyclic? : % -> Boolean                distance : (%,%) -> Integer
+--R ?.value : (%,value) -> S              empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R head : % -> %                         last : % -> S
+--R leaf? : % -> Boolean                  leaves : % -> List S
+--R map : ((S -> S),%) -> %               next : % -> %
+--R nodes : % -> List %                   previous : % -> %
+--R sample : () -> %                      tail : % -> %
+--R value : % -> S                       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R concat! : (%,%) -> % if $ has shallowlyMutable
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setnext! : (%,%) -> % if $ has shallowlyMutable
+--R setprevious! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DoublyLinkedAggregate.help>>=
+====================================================================
+DoublyLinkedAggregate examples
+====================================================================
+
+See Also:
+o )show DoublyLinkedAggregate
+
+@
 {\bf See:}
 
 \pagefrom{RecursiveAggregate}{RCAGG}
@@ -13301,6 +16427,48 @@ digraph pic {
 \pagehead{Group}{GROUP}
 \pagepic{ps/v102group.ps}{GROUP}{0.65}
 
+<<Group.input>>=
+)set break resume
+)sys rm -f Group.output
+)spool Group.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Group
+--R Group  is a category constructor
+--R Abbreviation for Group is GROUP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for GROUP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R coerce : % -> OutputForm              commutator : (%,%) -> %
+--R conjugate : (%,%) -> %                hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Group.help>>=
+====================================================================
+Group examples
+====================================================================
+
+See Also:
+o )show Group
+
+@
 {\bf See:}
 
 \pageto{FunctionSpace}{FS}
@@ -13479,6 +16647,89 @@ digraph pic {
 \pagehead{LinearAggregate}{LNAGG}
 \pagepic{ps/v102linearaggregate.ps}{LNAGG}{0.90}
 
+<<LinearAggregate.input>>=
+)set break resume
+)sys rm -f LinearAggregate.output
+)spool LinearAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinearAggregate
+--R LinearAggregate S: Type  is a category constructor
+--R Abbreviation for LinearAggregate is LNAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for LNAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R concat : List % -> %                  concat : (%,%) -> %
+--R concat : (S,%) -> %                   concat : (%,S) -> %
+--R construct : List S -> %               copy : % -> %
+--R delete : (%,Integer) -> %             ?.? : (%,Integer) -> S
+--R elt : (%,Integer,S) -> S              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List S
+--R eq? : (%,%) -> Boolean                index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (%,%,Integer) -> %
+--R insert : (S,%,Integer) -> %           map : (((S,S) -> S),%,%) -> %
+--R map : ((S -> S),%) -> %               new : (NonNegativeInteger,S) -> %
+--R qelt : (%,Integer) -> S               sample : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : % -> S if Integer has ORDSET
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LinearAggregate.help>>=
+====================================================================
+LinearAggregate examples
+====================================================================
+
+See Also:
+o )show LinearAggregate
+
+@
 {\bf See:}
 
 \pageto{ExtensibleLinearAggregate}{ELAGG}
@@ -13784,6 +17035,7 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{MatrixCategory}{MATCAT}
 \pagepic{ps/v102matrixcategory.ps}{MATCAT}{0.60}
+
 <<MatrixCategory.input>>=
 )set break resume
 )sys rm -f MatrixCategory.output
@@ -15996,6 +19248,46 @@ digraph pic {
 \pagehead{OrderedAbelianSemiGroup}{OASGP}
 \pagepic{ps/v102orderedabeliansemigroup.ps}{OASGP}{0.75}
 
+<<OrderedAbelianSemiGroup.input>>=
+)set break resume
+)sys rm -f OrderedAbelianSemiGroup.output
+)spool OrderedAbelianSemiGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedAbelianSemiGroup
+--R OrderedAbelianSemiGroup  is a category constructor
+--R Abbreviation for OrderedAbelianSemiGroup is OASGP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OASGP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   max : (%,%) -> %
+--R min : (%,%) -> %                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedAbelianSemiGroup.help>>=
+====================================================================
+OrderedAbelianSemiGroup examples
+====================================================================
+
+See Also:
+o )show OrderedAbelianSemiGroup
+
+@
 {\bf See:}
 
 \pageto{OrderedAbelianMonoid}{OAMON}
@@ -16133,6 +19425,48 @@ digraph pic {
 \pagehead{OrderedMonoid}{ORDMON}
 \pagepic{ps/v102orderedmonoid.ps}{ORDMON}{0.75}
 
+<<OrderedMonoid.input>>=
+)set break resume
+)sys rm -f OrderedMonoid.output
+)spool OrderedMonoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedMonoid
+--R OrderedMonoid  is a category constructor
+--R Abbreviation for OrderedMonoid is ORDMON 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ORDMON 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,PositiveInteger) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               1 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedMonoid.help>>=
+====================================================================
+OrderedMonoid examples
+====================================================================
+
+See Also:
+o )show OrderedMonoid
+
+@
 {\bf See:}
 
 \pagefrom{Monoid}{MONOID}
@@ -16277,6 +19611,85 @@ digraph pic {
 \pagehead{PolynomialSetCategory}{PSETCAT}
 \pagepic{ps/v102polynomialsetcategory.ps}{PSETCAT}{0.30}
 
+<<PolynomialSetCategory.input>>=
+)set break resume
+)sys rm -f PolynomialSetCategory.output
+)spool PolynomialSetCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialSetCategory
+--R PolynomialSetCategory(R: Ring,E: OrderedAbelianMonoidSup,VarSet: OrderedSet,P: RecursivePolynomialCategory(t#1,t#2,t#3))  is a category constructor
+--R Abbreviation for PolynomialSetCategory is PSETCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PSETCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> List P
+--R coerce : % -> OutputForm              collect : (%,VarSet) -> %
+--R collectUnder : (%,VarSet) -> %        collectUpper : (%,VarSet) -> %
+--R construct : List P -> %               copy : % -> %
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                hash : % -> SingleInteger
+--R latex : % -> String                   mainVariables : % -> List VarSet
+--R map : ((P -> P),%) -> %               mvar : % -> VarSet
+--R retract : List P -> %                 sample : () -> %
+--R trivialIdeal? : % -> Boolean          variables : % -> List VarSet
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R any? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R convert : % -> InputForm if P has KONVERT INFORM
+--R count : ((P -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (P,%) -> NonNegativeInteger if P has SETCAT and $ has finiteAggregate
+--R eval : (%,List Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,P,P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,List P,List P) -> % if P has EVALAB P and P has SETCAT
+--R every? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((P -> Boolean),%) -> Union(P,"failed")
+--R headRemainder : (P,%) -> Record(num: P,den: R) if R has INTDOM
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R mainVariable? : (VarSet,%) -> Boolean
+--R map! : ((P -> P),%) -> % if $ has shallowlyMutable
+--R member? : (P,%) -> Boolean if P has SETCAT and $ has finiteAggregate
+--R members : % -> List P if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P,P) -> P if P has SETCAT and $ has finiteAggregate
+--R remainder : (P,%) -> Record(rnum: R,polnum: P,den: R) if R has INTDOM
+--R remove : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (P,%) -> % if P has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if P has SETCAT and $ has finiteAggregate
+--R retractIfCan : List P -> Union(%,"failed")
+--R rewriteIdealWithHeadRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteIdealWithRemainder : (List P,%) -> List P if R has INTDOM
+--R roughBase? : % -> Boolean if R has INTDOM
+--R roughEqualIdeals? : (%,%) -> Boolean if R has INTDOM
+--R roughSubIdeal? : (%,%) -> Boolean if R has INTDOM
+--R roughUnitIdeal? : % -> Boolean if R has INTDOM
+--R select : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (%,VarSet) -> Record(under: %,floor: %,upper: %)
+--R triangular? : % -> Boolean if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PolynomialSetCategory.help>>=
+====================================================================
+PolynomialSetCategory examples
+====================================================================
+
+See Also:
+o )show PolynomialSetCategory
+
+@
 {\bf See:}
 
 \pageto{TriangularSetCategory}{TSETCAT}
@@ -16881,6 +20294,65 @@ digraph pic {
 \pagehead{PriorityQueueAggregate}{PRQAGG}
 \pagepic{ps/v102priorityqueueaggregate.ps}{PRQAGG}{1.00}
 
+<<PriorityQueueAggregate.input>>=
+)set break resume
+)sys rm -f PriorityQueueAggregate.output
+)spool PriorityQueueAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PriorityQueueAggregate
+--R PriorityQueueAggregate S: OrderedSet  is a category constructor
+--R Abbreviation for PriorityQueueAggregate is PRQAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PRQAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R bag : List S -> %                     copy : % -> %
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                extract! : % -> S
+--R insert! : (S,%) -> %                  inspect : % -> S
+--R map : ((S -> S),%) -> %               max : % -> S
+--R merge : (%,%) -> %                    merge! : (%,%) -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PriorityQueueAggregate.help>>=
+====================================================================
+PriorityQueueAggregate examples
+====================================================================
+
+See Also:
+o )show PriorityQueueAggregate
+
+@
 {\bf See:}
 
 \pageto{OrderedMultisetAggregate}{OMSAGG}
@@ -17058,6 +20530,66 @@ digraph pic {
 \pagehead{QueueAggregate}{QUAGG}
 \pagepic{ps/v102queueaggregate.ps}{QUAGG}{1.00}
 
+<<QueueAggregate.input>>=
+)set break resume
+)sys rm -f QueueAggregate.output
+)spool QueueAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show QueueAggregate
+--R QueueAggregate S: Type  is a category constructor
+--R Abbreviation for QueueAggregate is QUAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for QUAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R back : % -> S                         bag : List S -> %
+--R copy : % -> %                         dequeue! : % -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R enqueue! : (S,%) -> S                 eq? : (%,%) -> Boolean
+--R extract! : % -> S                     front : % -> S
+--R insert! : (S,%) -> %                  inspect : % -> S
+--R length : % -> NonNegativeInteger      map : ((S -> S),%) -> %
+--R rotate! : % -> %                      sample : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<QueueAggregate.help>>=
+====================================================================
+QueueAggregate examples
+====================================================================
+
+See Also:
+o )show QueueAggregate
+
+@
 {\bf See:}
 
 \pageto{DequeueAggregate}{DQAGG}
@@ -17248,6 +20780,75 @@ digraph pic {
 \pagehead{SetAggregate}{SETAGG}
 \pagepic{ps/v102setaggregate.ps}{SETAGG}{0.90}
 
+<<SetAggregate.input>>=
+)set break resume
+)sys rm -f SetAggregate.output
+)spool SetAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SetAggregate
+--R SetAggregate S: SetCategory  is a category constructor
+--R Abbreviation for SetAggregate is SETAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SETAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?=? : (%,%) -> Boolean
+--R brace : List S -> %                   brace : () -> %
+--R coerce : % -> OutputForm              construct : List S -> %
+--R copy : % -> %                         difference : (%,S) -> %
+--R difference : (%,%) -> %               empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             intersect : (%,%) -> %
+--R latex : % -> String                   map : ((S -> S),%) -> %
+--R sample : () -> %                      set : List S -> %
+--R set : () -> %                         subset? : (%,%) -> Boolean
+--R union : (S,%) -> %                    union : (%,S) -> %
+--R union : (%,%) -> %                    ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R symmetricDifference : (%,%) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SetAggregate.help>>=
+====================================================================
+SetAggregate examples
+====================================================================
+
+See Also:
+o )show SetAggregate
+
+@
 {\bf See:}
 
 \pageto{FiniteSetAggregate}{FSAGG}
@@ -17538,6 +21139,65 @@ digraph pic {
 \pagehead{StackAggregate}{SKAGG}
 \pagepic{ps/v102stackaggregate.ps}{SKAGG}{1.00}
 
+<<StackAggregate.input>>=
+)set break resume
+)sys rm -f StackAggregate.output
+)spool StackAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StackAggregate
+--R StackAggregate S: Type  is a category constructor
+--R Abbreviation for StackAggregate is SKAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SKAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R bag : List S -> %                     copy : % -> %
+--R depth : % -> NonNegativeInteger       empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R extract! : % -> S                     insert! : (S,%) -> %
+--R inspect : % -> S                      map : ((S -> S),%) -> %
+--R pop! : % -> S                         push! : (S,%) -> S
+--R sample : () -> %                      top : % -> S
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<StackAggregate.help>>=
+====================================================================
+StackAggregate examples
+====================================================================
+
+See Also:
+o )show StackAggregate
+
+@
 {\bf See:}
 
 \pageto{DequeueAggregate}{DQAGG}
@@ -17731,6 +21391,91 @@ digraph pic {
 \pagehead{UnaryRecursiveAggregate}{URAGG}
 \pagepic{ps/v102unaryrecursiveaggregate.ps}{URAGG}{1.00}
 
+<<UnaryRecursiveAggregate.input>>=
+)set break resume
+)sys rm -f UnaryRecursiveAggregate.output
+)spool UnaryRecursiveAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnaryRecursiveAggregate
+--R UnaryRecursiveAggregate S: Type  is a category constructor
+--R Abbreviation for UnaryRecursiveAggregate is URAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for URAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                concat : (S,%) -> %
+--R concat : (%,%) -> %                   copy : % -> %
+--R cycleEntry : % -> %                   cycleTail : % -> %
+--R cyclic? : % -> Boolean                distance : (%,%) -> Integer
+--R ?.last : (%,last) -> S                ?.rest : (%,rest) -> %
+--R ?.first : (%,first) -> S              ?.value : (%,value) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                first : % -> S
+--R last : % -> S                         leaf? : % -> Boolean
+--R leaves : % -> List S                  map : ((S -> S),%) -> %
+--R nodes : % -> List %                   rest : % -> %
+--R sample : () -> %                      second : % -> S
+--R tail : % -> %                         third : % -> S
+--R value : % -> S                       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R concat! : (%,S) -> % if $ has shallowlyMutable
+--R concat! : (%,%) -> % if $ has shallowlyMutable
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R cycleLength : % -> NonNegativeInteger
+--R cycleSplit! : % -> % if $ has shallowlyMutable
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R first : (%,NonNegativeInteger) -> %
+--R hash : % -> SingleInteger if S has SETCAT
+--R last : (%,NonNegativeInteger) -> %
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R rest : (%,NonNegativeInteger) -> %
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,last,S) -> S if $ has shallowlyMutable
+--R setelt : (%,rest,%) -> % if $ has shallowlyMutable
+--R setelt : (%,first,S) -> S if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setfirst! : (%,S) -> S if $ has shallowlyMutable
+--R setlast! : (%,S) -> S if $ has shallowlyMutable
+--R setrest! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R split! : (%,Integer) -> % if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnaryRecursiveAggregate.help>>=
+====================================================================
+UnaryRecursiveAggregate examples
+====================================================================
+
+See Also:
+o )show UnaryRecursiveAggregate
+
+@
 {\bf See:}
 
 \pageto{StreamAggregate}{STAGG}
@@ -18204,6 +21949,46 @@ digraph pic {
 \pagehead{AbelianGroup}{ABELGRP}
 \pagepic{ps/v102abeliangroup.ps}{ABELGRP}{0.75}
 
+<<AbelianGroup.input>>=
+)set break resume
+)sys rm -f AbelianGroup.output
+)spool AbelianGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AbelianGroup
+--R AbelianGroup  is a category constructor
+--R Abbreviation for AbelianGroup is ABELGRP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ABELGRP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AbelianGroup.help>>=
+====================================================================
+AbelianGroup examples
+====================================================================
+
+See Also:
+o )show AbelianGroup
+
+@
 {\bf See:}
 
 \pageto{FiniteDivisorCategory}{FDIVCAT}
@@ -18353,6 +22138,77 @@ digraph pic {
 \pagehead{BinaryTreeCategory}{BTCAT}
 \pagepic{ps/v102binarytreecategory.ps}{BTCAT}{1.00}
 
+<<BinaryTreeCategory.input>>=
+)set break resume
+)sys rm -f BinaryTreeCategory.output
+)spool BinaryTreeCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BinaryTreeCategory
+--R BinaryTreeCategory S: SetCategory  is a category constructor
+--R Abbreviation for BinaryTreeCategory is BTCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for BTCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                copy : % -> %
+--R cyclic? : % -> Boolean                distance : (%,%) -> Integer
+--R ?.right : (%,right) -> %              ?.left : (%,left) -> %
+--R ?.value : (%,value) -> S              empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R leaf? : % -> Boolean                  leaves : % -> List S
+--R left : % -> %                         map : ((S -> S),%) -> %
+--R node : (%,S,%) -> %                   nodes : % -> List %
+--R right : % -> %                        sample : () -> %
+--R value : % -> S                       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,right,%) -> % if $ has shallowlyMutable
+--R setelt : (%,left,%) -> % if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setleft! : (%,%) -> % if $ has shallowlyMutable
+--R setright! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BinaryTreeCategory.help>>=
+====================================================================
+BinaryTreeCategory examples
+====================================================================
+
+See Also:
+o )show BinaryTreeCategory
+
+@
 {\bf See:}
 
 \pagefrom{BinaryRecursiveAggregate}{BRAGG}
@@ -18582,6 +22438,77 @@ digraph pic {
 \pagehead{Dictionary}{DIAGG}
 \pagepic{ps/v102dictionary.ps}{DIAGG}{1.00}
 
+<<Dictionary.input>>=
+)set break resume
+)sys rm -f Dictionary.output
+)spool Dictionary.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Dictionary
+--R Dictionary S: SetCategory  is a category constructor
+--R Abbreviation for Dictionary is DIAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for DIAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R bag : List S -> %                     construct : List S -> %
+--R copy : % -> %                         dictionary : List S -> %
+--R dictionary : () -> %                  empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R extract! : % -> S                     insert! : (S,%) -> %
+--R inspect : % -> S                      map : ((S -> S),%) -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R remove! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (S,%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Dictionary.help>>=
+====================================================================
+Dictionary examples
+====================================================================
+
+See Also:
+o )show Dictionary
+
+@
 {\bf See:}
 
 \pageto{FiniteSetAggregate}{FSAGG}
@@ -18812,6 +22739,73 @@ digraph pic {
 \pagehead{DequeueAggregate}{DQAGG}
 \pagepic{ps/v102dequeueaggregate.ps}{DQAGG}{1.00}
 
+<<DequeueAggregate.input>>=
+)set break resume
+)sys rm -f DequeueAggregate.output
+)spool DequeueAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DequeueAggregate
+--R DequeueAggregate S: Type  is a category constructor
+--R Abbreviation for DequeueAggregate is DQAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for DQAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R back : % -> S                         bag : List S -> %
+--R bottom! : % -> S                      copy : % -> %
+--R depth : % -> NonNegativeInteger       dequeue : List S -> %
+--R dequeue : () -> %                     dequeue! : % -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R enqueue! : (S,%) -> S                 eq? : (%,%) -> Boolean
+--R extract! : % -> S                     extractBottom! : % -> S
+--R extractTop! : % -> S                  front : % -> S
+--R height : % -> NonNegativeInteger      insert! : (S,%) -> %
+--R insertBottom! : (S,%) -> S            insertTop! : (S,%) -> S
+--R inspect : % -> S                      length : % -> NonNegativeInteger
+--R map : ((S -> S),%) -> %               pop! : % -> S
+--R push! : (S,%) -> S                    reverse! : % -> %
+--R rotate! : % -> %                      sample : () -> %
+--R top : % -> S                          top! : % -> S
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DequeueAggregate.help>>=
+====================================================================
+DequeueAggregate examples
+====================================================================
+
+See Also:
+o )show DequeueAggregate
+
+@
 {\bf See:}
 
 \pagefrom{QueueAggregate}{QUAGG}
@@ -19048,6 +23042,99 @@ digraph pic {
 \pagehead{ExtensibleLinearAggregate}{ELAGG}
 \pagepic{ps/v102extensiblelinearaggregate.ps}{ELAGG}{0.90}
 
+<<ExtensibleLinearAggregate.input>>=
+)set break resume
+)sys rm -f ExtensibleLinearAggregate.output
+)spool ExtensibleLinearAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExtensibleLinearAggregate
+--R ExtensibleLinearAggregate S: Type  is a category constructor
+--R Abbreviation for ExtensibleLinearAggregate is ELAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ELAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R concat : List % -> %                  concat : (%,%) -> %
+--R concat : (S,%) -> %                   concat : (%,S) -> %
+--R concat! : (%,%) -> %                  concat! : (%,S) -> %
+--R construct : List S -> %               copy : % -> %
+--R delete : (%,Integer) -> %             delete! : (%,Integer) -> %
+--R ?.? : (%,Integer) -> S                elt : (%,Integer,S) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List S                 eq? : (%,%) -> Boolean
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R insert : (%,%,Integer) -> %           insert : (S,%,Integer) -> %
+--R insert! : (%,%,Integer) -> %          insert! : (S,%,Integer) -> %
+--R map : (((S,S) -> S),%,%) -> %         map : ((S -> S),%) -> %
+--R new : (NonNegativeInteger,S) -> %     qelt : (%,Integer) -> S
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R delete! : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : % -> S if Integer has ORDSET
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R merge! : (%,%) -> % if S has ORDSET
+--R merge! : (((S,S) -> Boolean),%,%) -> %
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R remove! : (S,%) -> % if S has SETCAT
+--R remove! : ((S -> Boolean),%) -> %
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R removeDuplicates! : % -> % if S has SETCAT
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> %
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ExtensibleLinearAggregate.help>>=
+====================================================================
+ExtensibleLinearAggregate examples
+====================================================================
+
+See Also:
+o )show ExtensibleLinearAggregate
+
+@
 {\bf See:}
 
 \pageto{ListAggregate}{LSAGG}
@@ -19346,6 +23433,109 @@ digraph pic {
 \pagehead{FiniteLinearAggregate}{FLAGG}
 \pagepic{ps/v102finitelinearaggregate.ps}{FLAGG}{0.90}
 
+<<FiniteLinearAggregate.input>>=
+)set break resume
+)sys rm -f FiniteLinearAggregate.output
+)spool FiniteLinearAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteLinearAggregate
+--R FiniteLinearAggregate S: Type  is a category constructor
+--R Abbreviation for FiniteLinearAggregate is FLAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FLAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R concat : List % -> %                  concat : (%,%) -> %
+--R concat : (S,%) -> %                   concat : (%,S) -> %
+--R construct : List S -> %               copy : % -> %
+--R delete : (%,Integer) -> %             ?.? : (%,Integer) -> S
+--R elt : (%,Integer,S) -> S              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List S
+--R eq? : (%,%) -> Boolean                index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (%,%,Integer) -> %
+--R insert : (S,%,Integer) -> %           map : (((S,S) -> S),%,%) -> %
+--R map : ((S -> S),%) -> %               new : (NonNegativeInteger,S) -> %
+--R qelt : (%,Integer) -> S               reverse : % -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : % -> S if Integer has ORDSET
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R merge : (%,%) -> % if S has ORDSET
+--R merge : (((S,S) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if S has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R position : (S,%,Integer) -> Integer if S has SETCAT
+--R position : (S,%) -> Integer if S has SETCAT
+--R position : ((S -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if S has ORDSET
+--R sort : (((S,S) -> Boolean),%) -> %
+--R sort! : % -> % if S has ORDSET and $ has shallowlyMutable
+--R sort! : (((S,S) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if S has ORDSET
+--R sorted? : (((S,S) -> Boolean),%) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteLinearAggregate.help>>=
+====================================================================
+FiniteLinearAggregate examples
+====================================================================
+
+See Also:
+o )show FiniteLinearAggregate
+
+@
 {\bf See:}
 
 \pageto{OneDimensionalArrayAggregate}{A1AGG}
@@ -19695,6 +23885,52 @@ digraph pic {
 \pagehead{FreeAbelianMonoidCategory}{FAMONC}
 \pagepic{ps/v102freeabelianmonoidcategory.ps}{FAMONC}{0.50}
 
+<<FreeAbelianMonoidCategory.input>>=
+)set break resume
+)sys rm -f FreeAbelianMonoidCategory.output
+)spool FreeAbelianMonoidCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FreeAbelianMonoidCategory
+--R FreeAbelianMonoidCategory(S: SetCategory,E: CancellationAbelianMonoid)  is a category constructor
+--R Abbreviation for FreeAbelianMonoidCategory is FAMONC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FAMONC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (E,S) -> %                      ?*? : (PositiveInteger,%) -> %
+--R ?+? : (S,%) -> %                      ?+? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coefficient : (S,%) -> E              coerce : S -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   mapCoef : ((E -> E),%) -> %
+--R mapGen : ((S -> S),%) -> %            nthCoef : (%,Integer) -> E
+--R nthFactor : (%,Integer) -> S          retract : % -> S
+--R sample : () -> %                      size : % -> NonNegativeInteger
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R highCommonTerms : (%,%) -> % if E has OAMON
+--R retractIfCan : % -> Union(S,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R terms : % -> List Record(gen: S,exp: E)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FreeAbelianMonoidCategory.help>>=
+====================================================================
+FreeAbelianMonoidCategory examples
+====================================================================
+
+See Also:
+o )show FreeAbelianMonoidCategory
+
+@
 {\bf See:}
 
 \pagefrom{CancellationAbelianMonoid}{CABMON}
@@ -19882,6 +24118,79 @@ digraph pic {
 \pagehead{MultiDictionary}{MDAGG}
 \pagepic{ps/v102multidictionary.ps}{MDAGG}{0.90}
 
+<<MultiDictionary.input>>=
+)set break resume
+)sys rm -f MultiDictionary.output
+)spool MultiDictionary.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MultiDictionary
+--R MultiDictionary S: SetCategory  is a category constructor
+--R Abbreviation for MultiDictionary is MDAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for MDAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R bag : List S -> %                     construct : List S -> %
+--R copy : % -> %                         dictionary : List S -> %
+--R dictionary : () -> %                  empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R extract! : % -> S                     insert! : (S,%) -> %
+--R inspect : % -> S                      map : ((S -> S),%) -> %
+--R removeDuplicates! : % -> %            sample : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R duplicates : % -> List Record(entry: S,count: NonNegativeInteger)
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R hash : % -> SingleInteger if S has SETCAT
+--R insert! : (S,%,NonNegativeInteger) -> %
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R remove! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (S,%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MultiDictionary.help>>=
+====================================================================
+MultiDictionary examples
+====================================================================
+
+See Also:
+o )show MultiDictionary
+
+@
 {\bf See:}
 
 \pageto{MultisetAggregate}{MSETAGG}
@@ -20089,6 +24398,46 @@ digraph pic {
 \pagehead{OrderedAbelianMonoid}{OAMON}
 \pagepic{ps/v102orderedabelianmonoid.ps}{OAMON}{1.00}
 
+<<OrderedAbelianMonoid.input>>=
+)set break resume
+)sys rm -f OrderedAbelianMonoid.output
+)spool OrderedAbelianMonoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedAbelianMonoid
+--R OrderedAbelianMonoid  is a category constructor
+--R Abbreviation for OrderedAbelianMonoid is OAMON 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OAMON 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   max : (%,%) -> %
+--R min : (%,%) -> %                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedAbelianMonoid.help>>=
+====================================================================
+OrderedAbelianMonoid examples
+====================================================================
+
+See Also:
+o )show OrderedAbelianMonoid
+
+@
 {\bf See:}
 
 \pageto{OrderedCancellationAbelianMonoid}{OCAMON}
@@ -20202,6 +24551,56 @@ digraph pic {
 \pagehead{PermutationCategory}{PERMCAT}
 \pagepic{ps/v102permutationcategory.ps}{PERMCAT}{0.65}
 
+<<PermutationCategory.input>>=
+)set break resume
+)sys rm -f PermutationCategory.output
+)spool PermutationCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PermutationCategory
+--R PermutationCategory S: SetCategory  is a category constructor
+--R Abbreviation for PermutationCategory is PERMCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PERMCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?/? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : % -> OutputForm
+--R commutator : (%,%) -> %               conjugate : (%,%) -> %
+--R cycle : List S -> %                   cycles : List List S -> %
+--R ?.? : (%,S) -> S                      eval : (%,S) -> S
+--R hash : % -> SingleInteger             inv : % -> %
+--R latex : % -> String                   one? : % -> Boolean
+--R orbit : (%,S) -> Set S                recip : % -> Union(%,"failed")
+--R sample : () -> %                      ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?<=? : (%,%) -> Boolean if S has ORDSET or S has FINITE
+--R ?>? : (%,%) -> Boolean if S has ORDSET or S has FINITE
+--R ?>=? : (%,%) -> Boolean if S has ORDSET or S has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R max : (%,%) -> % if S has ORDSET or S has FINITE
+--R min : (%,%) -> % if S has ORDSET or S has FINITE
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PermutationCategory.help>>=
+====================================================================
+PermutationCategory examples
+====================================================================
+
+See Also:
+o )show PermutationCategory
+
+@
 {\bf See:}
 
 \pagefrom{Group}{GROUP}
@@ -20400,6 +24799,118 @@ digraph pic {
 \pagehead{StreamAggregate}{STAGG}
 \pagepic{ps/v102streamaggregate.ps}{STAGG}{0.60}
 
+<<StreamAggregate.input>>=
+)set break resume
+)sys rm -f StreamAggregate.output
+)spool StreamAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StreamAggregate
+--R StreamAggregate S: Type  is a category constructor
+--R Abbreviation for StreamAggregate is STAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for STAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                concat : (%,S) -> %
+--R concat : List % -> %                  concat : (S,%) -> %
+--R concat : (%,%) -> %                   construct : List S -> %
+--R copy : % -> %                         cycleEntry : % -> %
+--R cycleTail : % -> %                    cyclic? : % -> Boolean
+--R delete : (%,Integer) -> %             distance : (%,%) -> Integer
+--R elt : (%,Integer,S) -> S              ?.? : (%,Integer) -> S
+--R ?.last : (%,last) -> S                ?.rest : (%,rest) -> %
+--R ?.first : (%,first) -> S              ?.value : (%,value) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List S                 eq? : (%,%) -> Boolean
+--R explicitlyFinite? : % -> Boolean      first : % -> S
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R insert : (S,%,Integer) -> %           insert : (%,%,Integer) -> %
+--R last : % -> S                         leaf? : % -> Boolean
+--R leaves : % -> List S                  map : (((S,S) -> S),%,%) -> %
+--R map : ((S -> S),%) -> %               new : (NonNegativeInteger,S) -> %
+--R nodes : % -> List %                   possiblyInfinite? : % -> Boolean
+--R qelt : (%,Integer) -> S               rest : % -> %
+--R sample : () -> %                      second : % -> S
+--R tail : % -> %                         third : % -> S
+--R value : % -> S                       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R concat! : (%,S) -> % if $ has shallowlyMutable
+--R concat! : (%,%) -> % if $ has shallowlyMutable
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R cycleLength : % -> NonNegativeInteger
+--R cycleSplit! : % -> % if $ has shallowlyMutable
+--R delete : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : (%,NonNegativeInteger) -> %
+--R hash : % -> SingleInteger if S has SETCAT
+--R last : (%,NonNegativeInteger) -> %
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R rest : (%,NonNegativeInteger) -> %
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,last,S) -> S if $ has shallowlyMutable
+--R setelt : (%,rest,%) -> % if $ has shallowlyMutable
+--R setelt : (%,first,S) -> S if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setfirst! : (%,S) -> S if $ has shallowlyMutable
+--R setlast! : (%,S) -> S if $ has shallowlyMutable
+--R setrest! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R split! : (%,Integer) -> % if $ has shallowlyMutable
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<StreamAggregate.help>>=
+====================================================================
+StreamAggregate examples
+====================================================================
+
+See Also:
+o )show StreamAggregate
+
+@
 {\bf See:}
 
 \pageto{LazyStreamAggregate}{LZSTAGG}
@@ -20798,6 +25309,108 @@ digraph pic {
 \pagehead{TriangularSetCategory}{TSETCAT}
 \pagepic{ps/v102triangularsetcategory.ps}{TSETCAT}{0.35}
 
+<<TriangularSetCategory.input>>=
+)set break resume
+)sys rm -f TriangularSetCategory.output
+)spool TriangularSetCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TriangularSetCategory
+--R TriangularSetCategory(R: IntegralDomain,E: OrderedAbelianMonoidSup,V: OrderedSet,P: RecursivePolynomialCategory(t#1,t#2,t#3))  is a category constructor
+--R Abbreviation for TriangularSetCategory is TSETCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for TSETCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                algebraic? : (V,%) -> Boolean
+--R algebraicVariables : % -> List V      coerce : % -> List P
+--R coerce : % -> OutputForm              collect : (%,V) -> %
+--R collectQuasiMonic : % -> %            collectUnder : (%,V) -> %
+--R collectUpper : (%,V) -> %             construct : List P -> %
+--R copy : % -> %                         degree : % -> NonNegativeInteger
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                extend : (%,P) -> %
+--R first : % -> Union(P,"failed")        hash : % -> SingleInteger
+--R headReduce : (P,%) -> P               headReduced? : % -> Boolean
+--R headReduced? : (P,%) -> Boolean       infRittWu? : (%,%) -> Boolean
+--R initiallyReduce : (P,%) -> P          initiallyReduced? : % -> Boolean
+--R initials : % -> List P                last : % -> Union(P,"failed")
+--R latex : % -> String                   mainVariable? : (V,%) -> Boolean
+--R mainVariables : % -> List V           map : ((P -> P),%) -> %
+--R mvar : % -> V                         normalized? : % -> Boolean
+--R normalized? : (P,%) -> Boolean        reduceByQuasiMonic : (P,%) -> P
+--R removeZero : (P,%) -> P               rest : % -> Union(%,"failed")
+--R retract : List P -> %                 sample : () -> %
+--R stronglyReduce : (P,%) -> P           stronglyReduced? : % -> Boolean
+--R trivialIdeal? : % -> Boolean          variables : % -> List V
+--R zeroSetSplit : List P -> List %       ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R any? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R autoReduced? : (%,((P,List P) -> Boolean)) -> Boolean
+--R basicSet : (List P,(P -> Boolean),((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R basicSet : (List P,((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R coHeight : % -> NonNegativeInteger if V has FINITE
+--R convert : % -> InputForm if P has KONVERT INFORM
+--R count : ((P -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (P,%) -> NonNegativeInteger if P has SETCAT and $ has finiteAggregate
+--R eval : (%,List Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,P,P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,List P,List P) -> % if P has EVALAB P and P has SETCAT
+--R every? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extendIfCan : (%,P) -> Union(%,"failed")
+--R find : ((P -> Boolean),%) -> Union(P,"failed")
+--R headRemainder : (P,%) -> Record(num: P,den: R) if R has INTDOM
+--R initiallyReduced? : (P,%) -> Boolean
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((P -> P),%) -> % if $ has shallowlyMutable
+--R member? : (P,%) -> Boolean if P has SETCAT and $ has finiteAggregate
+--R members : % -> List P if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List P if $ has finiteAggregate
+--R quasiComponent : % -> Record(close: List P,open: List P)
+--R reduce : (P,%,((P,P) -> P),((P,P) -> Boolean)) -> P
+--R reduce : (((P,P) -> P),%) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P,P) -> P if P has SETCAT and $ has finiteAggregate
+--R reduced? : (P,%,((P,P) -> Boolean)) -> Boolean
+--R remainder : (P,%) -> Record(rnum: R,polnum: P,den: R) if R has INTDOM
+--R remove : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (P,%) -> % if P has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if P has SETCAT and $ has finiteAggregate
+--R retractIfCan : List P -> Union(%,"failed")
+--R rewriteIdealWithHeadRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteIdealWithRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteSetWithReduction : (List P,%,((P,P) -> P),((P,P) -> Boolean)) -> List P
+--R roughBase? : % -> Boolean if R has INTDOM
+--R roughEqualIdeals? : (%,%) -> Boolean if R has INTDOM
+--R roughSubIdeal? : (%,%) -> Boolean if R has INTDOM
+--R roughUnitIdeal? : % -> Boolean if R has INTDOM
+--R select : (%,V) -> Union(P,"failed")
+--R select : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (%,V) -> Record(under: %,floor: %,upper: %)
+--R stronglyReduced? : (P,%) -> Boolean
+--R triangular? : % -> Boolean if R has INTDOM
+--R zeroSetSplitIntoTriangularSystems : List P -> List Record(close: %,open: List P)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<TriangularSetCategory.help>>=
+====================================================================
+TriangularSetCategory examples
+====================================================================
+
+See Also:
+o )show TriangularSetCategory
+
+@
 {\bf See:}
 
 \pageto{RegularTriangularSetCategory}{RSETCAT}
@@ -21612,6 +26225,53 @@ digraph pic {
 \pagehead{FiniteDivisorCategory}{FDIVCAT}
 \pagepic{ps/v102finitedivisorcategory.ps}{FDIVCAT}{0.75}
 
+<<FiniteDivisorCategory.input>>=
+)set break resume
+)sys rm -f FiniteDivisorCategory.output
+)spool FiniteDivisorCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteDivisorCategory
+--R FiniteDivisorCategory(F: Field,UP: UnivariatePolynomialCategory t#1,UPUP: UnivariatePolynomialCategory Fraction t#2,R: FunctionFieldCategory(t#1,t#2,t#3))  is a category constructor
+--R Abbreviation for FiniteDivisorCategory is FDIVCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FDIVCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R divisor : (R,UP,UP,UP,F) -> %         divisor : (F,F,Integer) -> %
+--R divisor : (F,F) -> %                  divisor : R -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R principal? : % -> Boolean             reduce : % -> %
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R decompose : % -> Record(id: FractionalIdeal(UP,Fraction UP,UPUP,R),principalPart: R)
+--R divisor : FractionalIdeal(UP,Fraction UP,UPUP,R) -> %
+--R generator : % -> Union(R,"failed")
+--R ideal : % -> FractionalIdeal(UP,Fraction UP,UPUP,R)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteDivisorCategory.help>>=
+====================================================================
+FiniteDivisorCategory examples
+====================================================================
+
+See Also:
+o )show FiniteDivisorCategory
+
+@
 {\bf See:}
 
 \pagefrom{AbelianGroup}{ABELGRP}
@@ -21787,6 +26447,89 @@ digraph pic {
 \pagehead{FiniteSetAggregate}{FSAGG}
 \pagepic{ps/v102finitesetaggregate.ps}{FSAGG}{0.75}
 
+<<FiniteSetAggregate.input>>=
+)set break resume
+)sys rm -f FiniteSetAggregate.output
+)spool FiniteSetAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteSetAggregate
+--R FiniteSetAggregate S: SetCategory  is a category constructor
+--R Abbreviation for FiniteSetAggregate is FSAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FSAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?=? : (%,%) -> Boolean
+--R bag : List S -> %                     brace : () -> %
+--R brace : List S -> %                   coerce : % -> OutputForm
+--R construct : List S -> %               copy : % -> %
+--R dictionary : List S -> %              dictionary : () -> %
+--R difference : (%,%) -> %               difference : (%,S) -> %
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                extract! : % -> S
+--R hash : % -> SingleInteger             insert! : (S,%) -> %
+--R inspect : % -> S                      intersect : (%,%) -> %
+--R latex : % -> String                   map : ((S -> S),%) -> %
+--R max : % -> S if S has ORDSET          min : % -> S if S has ORDSET
+--R sample : () -> %                      set : () -> %
+--R set : List S -> %                     subset? : (%,%) -> Boolean
+--R union : (%,%) -> %                    union : (%,S) -> %
+--R union : (S,%) -> %                    ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R cardinality : % -> NonNegativeInteger
+--R complement : % -> % if S has FINITE
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R index : PositiveInteger -> % if S has FINITE
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R lookup : % -> PositiveInteger if S has FINITE
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R random : () -> % if S has FINITE
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R remove! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (S,%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R size : () -> NonNegativeInteger if S has FINITE
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R symmetricDifference : (%,%) -> %
+--R universe : () -> % if S has FINITE
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteSetAggregate.help>>=
+====================================================================
+FiniteSetAggregate examples
+====================================================================
+
+See Also:
+o )show FiniteSetAggregate
+
+@
 {\bf See:}
 
 \pagefrom{Dictionary}{DIAGG}
@@ -22116,6 +26859,83 @@ digraph pic {
 \pagehead{KeyedDictionary}{KDAGG}
 \pagepic{ps/v102keyeddictionary.ps}{KDAGG}{1.00}
 
+<<KeyedDictionary.input>>=
+)set break resume
+)sys rm -f KeyedDictionary.output
+)spool KeyedDictionary.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show KeyedDictionary
+--R KeyedDictionary(Key: SetCategory,Entry: SetCategory)  is a category constructor
+--R Abbreviation for KeyedDictionary is KDAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for KDAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R copy : % -> %                         dictionary : () -> %
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                key? : (Key,%) -> Boolean
+--R keys : % -> List Key                  sample : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT
+--R any? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R bag : List Record(key: Key,entry: Entry) -> %
+--R coerce : % -> OutputForm if Record(key: Key,entry: Entry) has SETCAT
+--R construct : List Record(key: Key,entry: Entry) -> %
+--R convert : % -> InputForm if Record(key: Key,entry: Entry) has KONVERT INFORM
+--R count : (Record(key: Key,entry: Entry),%) -> NonNegativeInteger if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R count : ((Record(key: Key,entry: Entry) -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R dictionary : List Record(key: Key,entry: Entry) -> %
+--R eval : (%,List Record(key: Key,entry: Entry),List Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,List Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R every? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extract! : % -> Record(key: Key,entry: Entry)
+--R find : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Union(Record(key: Key,entry: Entry),"failed")
+--R hash : % -> SingleInteger if Record(key: Key,entry: Entry) has SETCAT
+--R insert! : (Record(key: Key,entry: Entry),%) -> %
+--R inspect : % -> Record(key: Key,entry: Entry)
+--R latex : % -> String if Record(key: Key,entry: Entry) has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> %
+--R map! : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> % if $ has shallowlyMutable
+--R member? : (Record(key: Key,entry: Entry),%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R members : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R remove : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Record(key: Key,entry: Entry),%) -> % if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R remove! : (Key,%) -> Union(Entry,"failed")
+--R remove! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (Record(key: Key,entry: Entry),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R search : (Key,%) -> Union(Entry,"failed")
+--R select : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<KeyedDictionary.help>>=
+====================================================================
+KeyedDictionary examples
+====================================================================
+
+See Also:
+o )show KeyedDictionary
+
+@
 {\bf See:}
 
 \pageto{TableAggregate}{TBAGG}
@@ -22360,6 +27180,122 @@ digraph pic {
 \pagehead{LazyStreamAggregate}{LZSTAGG}
 \pagepic{ps/v102lazystreamaggregate.ps}{LZSTAGG}{0.65}
 
+<<LazyStreamAggregate.input>>=
+)set break resume
+)sys rm -f LazyStreamAggregate.output
+)spool LazyStreamAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LazyStreamAggregate
+--R LazyStreamAggregate S: Type  is a category constructor
+--R Abbreviation for LazyStreamAggregate is LZSTAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for LZSTAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                complete : % -> %
+--R concat : (%,S) -> %                   concat : List % -> %
+--R concat : (S,%) -> %                   concat : (%,%) -> %
+--R construct : List S -> %               copy : % -> %
+--R cycleEntry : % -> %                   cycleTail : % -> %
+--R cyclic? : % -> Boolean                delete : (%,Integer) -> %
+--R distance : (%,%) -> Integer           elt : (%,Integer,S) -> S
+--R ?.? : (%,Integer) -> S                ?.last : (%,last) -> S
+--R ?.rest : (%,rest) -> %                ?.first : (%,first) -> S
+--R ?.value : (%,value) -> S              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List S
+--R eq? : (%,%) -> Boolean                explicitEntries? : % -> Boolean
+--R explicitlyEmpty? : % -> Boolean       explicitlyFinite? : % -> Boolean
+--R extend : (%,Integer) -> %             first : % -> S
+--R frst : % -> S                         index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (S,%,Integer) -> %
+--R insert : (%,%,Integer) -> %           last : % -> S
+--R lazy? : % -> Boolean                  lazyEvaluate : % -> %
+--R leaf? : % -> Boolean                  leaves : % -> List S
+--R map : (((S,S) -> S),%,%) -> %         map : ((S -> S),%) -> %
+--R new : (NonNegativeInteger,S) -> %     nodes : % -> List %
+--R possiblyInfinite? : % -> Boolean      qelt : (%,Integer) -> S
+--R remove : ((S -> Boolean),%) -> %      rest : % -> %
+--R rst : % -> %                          sample : () -> %
+--R second : % -> S                       select : ((S -> Boolean),%) -> %
+--R tail : % -> %                         third : % -> S
+--R value : % -> S                       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R concat! : (%,S) -> % if $ has shallowlyMutable
+--R concat! : (%,%) -> % if $ has shallowlyMutable
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R cycleLength : % -> NonNegativeInteger
+--R cycleSplit! : % -> % if $ has shallowlyMutable
+--R delete : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : (%,NonNegativeInteger) -> %
+--R hash : % -> SingleInteger if S has SETCAT
+--R last : (%,NonNegativeInteger) -> %
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R numberOfComputedEntries : % -> NonNegativeInteger
+--R parts : % -> List S if $ has finiteAggregate
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R rest : (%,NonNegativeInteger) -> %
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,last,S) -> S if $ has shallowlyMutable
+--R setelt : (%,rest,%) -> % if $ has shallowlyMutable
+--R setelt : (%,first,S) -> S if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setfirst! : (%,S) -> S if $ has shallowlyMutable
+--R setlast! : (%,S) -> S if $ has shallowlyMutable
+--R setrest! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R split! : (%,Integer) -> % if $ has shallowlyMutable
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LazyStreamAggregate.help>>=
+====================================================================
+LazyStreamAggregate examples
+====================================================================
+
+See Also:
+o )show LazyStreamAggregate
+
+@
 {\bf See:}
 
 \pagefrom{StreamAggregate}{STAGG}
@@ -23182,6 +28118,46 @@ digraph pic {
 \pagehead{LeftModule}{LMODULE}
 \pagepic{ps/v102leftmodule.ps}{LMODULE}{0.90}
 
+<<LeftModule.input>>=
+)set break resume
+)sys rm -f LeftModule.output
+)spool LeftModule.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LeftModule
+--R LeftModule R: Rng  is a category constructor
+--R Abbreviation for LeftModule is LMODULE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for LMODULE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LeftModule.help>>=
+====================================================================
+LeftModule examples
+====================================================================
+
+See Also:
+o )show LeftModule
+
+@
 {\bf See:}
 
 \pageto{BiModule}{BMODULE}
@@ -23306,6 +28282,145 @@ digraph pic {
 \pagehead{ListAggregate}{LSAGG}
 \pagepic{ps/v102listaggregate.ps}{LSAGG}{0.60}
 
+<<ListAggregate.input>>=
+)set break resume
+)sys rm -f ListAggregate.output
+)spool ListAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ListAggregate
+--R ListAggregate S: Type  is a category constructor
+--R Abbreviation for ListAggregate is LSAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for LSAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                concat : (%,S) -> %
+--R concat : List % -> %                  concat : (S,%) -> %
+--R concat : (%,%) -> %                   concat! : (%,S) -> %
+--R concat! : (%,%) -> %                  construct : List S -> %
+--R copy : % -> %                         cycleEntry : % -> %
+--R cycleTail : % -> %                    cyclic? : % -> Boolean
+--R delete : (%,Integer) -> %             delete! : (%,Integer) -> %
+--R distance : (%,%) -> Integer           elt : (%,Integer,S) -> S
+--R ?.? : (%,Integer) -> S                ?.last : (%,last) -> S
+--R ?.rest : (%,rest) -> %                ?.first : (%,first) -> S
+--R ?.value : (%,value) -> S              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List S
+--R eq? : (%,%) -> Boolean                explicitlyFinite? : % -> Boolean
+--R first : % -> S                        index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (S,%,Integer) -> %
+--R insert : (%,%,Integer) -> %           insert! : (S,%,Integer) -> %
+--R insert! : (%,%,Integer) -> %          last : % -> S
+--R leaf? : % -> Boolean                  leaves : % -> List S
+--R list : S -> %                         map : (((S,S) -> S),%,%) -> %
+--R map : ((S -> S),%) -> %               new : (NonNegativeInteger,S) -> %
+--R nodes : % -> List %                   possiblyInfinite? : % -> Boolean
+--R qelt : (%,Integer) -> S               rest : % -> %
+--R reverse : % -> %                      sample : () -> %
+--R second : % -> S                       tail : % -> %
+--R third : % -> S                        value : % -> S
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R cycleLength : % -> NonNegativeInteger
+--R cycleSplit! : % -> % if $ has shallowlyMutable
+--R delete : (%,UniversalSegment Integer) -> %
+--R delete! : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : (%,NonNegativeInteger) -> %
+--R hash : % -> SingleInteger if S has SETCAT
+--R last : (%,NonNegativeInteger) -> %
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R merge : (((S,S) -> Boolean),%,%) -> %
+--R merge : (%,%) -> % if S has ORDSET
+--R merge! : (((S,S) -> Boolean),%,%) -> %
+--R merge! : (%,%) -> % if S has ORDSET
+--R min : (%,%) -> % if S has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R position : ((S -> Boolean),%) -> Integer
+--R position : (S,%) -> Integer if S has SETCAT
+--R position : (S,%,Integer) -> Integer if S has SETCAT
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : ((S -> Boolean),%) -> %
+--R remove! : (S,%) -> % if S has SETCAT
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R removeDuplicates! : % -> % if S has SETCAT
+--R rest : (%,NonNegativeInteger) -> %
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> %
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,last,S) -> S if $ has shallowlyMutable
+--R setelt : (%,rest,%) -> % if $ has shallowlyMutable
+--R setelt : (%,first,S) -> S if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setfirst! : (%,S) -> S if $ has shallowlyMutable
+--R setlast! : (%,S) -> S if $ has shallowlyMutable
+--R setrest! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (((S,S) -> Boolean),%) -> %
+--R sort : % -> % if S has ORDSET
+--R sort! : (((S,S) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sort! : % -> % if S has ORDSET and $ has shallowlyMutable
+--R sorted? : (((S,S) -> Boolean),%) -> Boolean
+--R sorted? : % -> Boolean if S has ORDSET
+--R split! : (%,Integer) -> % if $ has shallowlyMutable
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ListAggregate.help>>=
+====================================================================
+ListAggregate examples
+====================================================================
+
+See Also:
+o )show ListAggregate
+
+@
 {\bf See:}
 
 \pageto{AssociationListAggregate}{ALAGG}
@@ -23883,6 +28998,84 @@ digraph pic {
 \pagehead{MultisetAggregate}{MSETAGG}
 \pagepic{ps/v102multisetaggregate.ps}{MSETAGG}{0.80}
 
+<<MultisetAggregate.input>>=
+)set break resume
+)sys rm -f MultisetAggregate.output
+)spool MultisetAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MultisetAggregate
+--R MultisetAggregate S: SetCategory  is a category constructor
+--R Abbreviation for MultisetAggregate is MSETAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for MSETAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?=? : (%,%) -> Boolean
+--R bag : List S -> %                     brace : () -> %
+--R brace : List S -> %                   coerce : % -> OutputForm
+--R construct : List S -> %               copy : % -> %
+--R dictionary : List S -> %              dictionary : () -> %
+--R difference : (%,%) -> %               difference : (%,S) -> %
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                extract! : % -> S
+--R hash : % -> SingleInteger             insert! : (S,%) -> %
+--R inspect : % -> S                      intersect : (%,%) -> %
+--R latex : % -> String                   map : ((S -> S),%) -> %
+--R removeDuplicates! : % -> %            sample : () -> %
+--R set : () -> %                         set : List S -> %
+--R subset? : (%,%) -> Boolean            union : (%,%) -> %
+--R union : (%,S) -> %                    union : (S,%) -> %
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R duplicates : % -> List Record(entry: S,count: NonNegativeInteger)
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R insert! : (S,%,NonNegativeInteger) -> %
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R remove! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (S,%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R symmetricDifference : (%,%) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MultisetAggregate.help>>=
+====================================================================
+MultisetAggregate examples
+====================================================================
+
+See Also:
+o )show MultisetAggregate
+
+@
 {\bf See:}
 
 \pageto{OrderedMultisetAggregate}{OMSAGG}
@@ -24099,6 +29292,50 @@ digraph pic {
 \pagehead{NonAssociativeRng}{NARNG}
 \pagepic{ps/v102nonassociativerng.ps}{NARNG}{1.00}
 
+<<NonAssociativeRng.input>>=
+)set break resume
+)sys rm -f NonAssociativeRng.output
+)spool NonAssociativeRng.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NonAssociativeRng
+--R NonAssociativeRng  is a category constructor
+--R Abbreviation for NonAssociativeRng is NARNG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for NARNG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           antiCommutator : (%,%) -> %
+--R associator : (%,%,%) -> %             coerce : % -> OutputForm
+--R commutator : (%,%) -> %               hash : % -> SingleInteger
+--R latex : % -> String                   sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R leftPower : (%,PositiveInteger) -> %
+--R rightPower : (%,PositiveInteger) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NonAssociativeRng.help>>=
+====================================================================
+NonAssociativeRng examples
+====================================================================
+
+See Also:
+o )show NonAssociativeRng
+
+@
 {\bf See:}
 
 \pageto{NonAssociativeAlgebra}{NAALG}
@@ -24252,6 +29489,109 @@ digraph pic {
 \pagehead{OneDimensionalArrayAggregate}{A1AGG}
 \pagepic{ps/v102onedimensionalarrayaggregate.ps}{A1AGG}{1.00}
 
+<<OneDimensionalArrayAggregate.input>>=
+)set break resume
+)sys rm -f OneDimensionalArrayAggregate.output
+)spool OneDimensionalArrayAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OneDimensionalArrayAggregate
+--R OneDimensionalArrayAggregate S: Type  is a category constructor
+--R Abbreviation for OneDimensionalArrayAggregate is A1AGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for A1AGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R concat : List % -> %                  concat : (%,%) -> %
+--R concat : (S,%) -> %                   concat : (%,S) -> %
+--R construct : List S -> %               copy : % -> %
+--R delete : (%,Integer) -> %             ?.? : (%,Integer) -> S
+--R elt : (%,Integer,S) -> S              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List S
+--R eq? : (%,%) -> Boolean                index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (%,%,Integer) -> %
+--R insert : (S,%,Integer) -> %           map : (((S,S) -> S),%,%) -> %
+--R map : ((S -> S),%) -> %               new : (NonNegativeInteger,S) -> %
+--R qelt : (%,Integer) -> S               reverse : % -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : % -> S if Integer has ORDSET
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R merge : (%,%) -> % if S has ORDSET
+--R merge : (((S,S) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if S has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R position : (S,%,Integer) -> Integer if S has SETCAT
+--R position : (S,%) -> Integer if S has SETCAT
+--R position : ((S -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if S has ORDSET
+--R sort : (((S,S) -> Boolean),%) -> %
+--R sort! : % -> % if S has ORDSET and $ has shallowlyMutable
+--R sort! : (((S,S) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if S has ORDSET
+--R sorted? : (((S,S) -> Boolean),%) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OneDimensionalArrayAggregate.help>>=
+====================================================================
+OneDimensionalArrayAggregate examples
+====================================================================
+
+See Also:
+o )show OneDimensionalArrayAggregate
+
+@
 {\bf See:}
 
 \pageto{BitAggregate}{BTAGG}
@@ -24750,6 +30090,47 @@ digraph pic {
 \pagehead{OrderedCancellationAbelianMonoid}{OCAMON}
 \pagepic{ps/v102orderedcancellationabelianmonoid.ps}{OCAMON}{0.75}
 
+<<OrderedCancellationAbelianMonoid.input>>=
+)set break resume
+)sys rm -f OrderedCancellationAbelianMonoid.output
+)spool OrderedCancellationAbelianMonoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedCancellationAbelianMonoid
+--R OrderedCancellationAbelianMonoid  is a category constructor
+--R Abbreviation for OrderedCancellationAbelianMonoid is OCAMON 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OCAMON 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   max : (%,%) -> %
+--R min : (%,%) -> %                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedCancellationAbelianMonoid.help>>=
+====================================================================
+OrderedCancellationAbelianMonoid examples
+====================================================================
+
+See Also:
+o )show OrderedCancellationAbelianMonoid
+
+@
 {\bf See:}
 
 \pageto{OrderedAbelianGroup}{OAGROUP}
@@ -24874,6 +30255,129 @@ digraph pic {
 \pagehead{RegularTriangularSetCategory}{RSETCAT}
 \pagepic{ps/v102regulartriangularsetcategory.ps}{RSETCAT}{0.35}
 
+<<RegularTriangularSetCategory.input>>=
+)set break resume
+)sys rm -f RegularTriangularSetCategory.output
+)spool RegularTriangularSetCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RegularTriangularSetCategory
+--R RegularTriangularSetCategory(R: GcdDomain,E: OrderedAbelianMonoidSup,V: OrderedSet,P: RecursivePolynomialCategory(t#1,t#2,t#3))  is a category constructor
+--R Abbreviation for RegularTriangularSetCategory is RSETCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RSETCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                algebraic? : (V,%) -> Boolean
+--R algebraicVariables : % -> List V      augment : (List P,%) -> List %
+--R augment : (P,List %) -> List %        augment : (P,%) -> List %
+--R coerce : % -> List P                  coerce : % -> OutputForm
+--R collect : (%,V) -> %                  collectQuasiMonic : % -> %
+--R collectUnder : (%,V) -> %             collectUpper : (%,V) -> %
+--R construct : List P -> %               copy : % -> %
+--R degree : % -> NonNegativeInteger      empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R extend : (List P,%) -> List %         extend : (P,List %) -> List %
+--R extend : (P,%) -> List %              extend : (%,P) -> %
+--R first : % -> Union(P,"failed")        hash : % -> SingleInteger
+--R headReduce : (P,%) -> P               headReduced? : % -> Boolean
+--R headReduced? : (P,%) -> Boolean       infRittWu? : (%,%) -> Boolean
+--R initiallyReduce : (P,%) -> P          initiallyReduced? : % -> Boolean
+--R initials : % -> List P                internalAugment : (P,%) -> %
+--R intersect : (P,List %) -> List %      intersect : (List P,%) -> List %
+--R intersect : (P,%) -> List %           invertible? : (P,%) -> Boolean
+--R invertibleSet : (P,%) -> List %       last : % -> Union(P,"failed")
+--R latex : % -> String                   mainVariable? : (V,%) -> Boolean
+--R mainVariables : % -> List V           map : ((P -> P),%) -> %
+--R mvar : % -> V                         normalized? : % -> Boolean
+--R normalized? : (P,%) -> Boolean        purelyAlgebraic? : % -> Boolean
+--R reduceByQuasiMonic : (P,%) -> P       removeZero : (P,%) -> P
+--R rest : % -> Union(%,"failed")         retract : List P -> %
+--R sample : () -> %                      stronglyReduce : (P,%) -> P
+--R stronglyReduced? : % -> Boolean       trivialIdeal? : % -> Boolean
+--R variables : % -> List V               zeroSetSplit : List P -> List %
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R algebraicCoefficients? : (P,%) -> Boolean
+--R any? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R augment : (List P,List %) -> List %
+--R autoReduced? : (%,((P,List P) -> Boolean)) -> Boolean
+--R basicSet : (List P,(P -> Boolean),((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R basicSet : (List P,((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R coHeight : % -> NonNegativeInteger if V has FINITE
+--R convert : % -> InputForm if P has KONVERT INFORM
+--R count : ((P -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (P,%) -> NonNegativeInteger if P has SETCAT and $ has finiteAggregate
+--R eval : (%,List Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,P,P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,List P,List P) -> % if P has EVALAB P and P has SETCAT
+--R every? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extend : (List P,List %) -> List %
+--R extendIfCan : (%,P) -> Union(%,"failed")
+--R find : ((P -> Boolean),%) -> Union(P,"failed")
+--R headRemainder : (P,%) -> Record(num: P,den: R) if R has INTDOM
+--R initiallyReduced? : (P,%) -> Boolean
+--R internalAugment : (List P,%) -> %
+--R intersect : (List P,List %) -> List %
+--R invertible? : (P,%) -> List Record(val: Boolean,tower: %)
+--R invertibleElseSplit? : (P,%) -> Union(Boolean,List %)
+--R lastSubResultant : (P,P,%) -> List Record(val: P,tower: %)
+--R lastSubResultantElseSplit : (P,P,%) -> Union(P,List %)
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((P -> P),%) -> % if $ has shallowlyMutable
+--R member? : (P,%) -> Boolean if P has SETCAT and $ has finiteAggregate
+--R members : % -> List P if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List P if $ has finiteAggregate
+--R purelyAlgebraic? : (P,%) -> Boolean
+--R purelyAlgebraicLeadingMonomial? : (P,%) -> Boolean
+--R purelyTranscendental? : (P,%) -> Boolean
+--R quasiComponent : % -> Record(close: List P,open: List P)
+--R reduce : (P,%,((P,P) -> P),((P,P) -> Boolean)) -> P
+--R reduce : (((P,P) -> P),%) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P,P) -> P if P has SETCAT and $ has finiteAggregate
+--R reduced? : (P,%,((P,P) -> Boolean)) -> Boolean
+--R remainder : (P,%) -> Record(rnum: R,polnum: P,den: R) if R has INTDOM
+--R remove : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (P,%) -> % if P has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if P has SETCAT and $ has finiteAggregate
+--R retractIfCan : List P -> Union(%,"failed")
+--R rewriteIdealWithHeadRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteIdealWithRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteSetWithReduction : (List P,%,((P,P) -> P),((P,P) -> Boolean)) -> List P
+--R roughBase? : % -> Boolean if R has INTDOM
+--R roughEqualIdeals? : (%,%) -> Boolean if R has INTDOM
+--R roughSubIdeal? : (%,%) -> Boolean if R has INTDOM
+--R roughUnitIdeal? : % -> Boolean if R has INTDOM
+--R select : (%,V) -> Union(P,"failed")
+--R select : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (%,V) -> Record(under: %,floor: %,upper: %)
+--R squareFreePart : (P,%) -> List Record(val: P,tower: %)
+--R stronglyReduced? : (P,%) -> Boolean
+--R triangular? : % -> Boolean if R has INTDOM
+--R zeroSetSplit : (List P,Boolean) -> List %
+--R zeroSetSplitIntoTriangularSystems : List P -> List Record(close: %,open: List P)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RegularTriangularSetCategory.help>>=
+====================================================================
+RegularTriangularSetCategory examples
+====================================================================
+
+See Also:
+o )show RegularTriangularSetCategory
+
+@
 {\bf See:}
 
 \pageto{NormalizedTriangularSetCategory}{NTSCAT}
@@ -25534,6 +31038,46 @@ digraph pic {
 \pagehead{RightModule}{RMODULE}
 \pagepic{ps/v102rightmodule.ps}{RMODULE}{1.00}
 
+<<RightModule.input>>=
+)set break resume
+)sys rm -f RightModule.output
+)spool RightModule.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RightModule
+--R RightModule R: Rng  is a category constructor
+--R Abbreviation for RightModule is RMODULE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RMODULE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RightModule.help>>=
+====================================================================
+RightModule examples
+====================================================================
+
+See Also:
+o )show RightModule
+
+@
 {\bf See:}
 
 \pageto{BiModule}{BMODULE}
@@ -25651,6 +31195,48 @@ digraph pic {
 
 Rng is a Ring that does not necessarily have a unit.
 
+<<Rng.input>>=
+)set break resume
+)sys rm -f Rng.output
+)spool Rng.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Rng
+--R Rng  is a category constructor
+--R Abbreviation for Rng is RNG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RNG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Rng.help>>=
+====================================================================
+Rng examples
+====================================================================
+
+See Also:
+o )show Rng
+
+@
+
 {\bf See:}
 
 \pageto{Ring}{RING}
@@ -25780,6 +31366,47 @@ digraph pic {
 \pagehead{BiModule}{BMODULE}
 \pagepic{ps/v102bimodule.ps}{BMODULE}{1.00}
 
+<<BiModule.input>>=
+)set break resume
+)sys rm -f BiModule.output
+)spool BiModule.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BiModule
+--R BiModule(R: Ring,S: Ring)  is a category constructor
+--R Abbreviation for BiModule is BMODULE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for BMODULE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,S) -> %                      ?*? : (R,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BiModule.help>>=
+====================================================================
+BiModule examples
+====================================================================
+
+See Also:
+o )show BiModule
+
+@
 {\bf See:}
 
 \pageto{AbelianMonoidRing}{AMR}
@@ -25933,6 +31560,111 @@ digraph pic {
 \pagehead{BitAggregate}{BTAGG}
 \pagepic{ps/v102bitaggregate.ps}{BTAGG}{0.65}
 
+<<BitAggregate.input>>=
+)set break resume
+)sys rm -f BitAggregate.output
+)spool BitAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BitAggregate
+--R BitAggregate  is a category constructor
+--R Abbreviation for BitAggregate is BTAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for BTAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?/\? : (%,%) -> %                     ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R ?\/? : (%,%) -> %                     ^? : % -> %
+--R ?and? : (%,%) -> %                    coerce : % -> OutputForm
+--R concat : (%,Boolean) -> %             concat : (Boolean,%) -> %
+--R concat : (%,%) -> %                   concat : List % -> %
+--R construct : List Boolean -> %         copy : % -> %
+--R delete : (%,Integer) -> %             ?.? : (%,Integer) -> Boolean
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List Boolean           eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (%,%,Integer) -> %
+--R latex : % -> String                   max : (%,%) -> %
+--R min : (%,%) -> %                      nand : (%,%) -> %
+--R nor : (%,%) -> %                      not? : % -> %
+--R ?or? : (%,%) -> %                     qelt : (%,Integer) -> Boolean
+--R reverse : % -> %                      sample : () -> %
+--R xor : (%,%) -> %                      ~? : % -> %
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R any? : ((Boolean -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R convert : % -> InputForm if Boolean has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : ((Boolean -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (Boolean,%) -> NonNegativeInteger if Boolean has SETCAT and $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R elt : (%,Integer,Boolean) -> Boolean
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (Boolean,%) -> Boolean if $ has finiteAggregate and Boolean has SETCAT
+--R eval : (%,List Equation Boolean) -> % if Boolean has EVALAB BOOLEAN and Boolean has SETCAT
+--R eval : (%,Equation Boolean) -> % if Boolean has EVALAB BOOLEAN and Boolean has SETCAT
+--R eval : (%,Boolean,Boolean) -> % if Boolean has EVALAB BOOLEAN and Boolean has SETCAT
+--R eval : (%,List Boolean,List Boolean) -> % if Boolean has EVALAB BOOLEAN and Boolean has SETCAT
+--R every? : ((Boolean -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,Boolean) -> % if $ has shallowlyMutable
+--R find : ((Boolean -> Boolean),%) -> Union(Boolean,"failed")
+--R first : % -> Boolean if Integer has ORDSET
+--R insert : (Boolean,%,Integer) -> %
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : ((Boolean -> Boolean),%) -> %
+--R map : (((Boolean,Boolean) -> Boolean),%,%) -> %
+--R map! : ((Boolean -> Boolean),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (Boolean,%) -> Boolean if Boolean has SETCAT and $ has finiteAggregate
+--R members : % -> List Boolean if $ has finiteAggregate
+--R merge : (((Boolean,Boolean) -> Boolean),%,%) -> %
+--R merge : (%,%) -> % if Boolean has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,Boolean) -> %
+--R parts : % -> List Boolean if $ has finiteAggregate
+--R position : ((Boolean -> Boolean),%) -> Integer
+--R position : (Boolean,%) -> Integer if Boolean has SETCAT
+--R position : (Boolean,%,Integer) -> Integer if Boolean has SETCAT
+--R qsetelt! : (%,Integer,Boolean) -> Boolean if $ has shallowlyMutable
+--R reduce : (((Boolean,Boolean) -> Boolean),%,Boolean,Boolean) -> Boolean if Boolean has SETCAT and $ has finiteAggregate
+--R reduce : (((Boolean,Boolean) -> Boolean),%,Boolean) -> Boolean if $ has finiteAggregate
+--R reduce : (((Boolean,Boolean) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R remove : (Boolean,%) -> % if Boolean has SETCAT and $ has finiteAggregate
+--R remove : ((Boolean -> Boolean),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if Boolean has SETCAT and $ has finiteAggregate
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((Boolean -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,Integer,Boolean) -> Boolean if $ has shallowlyMutable
+--R setelt : (%,UniversalSegment Integer,Boolean) -> Boolean if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (((Boolean,Boolean) -> Boolean),%) -> %
+--R sort : % -> % if Boolean has ORDSET
+--R sort! : (((Boolean,Boolean) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sort! : % -> % if Boolean has ORDSET and $ has shallowlyMutable
+--R sorted? : (((Boolean,Boolean) -> Boolean),%) -> Boolean
+--R sorted? : % -> Boolean if Boolean has ORDSET
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BitAggregate.help>>=
+====================================================================
+BitAggregate examples
+====================================================================
+
+See Also:
+o )show BitAggregate
+
+@
 {\bf See:}
 
 \pagefrom{Logic}{LOGIC}
@@ -26289,6 +32021,58 @@ digraph pic {
 \pagehead{NonAssociativeRing}{NASRING}
 \pagepic{ps/v102nonassociativering.ps}{NASRING}{1.00}
 
+<<NonAssociativeRing.input>>=
+)set break resume
+)sys rm -f NonAssociativeRing.output
+)spool NonAssociativeRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NonAssociativeRing
+--R NonAssociativeRing  is a category constructor
+--R Abbreviation for NonAssociativeRing is NASRING 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for NASRING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R antiCommutator : (%,%) -> %           associator : (%,%,%) -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R commutator : (%,%) -> %               hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R leftPower : (%,NonNegativeInteger) -> %
+--R leftPower : (%,PositiveInteger) -> %
+--R leftRecip : % -> Union(%,"failed")
+--R rightPower : (%,NonNegativeInteger) -> %
+--R rightPower : (%,PositiveInteger) -> %
+--R rightRecip : % -> Union(%,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NonAssociativeRing.help>>=
+====================================================================
+NonAssociativeRing examples
+====================================================================
+
+See Also:
+o )show NonAssociativeRing
+
+@
 {\bf See:}
 
 \pagefrom{MonadWithUnit}{MONADWU}
@@ -26460,6 +32244,129 @@ digraph pic {
 \pagehead{NormalizedTriangularSetCategory}{NTSCAT}
 \pagepic{ps/v102normalizedtriangularsetcategory.ps}{NTSCAT}{0.45}
 
+<<NormalizedTriangularSetCategory.input>>=
+)set break resume
+)sys rm -f NormalizedTriangularSetCategory.output
+)spool NormalizedTriangularSetCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NormalizedTriangularSetCategory
+--R NormalizedTriangularSetCategory(R: GcdDomain,E: OrderedAbelianMonoidSup,V: OrderedSet,P: RecursivePolynomialCategory(t#1,t#2,t#3))  is a category constructor
+--R Abbreviation for NormalizedTriangularSetCategory is NTSCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for NTSCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                algebraic? : (V,%) -> Boolean
+--R algebraicVariables : % -> List V      augment : (List P,%) -> List %
+--R augment : (P,List %) -> List %        augment : (P,%) -> List %
+--R coerce : % -> List P                  coerce : % -> OutputForm
+--R collect : (%,V) -> %                  collectQuasiMonic : % -> %
+--R collectUnder : (%,V) -> %             collectUpper : (%,V) -> %
+--R construct : List P -> %               copy : % -> %
+--R degree : % -> NonNegativeInteger      empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R extend : (List P,%) -> List %         extend : (P,List %) -> List %
+--R extend : (P,%) -> List %              extend : (%,P) -> %
+--R first : % -> Union(P,"failed")        hash : % -> SingleInteger
+--R headReduce : (P,%) -> P               headReduced? : % -> Boolean
+--R headReduced? : (P,%) -> Boolean       infRittWu? : (%,%) -> Boolean
+--R initiallyReduce : (P,%) -> P          initiallyReduced? : % -> Boolean
+--R initials : % -> List P                internalAugment : (P,%) -> %
+--R intersect : (P,List %) -> List %      intersect : (List P,%) -> List %
+--R intersect : (P,%) -> List %           invertible? : (P,%) -> Boolean
+--R invertibleSet : (P,%) -> List %       last : % -> Union(P,"failed")
+--R latex : % -> String                   mainVariable? : (V,%) -> Boolean
+--R mainVariables : % -> List V           map : ((P -> P),%) -> %
+--R mvar : % -> V                         normalized? : % -> Boolean
+--R normalized? : (P,%) -> Boolean        purelyAlgebraic? : % -> Boolean
+--R reduceByQuasiMonic : (P,%) -> P       removeZero : (P,%) -> P
+--R rest : % -> Union(%,"failed")         retract : List P -> %
+--R sample : () -> %                      stronglyReduce : (P,%) -> P
+--R stronglyReduced? : % -> Boolean       trivialIdeal? : % -> Boolean
+--R variables : % -> List V               zeroSetSplit : List P -> List %
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R algebraicCoefficients? : (P,%) -> Boolean
+--R any? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R augment : (List P,List %) -> List %
+--R autoReduced? : (%,((P,List P) -> Boolean)) -> Boolean
+--R basicSet : (List P,(P -> Boolean),((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R basicSet : (List P,((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R coHeight : % -> NonNegativeInteger if V has FINITE
+--R convert : % -> InputForm if P has KONVERT INFORM
+--R count : ((P -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (P,%) -> NonNegativeInteger if P has SETCAT and $ has finiteAggregate
+--R eval : (%,List Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,P,P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,List P,List P) -> % if P has EVALAB P and P has SETCAT
+--R every? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extend : (List P,List %) -> List %
+--R extendIfCan : (%,P) -> Union(%,"failed")
+--R find : ((P -> Boolean),%) -> Union(P,"failed")
+--R headRemainder : (P,%) -> Record(num: P,den: R) if R has INTDOM
+--R initiallyReduced? : (P,%) -> Boolean
+--R internalAugment : (List P,%) -> %
+--R intersect : (List P,List %) -> List %
+--R invertible? : (P,%) -> List Record(val: Boolean,tower: %)
+--R invertibleElseSplit? : (P,%) -> Union(Boolean,List %)
+--R lastSubResultant : (P,P,%) -> List Record(val: P,tower: %)
+--R lastSubResultantElseSplit : (P,P,%) -> Union(P,List %)
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((P -> P),%) -> % if $ has shallowlyMutable
+--R member? : (P,%) -> Boolean if P has SETCAT and $ has finiteAggregate
+--R members : % -> List P if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List P if $ has finiteAggregate
+--R purelyAlgebraic? : (P,%) -> Boolean
+--R purelyAlgebraicLeadingMonomial? : (P,%) -> Boolean
+--R purelyTranscendental? : (P,%) -> Boolean
+--R quasiComponent : % -> Record(close: List P,open: List P)
+--R reduce : (P,%,((P,P) -> P),((P,P) -> Boolean)) -> P
+--R reduce : (((P,P) -> P),%) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P,P) -> P if P has SETCAT and $ has finiteAggregate
+--R reduced? : (P,%,((P,P) -> Boolean)) -> Boolean
+--R remainder : (P,%) -> Record(rnum: R,polnum: P,den: R) if R has INTDOM
+--R remove : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (P,%) -> % if P has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if P has SETCAT and $ has finiteAggregate
+--R retractIfCan : List P -> Union(%,"failed")
+--R rewriteIdealWithHeadRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteIdealWithRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteSetWithReduction : (List P,%,((P,P) -> P),((P,P) -> Boolean)) -> List P
+--R roughBase? : % -> Boolean if R has INTDOM
+--R roughEqualIdeals? : (%,%) -> Boolean if R has INTDOM
+--R roughSubIdeal? : (%,%) -> Boolean if R has INTDOM
+--R roughUnitIdeal? : % -> Boolean if R has INTDOM
+--R select : (%,V) -> Union(P,"failed")
+--R select : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (%,V) -> Record(under: %,floor: %,upper: %)
+--R squareFreePart : (P,%) -> List Record(val: P,tower: %)
+--R stronglyReduced? : (P,%) -> Boolean
+--R triangular? : % -> Boolean if R has INTDOM
+--R zeroSetSplit : (List P,Boolean) -> List %
+--R zeroSetSplitIntoTriangularSystems : List P -> List Record(close: %,open: List P)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NormalizedTriangularSetCategory.help>>=
+====================================================================
+NormalizedTriangularSetCategory examples
+====================================================================
+
+See Also:
+o )show NormalizedTriangularSetCategory
+
+@
 {\bf See:}
 
 \pageto{SquareFreeNormalizedTriangularSetCategory}{SNTSCAT}
@@ -26812,6 +32719,49 @@ digraph pic {
 \pagehead{OrderedAbelianGroup}{OAGROUP}
 \pagepic{ps/v102orderedabeliangroup.ps}{OAGROUP}{1.00}
 
+<<OrderedAbelianGroup.input>>=
+)set break resume
+)sys rm -f OrderedAbelianGroup.output
+)spool OrderedAbelianGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedAbelianGroup
+--R OrderedAbelianGroup  is a category constructor
+--R Abbreviation for OrderedAbelianGroup is OAGROUP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OAGROUP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedAbelianGroup.help>>=
+====================================================================
+OrderedAbelianGroup examples
+====================================================================
+
+See Also:
+o )show OrderedAbelianGroup
+
+@
 {\bf See:}
 
 \pageto{OrderedRing}{ORDRING}
@@ -26932,6 +32882,48 @@ digraph pic {
 \pagehead{OrderedAbelianMonoidSup}{OAMONS}
 \pagepic{ps/v102orderedabelianmonoidsup.ps}{OAMONS}{0.80}
 
+<<OrderedAbelianMonoidSup.input>>=
+)set break resume
+)sys rm -f OrderedAbelianMonoidSup.output
+)spool OrderedAbelianMonoidSup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedAbelianMonoidSup
+--R OrderedAbelianMonoidSup  is a category constructor
+--R Abbreviation for OrderedAbelianMonoidSup is OAMONS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OAMONS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   max : (%,%) -> %
+--R min : (%,%) -> %                      sample : () -> %
+--R sup : (%,%) -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedAbelianMonoidSup.help>>=
+====================================================================
+OrderedAbelianMonoidSup examples
+====================================================================
+
+See Also:
+o )show OrderedAbelianMonoidSup
+
+@
 {\bf See:}
 
 \pagefrom{DirectProductCategory}{DIRPCAT}
@@ -27068,6 +33060,86 @@ digraph pic {
 \pagehead{OrderedMultisetAggregate}{OMSAGG}
 \pagepic{ps/v102orderedmultisetaggregate.ps}{OMSAGG}{0.50}
 
+<<OrderedMultisetAggregate.input>>=
+)set break resume
+)sys rm -f OrderedMultisetAggregate.output
+)spool OrderedMultisetAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedMultisetAggregate
+--R OrderedMultisetAggregate S: OrderedSet  is a category constructor
+--R Abbreviation for OrderedMultisetAggregate is OMSAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OMSAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?=? : (%,%) -> Boolean
+--R bag : List S -> %                     brace : () -> %
+--R brace : List S -> %                   coerce : % -> OutputForm
+--R construct : List S -> %               copy : % -> %
+--R dictionary : List S -> %              dictionary : () -> %
+--R difference : (%,%) -> %               difference : (%,S) -> %
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                extract! : % -> S
+--R hash : % -> SingleInteger             insert! : (S,%) -> %
+--R inspect : % -> S                      intersect : (%,%) -> %
+--R latex : % -> String                   map : ((S -> S),%) -> %
+--R max : % -> S                          merge : (%,%) -> %
+--R merge! : (%,%) -> %                   min : % -> S
+--R removeDuplicates! : % -> %            sample : () -> %
+--R set : () -> %                         set : List S -> %
+--R subset? : (%,%) -> Boolean            union : (%,%) -> %
+--R union : (%,S) -> %                    union : (S,%) -> %
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if S has SETCAT and $ has finiteAggregate
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R duplicates : % -> List Record(entry: S,count: NonNegativeInteger)
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R insert! : (S,%,NonNegativeInteger) -> %
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if S has SETCAT and $ has finiteAggregate
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if S has SETCAT and $ has finiteAggregate
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if S has SETCAT and $ has finiteAggregate
+--R remove! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (S,%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if S has SETCAT and $ has finiteAggregate
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R symmetricDifference : (%,%) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedMultisetAggregate.help>>=
+====================================================================
+OrderedMultisetAggregate examples
+====================================================================
+
+See Also:
+o )show OrderedMultisetAggregate
+
+@
 {\bf See:}
 
 \pagefrom{MultisetAggregate}{MSETAGG}
@@ -27323,6 +33395,52 @@ digraph pic {
 \pagehead{Ring}{RING}
 \pagepic{ps/v102ring.ps}{RING}{1.00}
 
+<<Ring.input>>=
+)set break resume
+)sys rm -f Ring.output
+)spool Ring.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Ring
+--R Ring  is a category constructor
+--R Abbreviation for Ring is RING 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Ring.help>>=
+====================================================================
+Ring examples
+====================================================================
+
+See Also:
+o )show Ring
+
+@
 {\bf See:}
 
 \pageto{Algebra}{ALGEBRA}
@@ -27512,6 +33630,129 @@ digraph pic {
 \pagehead{SquareFreeRegularTriangularSetCategory}{SFRTCAT}
 \pagepic{ps/v102squarefreeregulartriangularsetcategory.ps}{SFRTCAT}{0.50}
 
+<<SquareFreeRegularTriangularSetCategory.input>>=
+)set break resume
+)sys rm -f SquareFreeRegularTriangularSetCategory.output
+)spool SquareFreeRegularTriangularSetCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SquareFreeRegularTriangularSetCategory
+--R SquareFreeRegularTriangularSetCategory(R: GcdDomain,E: OrderedAbelianMonoidSup,V: OrderedSet,P: RecursivePolynomialCategory(t#1,t#2,t#3))  is a category constructor
+--R Abbreviation for SquareFreeRegularTriangularSetCategory is SFRTCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SFRTCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                algebraic? : (V,%) -> Boolean
+--R algebraicVariables : % -> List V      augment : (List P,%) -> List %
+--R augment : (P,List %) -> List %        augment : (P,%) -> List %
+--R coerce : % -> List P                  coerce : % -> OutputForm
+--R collect : (%,V) -> %                  collectQuasiMonic : % -> %
+--R collectUnder : (%,V) -> %             collectUpper : (%,V) -> %
+--R construct : List P -> %               copy : % -> %
+--R degree : % -> NonNegativeInteger      empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R extend : (List P,%) -> List %         extend : (P,List %) -> List %
+--R extend : (P,%) -> List %              extend : (%,P) -> %
+--R first : % -> Union(P,"failed")        hash : % -> SingleInteger
+--R headReduce : (P,%) -> P               headReduced? : % -> Boolean
+--R headReduced? : (P,%) -> Boolean       infRittWu? : (%,%) -> Boolean
+--R initiallyReduce : (P,%) -> P          initiallyReduced? : % -> Boolean
+--R initials : % -> List P                internalAugment : (P,%) -> %
+--R intersect : (P,List %) -> List %      intersect : (List P,%) -> List %
+--R intersect : (P,%) -> List %           invertible? : (P,%) -> Boolean
+--R invertibleSet : (P,%) -> List %       last : % -> Union(P,"failed")
+--R latex : % -> String                   mainVariable? : (V,%) -> Boolean
+--R mainVariables : % -> List V           map : ((P -> P),%) -> %
+--R mvar : % -> V                         normalized? : % -> Boolean
+--R normalized? : (P,%) -> Boolean        purelyAlgebraic? : % -> Boolean
+--R reduceByQuasiMonic : (P,%) -> P       removeZero : (P,%) -> P
+--R rest : % -> Union(%,"failed")         retract : List P -> %
+--R sample : () -> %                      stronglyReduce : (P,%) -> P
+--R stronglyReduced? : % -> Boolean       trivialIdeal? : % -> Boolean
+--R variables : % -> List V               zeroSetSplit : List P -> List %
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R algebraicCoefficients? : (P,%) -> Boolean
+--R any? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R augment : (List P,List %) -> List %
+--R autoReduced? : (%,((P,List P) -> Boolean)) -> Boolean
+--R basicSet : (List P,(P -> Boolean),((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R basicSet : (List P,((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R coHeight : % -> NonNegativeInteger if V has FINITE
+--R convert : % -> InputForm if P has KONVERT INFORM
+--R count : ((P -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (P,%) -> NonNegativeInteger if P has SETCAT and $ has finiteAggregate
+--R eval : (%,List Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,P,P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,List P,List P) -> % if P has EVALAB P and P has SETCAT
+--R every? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extend : (List P,List %) -> List %
+--R extendIfCan : (%,P) -> Union(%,"failed")
+--R find : ((P -> Boolean),%) -> Union(P,"failed")
+--R headRemainder : (P,%) -> Record(num: P,den: R) if R has INTDOM
+--R initiallyReduced? : (P,%) -> Boolean
+--R internalAugment : (List P,%) -> %
+--R intersect : (List P,List %) -> List %
+--R invertible? : (P,%) -> List Record(val: Boolean,tower: %)
+--R invertibleElseSplit? : (P,%) -> Union(Boolean,List %)
+--R lastSubResultant : (P,P,%) -> List Record(val: P,tower: %)
+--R lastSubResultantElseSplit : (P,P,%) -> Union(P,List %)
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((P -> P),%) -> % if $ has shallowlyMutable
+--R member? : (P,%) -> Boolean if P has SETCAT and $ has finiteAggregate
+--R members : % -> List P if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List P if $ has finiteAggregate
+--R purelyAlgebraic? : (P,%) -> Boolean
+--R purelyAlgebraicLeadingMonomial? : (P,%) -> Boolean
+--R purelyTranscendental? : (P,%) -> Boolean
+--R quasiComponent : % -> Record(close: List P,open: List P)
+--R reduce : (P,%,((P,P) -> P),((P,P) -> Boolean)) -> P
+--R reduce : (((P,P) -> P),%) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P,P) -> P if P has SETCAT and $ has finiteAggregate
+--R reduced? : (P,%,((P,P) -> Boolean)) -> Boolean
+--R remainder : (P,%) -> Record(rnum: R,polnum: P,den: R) if R has INTDOM
+--R remove : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (P,%) -> % if P has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if P has SETCAT and $ has finiteAggregate
+--R retractIfCan : List P -> Union(%,"failed")
+--R rewriteIdealWithHeadRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteIdealWithRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteSetWithReduction : (List P,%,((P,P) -> P),((P,P) -> Boolean)) -> List P
+--R roughBase? : % -> Boolean if R has INTDOM
+--R roughEqualIdeals? : (%,%) -> Boolean if R has INTDOM
+--R roughSubIdeal? : (%,%) -> Boolean if R has INTDOM
+--R roughUnitIdeal? : % -> Boolean if R has INTDOM
+--R select : (%,V) -> Union(P,"failed")
+--R select : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (%,V) -> Record(under: %,floor: %,upper: %)
+--R squareFreePart : (P,%) -> List Record(val: P,tower: %)
+--R stronglyReduced? : (P,%) -> Boolean
+--R triangular? : % -> Boolean if R has INTDOM
+--R zeroSetSplit : (List P,Boolean) -> List %
+--R zeroSetSplitIntoTriangularSystems : List P -> List Record(close: %,open: List P)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SquareFreeRegularTriangularSetCategory.help>>=
+====================================================================
+SquareFreeRegularTriangularSetCategory examples
+====================================================================
+
+See Also:
+o )show SquareFreeRegularTriangularSetCategory
+
+@
 {\bf See:}
 
 \pageto{SquareFreeNormalizedTriangularSetCategory}{SNTSCAT}
@@ -27859,6 +34100,127 @@ digraph pic {
 \pagehead{StringAggregate}{SRAGG}
 \pagepic{ps/v102stringaggregate.ps}{SRAGG}{1.00}
 
+<<StringAggregate.input>>=
+)set break resume
+)sys rm -f StringAggregate.output
+)spool StringAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StringAggregate
+--R StringAggregate  is a category constructor
+--R Abbreviation for StringAggregate is SRAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SRAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : Character -> %               concat : List % -> %
+--R concat : (%,%) -> %                   concat : (Character,%) -> %
+--R concat : (%,Character) -> %           construct : List Character -> %
+--R copy : % -> %                         delete : (%,Integer) -> %
+--R ?.? : (%,%) -> %                      ?.? : (%,Integer) -> Character
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List Character         eq? : (%,%) -> Boolean
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R insert : (%,%,Integer) -> %           leftTrim : (%,Character) -> %
+--R lowerCase : % -> %                    lowerCase! : % -> %
+--R prefix? : (%,%) -> Boolean            qelt : (%,Integer) -> Character
+--R reverse : % -> %                      rightTrim : (%,Character) -> %
+--R sample : () -> %                      split : (%,Character) -> List %
+--R suffix? : (%,%) -> Boolean            trim : (%,CharacterClass) -> %
+--R trim : (%,Character) -> %             upperCase : % -> %
+--R upperCase! : % -> %                  
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if Character has ORDSET
+--R ?<=? : (%,%) -> Boolean if Character has ORDSET
+--R ?=? : (%,%) -> Boolean if Character has SETCAT
+--R ?>? : (%,%) -> Boolean if Character has ORDSET
+--R ?>=? : (%,%) -> Boolean if Character has ORDSET
+--R any? : ((Character -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if Character has SETCAT
+--R convert : % -> InputForm if Character has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (Character,%) -> NonNegativeInteger if Character has SETCAT and $ has finiteAggregate
+--R count : ((Character -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R elt : (%,Integer,Character) -> Character
+--R entry? : (Character,%) -> Boolean if $ has finiteAggregate and Character has SETCAT
+--R eval : (%,List Character,List Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R eval : (%,Character,Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R eval : (%,Equation Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R eval : (%,List Equation Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R every? : ((Character -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,Character) -> % if $ has shallowlyMutable
+--R find : ((Character -> Boolean),%) -> Union(Character,"failed")
+--R first : % -> Character if Integer has ORDSET
+--R hash : % -> SingleInteger if Character has SETCAT
+--R insert : (Character,%,Integer) -> %
+--R latex : % -> String if Character has SETCAT
+--R leftTrim : (%,CharacterClass) -> %
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : (((Character,Character) -> Character),%,%) -> %
+--R map : ((Character -> Character),%) -> %
+--R map! : ((Character -> Character),%) -> % if $ has shallowlyMutable
+--R match : (%,%,Character) -> NonNegativeInteger
+--R match? : (%,%,Character) -> Boolean
+--R max : (%,%) -> % if Character has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (Character,%) -> Boolean if Character has SETCAT and $ has finiteAggregate
+--R members : % -> List Character if $ has finiteAggregate
+--R merge : (%,%) -> % if Character has ORDSET
+--R merge : (((Character,Character) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if Character has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,Character) -> %
+--R parts : % -> List Character if $ has finiteAggregate
+--R position : (CharacterClass,%,Integer) -> Integer
+--R position : (%,%,Integer) -> Integer
+--R position : (Character,%,Integer) -> Integer if Character has SETCAT
+--R position : (Character,%) -> Integer if Character has SETCAT
+--R position : ((Character -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,Character) -> Character if $ has shallowlyMutable
+--R reduce : (((Character,Character) -> Character),%) -> Character if $ has finiteAggregate
+--R reduce : (((Character,Character) -> Character),%,Character) -> Character if $ has finiteAggregate
+--R reduce : (((Character,Character) -> Character),%,Character,Character) -> Character if Character has SETCAT and $ has finiteAggregate
+--R remove : ((Character -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Character,%) -> % if Character has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if Character has SETCAT and $ has finiteAggregate
+--R replace : (%,UniversalSegment Integer,%) -> %
+--R reverse! : % -> % if $ has shallowlyMutable
+--R rightTrim : (%,CharacterClass) -> %
+--R select : ((Character -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,Character) -> Character if $ has shallowlyMutable
+--R setelt : (%,Integer,Character) -> Character if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if Character has ORDSET
+--R sort : (((Character,Character) -> Boolean),%) -> %
+--R sort! : % -> % if Character has ORDSET and $ has shallowlyMutable
+--R sort! : (((Character,Character) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if Character has ORDSET
+--R sorted? : (((Character,Character) -> Boolean),%) -> Boolean
+--R split : (%,CharacterClass) -> List %
+--R substring? : (%,%,Integer) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if Character has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<StringAggregate.help>>=
+====================================================================
+StringAggregate examples
+====================================================================
+
+See Also:
+o )show StringAggregate
+
+@
 {\bf See:}
 
 \pageto{StringCategory}{STRICAT}
@@ -28273,6 +34635,109 @@ digraph pic {
 \pagehead{TableAggregate}{TBAGG}
 \pagepic{ps/v102tableaggregate.ps}{TBAGG}{0.60}
 
+<<TableAggregate.input>>=
+)set break resume
+)sys rm -f TableAggregate.output
+)spool TableAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TableAggregate
+--R TableAggregate(Key: SetCategory,Entry: SetCategory)  is a category constructor
+--R Abbreviation for TableAggregate is TBAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for TBAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R copy : % -> %                         dictionary : () -> %
+--R elt : (%,Key,Entry) -> Entry          ?.? : (%,Key) -> Entry
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List Entry             eq? : (%,%) -> Boolean
+--R index? : (Key,%) -> Boolean           indices : % -> List Key
+--R key? : (Key,%) -> Boolean             keys : % -> List Key
+--R map : ((Entry -> Entry),%) -> %       qelt : (%,Key) -> Entry
+--R sample : () -> %                      setelt : (%,Key,Entry) -> Entry
+--R table : () -> %                      
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if Entry has SETCAT or Record(key: Key,entry: Entry) has SETCAT
+--R any? : ((Entry -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R any? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R bag : List Record(key: Key,entry: Entry) -> %
+--R coerce : % -> OutputForm if Entry has SETCAT or Record(key: Key,entry: Entry) has SETCAT
+--R construct : List Record(key: Key,entry: Entry) -> %
+--R convert : % -> InputForm if Record(key: Key,entry: Entry) has KONVERT INFORM
+--R count : ((Entry -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (Entry,%) -> NonNegativeInteger if Entry has SETCAT and $ has finiteAggregate
+--R count : (Record(key: Key,entry: Entry),%) -> NonNegativeInteger if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R count : ((Record(key: Key,entry: Entry) -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R dictionary : List Record(key: Key,entry: Entry) -> %
+--R entry? : (Entry,%) -> Boolean if $ has finiteAggregate and Entry has SETCAT
+--R eval : (%,List Equation Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,Equation Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,Entry,Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,List Entry,List Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,List Record(key: Key,entry: Entry),List Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,List Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R every? : ((Entry -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R every? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extract! : % -> Record(key: Key,entry: Entry)
+--R fill! : (%,Entry) -> % if $ has shallowlyMutable
+--R find : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Union(Record(key: Key,entry: Entry),"failed")
+--R first : % -> Entry if Key has ORDSET
+--R hash : % -> SingleInteger if Entry has SETCAT or Record(key: Key,entry: Entry) has SETCAT
+--R insert! : (Record(key: Key,entry: Entry),%) -> %
+--R inspect : % -> Record(key: Key,entry: Entry)
+--R latex : % -> String if Entry has SETCAT or Record(key: Key,entry: Entry) has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : (((Entry,Entry) -> Entry),%,%) -> %
+--R map : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> %
+--R map! : ((Entry -> Entry),%) -> % if $ has shallowlyMutable
+--R map! : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Key if Key has ORDSET
+--R member? : (Entry,%) -> Boolean if Entry has SETCAT and $ has finiteAggregate
+--R member? : (Record(key: Key,entry: Entry),%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R members : % -> List Entry if $ has finiteAggregate
+--R members : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R minIndex : % -> Key if Key has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List Entry if $ has finiteAggregate
+--R parts : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R qsetelt! : (%,Key,Entry) -> Entry if $ has shallowlyMutable
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R remove : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Record(key: Key,entry: Entry),%) -> % if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R remove! : (Key,%) -> Union(Entry,"failed")
+--R remove! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (Record(key: Key,entry: Entry),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R search : (Key,%) -> Union(Entry,"failed")
+--R select : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R swap! : (%,Key,Key) -> Void if $ has shallowlyMutable
+--R table : List Record(key: Key,entry: Entry) -> %
+--R ?~=? : (%,%) -> Boolean if Entry has SETCAT or Record(key: Key,entry: Entry) has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<TableAggregate.help>>=
+====================================================================
+TableAggregate examples
+====================================================================
+
+See Also:
+o )show TableAggregate
+
+@
 {\bf See:}
 
 \pageto{AssociationListAggregate}{ALAGG}
@@ -28722,6 +35187,120 @@ digraph pic {
 \pagehead{VectorCategory}{VECTCAT}
 \pagepic{ps/v102vectorcategory.ps}{VECTCAT}{1.00}
 
+<<VectorCategory.input>>=
+)set break resume
+)sys rm -f VectorCategory.output
+)spool VectorCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show VectorCategory
+--R VectorCategory R: Type  is a category constructor
+--R Abbreviation for VectorCategory is VECTCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for VECTCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if R has ABELGRP          concat : List % -> %
+--R concat : (%,%) -> %                   concat : (R,%) -> %
+--R concat : (%,R) -> %                   construct : List R -> %
+--R copy : % -> %                         delete : (%,Integer) -> %
+--R ?.? : (%,Integer) -> R                elt : (%,Integer,R) -> R
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List R                 eq? : (%,%) -> Boolean
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R insert : (%,%,Integer) -> %           insert : (R,%,Integer) -> %
+--R map : (((R,R) -> R),%,%) -> %         map : ((R -> R),%) -> %
+--R new : (NonNegativeInteger,R) -> %     qelt : (%,Integer) -> R
+--R reverse : % -> %                      sample : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (%,R) -> % if R has MONOID
+--R ?*? : (R,%) -> % if R has MONOID
+--R ?*? : (Integer,%) -> % if R has ABELGRP
+--R ?+? : (%,%) -> % if R has ABELSG
+--R ?-? : (%,%) -> % if R has ABELGRP
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if R has SETCAT
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (R,%) -> NonNegativeInteger if R has SETCAT and $ has finiteAggregate
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R cross : (%,%) -> % if R has RING
+--R delete : (%,UniversalSegment Integer) -> %
+--R dot : (%,%) -> R if R has RING
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,R) -> % if $ has shallowlyMutable
+--R find : ((R -> Boolean),%) -> Union(R,"failed")
+--R first : % -> R if Integer has ORDSET
+--R hash : % -> SingleInteger if R has SETCAT
+--R latex : % -> String if R has SETCAT
+--R length : % -> R if R has RING and R has RADCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R magnitude : % -> R if R has RING and R has RADCAT
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if R has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (R,%) -> Boolean if R has SETCAT and $ has finiteAggregate
+--R members : % -> List R if $ has finiteAggregate
+--R merge : (%,%) -> % if R has ORDSET
+--R merge : (((R,R) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if R has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R outerProduct : (%,%) -> Matrix R if R has RING
+--R parts : % -> List R if $ has finiteAggregate
+--R position : (R,%,Integer) -> Integer if R has SETCAT
+--R position : (R,%) -> Integer if R has SETCAT
+--R position : ((R -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,R) -> R if $ has shallowlyMutable
+--R reduce : (((R,R) -> R),%) -> R if $ has finiteAggregate
+--R reduce : (((R,R) -> R),%,R) -> R if $ has finiteAggregate
+--R reduce : (((R,R) -> R),%,R,R) -> R if R has SETCAT and $ has finiteAggregate
+--R remove : ((R -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (R,%) -> % if R has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if R has SETCAT and $ has finiteAggregate
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((R -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,R) -> R if $ has shallowlyMutable
+--R setelt : (%,Integer,R) -> R if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if R has ORDSET
+--R sort : (((R,R) -> Boolean),%) -> %
+--R sort! : % -> % if R has ORDSET and $ has shallowlyMutable
+--R sort! : (((R,R) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if R has ORDSET
+--R sorted? : (((R,R) -> Boolean),%) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R zero : NonNegativeInteger -> % if R has ABELMON
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<VectorCategory.help>>=
+====================================================================
+VectorCategory examples
+====================================================================
+
+See Also:
+o )show VectorCategory
+
+@
 {\bf See:}
 
 \pageto{PointCategory}{PTCAT}
@@ -29065,6 +35644,216 @@ digraph pic {
 \pagehead{AssociationListAggregate}{ALAGG}
 \pagepic{ps/v102associationlistaggregate.ps}{ALAGG}{0.45}
 
+<<AssociationListAggregate.input>>=
+)set break resume
+)sys rm -f AssociationListAggregate.output
+)spool AssociationListAggregate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AssociationListAggregate
+--R AssociationListAggregate(Key: SetCategory,Entry: SetCategory)  is a category constructor
+--R Abbreviation for AssociationListAggregate is ALAGG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ALAGG 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                concat : (%,%) -> %
+--R concat : List % -> %                  concat! : (%,%) -> %
+--R copy : % -> %                         cycleEntry : % -> %
+--R cycleTail : % -> %                    cyclic? : % -> Boolean
+--R delete : (%,Integer) -> %             delete! : (%,Integer) -> %
+--R dictionary : () -> %                  distance : (%,%) -> Integer
+--R ?.rest : (%,rest) -> %                elt : (%,Key,Entry) -> Entry
+--R ?.? : (%,Key) -> Entry                empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List Entry
+--R eq? : (%,%) -> Boolean                explicitlyFinite? : % -> Boolean
+--R index? : (Integer,%) -> Boolean       index? : (Key,%) -> Boolean
+--R indices : % -> List Integer           indices : % -> List Key
+--R insert : (%,%,Integer) -> %           insert! : (%,%,Integer) -> %
+--R key? : (Key,%) -> Boolean             keys : % -> List Key
+--R leaf? : % -> Boolean                  map : ((Entry -> Entry),%) -> %
+--R nodes : % -> List %                   possiblyInfinite? : % -> Boolean
+--R qelt : (%,Key) -> Entry               rest : % -> %
+--R reverse : % -> %                      sample : () -> %
+--R setelt : (%,Key,Entry) -> Entry       table : () -> %
+--R tail : % -> %                        
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has ORDSET
+--R ?<=? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has ORDSET
+--R ?=? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT or Record(key: Key,entry: Entry) has SETCAT
+--R ?>? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has ORDSET
+--R ?>=? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has ORDSET
+--R any? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R any? : ((Entry -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R any? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R assoc : (Key,%) -> Union(Record(key: Key,entry: Entry),"failed")
+--R bag : List Record(key: Key,entry: Entry) -> %
+--R child? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT
+--R coerce : % -> OutputForm if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT or Record(key: Key,entry: Entry) has SETCAT
+--R concat : (Record(key: Key,entry: Entry),%) -> %
+--R concat : (%,Record(key: Key,entry: Entry)) -> %
+--R concat! : (%,Record(key: Key,entry: Entry)) -> %
+--R construct : List Record(key: Key,entry: Entry) -> %
+--R construct : List Record(key: Key,entry: Entry) -> %
+--R convert : % -> InputForm if Record(key: Key,entry: Entry) has KONVERT INFORM or Record(key: Key,entry: Entry) has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : ((Record(key: Key,entry: Entry) -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (Record(key: Key,entry: Entry),%) -> NonNegativeInteger if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R count : ((Entry -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (Entry,%) -> NonNegativeInteger if Entry has SETCAT and $ has finiteAggregate
+--R count : (Record(key: Key,entry: Entry),%) -> NonNegativeInteger if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R count : ((Record(key: Key,entry: Entry) -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R cycleLength : % -> NonNegativeInteger
+--R cycleSplit! : % -> % if $ has shallowlyMutable
+--R delete : (%,UniversalSegment Integer) -> %
+--R delete! : (%,UniversalSegment Integer) -> %
+--R dictionary : List Record(key: Key,entry: Entry) -> %
+--R ?.value : (%,value) -> Record(key: Key,entry: Entry)
+--R ?.first : (%,first) -> Record(key: Key,entry: Entry)
+--R ?.last : (%,last) -> Record(key: Key,entry: Entry)
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,Integer) -> Record(key: Key,entry: Entry)
+--R elt : (%,Integer,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)
+--R entries : % -> List Record(key: Key,entry: Entry)
+--R entry? : (Record(key: Key,entry: Entry),%) -> Boolean if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R entry? : (Entry,%) -> Boolean if $ has finiteAggregate and Entry has SETCAT
+--R eval : (%,List Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,List Record(key: Key,entry: Entry),List Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,List Equation Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,Equation Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,Entry,Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,List Entry,List Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,List Record(key: Key,entry: Entry),List Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,List Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R every? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R every? : ((Entry -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R every? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extract! : % -> Record(key: Key,entry: Entry)
+--R fill! : (%,Record(key: Key,entry: Entry)) -> % if $ has shallowlyMutable
+--R fill! : (%,Entry) -> % if $ has shallowlyMutable
+--R find : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Union(Record(key: Key,entry: Entry),"failed")
+--R find : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Union(Record(key: Key,entry: Entry),"failed")
+--R first : % -> Record(key: Key,entry: Entry)
+--R first : (%,NonNegativeInteger) -> %
+--R first : % -> Entry if Key has ORDSET
+--R hash : % -> SingleInteger if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT or Record(key: Key,entry: Entry) has SETCAT
+--R insert : (Record(key: Key,entry: Entry),%,Integer) -> %
+--R insert! : (Record(key: Key,entry: Entry),%,Integer) -> %
+--R insert! : (Record(key: Key,entry: Entry),%) -> %
+--R inspect : % -> Record(key: Key,entry: Entry)
+--R last : % -> Record(key: Key,entry: Entry)
+--R last : (%,NonNegativeInteger) -> %
+--R latex : % -> String if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT or Record(key: Key,entry: Entry) has SETCAT
+--R leaves : % -> List Record(key: Key,entry: Entry)
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R list : Record(key: Key,entry: Entry) -> %
+--R map : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> %
+--R map : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,%) -> %
+--R map : (((Entry,Entry) -> Entry),%,%) -> %
+--R map : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> %
+--R map! : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> % if $ has shallowlyMutable
+--R map! : ((Entry -> Entry),%) -> % if $ has shallowlyMutable
+--R map! : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if Record(key: Key,entry: Entry) has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R maxIndex : % -> Key if Key has ORDSET
+--R member? : (Record(key: Key,entry: Entry),%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R member? : (Entry,%) -> Boolean if Entry has SETCAT and $ has finiteAggregate
+--R member? : (Record(key: Key,entry: Entry),%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R members : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R members : % -> List Entry if $ has finiteAggregate
+--R members : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R merge : (%,%) -> % if Record(key: Key,entry: Entry) has ORDSET
+--R merge : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Boolean),%,%) -> %
+--R merge! : (%,%) -> % if Record(key: Key,entry: Entry) has ORDSET
+--R merge! : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if Record(key: Key,entry: Entry) has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R minIndex : % -> Key if Key has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,Record(key: Key,entry: Entry)) -> %
+--R node? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT
+--R parts : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R parts : % -> List Entry if $ has finiteAggregate
+--R parts : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R position : (Record(key: Key,entry: Entry),%,Integer) -> Integer if Record(key: Key,entry: Entry) has SETCAT
+--R position : (Record(key: Key,entry: Entry),%) -> Integer if Record(key: Key,entry: Entry) has SETCAT
+--R position : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Integer
+--R qelt : (%,Integer) -> Record(key: Key,entry: Entry)
+--R qsetelt! : (%,Integer,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has shallowlyMutable
+--R qsetelt! : (%,Key,Entry) -> Entry if $ has shallowlyMutable
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R remove : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Record(key: Key,entry: Entry),%) -> % if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R remove : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Record(key: Key,entry: Entry),%) -> % if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R remove! : (Record(key: Key,entry: Entry),%) -> % if Record(key: Key,entry: Entry) has SETCAT
+--R remove! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> %
+--R remove! : (Key,%) -> Union(Entry,"failed")
+--R remove! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (Record(key: Key,entry: Entry),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate or Record(key: Key,entry: Entry) has SETCAT and $ has finiteAggregate
+--R removeDuplicates! : % -> % if Record(key: Key,entry: Entry) has SETCAT
+--R rest : (%,NonNegativeInteger) -> %
+--R reverse! : % -> % if $ has shallowlyMutable
+--R search : (Key,%) -> Union(Entry,"failed")
+--R second : % -> Record(key: Key,entry: Entry)
+--R select : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R select : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> %
+--R select! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,value,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has shallowlyMutable
+--R setelt : (%,first,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has shallowlyMutable
+--R setelt : (%,rest,%) -> % if $ has shallowlyMutable
+--R setelt : (%,last,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has shallowlyMutable
+--R setelt : (%,UniversalSegment Integer,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has shallowlyMutable
+--R setelt : (%,Integer,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has shallowlyMutable
+--R setfirst! : (%,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has shallowlyMutable
+--R setlast! : (%,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has shallowlyMutable
+--R setrest! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if Record(key: Key,entry: Entry) has ORDSET
+--R sort : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Boolean),%) -> %
+--R sort! : % -> % if Record(key: Key,entry: Entry) has ORDSET and $ has shallowlyMutable
+--R sort! : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if Record(key: Key,entry: Entry) has ORDSET
+--R sorted? : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Boolean),%) -> Boolean
+--R split! : (%,Integer) -> % if $ has shallowlyMutable
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R swap! : (%,Key,Key) -> Void if $ has shallowlyMutable
+--R table : List Record(key: Key,entry: Entry) -> %
+--R third : % -> Record(key: Key,entry: Entry)
+--R value : % -> Record(key: Key,entry: Entry)
+--R ?~=? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT or Record(key: Key,entry: Entry) has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AssociationListAggregate.help>>=
+====================================================================
+AssociationListAggregate examples
+====================================================================
+
+See Also:
+o )show AssociationListAggregate
+
+@
 {\bf See:}
 
 \pagefrom{ListAggregate}{LSAGG}
@@ -29581,6 +36370,53 @@ digraph pic {
 \pagehead{CharacteristicNonZero}{CHARNZ}
 \pagepic{ps/v102characteristicnonzero.ps}{CHARNZ}{0.90}
 
+<<CharacteristicNonZero.input>>=
+)set break resume
+)sys rm -f CharacteristicNonZero.output
+)spool CharacteristicNonZero.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CharacteristicNonZero
+--R CharacteristicNonZero  is a category constructor
+--R Abbreviation for CharacteristicNonZero is CHARNZ 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for CHARNZ 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<CharacteristicNonZero.help>>=
+====================================================================
+CharacteristicNonZero examples
+====================================================================
+
+See Also:
+o )show CharacteristicNonZero
+
+@
 {\bf See:}
 
 \pageto{FieldOfPrimeCharacteristic}{FPC}
@@ -29734,6 +36570,52 @@ digraph pic {
 \pagehead{CharacteristicZero}{CHARZ}
 \pagepic{ps/v102characteristiczero.ps}{CHARZ}{0.90}
 
+<<CharacteristicZero.input>>=
+)set break resume
+)sys rm -f CharacteristicZero.output
+)spool CharacteristicZero.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CharacteristicZero
+--R CharacteristicZero  is a category constructor
+--R Abbreviation for CharacteristicZero is CHARZ 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for CHARZ 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<CharacteristicZero.help>>=
+====================================================================
+CharacteristicZero examples
+====================================================================
+
+See Also:
+o )show CharacteristicZero
+
+@
 {\bf See:}
 
 \pageto{FiniteRankAlgebra}{FINRALG}
@@ -29881,6 +36763,52 @@ digraph pic {
 \pagehead{CommutativeRing}{COMRING}
 \pagepic{ps/v102commutativering.ps}{COMRING}{0.65}
 
+<<CommutativeRing.input>>=
+)set break resume
+)sys rm -f CommutativeRing.output
+)spool CommutativeRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show CommutativeRing
+--R CommutativeRing  is a category constructor
+--R Abbreviation for CommutativeRing is COMRING 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for COMRING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<CommutativeRing.help>>=
+====================================================================
+CommutativeRing examples
+====================================================================
+
+See Also:
+o )show CommutativeRing
+
+@
 Commutative Rings are a subset of IntegralDomains.
 \pageto{IntegralDomain}{INTDOM}. 
 
@@ -30055,6 +36983,55 @@ digraph pic {
 \pagehead{DifferentialRing}{DIFRING}
 \pagepic{ps/v102differentialring.ps}{DIFRING}{0.90}
 
+<<DifferentialRing.input>>=
+)set break resume
+)sys rm -f DifferentialRing.output
+)spool DifferentialRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DifferentialRing
+--R DifferentialRing  is a category constructor
+--R Abbreviation for DifferentialRing is DIFRING 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for DIFRING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,NonNegativeInteger) -> %       D : % -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              differentiate : % -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R differentiate : (%,NonNegativeInteger) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DifferentialRing.help>>=
+====================================================================
+DifferentialRing examples
+====================================================================
+
+See Also:
+o )show DifferentialRing
+
+@
 {\bf See:}
 
 \pageto{IntegerNumberSystem}{INS}
@@ -30235,6 +37212,52 @@ digraph pic {
 \pagehead{EntireRing}{ENTIRER}
 \pagepic{ps/v102EntireRing.ps}{ENTIRER}{0.65}
 
+<<EntireRing.input>>=
+)set break resume
+)sys rm -f EntireRing.output
+)spool EntireRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show EntireRing
+--R EntireRing  is a category constructor
+--R Abbreviation for EntireRing is ENTIRER 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ENTIRER 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<EntireRing.help>>=
+====================================================================
+EntireRing examples
+====================================================================
+
+See Also:
+o )show EntireRing
+
+@
 {\bf See:}
 
 \pageto{DivisionRing}{DIVRING}
@@ -30400,6 +37423,57 @@ digraph pic {
 \pagehead{FreeModuleCat}{FMCAT}
 \pagepic{ps/v102freemodulecat.ps}{FMCAT}{0.75}
 
+<<FreeModuleCat.input>>=
+)set break resume
+)sys rm -f FreeModuleCat.output
+)spool FreeModuleCat.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FreeModuleCat
+--R FreeModuleCat(R: Ring,Basis: SetCategory)  is a category constructor
+--R Abbreviation for FreeModuleCat is FMCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FMCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,Basis) -> %                  ?*? : (%,R) -> %
+--R ?*? : (R,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coefficient : (%,Basis) -> R          coefficients : % -> List R
+--R coerce : Basis -> %                   coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> R           leadingMonomial : % -> Basis
+--R map : ((R -> R),%) -> %               monom : (Basis,R) -> %
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R reductum : % -> %                     retract : % -> Basis
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R leadingTerm : % -> Record(k: Basis,c: R)
+--R listOfTerms : % -> List Record(k: Basis,c: R)
+--R numberOfMonomials : % -> NonNegativeInteger
+--R retractIfCan : % -> Union(Basis,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FreeModuleCat.help>>=
+====================================================================
+FreeModuleCat examples
+====================================================================
+
+See Also:
+o )show FreeModuleCat
+
+@
 {\bf See:}
 
 \pagefrom{BiModule}{BMODULE}
@@ -30618,6 +37692,53 @@ digraph pic {
 \pagehead{LeftAlgebra}{LALG}
 \pagepic{ps/v102leftalgebra.ps}{LALG}{1.00}
 
+<<LeftAlgebra.input>>=
+)set break resume
+)sys rm -f LeftAlgebra.output
+)spool LeftAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LeftAlgebra
+--R LeftAlgebra R: Ring  is a category constructor
+--R Abbreviation for LeftAlgebra is LALG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for LALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LeftAlgebra.help>>=
+====================================================================
+LeftAlgebra examples
+====================================================================
+
+See Also:
+o )show LeftAlgebra
+
+@
 {\bf See:}
 
 \pagefrom{LeftModule}{LMODULE}
@@ -30760,6 +37881,54 @@ digraph pic {
 \pagehead{LinearlyExplicitRingOver}{LINEXP}
 \pagepic{ps/v102linearlyexplicitringover.ps}{LINEXP}{0.90}
 
+<<LinearlyExplicitRingOver.input>>=
+)set break resume
+)sys rm -f LinearlyExplicitRingOver.output
+)spool LinearlyExplicitRingOver.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinearlyExplicitRingOver
+--R LinearlyExplicitRingOver R: Ring  is a category constructor
+--R Abbreviation for LinearlyExplicitRingOver is LINEXP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for LINEXP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : Matrix % -> Matrix R
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LinearlyExplicitRingOver.help>>=
+====================================================================
+LinearlyExplicitRingOver examples
+====================================================================
+
+See Also:
+o )show LinearlyExplicitRingOver
+
+@
 {\bf See:}
 
 \pageto{FullyLinearlyExplicitRingOver}{FLINEXP}
@@ -30925,6 +38094,47 @@ digraph pic {
 \pagehead{Module}{MODULE}
 \pagepic{ps/v102module.ps}{MODULE}{1.00}
 
+<<Module.input>>=
+)set break resume
+)sys rm -f Module.output
+)spool Module.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Module
+--R Module R: CommutativeRing  is a category constructor
+--R Abbreviation for Module is MODULE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for MODULE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Module.help>>=
+====================================================================
+Module examples
+====================================================================
+
+See Also:
+o )show Module
+
+@
 {\bf See:}
 
 \pageto{Algebra}{ALGEBRA}
@@ -31064,6 +38274,57 @@ digraph pic {
 \pagehead{OrderedRing}{ORDRING}
 \pagepic{ps/v102orderedring.ps}{ORDRING}{0.75}
 
+<<OrderedRing.input>>=
+)set break resume
+)sys rm -f OrderedRing.output
+)spool OrderedRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedRing
+--R OrderedRing  is a category constructor
+--R Abbreviation for OrderedRing is ORDRING 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ORDRING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R negative? : % -> Boolean              one? : % -> Boolean
+--R positive? : % -> Boolean              recip : % -> Union(%,"failed")
+--R sample : () -> %                      sign : % -> Integer
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedRing.help>>=
+====================================================================
+OrderedRing examples
+====================================================================
+
+See Also:
+o )show OrderedRing
+
+@
 {\bf See:}
 
 \pageto{DirectProductCategory}{DIRPCAT}
@@ -31270,6 +38531,58 @@ digraph pic {
 \pagehead{PartialDifferentialRing}{PDRING}
 \pagepic{ps/v102partialdifferentialring.ps}{PDRING}{1.00}
 
+<<PartialDifferentialRing.input>>=
+)set break resume
+)sys rm -f PartialDifferentialRing.output
+)spool PartialDifferentialRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PartialDifferentialRing
+--R PartialDifferentialRing S: SetCategory  is a category constructor
+--R Abbreviation for PartialDifferentialRing is PDRING 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PDRING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,List S) -> %                   D : (%,S) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              differentiate : (%,List S) -> %
+--R differentiate : (%,S) -> %            hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,List S,List NonNegativeInteger) -> %
+--R D : (%,S,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R differentiate : (%,List S,List NonNegativeInteger) -> %
+--R differentiate : (%,S,NonNegativeInteger) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PartialDifferentialRing.help>>=
+====================================================================
+PartialDifferentialRing examples
+====================================================================
+
+See Also:
+o )show PartialDifferentialRing
+
+@
 {\bf See:}
 
 \pageto{DifferentialExtension}{DIFEXT}
@@ -31490,6 +38803,122 @@ digraph pic {
 \pagehead{PointCategory}{PTCAT}
 \pagepic{ps/v102pointcategory.ps}{PTCAT}{1.00}
 
+<<PointCategory.input>>=
+)set break resume
+)sys rm -f PointCategory.output
+)spool PointCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PointCategory
+--R PointCategory R: Ring  is a category constructor
+--R Abbreviation for PointCategory is PTCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PTCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if R has ABELGRP          concat : List % -> %
+--R concat : (%,%) -> %                   concat : (R,%) -> %
+--R concat : (%,R) -> %                   construct : List R -> %
+--R convert : List R -> %                 copy : % -> %
+--R cross : (%,%) -> %                    delete : (%,Integer) -> %
+--R dimension : % -> PositiveInteger      ?.? : (%,Integer) -> R
+--R elt : (%,Integer,R) -> R              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List R
+--R eq? : (%,%) -> Boolean                extend : (%,List R) -> %
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R insert : (%,%,Integer) -> %           insert : (R,%,Integer) -> %
+--R map : (((R,R) -> R),%,%) -> %         map : ((R -> R),%) -> %
+--R new : (NonNegativeInteger,R) -> %     point : List R -> %
+--R qelt : (%,Integer) -> R               reverse : % -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (%,R) -> % if R has MONOID
+--R ?*? : (R,%) -> % if R has MONOID
+--R ?*? : (Integer,%) -> % if R has ABELGRP
+--R ?+? : (%,%) -> % if R has ABELSG
+--R ?-? : (%,%) -> % if R has ABELGRP
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if R has SETCAT
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (R,%) -> NonNegativeInteger if R has SETCAT and $ has finiteAggregate
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R dot : (%,%) -> R if R has RING
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,R) -> % if $ has shallowlyMutable
+--R find : ((R -> Boolean),%) -> Union(R,"failed")
+--R first : % -> R if Integer has ORDSET
+--R hash : % -> SingleInteger if R has SETCAT
+--R latex : % -> String if R has SETCAT
+--R length : % -> R if R has RING and R has RADCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R magnitude : % -> R if R has RING and R has RADCAT
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if R has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (R,%) -> Boolean if R has SETCAT and $ has finiteAggregate
+--R members : % -> List R if $ has finiteAggregate
+--R merge : (%,%) -> % if R has ORDSET
+--R merge : (((R,R) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if R has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R outerProduct : (%,%) -> Matrix R if R has RING
+--R parts : % -> List R if $ has finiteAggregate
+--R position : (R,%,Integer) -> Integer if R has SETCAT
+--R position : (R,%) -> Integer if R has SETCAT
+--R position : ((R -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,R) -> R if $ has shallowlyMutable
+--R reduce : (((R,R) -> R),%) -> R if $ has finiteAggregate
+--R reduce : (((R,R) -> R),%,R) -> R if $ has finiteAggregate
+--R reduce : (((R,R) -> R),%,R,R) -> R if R has SETCAT and $ has finiteAggregate
+--R remove : ((R -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (R,%) -> % if R has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if R has SETCAT and $ has finiteAggregate
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((R -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,R) -> R if $ has shallowlyMutable
+--R setelt : (%,Integer,R) -> R if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if R has ORDSET
+--R sort : (((R,R) -> Boolean),%) -> %
+--R sort! : % -> % if R has ORDSET and $ has shallowlyMutable
+--R sort! : (((R,R) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if R has ORDSET
+--R sorted? : (((R,R) -> Boolean),%) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R zero : NonNegativeInteger -> % if R has ABELMON
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PointCategory.help>>=
+====================================================================
+PointCategory examples
+====================================================================
+
+See Also:
+o )show PointCategory
+
+@
 {\bf See:}
 
 \pagefrom{VectorCategory}{VECTCAT}
@@ -31789,6 +39218,82 @@ parameters of RectangularMatrixCategory do not satisfy
 FiniteLinearAggregate(R) as required in MatrixCategory.
 
 The RectangularMatrix domain is matrices of fixed dimension.
+
+<<RectangularMatrixCategory.input>>=
+)set break resume
+)sys rm -f RectangularMatrixCategory.output
+)spool RectangularMatrixCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RectangularMatrixCategory
+--R RectangularMatrixCategory(m: NonNegativeInteger,n: NonNegativeInteger,R: Ring,Row: DirectProductCategory(t#2,t#3),Col: DirectProductCategory(t#1,t#3))  is a category constructor
+--R Abbreviation for RectangularMatrixCategory is RMATCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RMATCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           antisymmetric? : % -> Boolean
+--R coerce : % -> OutputForm              column : (%,Integer) -> Col
+--R copy : % -> %                         diagonal? : % -> Boolean
+--R elt : (%,Integer,Integer,R) -> R      elt : (%,Integer,Integer) -> R
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                hash : % -> SingleInteger
+--R latex : % -> String                   listOfLists : % -> List List R
+--R map : (((R,R) -> R),%,%) -> %         map : ((R -> R),%) -> %
+--R matrix : List List R -> %             maxColIndex : % -> Integer
+--R maxRowIndex : % -> Integer            minColIndex : % -> Integer
+--R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
+--R nrows : % -> NonNegativeInteger       qelt : (%,Integer,Integer) -> R
+--R row : (%,Integer) -> Row              sample : () -> %
+--R square? : % -> Boolean                symmetric? : % -> Boolean
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (R,%) -> NonNegativeInteger if R has SETCAT and $ has finiteAggregate
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R member? : (R,%) -> Boolean if R has SETCAT and $ has finiteAggregate
+--R members : % -> List R if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R nullSpace : % -> List Col if R has INTDOM
+--R nullity : % -> NonNegativeInteger if R has INTDOM
+--R parts : % -> List R if $ has finiteAggregate
+--R rank : % -> NonNegativeInteger if R has INTDOM
+--R rowEchelon : % -> % if R has EUCDOM
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RectangularMatrixCategory.help>>=
+====================================================================
+RectangularMatrixCategory examples
+====================================================================
+
+See Also:
+o )show RectangularMatrixCategory
+
+@
+
 {\bf See:}
 
 \pageto{SquareMatrixCategory}{SMATCAT}
@@ -32161,6 +39666,129 @@ digraph pic {
 \pagehead{SquareFreeNormalizedTriangularSetCategory}{SNTSCAT}
 \pagepic{ps/v102squarefreenormalizedtriangularsetcategory.ps}{SNTSCAT}{0.45}
 
+<<SquareFreeNormalizedTriangularSetCategory.input>>=
+)set break resume
+)sys rm -f SquareFreeNormalizedTriangularSetCategory.output
+)spool SquareFreeNormalizedTriangularSetCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SquareFreeNormalizedTriangularSetCategory
+--R SquareFreeNormalizedTriangularSetCategory(R: GcdDomain,E: OrderedAbelianMonoidSup,V: OrderedSet,P: RecursivePolynomialCategory(t#1,t#2,t#3))  is a category constructor
+--R Abbreviation for SquareFreeNormalizedTriangularSetCategory is SNTSCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SNTSCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                algebraic? : (V,%) -> Boolean
+--R algebraicVariables : % -> List V      augment : (List P,%) -> List %
+--R augment : (P,List %) -> List %        augment : (P,%) -> List %
+--R coerce : % -> List P                  coerce : % -> OutputForm
+--R collect : (%,V) -> %                  collectQuasiMonic : % -> %
+--R collectUnder : (%,V) -> %             collectUpper : (%,V) -> %
+--R construct : List P -> %               copy : % -> %
+--R degree : % -> NonNegativeInteger      empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R extend : (List P,%) -> List %         extend : (P,List %) -> List %
+--R extend : (P,%) -> List %              extend : (%,P) -> %
+--R first : % -> Union(P,"failed")        hash : % -> SingleInteger
+--R headReduce : (P,%) -> P               headReduced? : % -> Boolean
+--R headReduced? : (P,%) -> Boolean       infRittWu? : (%,%) -> Boolean
+--R initiallyReduce : (P,%) -> P          initiallyReduced? : % -> Boolean
+--R initials : % -> List P                internalAugment : (P,%) -> %
+--R intersect : (P,List %) -> List %      intersect : (List P,%) -> List %
+--R intersect : (P,%) -> List %           invertible? : (P,%) -> Boolean
+--R invertibleSet : (P,%) -> List %       last : % -> Union(P,"failed")
+--R latex : % -> String                   mainVariable? : (V,%) -> Boolean
+--R mainVariables : % -> List V           map : ((P -> P),%) -> %
+--R mvar : % -> V                         normalized? : % -> Boolean
+--R normalized? : (P,%) -> Boolean        purelyAlgebraic? : % -> Boolean
+--R reduceByQuasiMonic : (P,%) -> P       removeZero : (P,%) -> P
+--R rest : % -> Union(%,"failed")         retract : List P -> %
+--R sample : () -> %                      stronglyReduce : (P,%) -> P
+--R stronglyReduced? : % -> Boolean       trivialIdeal? : % -> Boolean
+--R variables : % -> List V               zeroSetSplit : List P -> List %
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R algebraicCoefficients? : (P,%) -> Boolean
+--R any? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R augment : (List P,List %) -> List %
+--R autoReduced? : (%,((P,List P) -> Boolean)) -> Boolean
+--R basicSet : (List P,(P -> Boolean),((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R basicSet : (List P,((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R coHeight : % -> NonNegativeInteger if V has FINITE
+--R convert : % -> InputForm if P has KONVERT INFORM
+--R count : ((P -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (P,%) -> NonNegativeInteger if P has SETCAT and $ has finiteAggregate
+--R eval : (%,List Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,P,P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,List P,List P) -> % if P has EVALAB P and P has SETCAT
+--R every? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extend : (List P,List %) -> List %
+--R extendIfCan : (%,P) -> Union(%,"failed")
+--R find : ((P -> Boolean),%) -> Union(P,"failed")
+--R headRemainder : (P,%) -> Record(num: P,den: R) if R has INTDOM
+--R initiallyReduced? : (P,%) -> Boolean
+--R internalAugment : (List P,%) -> %
+--R intersect : (List P,List %) -> List %
+--R invertible? : (P,%) -> List Record(val: Boolean,tower: %)
+--R invertibleElseSplit? : (P,%) -> Union(Boolean,List %)
+--R lastSubResultant : (P,P,%) -> List Record(val: P,tower: %)
+--R lastSubResultantElseSplit : (P,P,%) -> Union(P,List %)
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((P -> P),%) -> % if $ has shallowlyMutable
+--R member? : (P,%) -> Boolean if P has SETCAT and $ has finiteAggregate
+--R members : % -> List P if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List P if $ has finiteAggregate
+--R purelyAlgebraic? : (P,%) -> Boolean
+--R purelyAlgebraicLeadingMonomial? : (P,%) -> Boolean
+--R purelyTranscendental? : (P,%) -> Boolean
+--R quasiComponent : % -> Record(close: List P,open: List P)
+--R reduce : (P,%,((P,P) -> P),((P,P) -> Boolean)) -> P
+--R reduce : (((P,P) -> P),%) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P,P) -> P if P has SETCAT and $ has finiteAggregate
+--R reduced? : (P,%,((P,P) -> Boolean)) -> Boolean
+--R remainder : (P,%) -> Record(rnum: R,polnum: P,den: R) if R has INTDOM
+--R remove : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (P,%) -> % if P has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if P has SETCAT and $ has finiteAggregate
+--R retractIfCan : List P -> Union(%,"failed")
+--R rewriteIdealWithHeadRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteIdealWithRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteSetWithReduction : (List P,%,((P,P) -> P),((P,P) -> Boolean)) -> List P
+--R roughBase? : % -> Boolean if R has INTDOM
+--R roughEqualIdeals? : (%,%) -> Boolean if R has INTDOM
+--R roughSubIdeal? : (%,%) -> Boolean if R has INTDOM
+--R roughUnitIdeal? : % -> Boolean if R has INTDOM
+--R select : (%,V) -> Union(P,"failed")
+--R select : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (%,V) -> Record(under: %,floor: %,upper: %)
+--R squareFreePart : (P,%) -> List Record(val: P,tower: %)
+--R stronglyReduced? : (P,%) -> Boolean
+--R triangular? : % -> Boolean if R has INTDOM
+--R zeroSetSplit : (List P,Boolean) -> List %
+--R zeroSetSplitIntoTriangularSystems : List P -> List Record(close: %,open: List P)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SquareFreeNormalizedTriangularSetCategory.help>>=
+====================================================================
+SquareFreeNormalizedTriangularSetCategory examples
+====================================================================
+
+See Also:
+o )show SquareFreeNormalizedTriangularSetCategory
+
+@
 {\bf See:}
 
 \pagefrom{NormalizedTriangularSetCategory}{NTSCAT}
@@ -32481,6 +40109,128 @@ digraph pic {
 \pagehead{StringCategory}{STRICAT}
 \pagepic{ps/v102stringcategory.ps}{STRICAT}{0.75}
 
+<<StringCategory.input>>=
+)set break resume
+)sys rm -f StringCategory.output
+)spool StringCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show StringCategory
+--R StringCategory  is a category constructor
+--R Abbreviation for StringCategory is STRICAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for STRICAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                OMwrite : (%,Boolean) -> String
+--R OMwrite : % -> String                 coerce : % -> OutputForm
+--R coerce : Character -> %               concat : List % -> %
+--R concat : (%,%) -> %                   concat : (Character,%) -> %
+--R concat : (%,Character) -> %           construct : List Character -> %
+--R copy : % -> %                         delete : (%,Integer) -> %
+--R ?.? : (%,%) -> %                      ?.? : (%,Integer) -> Character
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List Character         eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (%,%,Integer) -> %
+--R latex : % -> String                   leftTrim : (%,Character) -> %
+--R lowerCase : % -> %                    lowerCase! : % -> %
+--R prefix? : (%,%) -> Boolean            qelt : (%,Integer) -> Character
+--R reverse : % -> %                      rightTrim : (%,Character) -> %
+--R sample : () -> %                      split : (%,Character) -> List %
+--R string : Integer -> %                 suffix? : (%,%) -> Boolean
+--R trim : (%,CharacterClass) -> %        trim : (%,Character) -> %
+--R upperCase : % -> %                    upperCase! : % -> %
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if Character has ORDSET
+--R ?<=? : (%,%) -> Boolean if Character has ORDSET
+--R ?>? : (%,%) -> Boolean if Character has ORDSET
+--R ?>=? : (%,%) -> Boolean if Character has ORDSET
+--R OMwrite : (OpenMathDevice,%,Boolean) -> Void
+--R OMwrite : (OpenMathDevice,%) -> Void
+--R any? : ((Character -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R convert : % -> InputForm if Character has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (Character,%) -> NonNegativeInteger if Character has SETCAT and $ has finiteAggregate
+--R count : ((Character -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R elt : (%,Integer,Character) -> Character
+--R entry? : (Character,%) -> Boolean if $ has finiteAggregate and Character has SETCAT
+--R eval : (%,List Character,List Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R eval : (%,Character,Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R eval : (%,Equation Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R eval : (%,List Equation Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R every? : ((Character -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,Character) -> % if $ has shallowlyMutable
+--R find : ((Character -> Boolean),%) -> Union(Character,"failed")
+--R first : % -> Character if Integer has ORDSET
+--R insert : (Character,%,Integer) -> %
+--R leftTrim : (%,CharacterClass) -> %
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : (((Character,Character) -> Character),%,%) -> %
+--R map : ((Character -> Character),%) -> %
+--R map! : ((Character -> Character),%) -> % if $ has shallowlyMutable
+--R match : (%,%,Character) -> NonNegativeInteger
+--R match? : (%,%,Character) -> Boolean
+--R max : (%,%) -> % if Character has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (Character,%) -> Boolean if Character has SETCAT and $ has finiteAggregate
+--R members : % -> List Character if $ has finiteAggregate
+--R merge : (%,%) -> % if Character has ORDSET
+--R merge : (((Character,Character) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if Character has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,Character) -> %
+--R parts : % -> List Character if $ has finiteAggregate
+--R position : (CharacterClass,%,Integer) -> Integer
+--R position : (%,%,Integer) -> Integer
+--R position : (Character,%,Integer) -> Integer if Character has SETCAT
+--R position : (Character,%) -> Integer if Character has SETCAT
+--R position : ((Character -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,Character) -> Character if $ has shallowlyMutable
+--R reduce : (((Character,Character) -> Character),%) -> Character if $ has finiteAggregate
+--R reduce : (((Character,Character) -> Character),%,Character) -> Character if $ has finiteAggregate
+--R reduce : (((Character,Character) -> Character),%,Character,Character) -> Character if Character has SETCAT and $ has finiteAggregate
+--R remove : ((Character -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Character,%) -> % if Character has SETCAT and $ has finiteAggregate
+--R removeDuplicates : % -> % if Character has SETCAT and $ has finiteAggregate
+--R replace : (%,UniversalSegment Integer,%) -> %
+--R reverse! : % -> % if $ has shallowlyMutable
+--R rightTrim : (%,CharacterClass) -> %
+--R select : ((Character -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,Character) -> Character if $ has shallowlyMutable
+--R setelt : (%,Integer,Character) -> Character if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if Character has ORDSET
+--R sort : (((Character,Character) -> Boolean),%) -> %
+--R sort! : % -> % if Character has ORDSET and $ has shallowlyMutable
+--R sort! : (((Character,Character) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if Character has ORDSET
+--R sorted? : (((Character,Character) -> Boolean),%) -> Boolean
+--R split : (%,CharacterClass) -> List %
+--R substring? : (%,%,Integer) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<StringCategory.help>>=
+====================================================================
+StringCategory examples
+====================================================================
+
+See Also:
+o )show StringCategory
+
+@
 {\bf See:}
 
 \pagefrom{OpenMath}{OM}
@@ -32824,6 +40574,85 @@ digraph pic {
 \pagehead{UnivariateSkewPolynomialCategory}{OREPCAT}
 \pagepic{ps/v102univariateskewpolynomialcategory.ps}{OREPCAT}{0.55}
 
+<<UnivariateSkewPolynomialCategory.input>>=
+)set break resume
+)sys rm -f UnivariateSkewPolynomialCategory.output
+)spool UnivariateSkewPolynomialCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateSkewPolynomialCategory
+--R UnivariateSkewPolynomialCategory R: Ring  is a category constructor
+--R Abbreviation for UnivariateSkewPolynomialCategory is OREPCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OREPCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        apply : (%,R,R) -> R
+--R coefficients : % -> List R            coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R reductum : % -> %                     retract : % -> R
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coefficient : (%,NonNegativeInteger) -> R
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R content : % -> R if R has GCDDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R leftDivide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R leftExactQuotient : (%,%) -> Union(%,"failed") if R has FIELD
+--R leftExtendedGcd : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R leftGcd : (%,%) -> % if R has FIELD
+--R leftLcm : (%,%) -> % if R has FIELD
+--R leftQuotient : (%,%) -> % if R has FIELD
+--R leftRemainder : (%,%) -> % if R has FIELD
+--R minimumDegree : % -> NonNegativeInteger
+--R monicLeftDivide : (%,%) -> Record(quotient: %,remainder: %) if R has INTDOM
+--R monicRightDivide : (%,%) -> Record(quotient: %,remainder: %) if R has INTDOM
+--R monomial : (R,NonNegativeInteger) -> %
+--R primitivePart : % -> % if R has GCDDOM
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R rightDivide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R rightExactQuotient : (%,%) -> Union(%,"failed") if R has FIELD
+--R rightExtendedGcd : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R rightGcd : (%,%) -> % if R has FIELD
+--R rightLcm : (%,%) -> % if R has FIELD
+--R rightQuotient : (%,%) -> % if R has FIELD
+--R rightRemainder : (%,%) -> % if R has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariateSkewPolynomialCategory.help>>=
+====================================================================
+UnivariateSkewPolynomialCategory examples
+====================================================================
+
+See Also:
+o )show UnivariateSkewPolynomialCategory
+
+@
 {\bf See:}
 
 \pageto{LinearOrdinaryDifferentialOperatorCategory}{LODOCAT}
@@ -33320,6 +41149,54 @@ digraph pic {
 \pagehead{XAlgebra}{XALG}
 \pagepic{ps/v102xalgebra.ps}{XALG}{0.70}
 
+<<XAlgebra.input>>=
+)set break resume
+)sys rm -f XAlgebra.output
+)spool XAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show XAlgebra
+--R XAlgebra R: Ring  is a category constructor
+--R Abbreviation for XAlgebra is XALG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for XALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<XAlgebra.help>>=
+====================================================================
+XAlgebra examples
+====================================================================
+
+See Also:
+o )show XAlgebra
+
+@
 {\bf See:}
 
 \pageto{XFreeAlgebra}{XFALG}
@@ -33496,6 +41373,54 @@ digraph pic {
 \pagehead{Algebra}{ALGEBRA}
 \pagepic{ps/v102algebra.ps}{ALGEBRA}{0.65}
 
+<<Algebra.input>>=
+)set break resume
+)sys rm -f Algebra.output
+)spool Algebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Algebra
+--R Algebra R: CommutativeRing  is a category constructor
+--R Abbreviation for Algebra is ALGEBRA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ALGEBRA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Algebra.help>>=
+====================================================================
+Algebra examples
+====================================================================
+
+See Also:
+o )show Algebra
+
+@
 {\bf See:}
 
 \pageto{DivisionRing}{DIVRING}
@@ -33708,6 +41633,67 @@ digraph pic {
 \pagehead{DifferentialExtension}{DIFEXT}
 \pagepic{ps/v102differentialextension.ps}{DIFEXT}{0.65}
 
+<<DifferentialExtension.input>>=
+)set break resume
+)sys rm -f DifferentialExtension.output
+)spool DifferentialExtension.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DifferentialExtension
+--R DifferentialExtension R: Ring  is a category constructor
+--R Abbreviation for DifferentialExtension is DIFEXT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for DIFEXT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : % -> % if R has DIFRING           D : (%,(R -> R)) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if R has DIFRING
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R differentiate : % -> % if R has DIFRING
+--R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,(R -> R)) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DifferentialExtension.help>>=
+====================================================================
+DifferentialExtension examples
+====================================================================
+
+See Also:
+o )show DifferentialExtension
+
+@
 {\bf See:}
 
 \pageto{ComplexCategory}{COMPCAT}
@@ -33941,6 +41927,56 @@ digraph pic {
 \pagehead{FullyLinearlyExplicitRingOver}{FLINEXP}
 \pagepic{ps/v102fullylinearlyexplicitringover.ps}{FLINEXP}{1.00}
 
+<<FullyLinearlyExplicitRingOver.input>>=
+)set break resume
+)sys rm -f FullyLinearlyExplicitRingOver.output
+)spool FullyLinearlyExplicitRingOver.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FullyLinearlyExplicitRingOver
+--R FullyLinearlyExplicitRingOver R: Ring  is a category constructor
+--R Abbreviation for FullyLinearlyExplicitRingOver is FLINEXP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FLINEXP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : Matrix % -> Matrix R
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FullyLinearlyExplicitRingOver.help>>=
+====================================================================
+FullyLinearlyExplicitRingOver examples
+====================================================================
+
+See Also:
+o )show FullyLinearlyExplicitRingOver
+
+@
 {\bf See:}
 
 \pageto{ComplexCategory}{COMPCAT}
@@ -34132,6 +42168,48 @@ digraph pic {
 \pagehead{LieAlgebra}{LIECAT}
 \pagepic{ps/v102liealgebra.ps}{LIECAT}{1.00}
 
+<<LieAlgebra.input>>=
+)set break resume
+)sys rm -f LieAlgebra.output
+)spool LieAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LieAlgebra
+--R LieAlgebra R: CommutativeRing  is a category constructor
+--R Abbreviation for LieAlgebra is LIECAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for LIECAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R construct : (%,%) -> %                hash : % -> SingleInteger
+--R latex : % -> String                   sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LieAlgebra.help>>=
+====================================================================
+LieAlgebra examples
+====================================================================
+
+See Also:
+o )show LieAlgebra
+
+@
 {\bf See:}
 
 \pageto{FreeLieAlgebra}{FLALG}
@@ -34281,6 +42359,90 @@ digraph pic {
 \pagehead{LinearOrdinaryDifferentialOperatorCategory}{LODOCAT}
 \pagepic{ps/v102linearordinarydifferentialoperatorcategory.ps}{LODOCAT}{0.50}
 
+<<LinearOrdinaryDifferentialOperatorCategory.input>>=
+)set break resume
+)sys rm -f LinearOrdinaryDifferentialOperatorCategory.output
+)spool LinearOrdinaryDifferentialOperatorCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LinearOrdinaryDifferentialOperatorCategory
+--R LinearOrdinaryDifferentialOperatorCategory A: Ring  is a category constructor
+--R Abbreviation for LinearOrdinaryDifferentialOperatorCategory is LODOCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for LODOCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (A,%) -> %                      ?*? : (%,A) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : () -> %                           1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R adjoint : % -> %                      apply : (%,A,A) -> A
+--R coefficients : % -> List A            coerce : A -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      ?.? : (%,A) -> A
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> A           one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> A                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coefficient : (%,NonNegativeInteger) -> A
+--R coerce : Fraction Integer -> % if A has RETRACT FRAC INT
+--R content : % -> A if A has GCDDOM
+--R directSum : (%,%) -> % if A has FIELD
+--R exquo : (%,A) -> Union(%,"failed") if A has INTDOM
+--R leftDivide : (%,%) -> Record(quotient: %,remainder: %) if A has FIELD
+--R leftExactQuotient : (%,%) -> Union(%,"failed") if A has FIELD
+--R leftExtendedGcd : (%,%) -> Record(coef1: %,coef2: %,generator: %) if A has FIELD
+--R leftGcd : (%,%) -> % if A has FIELD
+--R leftLcm : (%,%) -> % if A has FIELD
+--R leftQuotient : (%,%) -> % if A has FIELD
+--R leftRemainder : (%,%) -> % if A has FIELD
+--R minimumDegree : % -> NonNegativeInteger
+--R monicLeftDivide : (%,%) -> Record(quotient: %,remainder: %) if A has INTDOM
+--R monicRightDivide : (%,%) -> Record(quotient: %,remainder: %) if A has INTDOM
+--R monomial : (A,NonNegativeInteger) -> %
+--R primitivePart : % -> % if A has GCDDOM
+--R retract : % -> Fraction Integer if A has RETRACT FRAC INT
+--R retract : % -> Integer if A has RETRACT INT
+--R retractIfCan : % -> Union(A,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if A has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if A has RETRACT INT
+--R rightDivide : (%,%) -> Record(quotient: %,remainder: %) if A has FIELD
+--R rightExactQuotient : (%,%) -> Union(%,"failed") if A has FIELD
+--R rightExtendedGcd : (%,%) -> Record(coef1: %,coef2: %,generator: %) if A has FIELD
+--R rightGcd : (%,%) -> % if A has FIELD
+--R rightLcm : (%,%) -> % if A has FIELD
+--R rightQuotient : (%,%) -> % if A has FIELD
+--R rightRemainder : (%,%) -> % if A has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R symmetricPower : (%,NonNegativeInteger) -> % if A has FIELD
+--R symmetricProduct : (%,%) -> % if A has FIELD
+--R symmetricSquare : % -> % if A has FIELD
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LinearOrdinaryDifferentialOperatorCategory.help>>=
+====================================================================
+LinearOrdinaryDifferentialOperatorCategory examples
+====================================================================
+
+See Also:
+o )show LinearOrdinaryDifferentialOperatorCategory
+
+@
 {\bf See:}
 
 \pagefrom{Eltable}{ELTAB}
@@ -34612,6 +42774,52 @@ digraph pic {
 \pagehead{NonAssociativeAlgebra}{NAALG}
 \pagepic{ps/v102nonassociativealgebra.ps}{NAALG}{0.75}
 
+<<NonAssociativeAlgebra.input>>=
+)set break resume
+)sys rm -f NonAssociativeAlgebra.output
+)spool NonAssociativeAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NonAssociativeAlgebra
+--R NonAssociativeAlgebra R: CommutativeRing  is a category constructor
+--R Abbreviation for NonAssociativeAlgebra is NAALG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for NAALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           antiCommutator : (%,%) -> %
+--R associator : (%,%,%) -> %             coerce : % -> OutputForm
+--R commutator : (%,%) -> %               hash : % -> SingleInteger
+--R latex : % -> String                   sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R leftPower : (%,PositiveInteger) -> %
+--R plenaryPower : (%,PositiveInteger) -> %
+--R rightPower : (%,PositiveInteger) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NonAssociativeAlgebra.help>>=
+====================================================================
+NonAssociativeAlgebra examples
+====================================================================
+
+See Also:
+o )show NonAssociativeAlgebra
+
+@
 {\bf See:}
 
 \pageto{FiniteRankNonAssociativeAlgebra}{FINAALG}
@@ -34787,6 +42995,48 @@ digraph pic {
 \pagehead{VectorSpace}{VSPACE}
 \pagepic{ps/v102vectorspace.ps}{VSPACE}{1.00}
 
+<<VectorSpace.input>>=
+)set break resume
+)sys rm -f VectorSpace.output
+)spool VectorSpace.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show VectorSpace
+--R VectorSpace S: Field  is a category constructor
+--R Abbreviation for VectorSpace is VSPACE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for VSPACE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,S) -> %                      ?*? : (S,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?/? : (%,S) -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coerce : % -> OutputForm              dimension : () -> CardinalNumber
+--R hash : % -> SingleInteger             latex : % -> String
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<VectorSpace.help>>=
+====================================================================
+VectorSpace examples
+====================================================================
+
+See Also:
+o )show VectorSpace
+
+@
 {\bf See:}
 
 \pageto{ExtensionField}{XF}
@@ -34929,6 +43179,72 @@ digraph pic {
 \pagehead{XFreeAlgebra}{XFALG}
 \pagepic{ps/v102xfreealgebra.ps}{XFALG}{0.50}
 
+<<XFreeAlgebra.input>>=
+)set break resume
+)sys rm -f XFreeAlgebra.output
+)spool XFreeAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show XFreeAlgebra
+--R XFreeAlgebra(vl: OrderedSet,R: Ring)  is a category constructor
+--R Abbreviation for XFreeAlgebra is XFALG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for XFALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (vl,%) -> %                     ?*? : (%,R) -> %
+--R ?*? : (R,%) -> %                      ?*? : (%,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coef : (%,%) -> R                     coerce : vl -> %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              constant : % -> R
+--R constant? : % -> Boolean              hash : % -> SingleInteger
+--R latex : % -> String                   lquo : (%,%) -> %
+--R lquo : (%,vl) -> %                    map : ((R -> R),%) -> %
+--R mirror : % -> %                       monomial? : % -> Boolean
+--R one? : % -> Boolean                   quasiRegular : % -> %
+--R quasiRegular? : % -> Boolean          recip : % -> Union(%,"failed")
+--R rquo : (%,%) -> %                     rquo : (%,vl) -> %
+--R sample : () -> %                      varList : % -> List vl
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coef : (%,OrderedFreeMonoid vl) -> R
+--R coerce : OrderedFreeMonoid vl -> %
+--R lquo : (%,OrderedFreeMonoid vl) -> %
+--R mindeg : % -> OrderedFreeMonoid vl
+--R mindegTerm : % -> Record(k: OrderedFreeMonoid vl,c: R)
+--R monom : (OrderedFreeMonoid vl,R) -> %
+--R retract : % -> OrderedFreeMonoid vl
+--R retractIfCan : % -> Union(OrderedFreeMonoid vl,"failed")
+--R rquo : (%,OrderedFreeMonoid vl) -> %
+--R sh : (%,NonNegativeInteger) -> % if R has COMRING
+--R sh : (%,%) -> % if R has COMRING
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<XFreeAlgebra.help>>=
+====================================================================
+XFreeAlgebra examples
+====================================================================
+
+See Also:
+o )show XFreeAlgebra
+
+@
 {\bf See:}
 
 \pageto{XPolynomialsCat}{XPOLYC}
@@ -35250,6 +43566,140 @@ digraph pic {
 \pagehead{DirectProductCategory}{DIRPCAT}
 \pagepic{ps/v102directproductcategory.ps}{DIRPCAT}{0.40}
 
+<<DirectProductCategory.input>>=
+)set break resume
+)sys rm -f DirectProductCategory.output
+)spool DirectProductCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DirectProductCategory
+--R DirectProductCategory(dim: NonNegativeInteger,R: Type)  is a category constructor
+--R Abbreviation for DirectProductCategory is DIRPCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for DIRPCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if R has RING             1 : () -> % if R has MONOID
+--R 0 : () -> % if R has CABMON           coerce : % -> Vector R
+--R copy : % -> %                         directProduct : Vector R -> %
+--R ?.? : (%,Integer) -> R                elt : (%,Integer,R) -> R
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List R                 eq? : (%,%) -> Boolean
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R map : ((R -> R),%) -> %               qelt : (%,Integer) -> R
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (PositiveInteger,%) -> % if R has ABELSG
+--R ?*? : (NonNegativeInteger,%) -> % if R has CABMON
+--R ?*? : (R,%) -> % if R has RING
+--R ?*? : (%,R) -> % if R has RING
+--R ?*? : (%,%) -> % if R has MONOID
+--R ?*? : (Integer,%) -> % if R has RING
+--R ?**? : (%,PositiveInteger) -> % if R has MONOID
+--R ?**? : (%,NonNegativeInteger) -> % if R has MONOID
+--R ?+? : (%,%) -> % if R has ABELSG
+--R ?-? : (%,%) -> % if R has RING
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDRING or R has OAMONS
+--R ?<=? : (%,%) -> Boolean if R has ORDRING or R has OAMONS
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R ?>? : (%,%) -> Boolean if R has ORDRING or R has OAMONS
+--R ?>=? : (%,%) -> Boolean if R has ORDRING or R has OAMONS
+--R D : (%,(R -> R)) -> % if R has RING
+--R D : (%,(R -> R),NonNegativeInteger) -> % if R has RING
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Ring))
+--R D : (%,Symbol,NonNegativeInteger) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Ring))
+--R D : (%,List Symbol) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Ring))
+--R D : (%,Symbol) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Ring))
+--R D : (%,NonNegativeInteger) -> % if and(has(R,DifferentialRing),has(R,Ring))
+--R D : % -> % if and(has(R,DifferentialRing),has(R,Ring))
+--R ?^? : (%,PositiveInteger) -> % if R has MONOID
+--R ?^? : (%,NonNegativeInteger) -> % if R has MONOID
+--R abs : % -> % if R has ORDRING
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R characteristic : () -> NonNegativeInteger if R has RING
+--R coerce : R -> % if R has SETCAT
+--R coerce : Fraction Integer -> % if and(has(R,RetractableTo Fraction Integer),has(R,SetCategory))
+--R coerce : Integer -> % if and(has(R,RetractableTo Integer),has(R,SetCategory)) or R has RING
+--R coerce : % -> OutputForm if R has SETCAT
+--R count : (R,%) -> NonNegativeInteger if R has SETCAT and $ has finiteAggregate
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R differentiate : (%,(R -> R)) -> % if R has RING
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> % if R has RING
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Ring))
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Ring))
+--R differentiate : (%,List Symbol) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Ring))
+--R differentiate : (%,Symbol) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Ring))
+--R differentiate : (%,NonNegativeInteger) -> % if and(has(R,DifferentialRing),has(R,Ring))
+--R differentiate : % -> % if and(has(R,DifferentialRing),has(R,Ring))
+--R dimension : () -> CardinalNumber if R has FIELD
+--R dot : (%,%) -> R if R has RING
+--R entry? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,R) -> % if $ has shallowlyMutable
+--R first : % -> R if Integer has ORDSET
+--R hash : % -> SingleInteger if R has SETCAT
+--R index : PositiveInteger -> % if R has FINITE
+--R latex : % -> String if R has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R lookup : % -> PositiveInteger if R has FINITE
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if R has ORDRING or R has OAMONS
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (R,%) -> Boolean if R has SETCAT and $ has finiteAggregate
+--R members : % -> List R if $ has finiteAggregate
+--R min : (%,%) -> % if R has ORDRING or R has OAMONS
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R negative? : % -> Boolean if R has ORDRING
+--R one? : % -> Boolean if R has MONOID
+--R parts : % -> List R if $ has finiteAggregate
+--R positive? : % -> Boolean if R has ORDRING
+--R qsetelt! : (%,Integer,R) -> R if $ has shallowlyMutable
+--R random : () -> % if R has FINITE
+--R recip : % -> Union(%,"failed") if R has MONOID
+--R reducedSystem : Matrix % -> Matrix R if R has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R) if R has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if and(has(R,LinearlyExplicitRingOver Integer),has(R,Ring))
+--R reducedSystem : Matrix % -> Matrix Integer if and(has(R,LinearlyExplicitRingOver Integer),has(R,Ring))
+--R retract : % -> R if R has SETCAT
+--R retract : % -> Fraction Integer if and(has(R,RetractableTo Fraction Integer),has(R,SetCategory))
+--R retract : % -> Integer if and(has(R,RetractableTo Integer),has(R,SetCategory))
+--R retractIfCan : % -> Union(R,"failed") if R has SETCAT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if and(has(R,RetractableTo Fraction Integer),has(R,SetCategory))
+--R retractIfCan : % -> Union(Integer,"failed") if and(has(R,RetractableTo Integer),has(R,SetCategory))
+--R setelt : (%,Integer,R) -> R if $ has shallowlyMutable
+--R sign : % -> Integer if R has ORDRING
+--R size : () -> NonNegativeInteger if R has FINITE
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subtractIfCan : (%,%) -> Union(%,"failed") if R has CABMON
+--R sup : (%,%) -> % if R has OAMONS
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R unitVector : PositiveInteger -> % if R has RING
+--R zero? : % -> Boolean if R has CABMON
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DirectProductCategory.help>>=
+====================================================================
+DirectProductCategory examples
+====================================================================
+
+See Also:
+o )show DirectProductCategory
+
+@
 {\bf See:}
 
 \pagefrom{BiModule}{BMODULE}
@@ -35732,6 +44182,55 @@ digraph pic {
 \pagehead{DivisionRing}{DIVRING}
 \pagepic{ps/v102divisionring.ps}{DIVRING}{0.65}
 
+<<DivisionRing.input>>=
+)set break resume
+)sys rm -f DivisionRing.output
+)spool DivisionRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DivisionRing
+--R DivisionRing  is a category constructor
+--R Abbreviation for DivisionRing is DIVRING 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for DIVRING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,Fraction Integer) -> %       ?*? : (Fraction Integer,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Fraction Integer -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R hash : % -> SingleInteger             inv : % -> %
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DivisionRing.help>>=
+====================================================================
+DivisionRing examples
+====================================================================
+
+See Also:
+o )show DivisionRing
+
+@
 {\bf See:}
 
 \pageto{Field}{FIELD}
@@ -35931,6 +44430,86 @@ digraph pic {
 \pagehead{FiniteRankNonAssociativeAlgebra}{FINAALG}
 \pagepic{ps/v102finiteranknonassociativealgebra.ps}{FINAALG}{0.80}
 
+<<FiniteRankNonAssociativeAlgebra.input>>=
+)set break resume
+)sys rm -f FiniteRankNonAssociativeAlgebra.output
+)spool FiniteRankNonAssociativeAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteRankNonAssociativeAlgebra
+--R FiniteRankNonAssociativeAlgebra R: CommutativeRing  is a category constructor
+--R Abbreviation for FiniteRankNonAssociativeAlgebra is FINAALG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FINAALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           alternative? : () -> Boolean
+--R antiAssociative? : () -> Boolean      antiCommutative? : () -> Boolean
+--R antiCommutator : (%,%) -> %           associative? : () -> Boolean
+--R associator : (%,%,%) -> %             coerce : % -> OutputForm
+--R commutative? : () -> Boolean          commutator : (%,%) -> %
+--R flexible? : () -> Boolean             hash : % -> SingleInteger
+--R jacobiIdentity? : () -> Boolean       jordanAdmissible? : () -> Boolean
+--R jordanAlgebra? : () -> Boolean        latex : % -> String
+--R leftAlternative? : () -> Boolean      leftDiscriminant : Vector % -> R
+--R leftNorm : % -> R                     leftTrace : % -> R
+--R lieAdmissible? : () -> Boolean        lieAlgebra? : () -> Boolean
+--R powerAssociative? : () -> Boolean     rank : () -> PositiveInteger
+--R rightAlternative? : () -> Boolean     rightDiscriminant : Vector % -> R
+--R rightNorm : % -> R                    rightTrace : % -> R
+--R sample : () -> %                      someBasis : () -> Vector %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R associatorDependence : () -> List Vector R if R has INTDOM
+--R conditionsForIdempotents : Vector % -> List Polynomial R
+--R coordinates : (Vector %,Vector %) -> Matrix R
+--R coordinates : (%,Vector %) -> Vector R
+--R leftCharacteristicPolynomial : % -> SparseUnivariatePolynomial R
+--R leftMinimalPolynomial : % -> SparseUnivariatePolynomial R if R has INTDOM
+--R leftPower : (%,PositiveInteger) -> %
+--R leftRecip : % -> Union(%,"failed") if R has INTDOM
+--R leftRegularRepresentation : (%,Vector %) -> Matrix R
+--R leftTraceMatrix : Vector % -> Matrix R
+--R leftUnit : () -> Union(%,"failed") if R has INTDOM
+--R leftUnits : () -> Union(Record(particular: %,basis: List %),"failed") if R has INTDOM
+--R noncommutativeJordanAlgebra? : () -> Boolean
+--R plenaryPower : (%,PositiveInteger) -> %
+--R recip : % -> Union(%,"failed") if R has INTDOM
+--R represents : (Vector R,Vector %) -> %
+--R rightCharacteristicPolynomial : % -> SparseUnivariatePolynomial R
+--R rightMinimalPolynomial : % -> SparseUnivariatePolynomial R if R has INTDOM
+--R rightPower : (%,PositiveInteger) -> %
+--R rightRecip : % -> Union(%,"failed") if R has INTDOM
+--R rightRegularRepresentation : (%,Vector %) -> Matrix R
+--R rightTraceMatrix : Vector % -> Matrix R
+--R rightUnit : () -> Union(%,"failed") if R has INTDOM
+--R rightUnits : () -> Union(Record(particular: %,basis: List %),"failed") if R has INTDOM
+--R structuralConstants : Vector % -> Vector Matrix R
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit : () -> Union(%,"failed") if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteRankNonAssociativeAlgebra.help>>=
+====================================================================
+FiniteRankNonAssociativeAlgebra examples
+====================================================================
+
+See Also:
+o )show FiniteRankNonAssociativeAlgebra
+
+@
 {\bf See:}
 
 \pageto{FramedNonAssociativeAlgebra}{FRNAALG}
@@ -36833,6 +45412,58 @@ digraph pic {
 \pagehead{FreeLieAlgebra}{FLALG}
 \pagepic{ps/v102freeliealgebra.ps}{FLALG}{1.00}
 
+<<FreeLieAlgebra.input>>=
+)set break resume
+)sys rm -f FreeLieAlgebra.output
+)spool FreeLieAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FreeLieAlgebra
+--R FreeLieAlgebra(VarSet: OrderedSet,R: CommutativeRing)  is a category constructor
+--R Abbreviation for FreeLieAlgebra is FLALG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FLALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R LiePoly : LyndonWord VarSet -> %      0 : () -> %
+--R coerce : VarSet -> %                  coerce : % -> OutputForm
+--R construct : (%,%) -> %                degree : % -> NonNegativeInteger
+--R eval : (%,VarSet,%) -> %              hash : % -> SingleInteger
+--R latex : % -> String                   mirror : % -> %
+--R sample : () -> %                      varList : % -> List VarSet
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R coef : (XRecursivePolynomial(VarSet,R),%) -> R
+--R coerce : % -> XRecursivePolynomial(VarSet,R)
+--R coerce : % -> XDistributedPolynomial(VarSet,R)
+--R eval : (%,List VarSet,List %) -> %
+--R lquo : (XRecursivePolynomial(VarSet,R),%) -> XRecursivePolynomial(VarSet,R)
+--R rquo : (XRecursivePolynomial(VarSet,R),%) -> XRecursivePolynomial(VarSet,R)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R trunc : (%,NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FreeLieAlgebra.help>>=
+====================================================================
+FreeLieAlgebra examples
+====================================================================
+
+See Also:
+o )show FreeLieAlgebra
+
+@
 {\bf See:}
 
 \pagefrom{LieAlgebra}{LIECAT}
@@ -37043,6 +45674,56 @@ digraph pic {
 \pagehead{IntegralDomain}{INTDOM}
 \pagepic{ps/v102integraldomain.ps}{INTDOM}{0.65}
 
+<<IntegralDomain.input>>=
+)set break resume
+)sys rm -f IntegralDomain.output
+)spool IntegralDomain.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegralDomain
+--R IntegralDomain  is a category constructor
+--R Abbreviation for IntegralDomain is INTDOM 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for INTDOM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R exquo : (%,%) -> Union(%,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IntegralDomain.help>>=
+====================================================================
+IntegralDomain examples
+====================================================================
+
+See Also:
+o )show IntegralDomain
+
+@
 All Commutative Rings are Integral Domains.
 \pagefrom{CommutativeRing}{COMRING}
 Integral Domains are a subset of Unique Factorization domains.
@@ -37278,6 +45959,59 @@ digraph pic {
 \pagehead{MonogenicLinearOperator}{MLO}
 \pagepic{ps/v102monogeniclinearoperator.ps}{MLO}{0.60}
 
+<<MonogenicLinearOperator.input>>=
+)set break resume
+)sys rm -f MonogenicLinearOperator.output
+)spool MonogenicLinearOperator.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MonogenicLinearOperator
+--R MonogenicLinearOperator R: Ring  is a category constructor
+--R Abbreviation for MonogenicLinearOperator is MLO 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for MLO 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              degree : % -> NonNegativeInteger
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> R           one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coefficient : (%,NonNegativeInteger) -> R
+--R coerce : R -> % if R has COMRING
+--R minimumDegree : % -> NonNegativeInteger
+--R monomial : (R,NonNegativeInteger) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MonogenicLinearOperator.help>>=
+====================================================================
+MonogenicLinearOperator examples
+====================================================================
+
+See Also:
+o )show MonogenicLinearOperator
+
+@
 {\bf See:}
 
 \pagefrom{Algebra}{ALGEBRA}
@@ -37513,6 +46247,89 @@ digraph pic {
 \pagehead{OctonionCategory}{OC}
 \pagepic{ps/v102octonioncategory.ps}{OC}{1.00}
 
+<<OctonionCategory.input>>=
+)set break resume
+)sys rm -f OctonionCategory.output
+)spool OctonionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OctonionCategory
+--R OctonionCategory R: CommutativeRing  is a category constructor
+--R Abbreviation for OctonionCategory is OC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> R if R has RNS
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              conjugate : % -> %
+--R hash : % -> SingleInteger             imagE : % -> R
+--R imagI : % -> R                        imagJ : % -> R
+--R imagK : % -> R                        imagi : % -> R
+--R imagj : % -> R                        imagk : % -> R
+--R inv : % -> % if R has FIELD           latex : % -> String
+--R map : ((R -> R),%) -> %               norm : % -> R
+--R octon : (R,R,R,R,R,R,R,R) -> %        one? : % -> Boolean
+--R real : % -> R                         recip : % -> Union(%,"failed")
+--R retract : % -> R                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R ?.? : (%,R) -> % if R has ELTAB(R,R)
+--R eval : (%,Symbol,R) -> % if R has IEVALAB(SYMBOL,R)
+--R eval : (%,List Symbol,List R) -> % if R has IEVALAB(SYMBOL,R)
+--R eval : (%,List Equation R) -> % if R has EVALAB R
+--R eval : (%,Equation R) -> % if R has EVALAB R
+--R eval : (%,R,R) -> % if R has EVALAB R
+--R eval : (%,List R,List R) -> % if R has EVALAB R
+--R index : PositiveInteger -> % if R has FINITE
+--R lookup : % -> PositiveInteger if R has FINITE
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R random : () -> % if R has FINITE
+--R rational : % -> Fraction Integer if R has INS
+--R rational? : % -> Boolean if R has INS
+--R rationalIfCan : % -> Union(Fraction Integer,"failed") if R has INS
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R size : () -> NonNegativeInteger if R has FINITE
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OctonionCategory.help>>=
+====================================================================
+OctonionCategory examples
+====================================================================
+
+See Also:
+o )show OctonionCategory
+
+@
 {\bf See:}
 
 \pagefrom{Algebra}{ALGEBRA}
@@ -38001,6 +46818,106 @@ digraph pic {
 \pagehead{QuaternionCategory}{QUATCAT}
 \pagepic{ps/v102quaternioncategory.ps}{QUATCAT}{0.70}
 
+<<QuaternionCategory.input>>=
+)set break resume
+)sys rm -f QuaternionCategory.output
+)spool QuaternionCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show QuaternionCategory
+--R QuaternionCategory R: CommutativeRing  is a category constructor
+--R Abbreviation for QuaternionCategory is QUATCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for QUATCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,(R -> R)) -> %                 D : % -> % if R has DIFRING
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> R if R has RNS
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              conjugate : % -> %
+--R hash : % -> SingleInteger             imagI : % -> R
+--R imagJ : % -> R                        imagK : % -> R
+--R inv : % -> % if R has FIELD           latex : % -> String
+--R map : ((R -> R),%) -> %               norm : % -> R
+--R one? : % -> Boolean                   quatern : (R,R,R,R) -> %
+--R real : % -> R                         recip : % -> Union(%,"failed")
+--R retract : % -> R                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (Fraction Integer,%) -> % if R has FIELD
+--R ?*? : (%,Fraction Integer) -> % if R has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if R has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,NonNegativeInteger) -> % if R has DIFRING
+--R ?^? : (%,Integer) -> % if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : Fraction Integer -> % if R has FIELD or R has RETRACT FRAC INT
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING
+--R differentiate : % -> % if R has DIFRING
+--R ?.? : (%,R) -> % if R has ELTAB(R,R)
+--R eval : (%,Symbol,R) -> % if R has IEVALAB(SYMBOL,R)
+--R eval : (%,List Symbol,List R) -> % if R has IEVALAB(SYMBOL,R)
+--R eval : (%,List Equation R) -> % if R has EVALAB R
+--R eval : (%,Equation R) -> % if R has EVALAB R
+--R eval : (%,R,R) -> % if R has EVALAB R
+--R eval : (%,List R,List R) -> % if R has EVALAB R
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R rational : % -> Fraction Integer if R has INS
+--R rational? : % -> Boolean if R has INS
+--R rationalIfCan : % -> Union(Fraction Integer,"failed") if R has INS
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<QuaternionCategory.help>>=
+====================================================================
+QuaternionCategory examples
+====================================================================
+
+See Also:
+o )show QuaternionCategory
+
+@
 {\bf See:}
 
 \pagefrom{Algebra}{ALGEBRA}
@@ -38469,6 +47386,122 @@ of a given dimension
 
 The SquareMatrix domain is for square matrices of fixed dimension.
 
+
+<<SquareMatrixCategory.input>>=
+)set break resume
+)sys rm -f SquareMatrixCategory.output
+)spool SquareMatrixCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SquareMatrixCategory
+--R SquareMatrixCategory(ndim: NonNegativeInteger,R: Ring,Row: DirectProductCategory(t#1,t#2),Col: DirectProductCategory(t#1,t#2))  is a category constructor
+--R Abbreviation for SquareMatrixCategory is SMATCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for SMATCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Row,%) -> Row                  ?*? : (%,Col) -> Col
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : % -> % if R has DIFRING           D : (%,(R -> R)) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        antisymmetric? : % -> Boolean
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              column : (%,Integer) -> Col
+--R copy : % -> %                         diagonal : % -> Row
+--R diagonal? : % -> Boolean              diagonalMatrix : List R -> %
+--R diagonalProduct : % -> R              elt : (%,Integer,Integer) -> R
+--R elt : (%,Integer,Integer,R) -> R      empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             latex : % -> String
+--R listOfLists : % -> List List R        map : ((R -> R),%) -> %
+--R map : (((R,R) -> R),%,%) -> %         matrix : List List R -> %
+--R maxColIndex : % -> Integer            maxRowIndex : % -> Integer
+--R minColIndex : % -> Integer            minRowIndex : % -> Integer
+--R ncols : % -> NonNegativeInteger       nrows : % -> NonNegativeInteger
+--R one? : % -> Boolean                   qelt : (%,Integer,Integer) -> R
+--R recip : % -> Union(%,"failed")        retract : % -> R
+--R row : (%,Integer) -> Row              sample : () -> %
+--R scalarMatrix : R -> %                 square? : % -> Boolean
+--R symmetric? : % -> Boolean             trace : % -> R
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if R has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R D : (%,NonNegativeInteger) -> % if R has DIFRING
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R characteristic : () -> NonNegativeInteger
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R count : (R,%) -> NonNegativeInteger if R has SETCAT and $ has finiteAggregate
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R determinant : % -> R if R has commutative *
+--R differentiate : % -> % if R has DIFRING
+--R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,(R -> R)) -> %
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R inverse : % -> Union(%,"failed") if R has FIELD
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R member? : (R,%) -> Boolean if R has SETCAT and $ has finiteAggregate
+--R members : % -> List R if $ has finiteAggregate
+--R minordet : % -> R if R has commutative *
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R nullSpace : % -> List Col if R has INTDOM
+--R nullity : % -> NonNegativeInteger if R has INTDOM
+--R parts : % -> List R if $ has finiteAggregate
+--R rank : % -> NonNegativeInteger if R has INTDOM
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R rowEchelon : % -> % if R has EUCDOM
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SquareMatrixCategory.help>>=
+====================================================================
+SquareMatrixCategory examples
+====================================================================
+
+See Also:
+o )show SquareMatrixCategory
+
+@
+
 {\bf See:}
 
 \pagefrom{BiModule}{BMODULE}
@@ -38980,6 +48013,75 @@ digraph pic {
 \pagehead{XPolynomialsCat}{XPOLYC}
 \pagepic{ps/v102xpolynomialscat.ps}{XPOLYC}{0.50}
 
+<<XPolynomialsCat.input>>=
+)set break resume
+)sys rm -f XPolynomialsCat.output
+)spool XPolynomialsCat.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show XPolynomialsCat
+--R XPolynomialsCat(vl: OrderedSet,R: Ring)  is a category constructor
+--R Abbreviation for XPolynomialsCat is XPOLYC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for XPOLYC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (vl,%) -> %                     ?*? : (%,R) -> %
+--R ?*? : (R,%) -> %                      ?*? : (%,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coef : (%,%) -> R                     coerce : vl -> %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              constant : % -> R
+--R constant? : % -> Boolean              degree : % -> NonNegativeInteger
+--R hash : % -> SingleInteger             latex : % -> String
+--R lquo : (%,%) -> %                     lquo : (%,vl) -> %
+--R map : ((R -> R),%) -> %               mirror : % -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R quasiRegular : % -> %                 quasiRegular? : % -> Boolean
+--R recip : % -> Union(%,"failed")        rquo : (%,%) -> %
+--R rquo : (%,vl) -> %                    sample : () -> %
+--R varList : % -> List vl                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coef : (%,OrderedFreeMonoid vl) -> R
+--R coerce : OrderedFreeMonoid vl -> %
+--R lquo : (%,OrderedFreeMonoid vl) -> %
+--R maxdeg : % -> OrderedFreeMonoid vl
+--R mindeg : % -> OrderedFreeMonoid vl
+--R mindegTerm : % -> Record(k: OrderedFreeMonoid vl,c: R)
+--R monom : (OrderedFreeMonoid vl,R) -> %
+--R retract : % -> OrderedFreeMonoid vl
+--R retractIfCan : % -> Union(OrderedFreeMonoid vl,"failed")
+--R rquo : (%,OrderedFreeMonoid vl) -> %
+--R sh : (%,NonNegativeInteger) -> % if R has COMRING
+--R sh : (%,%) -> % if R has COMRING
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R trunc : (%,NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<XPolynomialsCat.help>>=
+====================================================================
+XPolynomialsCat examples
+====================================================================
+
+See Also:
+o )show XPolynomialsCat
+
+@
 {\bf See:}
 
 \pagefrom{XFreeAlgebra}{XFALG}
@@ -39236,6 +48338,69 @@ digraph pic {
 \pagehead{AbelianMonoidRing}{AMR}
 \pagepic{ps/v102abelianmonoidring.ps}{AMR}{0.65}
 
+<<AbelianMonoidRing.input>>=
+)set break resume
+)sys rm -f AbelianMonoidRing.output
+)spool AbelianMonoidRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AbelianMonoidRing
+--R AbelianMonoidRing(R: Ring,E: OrderedAbelianMonoid)  is a category constructor
+--R Abbreviation for AbelianMonoidRing is AMR 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for AMR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficient : (%,E) -> R
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> E                       hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              map : ((R -> R),%) -> %
+--R monomial : (R,E) -> %                 monomial? : % -> Boolean
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R reductum : % -> %                     sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : R -> % if R has COMRING
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AbelianMonoidRing.help>>=
+====================================================================
+AbelianMonoidRing examples
+====================================================================
+
+See Also:
+o )show AbelianMonoidRing
+
+@
 {\bf See:}
 
 \pageto{FiniteAbelianMonoidRing}{FAMR}
@@ -39530,6 +48695,61 @@ digraph pic {
 \pagehead{FortranMachineTypeCategory}{FMTC}
 \pagepic{ps/v102fortranmachinetypecategory.ps}{FMTC}{0.40}
 
+<<FortranMachineTypeCategory.input>>=
+)set break resume
+)sys rm -f FortranMachineTypeCategory.output
+)spool FortranMachineTypeCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranMachineTypeCategory
+--R FortranMachineTypeCategory  is a category constructor
+--R Abbreviation for FortranMachineTypeCategory is FMTC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FMTC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : Integer -> %                 coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R retract : % -> Integer                sample : () -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R exquo : (%,%) -> Union(%,"failed")
+--R retractIfCan : % -> Union(Integer,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranMachineTypeCategory.help>>=
+====================================================================
+FortranMachineTypeCategory examples
+====================================================================
+
+See Also:
+o )show FortranMachineTypeCategory
+
+@
 {\bf See:}
 
 \pagefrom{IntegralDomain}{INTDOM}
@@ -39750,6 +48970,99 @@ digraph pic {
 \pagehead{FramedNonAssociativeAlgebra}{FRNAALG}
 \pagepic{ps/v102framednonassociativealgebra.ps}{FRNAALG}{0.75}
 
+<<FramedNonAssociativeAlgebra.input>>=
+)set break resume
+)sys rm -f FramedNonAssociativeAlgebra.output
+)spool FramedNonAssociativeAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FramedNonAssociativeAlgebra
+--R FramedNonAssociativeAlgebra R: CommutativeRing  is a category constructor
+--R Abbreviation for FramedNonAssociativeAlgebra is FRNAALG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FRNAALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           alternative? : () -> Boolean
+--R antiAssociative? : () -> Boolean      antiCommutative? : () -> Boolean
+--R antiCommutator : (%,%) -> %           apply : (Matrix R,%) -> %
+--R associative? : () -> Boolean          associator : (%,%,%) -> %
+--R basis : () -> Vector %                coerce : % -> OutputForm
+--R commutative? : () -> Boolean          commutator : (%,%) -> %
+--R convert : Vector R -> %               convert : % -> Vector R
+--R coordinates : % -> Vector R           ?.? : (%,Integer) -> R
+--R flexible? : () -> Boolean             hash : % -> SingleInteger
+--R jacobiIdentity? : () -> Boolean       jordanAdmissible? : () -> Boolean
+--R jordanAlgebra? : () -> Boolean        latex : % -> String
+--R leftAlternative? : () -> Boolean      leftDiscriminant : () -> R
+--R leftDiscriminant : Vector % -> R      leftNorm : % -> R
+--R leftTrace : % -> R                    leftTraceMatrix : () -> Matrix R
+--R lieAdmissible? : () -> Boolean        lieAlgebra? : () -> Boolean
+--R powerAssociative? : () -> Boolean     rank : () -> PositiveInteger
+--R represents : Vector R -> %            rightAlternative? : () -> Boolean
+--R rightDiscriminant : () -> R           rightDiscriminant : Vector % -> R
+--R rightNorm : % -> R                    rightTrace : % -> R
+--R rightTraceMatrix : () -> Matrix R     sample : () -> %
+--R someBasis : () -> Vector %            zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R associatorDependence : () -> List Vector R if R has INTDOM
+--R conditionsForIdempotents : () -> List Polynomial R
+--R conditionsForIdempotents : Vector % -> List Polynomial R
+--R coordinates : Vector % -> Matrix R
+--R coordinates : (Vector %,Vector %) -> Matrix R
+--R coordinates : (%,Vector %) -> Vector R
+--R leftCharacteristicPolynomial : % -> SparseUnivariatePolynomial R
+--R leftMinimalPolynomial : % -> SparseUnivariatePolynomial R if R has INTDOM
+--R leftPower : (%,PositiveInteger) -> %
+--R leftRankPolynomial : () -> SparseUnivariatePolynomial Polynomial R if R has FIELD
+--R leftRecip : % -> Union(%,"failed") if R has INTDOM
+--R leftRegularRepresentation : % -> Matrix R
+--R leftRegularRepresentation : (%,Vector %) -> Matrix R
+--R leftTraceMatrix : Vector % -> Matrix R
+--R leftUnit : () -> Union(%,"failed") if R has INTDOM
+--R leftUnits : () -> Union(Record(particular: %,basis: List %),"failed") if R has INTDOM
+--R noncommutativeJordanAlgebra? : () -> Boolean
+--R plenaryPower : (%,PositiveInteger) -> %
+--R recip : % -> Union(%,"failed") if R has INTDOM
+--R represents : (Vector R,Vector %) -> %
+--R rightCharacteristicPolynomial : % -> SparseUnivariatePolynomial R
+--R rightMinimalPolynomial : % -> SparseUnivariatePolynomial R if R has INTDOM
+--R rightPower : (%,PositiveInteger) -> %
+--R rightRankPolynomial : () -> SparseUnivariatePolynomial Polynomial R if R has FIELD
+--R rightRecip : % -> Union(%,"failed") if R has INTDOM
+--R rightRegularRepresentation : % -> Matrix R
+--R rightRegularRepresentation : (%,Vector %) -> Matrix R
+--R rightTraceMatrix : Vector % -> Matrix R
+--R rightUnit : () -> Union(%,"failed") if R has INTDOM
+--R rightUnits : () -> Union(Record(particular: %,basis: List %),"failed") if R has INTDOM
+--R structuralConstants : () -> Vector Matrix R
+--R structuralConstants : Vector % -> Vector Matrix R
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit : () -> Union(%,"failed") if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FramedNonAssociativeAlgebra.help>>=
+====================================================================
+FramedNonAssociativeAlgebra examples
+====================================================================
+
+See Also:
+o )show FramedNonAssociativeAlgebra
+
+@
 {\bf See:}
 
 \pagefrom{FiniteRankNonAssociativeAlgebra}{FINAALG}
@@ -40346,6 +49659,59 @@ digraph pic {
 \pagehead{GcdDomain}{GCDDOM}
 \pagepic{ps/v102gcddomain.ps}{GCDDOM}{0.65}
 
+<<GcdDomain.input>>=
+)set break resume
+)sys rm -f GcdDomain.output
+)spool GcdDomain.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GcdDomain
+--R GcdDomain  is a category constructor
+--R Abbreviation for GcdDomain is GCDDOM 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for GCDDOM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R latex : % -> String                   lcm : List % -> %
+--R lcm : (%,%) -> %                      one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R exquo : (%,%) -> Union(%,"failed")
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<GcdDomain.help>>=
+====================================================================
+GcdDomain examples
+====================================================================
+
+See Also:
+o )show GcdDomain
+
+@
 {\bf See:}
 
 \pageto{IntervalCategory}{INTCAT}
@@ -40575,6 +49941,61 @@ digraph pic {
 \pagehead{OrderedIntegralDomain}{OINTDOM}
 \pagepic{ps/v102orderedintegraldomain.ps}{OINTDOM}{0.45}
 
+<<OrderedIntegralDomain.input>>=
+)set break resume
+)sys rm -f OrderedIntegralDomain.output
+)spool OrderedIntegralDomain.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedIntegralDomain
+--R OrderedIntegralDomain  is a category constructor
+--R Abbreviation for OrderedIntegralDomain is OINTDOM 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for OINTDOM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> %
+--R associates? : (%,%) -> Boolean        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R negative? : % -> Boolean              one? : % -> Boolean
+--R positive? : % -> Boolean              recip : % -> Union(%,"failed")
+--R sample : () -> %                      sign : % -> Integer
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R exquo : (%,%) -> Union(%,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedIntegralDomain.help>>=
+====================================================================
+OrderedIntegralDomain examples
+====================================================================
+
+See Also:
+o )show OrderedIntegralDomain
+
+@
 {\bf See:}
 
 \pageto{IntegerNumberSystem}{INS}
@@ -40771,6 +50192,82 @@ digraph pic {
 \pagehead{FiniteAbelianMonoidRing}{FAMR}
 \pagepic{ps/v102finiteabelianmonoidring.ps}{FAMR}{0.40}
 
+<<FiniteAbelianMonoidRing.input>>=
+)set break resume
+)sys rm -f FiniteAbelianMonoidRing.output
+)spool FiniteAbelianMonoidRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteAbelianMonoidRing
+--R FiniteAbelianMonoidRing(R: Ring,E: OrderedAbelianMonoid)  is a category constructor
+--R Abbreviation for FiniteAbelianMonoidRing is FAMR 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FAMR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficient : (%,E) -> R
+--R coefficients : % -> List R            coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> E                       ground : % -> R
+--R ground? : % -> Boolean                hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              map : ((R -> R),%) -> %
+--R mapExponents : ((E -> E),%) -> %      minimumDegree : % -> E
+--R monomial : (R,E) -> %                 monomial? : % -> Boolean
+--R one? : % -> Boolean                   pomopo! : (%,R,E,%) -> %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> R                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT or R has ALGEBRA FRAC INT
+--R coerce : % -> % if R has INTDOM
+--R content : % -> R if R has GCDDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R numberOfMonomials : % -> NonNegativeInteger
+--R primitivePart : % -> % if R has GCDDOM
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteAbelianMonoidRing.help>>=
+====================================================================
+FiniteAbelianMonoidRing examples
+====================================================================
+
+See Also:
+o )show FiniteAbelianMonoidRing
+
+@
 {\bf See:}
 
 \pageto{PolynomialCategory}{POLYCAT}
@@ -41147,6 +50644,85 @@ digraph pic {
 \pagehead{IntervalCategory}{INTCAT}
 \pagepic{ps/v102intervalcategory.ps}{INTCAT}{0.60}
 
+<<IntervalCategory.input>>=
+)set break resume
+)sys rm -f IntervalCategory.output
+)spool IntervalCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntervalCategory
+--R IntervalCategory R: Join(FloatingPointSystem,TranscendentalFunctionCategory)  is a category constructor
+--R Abbreviation for IntervalCategory is INTCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for INTCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Fraction Integer) -> %
+--R ?**? : (%,%) -> %                     ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        acos : % -> %
+--R acosh : % -> %                        acot : % -> %
+--R acoth : % -> %                        acsc : % -> %
+--R acsch : % -> %                        asec : % -> %
+--R asech : % -> %                        asin : % -> %
+--R asinh : % -> %                        associates? : (%,%) -> Boolean
+--R atan : % -> %                         atanh : % -> %
+--R coerce : Integer -> %                 coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R contains? : (%,R) -> Boolean          cos : % -> %
+--R cosh : % -> %                         cot : % -> %
+--R coth : % -> %                         csc : % -> %
+--R csch : % -> %                         exp : % -> %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inf : % -> R
+--R interval : Fraction Integer -> %      interval : R -> %
+--R interval : (R,R) -> %                 latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R log : % -> %                          max : (%,%) -> %
+--R min : (%,%) -> %                      negative? : % -> Boolean
+--R nthRoot : (%,Integer) -> %            one? : % -> Boolean
+--R pi : () -> %                          positive? : % -> Boolean
+--R qinterval : (R,R) -> %                recip : % -> Union(%,"failed")
+--R retract : % -> Integer                sample : () -> %
+--R sec : % -> %                          sech : % -> %
+--R sin : % -> %                          sinh : % -> %
+--R sqrt : % -> %                         sup : % -> R
+--R tan : % -> %                          tanh : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R width : % -> R                        zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R exquo : (%,%) -> Union(%,"failed")
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R retractIfCan : % -> Union(Integer,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IntervalCategory.help>>=
+====================================================================
+IntervalCategory examples
+====================================================================
+
+See Also:
+o )show IntervalCategory
+
+@
 {\bf See:}
 
 \pagefrom{GcdDomain}{GCDDOM}
@@ -41498,6 +51074,72 @@ digraph pic {
 \pagehead{PowerSeriesCategory}{PSCAT}
 \pagepic{ps/v102powerseriescategory.ps}{PSCAT}{0.60}
 
+<<PowerSeriesCategory.input>>=
+)set break resume
+)sys rm -f PowerSeriesCategory.output
+)spool PowerSeriesCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PowerSeriesCategory
+--R PowerSeriesCategory(Coef: Ring,Expon: OrderedAbelianMonoid,Var: OrderedSet)  is a category constructor
+--R Abbreviation for PowerSeriesCategory is PSCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PSCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficient : (%,Expon) -> Coef
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R complete : % -> %                     degree : % -> Expon
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> Coef        leadingMonomial : % -> %
+--R map : ((Coef -> Coef),%) -> %         monomial : (%,Var,Expon) -> %
+--R monomial : (Coef,Expon) -> %          monomial? : % -> Boolean
+--R one? : % -> Boolean                   pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R sample : () -> %                      variables : % -> List Var
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coerce : Coef -> % if Coef has COMRING
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R monomial : (%,List Var,List Expon) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PowerSeriesCategory.help>>=
+====================================================================
+PowerSeriesCategory examples
+====================================================================
+
+See Also:
+o )show PowerSeriesCategory
+
+@
 {\bf See:}
 
 \pageto{MultivariateTaylorSeriesCategory}{MTSCAT}
@@ -41778,14 +51420,69 @@ digraph pic {
 \pagehead{PrincipalIdealDomain}{PID}
 \pagepic{ps/v102principalidealdomain.ps}{PID}{0.65}
 
+<<PrincipalIdealDomain.input>>=
+)set break resume
+)sys rm -f PrincipalIdealDomain.output
+)spool PrincipalIdealDomain.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PrincipalIdealDomain
+--R PrincipalIdealDomain  is a category constructor
+--R Abbreviation for PrincipalIdealDomain is PID 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PID 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R latex : % -> String                   lcm : List % -> %
+--R lcm : (%,%) -> %                      one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PrincipalIdealDomain.help>>=
+====================================================================
+PrincipalIdealDomain examples
+====================================================================
+
+See Also:
+o )show PrincipalIdealDomain
+
+@
+
+{\bf See:}
+
 Unique Factorization Domains are a subset of Principal Ideal Domains. 
 \pagefrom{UniqueFactorizationDomain}{UFD}
 Principal Ideal Domains are a subset of Euclidean Domains.
 \pageto{EuclideanDomain}{EUCDOM}
 
-{\bf See:}
-
-\pageto{EuclideanDomain}{EUCDOM}
 \pagefrom{GcdDomain}{GCDDOM}
 
 {\bf Exports:}\\
@@ -41975,6 +51672,61 @@ digraph pic {
 \pagehead{UniqueFactorizationDomain}{UFD}
 \pagepic{ps/v102uniquefactorizationdomain.ps}{UFD}{0.65}
 
+<<UniqueFactorizationDomain.input>>=
+)set break resume
+)sys rm -f UniqueFactorizationDomain.output
+)spool UniqueFactorizationDomain.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UniqueFactorizationDomain
+--R UniqueFactorizationDomain  is a category constructor
+--R Abbreviation for UniqueFactorizationDomain is UFD 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for UFD 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R one? : % -> Boolean                   prime? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R exquo : (%,%) -> Union(%,"failed")
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UniqueFactorizationDomain.help>>=
+====================================================================
+UniqueFactorizationDomain examples
+====================================================================
+
+See Also:
+o )show UniqueFactorizationDomain
+
+@
 All Integral Domains are UniqueFactorizationDomains.
 \pagefrom{IntegralDomain}{INTDOM}.
 Unique Factorization Domains are a subset of Principal Ideal Domains.
@@ -42444,6 +52196,68 @@ digraph pic {
 \pagehead{EuclideanDomain}{EUCDOM}
 \pagepic{ps/v102euclideandomain.ps}{EUCDOM}{0.65}
 
+<<EuclideanDomain.input>>=
+)set break resume
+)sys rm -f EuclideanDomain.output
+)spool EuclideanDomain.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show EuclideanDomain
+--R EuclideanDomain  is a category constructor
+--R Abbreviation for EuclideanDomain is EUCDOM 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for EUCDOM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R latex : % -> String                   lcm : List % -> %
+--R lcm : (%,%) -> %                      one? : % -> Boolean
+--R ?quo? : (%,%) -> %                    recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    sample : () -> %
+--R sizeLess? : (%,%) -> Boolean          unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<EuclideanDomain.help>>=
+====================================================================
+EuclideanDomain examples
+====================================================================
+
+See Also:
+o )show EuclideanDomain
+
+@
 Principal Ideal Domains are a subset of Euclidean Domains.
 \pagefrom{PrincipalIdealDomain}{PID}.
 Euclidean Domains are a subset of Fields.
@@ -42781,6 +52595,125 @@ digraph pic {
 \pagehead{MultivariateTaylorSeriesCategory}{MTSCAT}
 \pagepic{ps/v102multivariatetaylorseriescategory.ps}{MTSCAT}{1.00}
 
+<<MultivariateTaylorSeriesCategory.input>>=
+)set break resume
+)sys rm -f MultivariateTaylorSeriesCategory.output
+)spool MultivariateTaylorSeriesCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MultivariateTaylorSeriesCategory
+--R MultivariateTaylorSeriesCategory(Coef: Ring,Var: OrderedSet)  is a category constructor
+--R Abbreviation for MultivariateTaylorSeriesCategory is MTSCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for MTSCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,Coef) -> %                   ?*? : (Coef,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,List Var) -> %                 D : (%,Var) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R differentiate : (%,Var) -> %          eval : (%,List %,List %) -> %
+--R eval : (%,%,%) -> %                   eval : (%,Equation %) -> %
+--R eval : (%,List Equation %) -> %       eval : (%,List Var,List %) -> %
+--R eval : (%,Var,%) -> %                 hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R pole? : % -> Boolean                  recip : % -> Union(%,"failed")
+--R reductum : % -> %                     sample : () -> %
+--R variables : % -> List Var             zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : (%,List Var,List NonNegativeInteger) -> %
+--R D : (%,Var,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,List Var,List NonNegativeInteger) -> %
+--R coefficient : (%,Var,NonNegativeInteger) -> %
+--R coefficient : (%,IndexedExponents Var) -> Coef
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Coef -> % if Coef has COMRING
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R degree : % -> IndexedExponents Var
+--R differentiate : (%,List Var,List NonNegativeInteger) -> %
+--R differentiate : (%,Var,NonNegativeInteger) -> %
+--R differentiate : (%,List Var) -> %
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,NonNegativeInteger) -> %
+--R integrate : (%,Var) -> % if Coef has ALGEBRA FRAC INT
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List Var,List NonNegativeInteger) -> %
+--R monomial : (%,Var,NonNegativeInteger) -> %
+--R monomial : (Coef,IndexedExponents Var) -> %
+--R monomial : (%,Var,IndexedExponents Var) -> %
+--R monomial : (%,List Var,List IndexedExponents Var) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,Var,NonNegativeInteger) -> NonNegativeInteger
+--R order : (%,Var) -> NonNegativeInteger
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R polynomial : (%,NonNegativeInteger,NonNegativeInteger) -> Polynomial Coef
+--R polynomial : (%,NonNegativeInteger) -> Polynomial Coef
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MultivariateTaylorSeriesCategory.help>>=
+====================================================================
+MultivariateTaylorSeriesCategory examples
+====================================================================
+
+See Also:
+o )show MultivariateTaylorSeriesCategory
+
+@
 {\bf See:}
 
 \pagefrom{Evalable}{EVALAB}
@@ -43135,6 +53068,67 @@ digraph pic {
 \pagehead{PolynomialFactorizationExplicit}{PFECAT}
 \pagepic{ps/v102polynomialfactorizationexplicit.ps}{PFECAT}{0.80}
 
+<<PolynomialFactorizationExplicit.input>>=
+)set break resume
+)sys rm -f PolynomialFactorizationExplicit.output
+)spool PolynomialFactorizationExplicit.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialFactorizationExplicit
+--R PolynomialFactorizationExplicit  is a category constructor
+--R Abbreviation for PolynomialFactorizationExplicit is PFECAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PFECAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R one? : % -> Boolean                   prime? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ
+--R exquo : (%,%) -> Union(%,"failed")
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial %
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial %
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed")
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PolynomialFactorizationExplicit.help>>=
+====================================================================
+PolynomialFactorizationExplicit examples
+====================================================================
+
+See Also:
+o )show PolynomialFactorizationExplicit
+
+@
 {\bf See:}
 
 \pageto{PolynomialCategory}{POLYCAT}
@@ -43410,6 +53404,94 @@ digraph pic {
 \pagehead{UnivariatePowerSeriesCategory}{UPSCAT}
 \pagepic{ps/v102univariatepowerseriescategory.ps}{UPSCAT}{0.55}
 
+<<UnivariatePowerSeriesCategory.input>>=
+)set break resume
+)sys rm -f UnivariatePowerSeriesCategory.output
+)spool UnivariatePowerSeriesCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePowerSeriesCategory
+--R UnivariatePowerSeriesCategory(Coef: Ring,Expon: OrderedAbelianMonoid)  is a category constructor
+--R Abbreviation for UnivariatePowerSeriesCategory is UPSCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for UPSCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficient : (%,Expon) -> Coef       coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R degree : % -> Expon                   ?.? : (%,Expon) -> Coef
+--R extend : (%,Expon) -> %               hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial : (Coef,Expon) -> %          monomial? : % -> Boolean
+--R one? : % -> Boolean                   order : (%,Expon) -> Expon
+--R order : % -> Expon                    pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R sample : () -> %                      truncate : (%,Expon,Expon) -> %
+--R truncate : (%,Expon) -> %             variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (Expon,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (Expon,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Expon,Coef) -> Coef
+--R D : (%,List Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Expon,Coef) -> Coef
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Expon,Coef) -> Coef
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Expon,Coef) -> Coef
+--R ?^? : (%,NonNegativeInteger) -> %
+--R approximate : (%,Expon) -> Coef if Coef has **: (Coef,Expon) -> Coef and Coef has coerce: Symbol -> Coef
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coerce : Coef -> % if Coef has COMRING
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : % -> % if Coef has *: (Expon,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (Expon,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Expon,Coef) -> Coef
+--R differentiate : (%,List Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Expon,Coef) -> Coef
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Expon,Coef) -> Coef
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Expon,Coef) -> Coef
+--R ?.? : (%,%) -> % if Expon has SGROUP
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Expon) -> Coef
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R monomial : (%,List SingletonAsOrderedSet,List Expon) -> %
+--R monomial : (%,SingletonAsOrderedSet,Expon) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R terms : % -> Stream Record(k: Expon,c: Coef)
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariatePowerSeriesCategory.help>>=
+====================================================================
+UnivariatePowerSeriesCategory examples
+====================================================================
+
+See Also:
+o )show UnivariatePowerSeriesCategory
+
+@
 {\bf See:}
 
 \pageto{LocalPowerSeriesCategory}{LOCPOWC}
@@ -43819,6 +53901,73 @@ digraph pic {
 \pagehead{Field}{FIELD}
 \pagepic{ps/v102field.ps}{FIELD}{1.00}
 
+<<Field.input>>=
+)set break resume
+)sys rm -f Field.output
+)spool Field.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Field
+--R Field  is a category constructor
+--R Abbreviation for Field is FIELD 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FIELD 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R associates? : (%,%) -> Boolean        coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inv : % -> %
+--R latex : % -> String                   lcm : List % -> %
+--R lcm : (%,%) -> %                      one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Field.help>>=
+====================================================================
+Field examples
+====================================================================
+
+See Also:
+o )show Field
+
+@
 Euclidean Domains are a subset of Fields.
 \pagefrom{EuclideanDomain}{EUCDOM}
 \pageto{PseudoAlgebraicClosureOfPerfectFieldCategory}{PACPERC}
@@ -44077,6 +54226,100 @@ digraph pic {
 \pagehead{IntegerNumberSystem}{INS}
 \pagepic{ps/v102integernumbersystem.ps}{INS}{0.30}
 
+<<IntegerNumberSystem.input>>=
+)set break resume
+)sys rm -f IntegerNumberSystem.output
+)spool IntegerNumberSystem.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegerNumberSystem
+--R IntegerNumberSystem  is a category constructor
+--R Abbreviation for IntegerNumberSystem is INS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for INS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R D : % -> %                            D : (%,NonNegativeInteger) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> %
+--R addmod : (%,%,%) -> %                 associates? : (%,%) -> Boolean
+--R base : () -> %                        binomial : (%,%) -> %
+--R bit? : (%,%) -> Boolean               coerce : Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : % -> DoubleFloat
+--R convert : % -> Float                  convert : % -> Pattern Integer
+--R convert : % -> InputForm              convert : % -> Integer
+--R copy : % -> %                         dec : % -> %
+--R differentiate : % -> %                even? : % -> Boolean
+--R factor : % -> Factored %              factorial : % -> %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> %                         hash : % -> SingleInteger
+--R inc : % -> %                          init : () -> %
+--R invmod : (%,%) -> %                   latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R length : % -> %                       mask : % -> %
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R mulmod : (%,%,%) -> %                 negative? : % -> Boolean
+--R odd? : % -> Boolean                   one? : % -> Boolean
+--R permutation : (%,%) -> %              positive? : % -> Boolean
+--R positiveRemainder : (%,%) -> %        powmod : (%,%,%) -> %
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R random : % -> %                       random : () -> %
+--R rational : % -> Fraction Integer      rational? : % -> Boolean
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R retract : % -> Integer                sample : () -> %
+--R shift : (%,%) -> %                    sign : % -> Integer
+--R sizeLess? : (%,%) -> Boolean          squareFree : % -> Factored %
+--R squareFreePart : % -> %               submod : (%,%,%) -> %
+--R symmetricRemainder : (%,%) -> %       unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R differentiate : (%,NonNegativeInteger) -> %
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed")
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%)
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R rationalIfCan : % -> Union(Fraction Integer,"failed")
+--R reducedSystem : Matrix % -> Matrix Integer
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer)
+--R retractIfCan : % -> Union(Integer,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IntegerNumberSystem.help>>=
+====================================================================
+IntegerNumberSystem examples
+====================================================================
+
+See Also:
+o )show IntegerNumberSystem
+
+@
 {\bf See:}
 
 \pagefrom{CharacteristicZero}{CHARZ}
@@ -44593,6 +54836,7 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{LocalPowerSeriesCategory}{LOCPOWC}
 \pagepic{ps/v102localpowerseriescategory.ps}{LOCPOWC}{0.70}
+
 <<LocalPowerSeriesCategory.input>>=
 )set break resume
 )sys rm -f LocalPowerSeriesCategory.output
@@ -45057,11 +55301,78 @@ digraph pic {
 
 @
 
-
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{PAdicIntegerCategory}{PADICCT}
 \pagepic{ps/v102padicintegercategory.ps}{PADICCT}{0.70}
 
+<<PAdicIntegerCategory.input>>=
+)set break resume
+)sys rm -f PAdicIntegerCategory.output
+)spool PAdicIntegerCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PAdicIntegerCategory
+--R PAdicIntegerCategory p: Integer  is a category constructor
+--R Abbreviation for PAdicIntegerCategory is PADICCT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for PADICCT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R digits : % -> Stream Integer          extend : (%,Integer) -> %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R moduloP : % -> Integer                modulus : () -> Integer
+--R one? : % -> Boolean                   order : % -> NonNegativeInteger
+--R ?quo? : (%,%) -> %                    quotientByP : % -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R sqrt : (%,Integer) -> %               unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R approximate : (%,Integer) -> Integer
+--R characteristic : () -> NonNegativeInteger
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R root : (SparseUnivariatePolynomial Integer,Integer) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PAdicIntegerCategory.help>>=
+====================================================================
+PAdicIntegerCategory examples
+====================================================================
+
+See Also:
+o )show PAdicIntegerCategory
+
+@
 {\bf See:}
 
 \pagefrom{CharacteristicZero}{CHARZ}
@@ -45318,6 +55629,149 @@ digraph pic {
 \pagehead{PolynomialCategory}{POLYCAT}
 \pagepic{ps/v102polynomialcategory.ps}{POLYCAT}{0.40}
 
+<<PolynomialCategory.input>>=
+)set break resume
+)sys rm -f PolynomialCategory.output
+)spool PolynomialCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialCategory
+--R PolynomialCategory(R: Ring,E: OrderedAbelianMonoidSup,VarSet: OrderedSet)  is a category constructor
+--R Abbreviation for PolynomialCategory is POLYCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for POLYCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,List VarSet) -> %              D : (%,VarSet) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficient : (%,E) -> R
+--R coefficients : % -> List R            coerce : VarSet -> %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              degree : % -> E
+--R differentiate : (%,VarSet) -> %       eval : (%,VarSet,%) -> %
+--R eval : (%,VarSet,R) -> %              eval : (%,List %,List %) -> %
+--R eval : (%,%,%) -> %                   eval : (%,Equation %) -> %
+--R eval : (%,List Equation %) -> %       ground : % -> R
+--R ground? : % -> Boolean                hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              map : ((R -> R),%) -> %
+--R mapExponents : ((E -> E),%) -> %      minimumDegree : % -> E
+--R monomial : (R,E) -> %                 monomial? : % -> Boolean
+--R monomials : % -> List %               one? : % -> Boolean
+--R pomopo! : (%,R,E,%) -> %              primitiveMonomials : % -> List %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> VarSet                 retract : % -> R
+--R sample : () -> %                      variables : % -> List VarSet
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,List VarSet,List NonNegativeInteger) -> %
+--R D : (%,VarSet,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if and(has($,CharacteristicNonZero),has(R,PolynomialFactorizationExplicit)) or R has CHARNZ
+--R coefficient : (%,List VarSet,List NonNegativeInteger) -> %
+--R coefficient : (%,VarSet,NonNegativeInteger) -> %
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT or R has ALGEBRA FRAC INT
+--R coerce : % -> % if R has INTDOM
+--R conditionP : Matrix % -> Union(Vector %,"failed") if and(has($,CharacteristicNonZero),has(R,PolynomialFactorizationExplicit))
+--R content : (%,VarSet) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if VarSet has KONVERT INFORM and R has KONVERT INFORM
+--R convert : % -> Pattern Integer if VarSet has KONVERT PATTERN INT and R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if VarSet has KONVERT PATTERN FLOAT and R has KONVERT PATTERN FLOAT
+--R degree : (%,List VarSet) -> List NonNegativeInteger
+--R degree : (%,VarSet) -> NonNegativeInteger
+--R differentiate : (%,List VarSet,List NonNegativeInteger) -> %
+--R differentiate : (%,VarSet,NonNegativeInteger) -> %
+--R differentiate : (%,List VarSet) -> %
+--R discriminant : (%,VarSet) -> % if R has COMRING
+--R eval : (%,List VarSet,List %) -> %
+--R eval : (%,List VarSet,List R) -> %
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R isExpt : % -> Union(Record(var: VarSet,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R mainVariable : % -> Union(VarSet,"failed")
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List VarSet) -> List NonNegativeInteger
+--R minimumDegree : (%,VarSet) -> NonNegativeInteger
+--R monicDivide : (%,%,VarSet) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List VarSet,List NonNegativeInteger) -> %
+--R monomial : (%,VarSet,NonNegativeInteger) -> %
+--R multivariate : (SparseUnivariatePolynomial %,VarSet) -> %
+--R multivariate : (SparseUnivariatePolynomial R,VarSet) -> %
+--R numberOfMonomials : % -> NonNegativeInteger
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if VarSet has PATMAB INT and R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if VarSet has PATMAB FLOAT and R has PATMAB FLOAT
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,VarSet) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R resultant : (%,%,VarSet) -> % if R has COMRING
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(VarSet,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List VarSet) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,VarSet) -> SparseUnivariatePolynomial %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PolynomialCategory.help>>=
+====================================================================
+PolynomialCategory examples
+====================================================================
+
+See Also:
+o )show PolynomialCategory
+
+@
 {\bf See:}
 
 \pageto{DifferentialPolynomialCategory}{DPOLCAT}
@@ -46236,6 +56690,137 @@ digraph pic {
 \pagehead{UnivariateTaylorSeriesCategory}{UTSCAT}
 \pagepic{ps/v102univariatetaylorseriescategory.ps}{UTSCAT}{0.60}
 
+<<UnivariateTaylorSeriesCategory.input>>=
+)set break resume
+)sys rm -f UnivariateTaylorSeriesCategory.output
+)spool UnivariateTaylorSeriesCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateTaylorSeriesCategory
+--R UnivariateTaylorSeriesCategory Coef: Ring  is a category constructor
+--R Abbreviation for UnivariateTaylorSeriesCategory is UTSCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for UTSCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficients : % -> Stream Coef       coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R degree : % -> NonNegativeInteger      hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R order : % -> NonNegativeInteger       pole? : % -> Boolean
+--R quoByVar : % -> %                     recip : % -> Union(%,"failed")
+--R reductum : % -> %                     sample : () -> %
+--R series : Stream Coef -> %             variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Coef) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,List Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,NonNegativeInteger) -> Coef if Coef has **: (Coef,NonNegativeInteger) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,NonNegativeInteger) -> Coef
+--R coerce : Coef -> % if Coef has COMRING
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : % -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,List Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R ?.? : (%,%) -> % if NonNegativeInteger has SGROUP
+--R ?.? : (%,NonNegativeInteger) -> Coef
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,NonNegativeInteger) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,NonNegativeInteger) -> %
+--R integrate : (%,Symbol) -> % if Coef has ACFS INT and Coef has PRIMCAT and Coef has TRANFUN and Coef has ALGEBRA FRAC INT or Coef has variables: Coef -> List Symbol and Coef has integrate: (Coef,Symbol) -> Coef and Coef has ALGEBRA FRAC INT
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R monomial : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R monomial : (Coef,NonNegativeInteger) -> %
+--R multiplyCoefficients : ((Integer -> Coef),%) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,NonNegativeInteger) -> NonNegativeInteger
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R polynomial : (%,NonNegativeInteger,NonNegativeInteger) -> Polynomial Coef
+--R polynomial : (%,NonNegativeInteger) -> Polynomial Coef
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : Stream Record(k: NonNegativeInteger,c: Coef) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: NonNegativeInteger,c: Coef)
+--R truncate : (%,NonNegativeInteger,NonNegativeInteger) -> %
+--R truncate : (%,NonNegativeInteger) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariateTaylorSeriesCategory.help>>=
+====================================================================
+UnivariateTaylorSeriesCategory examples
+====================================================================
+
+See Also:
+o )show UnivariateTaylorSeriesCategory
+
+@
 {\bf See:}
 
 \pagefrom{RadicalCategory}{RADCAT}
@@ -46890,6 +57475,7 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{AlgebraicallyClosedField}{ACF}
 \pagepic{ps/v102algebraicallyclosedfield.ps}{ACF}{0.75}
+
 <<AlgebraicallyClosedField.input>>=
 )set break resume
 )sys rm -f AlgebraicallyClosedField.output
@@ -47526,6 +58112,180 @@ digraph pic {
 \pagehead{DifferentialPolynomialCategory}{DPOLCAT}
 \pagepic{ps/v102differentialpolynomialcategory.ps}{DPOLCAT}{0.35}
 
+<<DifferentialPolynomialCategory.input>>=
+)set break resume
+)sys rm -f DifferentialPolynomialCategory.output
+)spool DifferentialPolynomialCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DifferentialPolynomialCategory
+--R DifferentialPolynomialCategory(R: Ring,S: OrderedSet,V: DifferentialVariableCategory t#2,E: OrderedAbelianMonoidSup)  is a category constructor
+--R Abbreviation for DifferentialPolynomialCategory is DPOLCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for DPOLCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,(R -> R)) -> %                 D : % -> % if R has DIFRING
+--R D : (%,List V) -> %                   D : (%,V) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficient : (%,E) -> R
+--R coefficients : % -> List R            coerce : S -> %
+--R coerce : V -> %                       coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> E                       differentiate : (%,List V) -> %
+--R differentiate : (%,V) -> %            eval : (%,List V,List %) -> %
+--R eval : (%,V,%) -> %                   eval : (%,List V,List R) -> %
+--R eval : (%,V,R) -> %                   eval : (%,List %,List %) -> %
+--R eval : (%,%,%) -> %                   eval : (%,Equation %) -> %
+--R eval : (%,List Equation %) -> %       ground : % -> R
+--R ground? : % -> Boolean                hash : % -> SingleInteger
+--R initial : % -> %                      isobaric? : % -> Boolean
+--R latex : % -> String                   leader : % -> V
+--R leadingCoefficient : % -> R           leadingMonomial : % -> %
+--R map : ((R -> R),%) -> %               mapExponents : ((E -> E),%) -> %
+--R minimumDegree : % -> E                monomial : (R,E) -> %
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R one? : % -> Boolean                   order : % -> NonNegativeInteger
+--R pomopo! : (%,R,E,%) -> %              primitiveMonomials : % -> List %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> S                      retract : % -> V
+--R retract : % -> R                      sample : () -> %
+--R separant : % -> %                     variables : % -> List V
+--R weight : % -> NonNegativeInteger      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,NonNegativeInteger) -> % if R has DIFRING
+--R D : (%,List V,List NonNegativeInteger) -> %
+--R D : (%,V,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if and(has($,CharacteristicNonZero),has(R,PolynomialFactorizationExplicit)) or R has CHARNZ
+--R coefficient : (%,List V,List NonNegativeInteger) -> %
+--R coefficient : (%,V,NonNegativeInteger) -> %
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT or R has ALGEBRA FRAC INT
+--R conditionP : Matrix % -> Union(Vector %,"failed") if and(has($,CharacteristicNonZero),has(R,PolynomialFactorizationExplicit))
+--R content : (%,V) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if V has KONVERT INFORM and R has KONVERT INFORM
+--R convert : % -> Pattern Integer if V has KONVERT PATTERN INT and R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if V has KONVERT PATTERN FLOAT and R has KONVERT PATTERN FLOAT
+--R degree : (%,S) -> NonNegativeInteger
+--R degree : (%,List V) -> List NonNegativeInteger
+--R degree : (%,V) -> NonNegativeInteger
+--R differentialVariables : % -> List S
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING
+--R differentiate : % -> % if R has DIFRING
+--R differentiate : (%,List V,List NonNegativeInteger) -> %
+--R differentiate : (%,V,NonNegativeInteger) -> %
+--R discriminant : (%,V) -> % if R has COMRING
+--R eval : (%,List S,List R) -> % if R has DIFRING
+--R eval : (%,S,R) -> % if R has DIFRING
+--R eval : (%,List S,List %) -> % if R has DIFRING
+--R eval : (%,S,%) -> % if R has DIFRING
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R isExpt : % -> Union(Record(var: V,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R mainVariable : % -> Union(V,"failed")
+--R makeVariable : % -> (NonNegativeInteger -> %) if R has DIFRING
+--R makeVariable : S -> (NonNegativeInteger -> %)
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List V) -> List NonNegativeInteger
+--R minimumDegree : (%,V) -> NonNegativeInteger
+--R monicDivide : (%,%,V) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List V,List NonNegativeInteger) -> %
+--R monomial : (%,V,NonNegativeInteger) -> %
+--R multivariate : (SparseUnivariatePolynomial %,V) -> %
+--R multivariate : (SparseUnivariatePolynomial R,V) -> %
+--R numberOfMonomials : % -> NonNegativeInteger
+--R order : (%,S) -> NonNegativeInteger
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if V has PATMAB INT and R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if V has PATMAB FLOAT and R has PATMAB FLOAT
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,V) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R resultant : (%,%,V) -> % if R has COMRING
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(S,"failed")
+--R retractIfCan : % -> Union(V,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List V) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,V) -> SparseUnivariatePolynomial %
+--R weight : (%,S) -> NonNegativeInteger
+--R weights : (%,S) -> List NonNegativeInteger
+--R weights : % -> List NonNegativeInteger
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DifferentialPolynomialCategory.help>>=
+====================================================================
+DifferentialPolynomialCategory examples
+====================================================================
+
+See Also:
+o )show DifferentialPolynomialCategory
+
+@
 {\bf See:}
 
 \pagefrom{DifferentialExtension}{DIFEXT}
@@ -48238,6 +58998,78 @@ digraph pic {
 \pagehead{FieldOfPrimeCharacteristic}{FPC}
 \pagepic{ps/v102fieldofprimecharacteristic.ps}{FPC}{1.00}
 
+<<FieldOfPrimeCharacteristic.input>>=
+)set break resume
+)sys rm -f FieldOfPrimeCharacteristic.output
+)spool FieldOfPrimeCharacteristic.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FieldOfPrimeCharacteristic
+--R FieldOfPrimeCharacteristic  is a category constructor
+--R Abbreviation for FieldOfPrimeCharacteristic is FPC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FPC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R associates? : (%,%) -> Boolean        coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inv : % -> %
+--R latex : % -> String                   lcm : List % -> %
+--R lcm : (%,%) -> %                      one? : % -> Boolean
+--R prime? : % -> Boolean                 primeFrobenius : % -> %
+--R ?quo? : (%,%) -> %                    recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    sample : () -> %
+--R sizeLess? : (%,%) -> Boolean          squareFree : % -> Factored %
+--R squareFreePart : % -> %               unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed")
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed")
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R order : % -> OnePointCompletion PositiveInteger
+--R primeFrobenius : (%,NonNegativeInteger) -> %
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FieldOfPrimeCharacteristic.help>>=
+====================================================================
+FieldOfPrimeCharacteristic examples
+====================================================================
+
+See Also:
+o )show FieldOfPrimeCharacteristic
+
+@
 {\bf See:}
 
 \pageto{FiniteFieldCategory}{FFIELDC}
@@ -48483,6 +59315,64 @@ digraph pic {
 \pagehead{FiniteRankAlgebra}{FINRALG}
 \pagepic{ps/v102finiterankalgebra.ps}{FINRALG}{0.50}
 
+<<FiniteRankAlgebra.input>>=
+)set break resume
+)sys rm -f FiniteRankAlgebra.output
+)spool FiniteRankAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteRankAlgebra
+--R FiniteRankAlgebra(R: CommutativeRing,UP: UnivariatePolynomialCategory t#1)  is a category constructor
+--R Abbreviation for FiniteRankAlgebra is FINRALG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FINRALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R discriminant : Vector % -> R          hash : % -> SingleInteger
+--R latex : % -> String                   norm : % -> R
+--R one? : % -> Boolean                   rank : () -> PositiveInteger
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R trace : % -> R                        zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R characteristicPolynomial : % -> UP
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coordinates : (Vector %,Vector %) -> Matrix R
+--R coordinates : (%,Vector %) -> Vector R
+--R minimalPolynomial : % -> UP if R has FIELD
+--R regularRepresentation : (%,Vector %) -> Matrix R
+--R represents : (Vector R,Vector %) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R traceMatrix : Vector % -> Matrix R
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteRankAlgebra.help>>=
+====================================================================
+FiniteRankAlgebra examples
+====================================================================
+
+See Also:
+o )show FiniteRankAlgebra
+
+@
 {\bf See:}
 
 \pageto{FramedAlgebra}{FRAMALG}
@@ -48745,6 +59635,198 @@ digraph pic {
 \pagehead{FunctionSpace}{FS}
 \pagepic{ps/v102functionspace.ps}{FS}{0.65}
 
+<<FunctionSpace.input>>=
+)set break resume
+)sys rm -f FunctionSpace.output
+)spool FunctionSpace.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionSpace
+--R FunctionSpace R: OrderedSet  is a category constructor
+--R Abbreviation for FunctionSpace is FS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FS 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if R has ABELGRP          ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R 1 : () -> % if R has SGROUP           0 : () -> % if R has ABELSG
+--R applyQuote : (Symbol,%,%) -> %        applyQuote : (Symbol,%) -> %
+--R belong? : BasicOperator -> Boolean    box : List % -> %
+--R box : % -> %                          coerce : R -> %
+--R coerce : Symbol -> %                  coerce : Kernel % -> %
+--R coerce : % -> OutputForm              distribute : (%,%) -> %
+--R distribute : % -> %                   elt : (BasicOperator,%,%) -> %
+--R elt : (BasicOperator,%) -> %          eval : (%,List %,List %) -> %
+--R eval : (%,%,%) -> %                   eval : (%,Equation %) -> %
+--R eval : (%,List Equation %) -> %       eval : (%,Kernel %,%) -> %
+--R freeOf? : (%,Symbol) -> Boolean       freeOf? : (%,%) -> Boolean
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             height : % -> NonNegativeInteger
+--R is? : (%,Symbol) -> Boolean           kernel : (BasicOperator,%) -> %
+--R kernels : % -> List Kernel %          latex : % -> String
+--R map : ((% -> %),Kernel %) -> %        max : (%,%) -> %
+--R min : (%,%) -> %                      paren : List % -> %
+--R paren : % -> %                        retract : % -> R
+--R retract : % -> Symbol                 retract : % -> Kernel %
+--R subst : (%,Equation %) -> %           tower : % -> List Kernel %
+--R variables : % -> List Symbol          ?~=? : (%,%) -> Boolean
+--R ?*? : (%,%) -> % if R has SGROUP
+--R ?*? : (PositiveInteger,%) -> % if R has ABELSG
+--R ?*? : (NonNegativeInteger,%) -> % if R has ABELSG
+--R ?*? : (Integer,%) -> % if R has ABELGRP
+--R ?*? : (%,R) -> % if R has COMRING
+--R ?*? : (R,%) -> % if R has COMRING
+--R ?*? : (%,Fraction Integer) -> % if R has INTDOM
+--R ?*? : (Fraction Integer,%) -> % if R has INTDOM
+--R ?**? : (%,PositiveInteger) -> % if R has SGROUP
+--R ?**? : (%,NonNegativeInteger) -> % if R has SGROUP
+--R ?**? : (%,Integer) -> % if R has GROUP or R has INTDOM
+--R ?+? : (%,%) -> % if R has ABELSG
+--R ?-? : (%,%) -> % if R has ABELGRP
+--R ?/? : (%,%) -> % if R has GROUP or R has INTDOM
+--R ?/? : (SparseMultivariatePolynomial(R,Kernel %),SparseMultivariatePolynomial(R,Kernel %)) -> % if R has INTDOM
+--R D : (%,Symbol) -> % if R has RING
+--R D : (%,List Symbol) -> % if R has RING
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has RING
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has RING
+--R ?^? : (%,PositiveInteger) -> % if R has SGROUP
+--R ?^? : (%,NonNegativeInteger) -> % if R has SGROUP
+--R ?^? : (%,Integer) -> % if R has GROUP or R has INTDOM
+--R applyQuote : (Symbol,List %) -> %
+--R applyQuote : (Symbol,%,%,%,%) -> %
+--R applyQuote : (Symbol,%,%,%) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R characteristic : () -> NonNegativeInteger if R has RING
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : Integer -> % if R has RING or R has RETRACT INT
+--R coerce : Fraction Integer -> % if R has INTDOM or R has RETRACT INT and R has INTDOM or R has RETRACT FRAC INT
+--R coerce : Polynomial R -> % if R has RING
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Polynomial R -> % if R has INTDOM
+--R coerce : Fraction Polynomial Fraction R -> % if R has INTDOM
+--R coerce : Polynomial Fraction R -> % if R has INTDOM
+--R coerce : Fraction R -> % if R has INTDOM
+--R coerce : SparseMultivariatePolynomial(R,Kernel %) -> % if R has RING
+--R commutator : (%,%) -> % if R has GROUP
+--R conjugate : (%,%) -> % if R has GROUP
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R convert : Factored % -> % if R has INTDOM
+--R convert : % -> Pattern Float if R has KONVERT PATTERN FLOAT
+--R convert : % -> Pattern Integer if R has KONVERT PATTERN INT
+--R definingPolynomial : % -> % if $ has RING
+--R denom : % -> SparseMultivariatePolynomial(R,Kernel %) if R has INTDOM
+--R denominator : % -> % if R has INTDOM
+--R differentiate : (%,Symbol) -> % if R has RING
+--R differentiate : (%,List Symbol) -> % if R has RING
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has RING
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has RING
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has INTDOM
+--R elt : (BasicOperator,List %) -> %
+--R elt : (BasicOperator,%,%,%,%) -> %
+--R elt : (BasicOperator,%,%,%) -> %
+--R euclideanSize : % -> NonNegativeInteger if R has INTDOM
+--R eval : (%,Symbol,NonNegativeInteger,(% -> %)) -> % if R has RING
+--R eval : (%,Symbol,NonNegativeInteger,(List % -> %)) -> % if R has RING
+--R eval : (%,List Symbol,List NonNegativeInteger,List (List % -> %)) -> % if R has RING
+--R eval : (%,List Symbol,List NonNegativeInteger,List (% -> %)) -> % if R has RING
+--R eval : (%,List BasicOperator,List %,Symbol) -> % if R has KONVERT INFORM
+--R eval : (%,BasicOperator,%,Symbol) -> % if R has KONVERT INFORM
+--R eval : % -> % if R has KONVERT INFORM
+--R eval : (%,List Symbol) -> % if R has KONVERT INFORM
+--R eval : (%,Symbol) -> % if R has KONVERT INFORM
+--R eval : (%,BasicOperator,(% -> %)) -> %
+--R eval : (%,BasicOperator,(List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (% -> %)) -> %
+--R eval : (%,Symbol,(% -> %)) -> %
+--R eval : (%,Symbol,(List % -> %)) -> %
+--R eval : (%,List Symbol,List (List % -> %)) -> %
+--R eval : (%,List Symbol,List (% -> %)) -> %
+--R eval : (%,List Kernel %,List %) -> %
+--R even? : % -> Boolean if $ has RETRACT INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has INTDOM
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has INTDOM
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has INTDOM
+--R factor : % -> Factored % if R has INTDOM
+--R gcd : (%,%) -> % if R has INTDOM
+--R gcd : List % -> % if R has INTDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has INTDOM
+--R inv : % -> % if R has GROUP or R has INTDOM
+--R is? : (%,BasicOperator) -> Boolean
+--R isExpt : (%,Symbol) -> Union(Record(var: Kernel %,exponent: Integer),"failed") if R has RING
+--R isExpt : (%,BasicOperator) -> Union(Record(var: Kernel %,exponent: Integer),"failed") if R has RING
+--R isExpt : % -> Union(Record(var: Kernel %,exponent: Integer),"failed") if R has SGROUP
+--R isMult : % -> Union(Record(coef: Integer,var: Kernel %),"failed") if R has ABELSG
+--R isPlus : % -> Union(List %,"failed") if R has ABELSG
+--R isPower : % -> Union(Record(val: %,exponent: Integer),"failed") if R has RING
+--R isTimes : % -> Union(List %,"failed") if R has SGROUP
+--R kernel : (BasicOperator,List %) -> %
+--R lcm : (%,%) -> % if R has INTDOM
+--R lcm : List % -> % if R has INTDOM
+--R mainKernel : % -> Union(Kernel %,"failed")
+--R minPoly : Kernel % -> SparseUnivariatePolynomial % if $ has RING
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has INTDOM
+--R numer : % -> SparseMultivariatePolynomial(R,Kernel %) if R has RING
+--R numerator : % -> % if R has RING
+--R odd? : % -> Boolean if $ has RETRACT INT
+--R one? : % -> Boolean if R has SGROUP
+--R operator : BasicOperator -> BasicOperator
+--R operators : % -> List BasicOperator
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if R has PATMAB FLOAT
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if R has PATMAB INT
+--R prime? : % -> Boolean if R has INTDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has INTDOM
+--R ?quo? : (%,%) -> % if R has INTDOM
+--R recip : % -> Union(%,"failed") if R has SGROUP
+--R reducedSystem : Matrix % -> Matrix R if R has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R) if R has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if and(has(R,LinearlyExplicitRingOver Integer),has(R,Ring))
+--R reducedSystem : Matrix % -> Matrix Integer if and(has(R,LinearlyExplicitRingOver Integer),has(R,Ring))
+--R ?rem? : (%,%) -> % if R has INTDOM
+--R retract : % -> Fraction Integer if R has RETRACT INT and R has INTDOM or R has RETRACT FRAC INT
+--R retract : % -> Polynomial R if R has RING
+--R retract : % -> Fraction Polynomial R if R has INTDOM
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT INT and R has INTDOM or R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Polynomial R,"failed") if R has RING
+--R retractIfCan : % -> Union(Fraction Polynomial R,"failed") if R has INTDOM
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Symbol,"failed")
+--R retractIfCan : % -> Union(Kernel %,"failed")
+--R sample : () -> % if R has SGROUP or R has ABELSG
+--R sizeLess? : (%,%) -> Boolean if R has INTDOM
+--R squareFree : % -> Factored % if R has INTDOM
+--R squareFreePart : % -> % if R has INTDOM
+--R subst : (%,List Kernel %,List %) -> %
+--R subst : (%,List Equation %) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed") if R has ABELGRP
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : (%,Kernel %) -> Fraction SparseUnivariatePolynomial % if R has INTDOM
+--R zero? : % -> Boolean if R has ABELSG
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FunctionSpace.help>>=
+====================================================================
+FunctionSpace examples
+====================================================================
+
+See Also:
+o )show FunctionSpace
+
+@
 {\bf See:}
 
 \pagefrom{AbelianGroup}{ABELGRP}
@@ -50006,6 +61088,7 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{InfinitlyClosePointCategory}{INFCLCT}
 \pagepic{ps/v102infinitlyclosepointcategory.eps}{INFCLCT}{0.50}
+
 <<InfinitlyClosePointCategory.input>>=
 )set break resume
 )sys rm -f InfinitlyClosePointCategory.output
@@ -50261,6 +61344,7 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{PseudoAlgebraicClosureOfPerfectFieldCategory}{PACPERC}
 \pagepic{ps/v102pseudoalgebraicclosureofperfectfieldcategory.ps}{PACPERC}{0.50}
+
 <<PseudoAlgebraicClosureOfPerfectFieldCategory.input>>=
 )set break resume
 )sys rm -f PseudoAlgebraicClosureOfPerfectFieldCategory.output
@@ -50616,6 +61700,140 @@ digraph pic {
 \pagehead{QuotientFieldCategory}{QFCAT}
 \pagepic{ps/v102quotientfieldcategory.ps}{QFCAT}{0.50}
 
+<<QuotientFieldCategory.input>>=
+)set break resume
+)sys rm -f QuotientFieldCategory.output
+)spool QuotientFieldCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show QuotientFieldCategory
+--R QuotientFieldCategory S: IntegralDomain  is a category constructor
+--R Abbreviation for QuotientFieldCategory is QFCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for QFCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,S) -> %                      ?*? : (S,%) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (S,S) -> %                      ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                D : (%,(S -> S)) -> %
+--R D : % -> % if S has DIFRING           1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R ceiling : % -> S if S has INS         coerce : S -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R denom : % -> S                        denominator : % -> %
+--R factor : % -> Factored %              floor : % -> S if S has INS
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             init : () -> % if S has STEP
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R map : ((S -> S),%) -> %               numer : % -> S
+--R numerator : % -> %                    one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R random : () -> % if S has INS         recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    retract : % -> S
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R D : (%,(S -> S),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if S has PDRING SYMBOL
+--R D : (%,Symbol) -> % if S has PDRING SYMBOL
+--R D : (%,NonNegativeInteger) -> % if S has DIFRING
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if S has OINTDOM
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if S has CHARNZ or and(has($,CharacteristicNonZero),has(S,PolynomialFactorizationExplicit))
+--R coerce : Symbol -> % if S has RETRACT SYMBOL
+--R conditionP : Matrix % -> Union(Vector %,"failed") if and(has($,CharacteristicNonZero),has(S,PolynomialFactorizationExplicit))
+--R convert : % -> DoubleFloat if S has REAL
+--R convert : % -> Float if S has REAL
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R convert : % -> Pattern Float if S has KONVERT PATTERN FLOAT
+--R convert : % -> Pattern Integer if S has KONVERT PATTERN INT
+--R differentiate : (%,(S -> S)) -> %
+--R differentiate : (%,(S -> S),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if S has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if S has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> % if S has DIFRING
+--R differentiate : % -> % if S has DIFRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R ?.? : (%,S) -> % if S has ELTAB(S,S)
+--R euclideanSize : % -> NonNegativeInteger
+--R eval : (%,Symbol,S) -> % if S has IEVALAB(SYMBOL,S)
+--R eval : (%,List Symbol,List S) -> % if S has IEVALAB(SYMBOL,S)
+--R eval : (%,List Equation S) -> % if S has EVALAB S
+--R eval : (%,Equation S) -> % if S has EVALAB S
+--R eval : (%,S,S) -> % if S has EVALAB S
+--R eval : (%,List S,List S) -> % if S has EVALAB S
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if S has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if S has PFECAT
+--R fractionPart : % -> % if S has EUCDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R max : (%,%) -> % if S has ORDSET
+--R min : (%,%) -> % if S has ORDSET
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R negative? : % -> Boolean if S has OINTDOM
+--R nextItem : % -> Union(%,"failed") if S has STEP
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if S has PATMAB FLOAT
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if S has PATMAB INT
+--R positive? : % -> Boolean if S has OINTDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R reducedSystem : Matrix % -> Matrix S
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix S,vec: Vector S)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if S has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if S has LINEXP INT
+--R retract : % -> Integer if S has RETRACT INT
+--R retract : % -> Fraction Integer if S has RETRACT INT
+--R retract : % -> Symbol if S has RETRACT SYMBOL
+--R retractIfCan : % -> Union(Integer,"failed") if S has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if S has RETRACT INT
+--R retractIfCan : % -> Union(Symbol,"failed") if S has RETRACT SYMBOL
+--R retractIfCan : % -> Union(S,"failed")
+--R sign : % -> Integer if S has OINTDOM
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if S has PFECAT
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if S has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R wholePart : % -> S if S has EUCDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<QuotientFieldCategory.help>>=
+====================================================================
+QuotientFieldCategory examples
+====================================================================
+
+See Also:
+o )show QuotientFieldCategory
+
+@
 {\bf See:}
 
 \pagefrom{Algebra}{ALGEBRA}
@@ -51187,6 +62405,104 @@ digraph pic {
 \pagehead{RealClosedField}{RCFIELD}
 \pagepic{ps/v102realclosedfield.ps}{RCFIELD}{0.50}
 
+<<RealClosedField.input>>=
+)set break resume
+)sys rm -f RealClosedField.output
+)spool RealClosedField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RealClosedField
+--R RealClosedField  is a category constructor
+--R Abbreviation for RealClosedField is RCFIELD 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RCFIELD 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,Fraction Integer) -> %       ?*? : (Fraction Integer,%) -> %
+--R ?*? : (%,Integer) -> %                ?*? : (Integer,%) -> %
+--R ?*? : (%,Fraction Integer) -> %       ?*? : (Fraction Integer,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Fraction Integer) -> %
+--R ?**? : (%,Integer) -> %               ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?/? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> %
+--R associates? : (%,%) -> Boolean        coerce : Fraction Integer -> %
+--R coerce : Integer -> %                 coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Fraction Integer -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R factor : % -> Factored %              gcd : (%,%) -> %
+--R gcd : List % -> %                     hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R lcm : (%,%) -> %                      lcm : List % -> %
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R negative? : % -> Boolean              nthRoot : (%,Integer) -> %
+--R one? : % -> Boolean                   positive? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R rename : (%,OutputForm) -> %          rename! : (%,OutputForm) -> %
+--R retract : % -> Fraction Integer       sample : () -> %
+--R sign : % -> Integer                   sizeLess? : (%,%) -> Boolean
+--R sqrt : Integer -> %                   sqrt : Fraction Integer -> %
+--R sqrt : % -> %                         squareFree : % -> Factored %
+--R squareFreePart : % -> %               unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R allRootsOf : Polynomial Integer -> List %
+--R allRootsOf : Polynomial Fraction Integer -> List %
+--R allRootsOf : Polynomial % -> List %
+--R allRootsOf : SparseUnivariatePolynomial Integer -> List %
+--R allRootsOf : SparseUnivariatePolynomial Fraction Integer -> List %
+--R allRootsOf : SparseUnivariatePolynomial % -> List %
+--R approximate : (%,%) -> Fraction Integer
+--R characteristic : () -> NonNegativeInteger
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R mainDefiningPolynomial : % -> Union(SparseUnivariatePolynomial %,"failed")
+--R mainForm : % -> Union(OutputForm,"failed")
+--R mainValue : % -> Union(SparseUnivariatePolynomial %,"failed")
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R retract : % -> Fraction Integer if Fraction Integer has RETRACT FRAC INT
+--R retract : % -> Integer if Fraction Integer has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if Fraction Integer has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if Fraction Integer has RETRACT INT
+--R rootOf : (SparseUnivariatePolynomial %,PositiveInteger) -> Union(%,"failed")
+--R rootOf : (SparseUnivariatePolynomial %,PositiveInteger,OutputForm) -> Union(%,"failed")
+--R sqrt : (%,NonNegativeInteger) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RealClosedField.help>>=
+====================================================================
+RealClosedField examples
+====================================================================
+
+See Also:
+o )show RealClosedField
+
+@
 {\bf See:}
 
 \pagefrom{Algebra}{ALGEBRA}
@@ -51641,6 +62957,90 @@ digraph pic {
 \pagehead{RealNumberSystem}{RNS}
 \pagepic{ps/v102realnumbersystem.ps}{RNS}{0.50}
 
+<<RealNumberSystem.input>>=
+)set break resume
+)sys rm -f RealNumberSystem.output
+)spool RealNumberSystem.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RealNumberSystem
+--R RealNumberSystem  is a category constructor
+--R Abbreviation for RealNumberSystem is RNS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RNS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Fraction Integer) -> %
+--R ?**? : (%,Integer) -> %               ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?/? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> %
+--R associates? : (%,%) -> Boolean        ceiling : % -> %
+--R coerce : Fraction Integer -> %        coerce : Integer -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R convert : % -> Pattern Float          convert : % -> DoubleFloat
+--R convert : % -> Float                  factor : % -> Factored %
+--R floor : % -> %                        fractionPart : % -> %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inv : % -> %
+--R latex : % -> String                   lcm : List % -> %
+--R lcm : (%,%) -> %                      max : (%,%) -> %
+--R min : (%,%) -> %                      negative? : % -> Boolean
+--R norm : % -> %                         nthRoot : (%,Integer) -> %
+--R one? : % -> Boolean                   positive? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R retract : % -> Fraction Integer       retract : % -> Integer
+--R round : % -> %                        sample : () -> %
+--R sign : % -> Integer                   sizeLess? : (%,%) -> Boolean
+--R sqrt : % -> %                         squareFree : % -> Factored %
+--R squareFreePart : % -> %               truncate : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R wholePart : % -> Integer              zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%)
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R retractIfCan : % -> Union(Fraction Integer,"failed")
+--R retractIfCan : % -> Union(Integer,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RealNumberSystem.help>>=
+====================================================================
+RealNumberSystem examples
+====================================================================
+
+See Also:
+o )show RealNumberSystem
+
+@
 {\bf See:}
 
 \pageto{FloatingPointSystem}{FPS}
@@ -51989,6 +63389,208 @@ digraph pic {
 \pagehead{RecursivePolynomialCategory}{RPOLCAT}
 \pagepic{ps/v102recursivepolynomialcategory.ps}{RPOLCAT}{0.30}
 
+<<RecursivePolynomialCategory.input>>=
+)set break resume
+)sys rm -f RecursivePolynomialCategory.output
+)spool RecursivePolynomialCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RecursivePolynomialCategory
+--R RecursivePolynomialCategory(R: Ring,E: OrderedAbelianMonoidSup,V: OrderedSet)  is a category constructor
+--R Abbreviation for RecursivePolynomialCategory is RPOLCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for RPOLCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,List V) -> %                   D : (%,V) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficient : (%,E) -> R
+--R coefficients : % -> List R            coerce : V -> %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              deepestInitial : % -> %
+--R deepestTail : % -> %                  degree : % -> E
+--R differentiate : (%,List V) -> %       differentiate : (%,V) -> %
+--R eval : (%,List V,List %) -> %         eval : (%,V,%) -> %
+--R eval : (%,List V,List R) -> %         eval : (%,V,R) -> %
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             head : % -> %
+--R headReduce : (%,%) -> %               headReduced? : (%,%) -> Boolean
+--R infRittWu? : (%,%) -> Boolean         init : % -> %
+--R initiallyReduce : (%,%) -> %          iteratedInitials : % -> List %
+--R latex : % -> String                   lazyPquo : (%,%,V) -> %
+--R lazyPquo : (%,%) -> %                 lazyPrem : (%,%,V) -> %
+--R lazyPrem : (%,%) -> %                 leadingCoefficient : (%,V) -> %
+--R leadingCoefficient : % -> R           leadingMonomial : % -> %
+--R leastMonomial : % -> %                mainCoefficients : % -> List %
+--R mainMonomial : % -> %                 mainMonomials : % -> List %
+--R map : ((R -> R),%) -> %               mapExponents : ((E -> E),%) -> %
+--R mdeg : % -> NonNegativeInteger        minimumDegree : % -> E
+--R monic? : % -> Boolean                 monicModulo : (%,%) -> %
+--R monomial : (R,E) -> %                 monomial? : % -> Boolean
+--R monomials : % -> List %               mvar : % -> V
+--R normalized? : (%,%) -> Boolean        one? : % -> Boolean
+--R pomopo! : (%,R,E,%) -> %              pquo : (%,%,V) -> %
+--R pquo : (%,%) -> %                     prem : (%,%,V) -> %
+--R prem : (%,%) -> %                     primitiveMonomials : % -> List %
+--R quasiMonic? : % -> Boolean            recip : % -> Union(%,"failed")
+--R reduced? : (%,List %) -> Boolean      reduced? : (%,%) -> Boolean
+--R reductum : (%,V) -> %                 reductum : % -> %
+--R retract : % -> V                      retract : % -> R
+--R sample : () -> %                      supRittWu? : (%,%) -> Boolean
+--R tail : % -> %                         variables : % -> List V
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,List V,List NonNegativeInteger) -> %
+--R D : (%,V,NonNegativeInteger) -> %
+--R LazardQuotient : (%,%,NonNegativeInteger) -> % if R has INTDOM
+--R LazardQuotient2 : (%,%,%,NonNegativeInteger) -> % if R has INTDOM
+--R RittWuCompare : (%,%) -> Union(Boolean,"failed")
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if and(has($,CharacteristicNonZero),has(R,PolynomialFactorizationExplicit)) or R has CHARNZ
+--R coefficient : (%,List V,List NonNegativeInteger) -> %
+--R coefficient : (%,V,NonNegativeInteger) -> %
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT or R has ALGEBRA FRAC INT
+--R coerce : % -> Polynomial R if V has KONVERT SYMBOL
+--R conditionP : Matrix % -> Union(Vector %,"failed") if and(has($,CharacteristicNonZero),has(R,PolynomialFactorizationExplicit))
+--R content : (%,V) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> Polynomial R if V has KONVERT SYMBOL
+--R convert : % -> String if R has RETRACT INT and V has KONVERT SYMBOL
+--R convert : Polynomial R -> % if V has KONVERT SYMBOL
+--R convert : Polynomial Integer -> % if not has(R,Algebra Fraction Integer) and R has ALGEBRA INT and V has KONVERT SYMBOL or R has ALGEBRA FRAC INT and V has KONVERT SYMBOL
+--R convert : Polynomial Fraction Integer -> % if R has ALGEBRA FRAC INT and V has KONVERT SYMBOL
+--R convert : % -> InputForm if V has KONVERT INFORM and R has KONVERT INFORM
+--R convert : % -> Pattern Integer if V has KONVERT PATTERN INT and R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if V has KONVERT PATTERN FLOAT and R has KONVERT PATTERN FLOAT
+--R degree : (%,List V) -> List NonNegativeInteger
+--R degree : (%,V) -> NonNegativeInteger
+--R differentiate : (%,List V,List NonNegativeInteger) -> %
+--R differentiate : (%,V,NonNegativeInteger) -> %
+--R discriminant : (%,V) -> % if R has COMRING
+--R exactQuotient : (%,%) -> % if R has INTDOM
+--R exactQuotient : (%,R) -> % if R has INTDOM
+--R exactQuotient! : (%,%) -> % if R has INTDOM
+--R exactQuotient! : (%,R) -> % if R has INTDOM
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R extendedSubResultantGcd : (%,%) -> Record(gcd: %,coef1: %,coef2: %) if R has INTDOM
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcd : (R,%) -> R if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R halfExtendedSubResultantGcd1 : (%,%) -> Record(gcd: %,coef1: %) if R has INTDOM
+--R halfExtendedSubResultantGcd2 : (%,%) -> Record(gcd: %,coef2: %) if R has INTDOM
+--R headReduced? : (%,List %) -> Boolean
+--R initiallyReduced? : (%,List %) -> Boolean
+--R initiallyReduced? : (%,%) -> Boolean
+--R isExpt : % -> Union(Record(var: V,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R lastSubResultant : (%,%) -> % if R has INTDOM
+--R lazyPremWithDefault : (%,%,V) -> Record(coef: %,gap: NonNegativeInteger,remainder: %)
+--R lazyPremWithDefault : (%,%) -> Record(coef: %,gap: NonNegativeInteger,remainder: %)
+--R lazyPseudoDivide : (%,%,V) -> Record(coef: %,gap: NonNegativeInteger,quotient: %,remainder: %)
+--R lazyPseudoDivide : (%,%) -> Record(coef: %,gap: NonNegativeInteger,quotient: %,remainder: %)
+--R lazyResidueClass : (%,%) -> Record(polnum: %,polden: %,power: NonNegativeInteger)
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R mainContent : % -> % if R has GCDDOM
+--R mainPrimitivePart : % -> % if R has GCDDOM
+--R mainSquareFreePart : % -> % if R has GCDDOM
+--R mainVariable : % -> Union(V,"failed")
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List V) -> List NonNegativeInteger
+--R minimumDegree : (%,V) -> NonNegativeInteger
+--R monicDivide : (%,%,V) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List V,List NonNegativeInteger) -> %
+--R monomial : (%,V,NonNegativeInteger) -> %
+--R multivariate : (SparseUnivariatePolynomial %,V) -> %
+--R multivariate : (SparseUnivariatePolynomial R,V) -> %
+--R nextsubResultant2 : (%,%,%,%) -> % if R has INTDOM
+--R normalized? : (%,List %) -> Boolean
+--R numberOfMonomials : % -> NonNegativeInteger
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if V has PATMAB INT and R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if V has PATMAB FLOAT and R has PATMAB FLOAT
+--R primPartElseUnitCanonical : % -> % if R has INTDOM
+--R primPartElseUnitCanonical! : % -> % if R has INTDOM
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,V) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R primitivePart! : % -> % if R has GCDDOM
+--R pseudoDivide : (%,%) -> Record(quotient: %,remainder: %)
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R resultant : (%,%) -> % if R has INTDOM
+--R resultant : (%,%,V) -> % if R has COMRING
+--R retract : Polynomial R -> % if not has(R,Algebra Fraction Integer) and not has(R,Algebra Integer) and V has KONVERT SYMBOL or not has(R,IntegerNumberSystem) and not has(R,Algebra Fraction Integer) and R has ALGEBRA INT and V has KONVERT SYMBOL or not has(R,QuotientFieldCategory Integer) and R has ALGEBRA FRAC INT and V has KONVERT SYMBOL
+--R retract : Polynomial Integer -> % if not has(R,Algebra Fraction Integer) and R has ALGEBRA INT and V has KONVERT SYMBOL or R has ALGEBRA FRAC INT and V has KONVERT SYMBOL
+--R retract : Polynomial Fraction Integer -> % if R has ALGEBRA FRAC INT and V has KONVERT SYMBOL
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : Polynomial R -> Union(%,"failed") if not has(R,Algebra Fraction Integer) and not has(R,Algebra Integer) and V has KONVERT SYMBOL or not has(R,IntegerNumberSystem) and not has(R,Algebra Fraction Integer) and R has ALGEBRA INT and V has KONVERT SYMBOL or not has(R,QuotientFieldCategory Integer) and R has ALGEBRA FRAC INT and V has KONVERT SYMBOL
+--R retractIfCan : Polynomial Integer -> Union(%,"failed") if not has(R,Algebra Fraction Integer) and R has ALGEBRA INT and V has KONVERT SYMBOL or R has ALGEBRA FRAC INT and V has KONVERT SYMBOL
+--R retractIfCan : Polynomial Fraction Integer -> Union(%,"failed") if R has ALGEBRA FRAC INT and V has KONVERT SYMBOL
+--R retractIfCan : % -> Union(V,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subResultantChain : (%,%) -> List % if R has INTDOM
+--R subResultantGcd : (%,%) -> % if R has INTDOM
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List V) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,V) -> SparseUnivariatePolynomial %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RecursivePolynomialCategory.help>>=
+====================================================================
+RecursivePolynomialCategory examples
+====================================================================
+
+See Also:
+o )show RecursivePolynomialCategory
+
+@
 {\bf See:}
 
 \pagefrom{PolynomialCategory}{POLYCAT}
@@ -53768,6 +65370,155 @@ digraph pic {
 \pagehead{UnivariateLaurentSeriesCategory}{ULSCAT}
 \pagepic{ps/v102univariatelaurentseriescategory.ps}{ULSCAT}{0.50}
 
+<<UnivariateLaurentSeriesCategory.input>>=
+)set break resume
+)sys rm -f UnivariateLaurentSeriesCategory.output
+)spool UnivariateLaurentSeriesCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateLaurentSeriesCategory
+--R UnivariateLaurentSeriesCategory Coef: Ring  is a category constructor
+--R Abbreviation for UnivariateLaurentSeriesCategory is ULSCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ULSCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficient : (%,Integer) -> Coef     coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R degree : % -> Integer                 ?.? : (%,Integer) -> Coef
+--R extend : (%,Integer) -> %             hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial : (Coef,Integer) -> %        monomial? : % -> Boolean
+--R one? : % -> Boolean                   order : (%,Integer) -> Integer
+--R order : % -> Integer                  pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R sample : () -> %                      truncate : (%,Integer) -> %
+--R variable : % -> Symbol                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (Integer,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R D : (%,List Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Integer) -> Coef if Coef has **: (Coef,Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : Coef -> % if Coef has COMRING
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : % -> % if Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,List Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,%) -> % if Integer has SGROUP
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R integrate : (%,Symbol) -> % if Coef has ACFS INT and Coef has PRIMCAT and Coef has TRANFUN and Coef has ALGEBRA FRAC INT or Coef has variables: Coef -> List Symbol and Coef has integrate: (Coef,Symbol) -> Coef and Coef has ALGEBRA FRAC INT
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyCoefficients : ((Integer -> Coef),%) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R rationalFunction : (%,Integer,Integer) -> Fraction Polynomial Coef if Coef has INTDOM
+--R rationalFunction : (%,Integer) -> Fraction Polynomial Coef if Coef has INTDOM
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : Stream Record(k: Integer,c: Coef) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: Integer,c: Coef)
+--R truncate : (%,Integer,Integer) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariateLaurentSeriesCategory.help>>=
+====================================================================
+UnivariateLaurentSeriesCategory examples
+====================================================================
+
+See Also:
+o )show UnivariateLaurentSeriesCategory
+
+@
 {\bf See:}
 
 \pageto{UnivariateLaurentSeriesConstructorCategory}{ULSCCAT}
@@ -54250,6 +66001,156 @@ digraph pic {
 \pagehead{UnivariatePuiseuxSeriesCategory}{UPXSCAT}
 \pagepic{ps/v102univariatepuiseuxseriescategory.ps}{UPXSCAT}{0.50}
 
+<<UnivariatePuiseuxSeriesCategory.input>>=
+)set break resume
+)sys rm -f UnivariatePuiseuxSeriesCategory.output
+)spool UnivariatePuiseuxSeriesCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePuiseuxSeriesCategory
+--R UnivariatePuiseuxSeriesCategory Coef: Ring  is a category constructor
+--R Abbreviation for UnivariatePuiseuxSeriesCategory is UPXSCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for UPXSCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R complete : % -> %                     degree : % -> Fraction Integer
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> Coef        leadingMonomial : % -> %
+--R map : ((Coef -> Coef),%) -> %         monomial? : % -> Boolean
+--R one? : % -> Boolean                   order : % -> Fraction Integer
+--R pole? : % -> Boolean                  recip : % -> Union(%,"failed")
+--R reductum : % -> %                     sample : () -> %
+--R variable : % -> Symbol                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,List Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Fraction Integer) -> Coef if Coef has **: (Coef,Fraction Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,Fraction Integer) -> Coef
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : Coef -> % if Coef has COMRING
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,List Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,%) -> % if Fraction Integer has SGROUP
+--R ?.? : (%,Fraction Integer) -> Coef
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Fraction Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,Fraction Integer) -> %
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R integrate : (%,Symbol) -> % if Coef has ACFS INT and Coef has PRIMCAT and Coef has TRANFUN and Coef has ALGEBRA FRAC INT or Coef has variables: Coef -> List Symbol and Coef has integrate: (Coef,Symbol) -> Coef and Coef has ALGEBRA FRAC INT
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List Fraction Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Fraction Integer) -> %
+--R monomial : (Coef,Fraction Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyExponents : (%,Fraction Integer) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,Fraction Integer) -> Fraction Integer
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : (NonNegativeInteger,Stream Record(k: Fraction Integer,c: Coef)) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: Fraction Integer,c: Coef)
+--R truncate : (%,Fraction Integer,Fraction Integer) -> %
+--R truncate : (%,Fraction Integer) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariatePuiseuxSeriesCategory.help>>=
+====================================================================
+UnivariatePuiseuxSeriesCategory examples
+====================================================================
+
+See Also:
+o )show UnivariatePuiseuxSeriesCategory
+
+@
 {\bf See:}
 
 \pageto{UnivariatePuiseuxSeriesConstructorCategory}{UPXSCCA}
@@ -54716,6 +66617,206 @@ digraph pic {
 \pagehead{UnivariatePolynomialCategory}{UPOLYC}
 \pagepic{ps/v102univariatepolynomialcategory.ps}{UPOLYC}{0.35}
 
+<<UnivariatePolynomialCategory.input>>=
+)set break resume
+)sys rm -f UnivariatePolynomialCategory.output
+)spool UnivariatePolynomialCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePolynomialCategory
+--R UnivariatePolynomialCategory R: Ring  is a category constructor
+--R Abbreviation for UnivariatePolynomialCategory is UPOLYC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for UPOLYC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,(R -> R)) -> %                 D : % -> %
+--R D : (%,NonNegativeInteger) -> %       1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coefficients : % -> List R            coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      differentiate : % -> %
+--R ?.? : (%,%) -> %                      ?.? : (%,R) -> R
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             init : () -> % if R has STEP
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              map : ((R -> R),%) -> %
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R one? : % -> Boolean                   primitiveMonomials : % -> List %
+--R pseudoRemainder : (%,%) -> %          recip : % -> Union(%,"failed")
+--R reductum : % -> %                     retract : % -> R
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R D : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R D : (%,List SingletonAsOrderedSet) -> %
+--R D : (%,SingletonAsOrderedSet) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if and(has($,CharacteristicNonZero),has(R,PolynomialFactorizationExplicit)) or R has CHARNZ
+--R coefficient : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R coefficient : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R coefficient : (%,NonNegativeInteger) -> R
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT or R has ALGEBRA FRAC INT
+--R coerce : SingletonAsOrderedSet -> %
+--R composite : (Fraction %,%) -> Union(Fraction %,"failed") if R has INTDOM
+--R composite : (%,%) -> Union(%,"failed") if R has INTDOM
+--R conditionP : Matrix % -> Union(Vector %,"failed") if and(has($,CharacteristicNonZero),has(R,PolynomialFactorizationExplicit))
+--R content : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if SingletonAsOrderedSet has KONVERT INFORM and R has KONVERT INFORM
+--R convert : % -> Pattern Integer if SingletonAsOrderedSet has KONVERT PATTERN INT and R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if SingletonAsOrderedSet has KONVERT PATTERN FLOAT and R has KONVERT PATTERN FLOAT
+--R degree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R degree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R differentiate : (%,(R -> R),%) -> %
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R differentiate : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet) -> %
+--R differentiate : (%,SingletonAsOrderedSet) -> %
+--R discriminant : % -> R if R has COMRING
+--R discriminant : (%,SingletonAsOrderedSet) -> % if R has COMRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R divideExponents : (%,NonNegativeInteger) -> Union(%,"failed")
+--R ?.? : (%,Fraction %) -> Fraction % if R has INTDOM
+--R elt : (Fraction %,R) -> R if R has FIELD
+--R elt : (Fraction %,Fraction %) -> Fraction % if R has INTDOM
+--R euclideanSize : % -> NonNegativeInteger if R has FIELD
+--R eval : (%,List SingletonAsOrderedSet,List %) -> %
+--R eval : (%,SingletonAsOrderedSet,%) -> %
+--R eval : (%,List SingletonAsOrderedSet,List R) -> %
+--R eval : (%,SingletonAsOrderedSet,R) -> %
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has FIELD
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R integrate : % -> % if R has ALGEBRA FRAC INT
+--R isExpt : % -> Union(Record(var: SingletonAsOrderedSet,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R karatsubaDivide : (%,NonNegativeInteger) -> Record(quotient: %,remainder: %)
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R mainVariable : % -> Union(SingletonAsOrderedSet,"failed")
+--R makeSUP : % -> SparseUnivariatePolynomial R
+--R mapExponents : ((NonNegativeInteger -> NonNegativeInteger),%) -> %
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R minimumDegree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R minimumDegree : % -> NonNegativeInteger
+--R monicDivide : (%,%) -> Record(quotient: %,remainder: %)
+--R monicDivide : (%,%,SingletonAsOrderedSet) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R monomial : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R monomial : (R,NonNegativeInteger) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R multiplyExponents : (%,NonNegativeInteger) -> %
+--R multivariate : (SparseUnivariatePolynomial %,SingletonAsOrderedSet) -> %
+--R multivariate : (SparseUnivariatePolynomial R,SingletonAsOrderedSet) -> %
+--R nextItem : % -> Union(%,"failed") if R has STEP
+--R numberOfMonomials : % -> NonNegativeInteger
+--R order : (%,%) -> NonNegativeInteger if R has INTDOM
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if SingletonAsOrderedSet has PATMAB INT and R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if SingletonAsOrderedSet has PATMAB FLOAT and R has PATMAB FLOAT
+--R pomopo! : (%,R,NonNegativeInteger,%) -> %
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has FIELD
+--R pseudoDivide : (%,%) -> Record(coef: R,quotient: %,remainder: %) if R has INTDOM
+--R pseudoQuotient : (%,%) -> % if R has INTDOM
+--R ?quo? : (%,%) -> % if R has FIELD
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R ?rem? : (%,%) -> % if R has FIELD
+--R resultant : (%,%) -> R if R has COMRING
+--R resultant : (%,%,SingletonAsOrderedSet) -> % if R has COMRING
+--R retract : % -> SingletonAsOrderedSet
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(SingletonAsOrderedSet,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R separate : (%,%) -> Record(primePart: %,commonPart: %) if R has GCDDOM
+--R shiftLeft : (%,NonNegativeInteger) -> %
+--R shiftRight : (%,NonNegativeInteger) -> %
+--R sizeLess? : (%,%) -> Boolean if R has FIELD
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subResultantGcd : (%,%) -> % if R has INTDOM
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List SingletonAsOrderedSet) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,SingletonAsOrderedSet) -> SparseUnivariatePolynomial %
+--R unmakeSUP : SparseUnivariatePolynomial R -> %
+--R variables : % -> List SingletonAsOrderedSet
+--R vectorise : (%,NonNegativeInteger) -> Vector R
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariatePolynomialCategory.help>>=
+====================================================================
+UnivariatePolynomialCategory examples
+====================================================================
+
+See Also:
+o )show UnivariatePolynomialCategory
+
+@
 {\bf See:}
 
 \pagefrom{Algebra}{ALGEBRA}
@@ -55703,6 +67804,197 @@ digraph pic {
 \pagehead{AlgebraicallyClosedFunctionSpace}{ACFS}
 \pagepic{ps/v102algebraicallyclosedfunctionspace.ps}{ACFS}{0.45}
 
+<<AlgebraicallyClosedFunctionSpace.input>>=
+)set break resume
+)sys rm -f AlgebraicallyClosedFunctionSpace.output
+)spool AlgebraicallyClosedFunctionSpace.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraicallyClosedFunctionSpace
+--R AlgebraicallyClosedFunctionSpace R: Join(OrderedSet,IntegralDomain)  is a category constructor
+--R Abbreviation for AlgebraicallyClosedFunctionSpace is ACFS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ACFS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Fraction Integer) -> %
+--R ?**? : (%,Integer) -> %               ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?/? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        applyQuote : (Symbol,%) -> %
+--R applyQuote : (Symbol,%,%) -> %        associates? : (%,%) -> Boolean
+--R belong? : BasicOperator -> Boolean    box : % -> %
+--R box : List % -> %                     coerce : Kernel % -> %
+--R coerce : Symbol -> %                  coerce : R -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R distribute : % -> %                   distribute : (%,%) -> %
+--R elt : (BasicOperator,%) -> %          elt : (BasicOperator,%,%) -> %
+--R eval : (%,Kernel %,%) -> %            eval : (%,List Equation %) -> %
+--R eval : (%,Equation %) -> %            eval : (%,%,%) -> %
+--R eval : (%,List %,List %) -> %         factor : % -> Factored %
+--R freeOf? : (%,%) -> Boolean            freeOf? : (%,Symbol) -> Boolean
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             height : % -> NonNegativeInteger
+--R inv : % -> %                          is? : (%,Symbol) -> Boolean
+--R kernel : (BasicOperator,%) -> %       kernels : % -> List Kernel %
+--R latex : % -> String                   lcm : List % -> %
+--R lcm : (%,%) -> %                      map : ((% -> %),Kernel %) -> %
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R nthRoot : (%,Integer) -> %            one? : % -> Boolean
+--R paren : % -> %                        paren : List % -> %
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R retract : % -> Kernel %               retract : % -> Symbol
+--R retract : % -> R                      rootOf : (%,Symbol) -> %
+--R rootOf : % -> %                       rootOf : Polynomial % -> %
+--R rootsOf : (%,Symbol) -> List %        rootsOf : % -> List %
+--R rootsOf : Polynomial % -> List %      sample : () -> %
+--R sizeLess? : (%,%) -> Boolean          sqrt : % -> %
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R subst : (%,Equation %) -> %           tower : % -> List Kernel %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R variables : % -> List Symbol          zero? : % -> Boolean
+--R zeroOf : (%,Symbol) -> %              zeroOf : % -> %
+--R zeroOf : Polynomial % -> %            zerosOf : (%,Symbol) -> List %
+--R zerosOf : % -> List %                 zerosOf : Polynomial % -> List %
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (R,%) -> % if R has COMRING
+--R ?*? : (%,R) -> % if R has COMRING
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (SparseMultivariatePolynomial(R,Kernel %),SparseMultivariatePolynomial(R,Kernel %)) -> % if R has INTDOM
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has RING
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has RING
+--R D : (%,List Symbol) -> % if R has RING
+--R D : (%,Symbol) -> % if R has RING
+--R ?^? : (%,NonNegativeInteger) -> %
+--R applyQuote : (Symbol,%,%,%) -> %
+--R applyQuote : (Symbol,%,%,%,%) -> %
+--R applyQuote : (Symbol,List %) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : SparseMultivariatePolynomial(R,Kernel %) -> % if R has RING
+--R coerce : Fraction R -> % if R has INTDOM
+--R coerce : Polynomial Fraction R -> % if R has INTDOM
+--R coerce : Fraction Polynomial Fraction R -> % if R has INTDOM
+--R coerce : Fraction Polynomial R -> % if R has INTDOM
+--R coerce : Polynomial R -> % if R has RING
+--R commutator : (%,%) -> % if R has GROUP
+--R conjugate : (%,%) -> % if R has GROUP
+--R convert : % -> Pattern Integer if R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if R has KONVERT PATTERN FLOAT
+--R convert : Factored % -> % if R has INTDOM
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R definingPolynomial : % -> % if $ has RING
+--R denom : % -> SparseMultivariatePolynomial(R,Kernel %) if R has INTDOM
+--R denominator : % -> % if R has INTDOM
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has RING
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has RING
+--R differentiate : (%,List Symbol) -> % if R has RING
+--R differentiate : (%,Symbol) -> % if R has RING
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R elt : (BasicOperator,%,%,%) -> %
+--R elt : (BasicOperator,%,%,%,%) -> %
+--R elt : (BasicOperator,List %) -> %
+--R euclideanSize : % -> NonNegativeInteger
+--R eval : (%,List Kernel %,List %) -> %
+--R eval : (%,List Symbol,List (% -> %)) -> %
+--R eval : (%,List Symbol,List (List % -> %)) -> %
+--R eval : (%,Symbol,(List % -> %)) -> %
+--R eval : (%,Symbol,(% -> %)) -> %
+--R eval : (%,List BasicOperator,List (% -> %)) -> %
+--R eval : (%,List BasicOperator,List (List % -> %)) -> %
+--R eval : (%,BasicOperator,(List % -> %)) -> %
+--R eval : (%,BasicOperator,(% -> %)) -> %
+--R eval : (%,Symbol) -> % if R has KONVERT INFORM
+--R eval : (%,List Symbol) -> % if R has KONVERT INFORM
+--R eval : % -> % if R has KONVERT INFORM
+--R eval : (%,BasicOperator,%,Symbol) -> % if R has KONVERT INFORM
+--R eval : (%,List BasicOperator,List %,Symbol) -> % if R has KONVERT INFORM
+--R eval : (%,List Symbol,List NonNegativeInteger,List (% -> %)) -> % if R has RING
+--R eval : (%,List Symbol,List NonNegativeInteger,List (List % -> %)) -> % if R has RING
+--R eval : (%,Symbol,NonNegativeInteger,(List % -> %)) -> % if R has RING
+--R eval : (%,Symbol,NonNegativeInteger,(% -> %)) -> % if R has RING
+--R even? : % -> Boolean if $ has RETRACT INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R is? : (%,BasicOperator) -> Boolean
+--R isExpt : % -> Union(Record(var: Kernel %,exponent: Integer),"failed") if R has SGROUP
+--R isExpt : (%,BasicOperator) -> Union(Record(var: Kernel %,exponent: Integer),"failed") if R has RING
+--R isExpt : (%,Symbol) -> Union(Record(var: Kernel %,exponent: Integer),"failed") if R has RING
+--R isMult : % -> Union(Record(coef: Integer,var: Kernel %),"failed") if R has ABELSG
+--R isPlus : % -> Union(List %,"failed") if R has ABELSG
+--R isPower : % -> Union(Record(val: %,exponent: Integer),"failed") if R has RING
+--R isTimes : % -> Union(List %,"failed") if R has SGROUP
+--R kernel : (BasicOperator,List %) -> %
+--R mainKernel : % -> Union(Kernel %,"failed")
+--R minPoly : Kernel % -> SparseUnivariatePolynomial % if $ has RING
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R numer : % -> SparseMultivariatePolynomial(R,Kernel %) if R has RING
+--R numerator : % -> % if R has RING
+--R odd? : % -> Boolean if $ has RETRACT INT
+--R operator : BasicOperator -> BasicOperator
+--R operators : % -> List BasicOperator
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if R has PATMAB FLOAT
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R reducedSystem : Matrix % -> Matrix Integer if and(has(R,Ring),has(R,LinearlyExplicitRingOver Integer)) or and(has(R,LinearlyExplicitRingOver Integer),has(R,Ring))
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if and(has(R,Ring),has(R,LinearlyExplicitRingOver Integer)) or and(has(R,LinearlyExplicitRingOver Integer),has(R,Ring))
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R) if R has RING
+--R reducedSystem : Matrix % -> Matrix R if R has RING
+--R retract : % -> Fraction Integer if R has RETRACT INT and R has INTDOM or R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Polynomial R if R has INTDOM
+--R retract : % -> Polynomial R if R has RING
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT INT and R has INTDOM or R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Kernel %,"failed")
+--R retractIfCan : % -> Union(Symbol,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Polynomial R,"failed") if R has INTDOM
+--R retractIfCan : % -> Union(Polynomial R,"failed") if R has RING
+--R rootOf : (SparseUnivariatePolynomial %,Symbol) -> %
+--R rootOf : SparseUnivariatePolynomial % -> %
+--R rootsOf : (SparseUnivariatePolynomial %,Symbol) -> List %
+--R rootsOf : SparseUnivariatePolynomial % -> List %
+--R subst : (%,List Equation %) -> %
+--R subst : (%,List Kernel %,List %) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R univariate : (%,Kernel %) -> Fraction SparseUnivariatePolynomial % if R has INTDOM
+--R zeroOf : (SparseUnivariatePolynomial %,Symbol) -> %
+--R zeroOf : SparseUnivariatePolynomial % -> %
+--R zerosOf : (SparseUnivariatePolynomial %,Symbol) -> List %
+--R zerosOf : SparseUnivariatePolynomial % -> List %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AlgebraicallyClosedFunctionSpace.help>>=
+====================================================================
+AlgebraicallyClosedFunctionSpace examples
+====================================================================
+
+See Also:
+o )show AlgebraicallyClosedFunctionSpace
+
+@
 {\bf See:}
 
 \pagefrom{AlgebraicallyClosedField}{ACF}
@@ -56281,6 +68573,89 @@ digraph pic {
 \pagehead{ExtensionField}{XF}
 \pagepic{ps/v102extensionfield.ps}{XF}{0.75}
 
+<<ExtensionField.input>>=
+)set break resume
+)sys rm -f ExtensionField.output
+)spool ExtensionField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExtensionField
+--R ExtensionField F: Field  is a category constructor
+--R Abbreviation for ExtensionField is XF 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for XF 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (F,%) -> %                      ?*? : (%,F) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,F) -> %                      ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        algebraic? : % -> Boolean
+--R associates? : (%,%) -> Boolean        coerce : F -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R one? : % -> Boolean                   prime? : % -> Boolean
+--R ?quo? : (%,%) -> %                    recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    retract : % -> F
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R transcendent? : % -> Boolean          unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R Frobenius : (%,NonNegativeInteger) -> % if F has FINITE
+--R Frobenius : % -> % if F has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if F has CHARNZ or F has FINITE
+--R degree : % -> OnePointCompletion PositiveInteger
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if F has CHARNZ or F has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R order : % -> OnePointCompletion PositiveInteger if F has CHARNZ or F has FINITE
+--R primeFrobenius : % -> % if F has CHARNZ or F has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if F has CHARNZ or F has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R retractIfCan : % -> Union(F,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ExtensionField.help>>=
+====================================================================
+ExtensionField examples
+====================================================================
+
+See Also:
+o )show ExtensionField
+
+@
 {\bf See:}
 
 \pageto{FiniteAlgebraicExtensionField}{FAXF}
@@ -56608,6 +68983,91 @@ digraph pic {
 \pagehead{FiniteFieldCategory}{FFIELDC}
 \pagepic{ps/v102finitefieldcategory.ps}{FFIELDC}{0.70}
 
+<<FiniteFieldCategory.input>>=
+)set break resume
+)sys rm -f FiniteFieldCategory.output
+)spool FiniteFieldCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldCategory
+--R FiniteFieldCategory  is a category constructor
+--R Abbreviation for FiniteFieldCategory is FFIELDC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FFIELDC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R D : % -> %                            D : (%,NonNegativeInteger) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R associates? : (%,%) -> Boolean        charthRoot : % -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R createPrimitiveElement : () -> %      differentiate : % -> %
+--R factor : % -> Factored %              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R index : PositiveInteger -> %          init : () -> %
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R lookup : % -> PositiveInteger         one? : % -> Boolean
+--R order : % -> PositiveInteger          prime? : % -> Boolean
+--R primeFrobenius : % -> %               primitive? : % -> Boolean
+--R primitiveElement : () -> %            ?quo? : (%,%) -> %
+--R random : () -> %                      recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    sample : () -> %
+--R size : () -> NonNegativeInteger       sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed")
+--R conditionP : Matrix % -> Union(Vector %,"failed")
+--R differentiate : (%,NonNegativeInteger) -> %
+--R discreteLog : % -> NonNegativeInteger
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed")
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed")
+--R order : % -> OnePointCompletion PositiveInteger
+--R primeFrobenius : (%,NonNegativeInteger) -> %
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R representationType : () -> Union("prime",polynomial,normal,cyclic)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger)
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteFieldCategory.help>>=
+====================================================================
+FiniteFieldCategory examples
+====================================================================
+
+See Also:
+o )show FiniteFieldCategory
+
+@
 {\bf See:}
 
 \pagefrom{DifferentialRing}{DIFRING}
@@ -57110,6 +69570,102 @@ digraph pic {
 \pagehead{FloatingPointSystem}{FPS}
 \pagepic{ps/v102floatingpointsystem.ps}{FPS}{0.50}
 
+<<FloatingPointSystem.input>>=
+)set break resume
+)sys rm -f FloatingPointSystem.output
+)spool FloatingPointSystem.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FloatingPointSystem
+--R FloatingPointSystem  is a category constructor
+--R Abbreviation for FloatingPointSystem is FPS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FPS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Fraction Integer) -> %
+--R ?**? : (%,Integer) -> %               ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?/? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> %
+--R associates? : (%,%) -> Boolean        base : () -> PositiveInteger
+--R bits : () -> PositiveInteger          ceiling : % -> %
+--R coerce : Fraction Integer -> %        coerce : Integer -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R convert : % -> Pattern Float          convert : % -> DoubleFloat
+--R convert : % -> Float                  digits : () -> PositiveInteger
+--R exponent : % -> Integer               factor : % -> Factored %
+--R float : (Integer,Integer) -> %        floor : % -> %
+--R fractionPart : % -> %                 gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R mantissa : % -> Integer               max : (%,%) -> %
+--R min : (%,%) -> %                      negative? : % -> Boolean
+--R norm : % -> %                         nthRoot : (%,Integer) -> %
+--R one? : % -> Boolean                   order : % -> Integer
+--R positive? : % -> Boolean              precision : () -> PositiveInteger
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R retract : % -> Fraction Integer       retract : % -> Integer
+--R round : % -> %                        sample : () -> %
+--R sign : % -> Integer                   sizeLess? : (%,%) -> Boolean
+--R sqrt : % -> %                         squareFree : % -> Factored %
+--R squareFreePart : % -> %               truncate : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R wholePart : % -> Integer              zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R bits : PositiveInteger -> PositiveInteger if $ has arbitraryPrecision
+--R characteristic : () -> NonNegativeInteger
+--R decreasePrecision : Integer -> PositiveInteger if $ has arbitraryPrecision
+--R digits : PositiveInteger -> PositiveInteger if $ has arbitraryPrecision
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R float : (Integer,Integer,PositiveInteger) -> %
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R increasePrecision : Integer -> PositiveInteger if $ has arbitraryPrecision
+--R max : () -> % if not has($,arbitraryPrecision) and not has($,arbitraryExponent)
+--R min : () -> % if not has($,arbitraryPrecision) and not has($,arbitraryExponent)
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%)
+--R precision : PositiveInteger -> PositiveInteger if $ has arbitraryPrecision
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R retractIfCan : % -> Union(Fraction Integer,"failed")
+--R retractIfCan : % -> Union(Integer,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FloatingPointSystem.help>>=
+====================================================================
+FloatingPointSystem examples
+====================================================================
+
+See Also:
+o )show FloatingPointSystem
+
+@
 {\bf See:}
 
 \pagefrom{RealNumberSystem}{RNS}
@@ -57491,6 +70047,69 @@ digraph pic {
 \pagehead{FramedAlgebra}{FRAMALG}
 \pagepic{ps/v102framedalgebra.ps}{FRAMALG}{0.50}
 
+<<FramedAlgebra.input>>=
+)set break resume
+)sys rm -f FramedAlgebra.output
+)spool FramedAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FramedAlgebra
+--R FramedAlgebra(R: CommutativeRing,UP: UnivariatePolynomialCategory t#1)  is a category constructor
+--R Abbreviation for FramedAlgebra is FRAMALG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FRAMALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        basis : () -> Vector %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : Vector R -> %
+--R convert : % -> Vector R               coordinates : % -> Vector R
+--R discriminant : () -> R                discriminant : Vector % -> R
+--R hash : % -> SingleInteger             latex : % -> String
+--R norm : % -> R                         one? : % -> Boolean
+--R rank : () -> PositiveInteger          recip : % -> Union(%,"failed")
+--R represents : Vector R -> %            sample : () -> %
+--R trace : % -> R                        traceMatrix : () -> Matrix R
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R characteristicPolynomial : % -> UP
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coordinates : Vector % -> Matrix R
+--R coordinates : (Vector %,Vector %) -> Matrix R
+--R coordinates : (%,Vector %) -> Vector R
+--R minimalPolynomial : % -> UP if R has FIELD
+--R regularRepresentation : % -> Matrix R
+--R regularRepresentation : (%,Vector %) -> Matrix R
+--R represents : (Vector R,Vector %) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R traceMatrix : Vector % -> Matrix R
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FramedAlgebra.help>>=
+====================================================================
+FramedAlgebra examples
+====================================================================
+
+See Also:
+o )show FramedAlgebra
+
+@
 {\bf See:}
 
 \pageto{MonogenicAlgebra}{MONOGEN}
@@ -57757,6 +70376,7 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{PseudoAlgebraicClosureOfFiniteFieldCategory}{PACFFC}
 \pagepic{ps/v102pseudoalgebraicclosureoffinitefieldcategory.ps}{PACFFC}{0.50}
+
 <<PseudoAlgebraicClosureOfFiniteFieldCategory.input>>=
 )set break resume
 )sys rm -f PseudoAlgebraicClosureOfFiniteFieldCategory.output
@@ -58129,6 +70749,219 @@ digraph pic {
 \pagehead{UnivariateLaurentSeriesConstructorCategory}{ULSCCAT}
 \pagepic{ps/v102univariatelaurentseriesconstructorcategory.ps}{ULSCCAT}{0.50}
 
+<<UnivariateLaurentSeriesConstructorCategory.input>>=
+)set break resume
+)sys rm -f UnivariateLaurentSeriesConstructorCategory.output
+)spool UnivariateLaurentSeriesConstructorCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateLaurentSeriesConstructorCategory
+--R UnivariateLaurentSeriesConstructorCategory(Coef: Ring,UTS: UnivariateTaylorSeriesCategory t#1)  is a category constructor
+--R Abbreviation for UnivariateLaurentSeriesConstructorCategory is ULSCCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for ULSCCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficient : (%,Integer) -> Coef     coerce : UTS -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R complete : % -> %                     degree : % -> Integer
+--R ?.? : (%,Integer) -> Coef             extend : (%,Integer) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R laurent : (Integer,UTS) -> %          leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial : (Coef,Integer) -> %        monomial? : % -> Boolean
+--R one? : % -> Boolean                   order : (%,Integer) -> Integer
+--R order : % -> Integer                  pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R removeZeroes : (Integer,%) -> %       removeZeroes : % -> %
+--R retract : % -> UTS                    sample : () -> %
+--R taylor : % -> UTS                     taylorRep : % -> UTS
+--R truncate : (%,Integer) -> %           variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (UTS,%) -> % if Coef has FIELD
+--R ?*? : (%,UTS) -> % if Coef has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (UTS,UTS) -> % if Coef has FIELD
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R ?<? : (%,%) -> Boolean if and(has(UTS,OrderedSet),has(Coef,Field))
+--R ?<=? : (%,%) -> Boolean if and(has(UTS,OrderedSet),has(Coef,Field))
+--R ?>? : (%,%) -> Boolean if and(has(UTS,OrderedSet),has(Coef,Field))
+--R ?>=? : (%,%) -> Boolean if and(has(UTS,OrderedSet),has(Coef,Field))
+--R D : (%,Symbol) -> % if and(has(UTS,PartialDifferentialRing Symbol),has(Coef,Field)) or Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R D : (%,List Symbol) -> % if and(has(UTS,PartialDifferentialRing Symbol),has(Coef,Field)) or Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R D : (%,Symbol,NonNegativeInteger) -> % if and(has(UTS,PartialDifferentialRing Symbol),has(Coef,Field)) or Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if and(has(UTS,PartialDifferentialRing Symbol),has(Coef,Field)) or Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R D : % -> % if and(has(UTS,DifferentialRing),has(Coef,Field)) or Coef has *: (Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if and(has(UTS,DifferentialRing),has(Coef,Field)) or Coef has *: (Integer,Coef) -> Coef
+--R D : (%,(UTS -> UTS),NonNegativeInteger) -> % if Coef has FIELD
+--R D : (%,(UTS -> UTS)) -> % if Coef has FIELD
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if and(has(UTS,OrderedIntegralDomain),has(Coef,Field))
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Integer) -> Coef if Coef has **: (Coef,Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R ceiling : % -> UTS if and(has(UTS,IntegerNumberSystem),has(Coef,Field))
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if and(OR(has(UTS,CharacteristicNonZero),and(has($,CharacteristicNonZero),has(UTS,PolynomialFactorizationExplicit))),has(Coef,Field)) or Coef has CHARNZ
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : Symbol -> % if and(has(UTS,RetractableTo Symbol),has(Coef,Field))
+--R coerce : Coef -> % if Coef has COMRING
+--R conditionP : Matrix % -> Union(Vector %,"failed") if and(and(has($,CharacteristicNonZero),has(UTS,PolynomialFactorizationExplicit)),has(Coef,Field))
+--R convert : % -> Pattern Integer if and(has(UTS,ConvertibleTo Pattern Integer),has(Coef,Field))
+--R convert : % -> Pattern Float if and(has(UTS,ConvertibleTo Pattern Float),has(Coef,Field))
+--R convert : % -> InputForm if and(has(UTS,ConvertibleTo InputForm),has(Coef,Field))
+--R convert : % -> Float if and(has(UTS,RealConstant),has(Coef,Field))
+--R convert : % -> DoubleFloat if and(has(UTS,RealConstant),has(Coef,Field))
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R denom : % -> UTS if Coef has FIELD
+--R denominator : % -> % if Coef has FIELD
+--R differentiate : (%,Symbol) -> % if and(has(UTS,PartialDifferentialRing Symbol),has(Coef,Field)) or Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,List Symbol) -> % if and(has(UTS,PartialDifferentialRing Symbol),has(Coef,Field)) or Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if and(has(UTS,PartialDifferentialRing Symbol),has(Coef,Field)) or Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if and(has(UTS,PartialDifferentialRing Symbol),has(Coef,Field)) or Coef has PDRING SYMBOL and Coef has *: (Integer,Coef) -> Coef
+--R differentiate : % -> % if and(has(UTS,DifferentialRing),has(Coef,Field)) or Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if and(has(UTS,DifferentialRing),has(Coef,Field)) or Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,(UTS -> UTS),NonNegativeInteger) -> % if Coef has FIELD
+--R differentiate : (%,(UTS -> UTS)) -> % if Coef has FIELD
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,UTS) -> % if and(has(UTS,Eltable(UTS,UTS)),has(Coef,Field))
+--R ?.? : (%,%) -> % if Integer has SGROUP
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,List UTS,List UTS) -> % if and(has(UTS,Evalable UTS),has(Coef,Field))
+--R eval : (%,UTS,UTS) -> % if and(has(UTS,Evalable UTS),has(Coef,Field))
+--R eval : (%,Equation UTS) -> % if and(has(UTS,Evalable UTS),has(Coef,Field))
+--R eval : (%,List Equation UTS) -> % if and(has(UTS,Evalable UTS),has(Coef,Field))
+--R eval : (%,List Symbol,List UTS) -> % if and(has(UTS,InnerEvalable(Symbol,UTS)),has(Coef,Field))
+--R eval : (%,Symbol,UTS) -> % if and(has(UTS,InnerEvalable(Symbol,UTS)),has(Coef,Field))
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if and(has(UTS,PolynomialFactorizationExplicit),has(Coef,Field))
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if and(has(UTS,PolynomialFactorizationExplicit),has(Coef,Field))
+--R floor : % -> UTS if and(has(UTS,IntegerNumberSystem),has(Coef,Field))
+--R fractionPart : % -> % if and(has(UTS,EuclideanDomain),has(Coef,Field))
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R init : () -> % if and(has(UTS,StepThrough),has(Coef,Field))
+--R integrate : (%,Symbol) -> % if Coef has ACFS INT and Coef has PRIMCAT and Coef has TRANFUN and Coef has ALGEBRA FRAC INT or Coef has variables: Coef -> List Symbol and Coef has integrate: (Coef,Symbol) -> Coef and Coef has ALGEBRA FRAC INT
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R map : ((UTS -> UTS),%) -> % if Coef has FIELD
+--R max : (%,%) -> % if and(has(UTS,OrderedSet),has(Coef,Field))
+--R min : (%,%) -> % if and(has(UTS,OrderedSet),has(Coef,Field))
+--R monomial : (%,List SingletonAsOrderedSet,List Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyCoefficients : ((Integer -> Coef),%) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R negative? : % -> Boolean if and(has(UTS,OrderedIntegralDomain),has(Coef,Field))
+--R nextItem : % -> Union(%,"failed") if and(has(UTS,StepThrough),has(Coef,Field))
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R numer : % -> UTS if Coef has FIELD
+--R numerator : % -> % if Coef has FIELD
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if and(has(UTS,PatternMatchable Integer),has(Coef,Field))
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if and(has(UTS,PatternMatchable Float),has(Coef,Field))
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R positive? : % -> Boolean if and(has(UTS,OrderedIntegralDomain),has(Coef,Field))
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R random : () -> % if and(has(UTS,IntegerNumberSystem),has(Coef,Field))
+--R rationalFunction : (%,Integer,Integer) -> Fraction Polynomial Coef if Coef has INTDOM
+--R rationalFunction : (%,Integer) -> Fraction Polynomial Coef if Coef has INTDOM
+--R reducedSystem : Matrix % -> Matrix Integer if and(has(UTS,LinearlyExplicitRingOver Integer),has(Coef,Field))
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if and(has(UTS,LinearlyExplicitRingOver Integer),has(Coef,Field))
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix UTS,vec: Vector UTS) if Coef has FIELD
+--R reducedSystem : Matrix % -> Matrix UTS if Coef has FIELD
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R retract : % -> Symbol if and(has(UTS,RetractableTo Symbol),has(Coef,Field))
+--R retract : % -> Fraction Integer if and(has(UTS,RetractableTo Integer),has(Coef,Field))
+--R retract : % -> Integer if and(has(UTS,RetractableTo Integer),has(Coef,Field))
+--R retractIfCan : % -> Union(Symbol,"failed") if and(has(UTS,RetractableTo Symbol),has(Coef,Field))
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if and(has(UTS,RetractableTo Integer),has(Coef,Field))
+--R retractIfCan : % -> Union(Integer,"failed") if and(has(UTS,RetractableTo Integer),has(Coef,Field))
+--R retractIfCan : % -> Union(UTS,"failed")
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : Stream Record(k: Integer,c: Coef) -> %
+--R sign : % -> Integer if and(has(UTS,OrderedIntegralDomain),has(Coef,Field))
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if and(has(UTS,PolynomialFactorizationExplicit),has(Coef,Field))
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if and(has(UTS,PolynomialFactorizationExplicit),has(Coef,Field))
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R taylorIfCan : % -> Union(UTS,"failed")
+--R terms : % -> Stream Record(k: Integer,c: Coef)
+--R truncate : (%,Integer,Integer) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R wholePart : % -> UTS if and(has(UTS,EuclideanDomain),has(Coef,Field))
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariateLaurentSeriesConstructorCategory.help>>=
+====================================================================
+UnivariateLaurentSeriesConstructorCategory examples
+====================================================================
+
+See Also:
+o )show UnivariateLaurentSeriesConstructorCategory
+
+@
 {\bf See:}
 
 \pagefrom{RetractableTo}{RETRACT}
@@ -58783,6 +71616,162 @@ digraph pic {
 \pagehead{UnivariatePuiseuxSeriesConstructorCategory}{UPXSCCA}
 \pagepic{ps/v102univariatepuiseuxseriesconstructorcategory.ps}{UPXSCCA}{0.50}
 
+<<UnivariatePuiseuxSeriesConstructorCategory.input>>=
+)set break resume
+)sys rm -f UnivariatePuiseuxSeriesConstructorCategory.output
+)spool UnivariatePuiseuxSeriesConstructorCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePuiseuxSeriesConstructorCategory
+--R UnivariatePuiseuxSeriesConstructorCategory(Coef: Ring,ULS: UnivariateLaurentSeriesCategory t#1)  is a category constructor
+--R Abbreviation for UnivariatePuiseuxSeriesConstructorCategory is UPXSCCA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for UPXSCCA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coerce : ULS -> %                     coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R degree : % -> Fraction Integer        hash : % -> SingleInteger
+--R latex : % -> String                   laurent : % -> ULS
+--R laurentRep : % -> ULS                 leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R order : % -> Fraction Integer         pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> ULS                    sample : () -> %
+--R variable : % -> Symbol                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,List Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Fraction Integer) -> Coef if Coef has **: (Coef,Fraction Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,Fraction Integer) -> Coef
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : Coef -> % if Coef has COMRING
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,List Symbol) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has PDRING SYMBOL and Coef has *: (Fraction Integer,Coef) -> Coef
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,%) -> % if Fraction Integer has SGROUP
+--R ?.? : (%,Fraction Integer) -> Coef
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Fraction Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,Fraction Integer) -> %
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R integrate : (%,Symbol) -> % if Coef has ACFS INT and Coef has PRIMCAT and Coef has TRANFUN and Coef has ALGEBRA FRAC INT or Coef has variables: Coef -> List Symbol and Coef has integrate: (Coef,Symbol) -> Coef and Coef has ALGEBRA FRAC INT
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R laurentIfCan : % -> Union(ULS,"failed")
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List Fraction Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Fraction Integer) -> %
+--R monomial : (Coef,Fraction Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyExponents : (%,Fraction Integer) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,Fraction Integer) -> Fraction Integer
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R puiseux : (Fraction Integer,ULS) -> %
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R rationalPower : % -> Fraction Integer
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R retractIfCan : % -> Union(ULS,"failed")
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : (NonNegativeInteger,Stream Record(k: Fraction Integer,c: Coef)) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: Fraction Integer,c: Coef)
+--R truncate : (%,Fraction Integer,Fraction Integer) -> %
+--R truncate : (%,Fraction Integer) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariatePuiseuxSeriesConstructorCategory.help>>=
+====================================================================
+UnivariatePuiseuxSeriesConstructorCategory examples
+====================================================================
+
+See Also:
+o )show UnivariatePuiseuxSeriesConstructorCategory
+
+@
 {\bf See:}
 
 \pagefrom{RetractableTo}{RETRACT}
@@ -59248,6 +72237,127 @@ digraph pic {
 \pagehead{FiniteAlgebraicExtensionField}{FAXF}
 \pagepic{ps/v102finitealgebraicextensionfield.ps}{FAXF}{0.75}
 
+<<FiniteAlgebraicExtensionField.input>>=
+)set break resume
+)sys rm -f FiniteAlgebraicExtensionField.output
+)spool FiniteAlgebraicExtensionField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteAlgebraicExtensionField
+--R FiniteAlgebraicExtensionField F: Field  is a category constructor
+--R Abbreviation for FiniteAlgebraicExtensionField is FAXF 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FAXF 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (F,%) -> %                      ?*? : (%,F) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,F) -> %                      ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                D : % -> % if F has FINITE
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R algebraic? : % -> Boolean             associates? : (%,%) -> Boolean
+--R basis : () -> Vector %                coerce : F -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R coordinates : % -> Vector F           degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> F                         one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R represents : Vector F -> %            retract : % -> F
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R trace : % -> F                        transcendent? : % -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if F has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if F has FINITE
+--R Frobenius : % -> % if F has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if F has CHARNZ or F has FINITE
+--R charthRoot : % -> % if F has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if F has FINITE
+--R coordinates : Vector % -> Matrix F
+--R createNormalElement : () -> % if F has FINITE
+--R createPrimitiveElement : () -> % if F has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial F
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if F has FINITE
+--R differentiate : % -> % if F has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if F has CHARNZ or F has FINITE
+--R discreteLog : % -> NonNegativeInteger if F has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if F has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if F has FINITE
+--R index : PositiveInteger -> % if F has FINITE
+--R init : () -> % if F has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial F) -> % if F has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial F,"failed") if F has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial F if F has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial F if F has FINITE
+--R lookup : % -> PositiveInteger if F has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if F has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial F
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if F has FINITE
+--R norm : (%,PositiveInteger) -> % if F has FINITE
+--R normal? : % -> Boolean if F has FINITE
+--R normalElement : () -> % if F has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if F has CHARNZ or F has FINITE
+--R order : % -> PositiveInteger if F has FINITE
+--R primeFrobenius : % -> % if F has CHARNZ or F has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if F has CHARNZ or F has FINITE
+--R primitive? : % -> Boolean if F has FINITE
+--R primitiveElement : () -> % if F has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if F has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if F has FINITE
+--R retractIfCan : % -> Union(F,"failed")
+--R size : () -> NonNegativeInteger if F has FINITE
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if F has FINITE
+--R trace : (%,PositiveInteger) -> % if F has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteAlgebraicExtensionField.help>>=
+====================================================================
+FiniteAlgebraicExtensionField examples
+====================================================================
+
+See Also:
+o )show FiniteAlgebraicExtensionField
+
+@
 {\bf See:}
 
 \pagefrom{ExtensionField}{XF}
@@ -59896,6 +73006,151 @@ digraph pic {
 \pagehead{MonogenicAlgebra}{MONOGEN}
 \pagepic{ps/v102monogenicalgebra.ps}{MONOGEN}{0.40}
 
+<<MonogenicAlgebra.input>>=
+)set break resume
+)sys rm -f MonogenicAlgebra.output
+)spool MonogenicAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MonogenicAlgebra
+--R MonogenicAlgebra(R: CommutativeRing,UP: UnivariatePolynomialCategory t#1)  is a category constructor
+--R Abbreviation for MonogenicAlgebra is MONOGEN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for MONOGEN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        basis : () -> Vector %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : UP -> %
+--R convert : % -> UP                     convert : Vector R -> %
+--R convert : % -> Vector R               coordinates : % -> Vector R
+--R definingPolynomial : () -> UP         discriminant : () -> R
+--R discriminant : Vector % -> R          generator : () -> %
+--R hash : % -> SingleInteger             inv : % -> % if R has FIELD
+--R latex : % -> String                   lift : % -> UP
+--R norm : % -> R                         one? : % -> Boolean
+--R rank : () -> PositiveInteger          recip : % -> Union(%,"failed")
+--R reduce : UP -> %                      represents : Vector R -> %
+--R retract : % -> R                      sample : () -> %
+--R trace : % -> R                        traceMatrix : () -> Matrix R
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if R has FIELD
+--R ?*? : (Fraction Integer,%) -> % if R has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if R has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if R has FIELD
+--R D : (%,(R -> R)) -> % if R has FIELD
+--R D : (%,(R -> R),NonNegativeInteger) -> % if R has FIELD
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Field))
+--R D : (%,Symbol,NonNegativeInteger) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Field))
+--R D : (%,List Symbol) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Field))
+--R D : (%,Symbol) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Field))
+--R D : (%,NonNegativeInteger) -> % if and(has(R,DifferentialRing),has(R,Field)) or R has FFIELDC
+--R D : % -> % if and(has(R,DifferentialRing),has(R,Field)) or R has FFIELDC
+--R ?^? : (%,Integer) -> % if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has FIELD
+--R characteristic : () -> NonNegativeInteger
+--R characteristicPolynomial : % -> UP
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R charthRoot : % -> % if R has FFIELDC
+--R coerce : Fraction Integer -> % if R has FIELD or R has RETRACT FRAC INT
+--R coerce : % -> % if R has FIELD
+--R conditionP : Matrix % -> Union(Vector %,"failed") if R has FFIELDC
+--R coordinates : Vector % -> Matrix R
+--R coordinates : (Vector %,Vector %) -> Matrix R
+--R coordinates : (%,Vector %) -> Vector R
+--R createPrimitiveElement : () -> % if R has FFIELDC
+--R derivationCoordinates : (Vector %,(R -> R)) -> Matrix R if R has FIELD
+--R differentiate : (%,(R -> R)) -> % if R has FIELD
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> % if R has FIELD
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Field))
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Field))
+--R differentiate : (%,List Symbol) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Field))
+--R differentiate : (%,Symbol) -> % if and(has(R,PartialDifferentialRing Symbol),has(R,Field))
+--R differentiate : (%,NonNegativeInteger) -> % if and(has(R,DifferentialRing),has(R,Field)) or R has FFIELDC
+--R differentiate : % -> % if and(has(R,DifferentialRing),has(R,Field)) or R has FFIELDC
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if R has FFIELDC
+--R discreteLog : % -> NonNegativeInteger if R has FFIELDC
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R euclideanSize : % -> NonNegativeInteger if R has FIELD
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if R has FIELD
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has FIELD
+--R factor : % -> Factored % if R has FIELD
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if R has FFIELDC
+--R gcd : (%,%) -> % if R has FIELD
+--R gcd : List % -> % if R has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has FIELD
+--R index : PositiveInteger -> % if R has FINITE
+--R init : () -> % if R has FFIELDC
+--R lcm : (%,%) -> % if R has FIELD
+--R lcm : List % -> % if R has FIELD
+--R lookup : % -> PositiveInteger if R has FINITE
+--R minimalPolynomial : % -> UP if R has FIELD
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R nextItem : % -> Union(%,"failed") if R has FFIELDC
+--R order : % -> OnePointCompletion PositiveInteger if R has FFIELDC
+--R order : % -> PositiveInteger if R has FFIELDC
+--R prime? : % -> Boolean if R has FIELD
+--R primeFrobenius : % -> % if R has FFIELDC
+--R primeFrobenius : (%,NonNegativeInteger) -> % if R has FFIELDC
+--R primitive? : % -> Boolean if R has FFIELDC
+--R primitiveElement : () -> % if R has FFIELDC
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has FIELD
+--R ?quo? : (%,%) -> % if R has FIELD
+--R random : () -> % if R has FINITE
+--R reduce : Fraction UP -> Union(%,"failed") if R has FIELD
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R regularRepresentation : % -> Matrix R
+--R regularRepresentation : (%,Vector %) -> Matrix R
+--R ?rem? : (%,%) -> % if R has FIELD
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if R has FFIELDC
+--R represents : (Vector R,Vector %) -> %
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R size : () -> NonNegativeInteger if R has FINITE
+--R sizeLess? : (%,%) -> Boolean if R has FIELD
+--R squareFree : % -> Factored % if R has FIELD
+--R squareFreePart : % -> % if R has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if R has FFIELDC
+--R traceMatrix : Vector % -> Matrix R
+--R unit? : % -> Boolean if R has FIELD
+--R unitCanonical : % -> % if R has FIELD
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has FIELD
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MonogenicAlgebra.help>>=
+====================================================================
+MonogenicAlgebra examples
+====================================================================
+
+See Also:
+o )show MonogenicAlgebra
+
+@
 {\bf See:}
 
 \pageto{FunctionFieldCategory}{FFCAT}
@@ -60391,6 +73646,7 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{PseudoAlgebraicClosureOfRationalNumberCategory}{PACRATC}
 \pagepic{ps/v102pseudoalgebraicclosureofrationalnumbercategory.ps}{PACRATC}{0.50}
+
 <<PseudoAlgebraicClosureOfRationalNumberCategory.input>>=
 )set break resume
 )sys rm -f PseudoAlgebraicClosureOfRationalNumberCategory.output
@@ -60770,6 +74026,217 @@ digraph pic {
 \pagehead{ComplexCategory}{COMPCAT}
 \pagepic{ps/v102complexcategory.ps}{COMPCAT}{0.50}
 
+<<ComplexCategory.input>>=
+)set break resume
+)sys rm -f ComplexCategory.output
+)spool ComplexCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ComplexCategory
+--R ComplexCategory R: CommutativeRing  is a category constructor
+--R Abbreviation for ComplexCategory is COMPCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for COMPCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,(R -> R)) -> %                 1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R abs : % -> % if R has RNS             basis : () -> Vector %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              complex : (R,R) -> %
+--R conjugate : % -> %                    convert : Vector R -> %
+--R convert : % -> Vector R               coordinates : % -> Vector R
+--R discriminant : () -> R                discriminant : Vector % -> R
+--R generator : () -> %                   hash : % -> SingleInteger
+--R imag : % -> R                         imaginary : () -> %
+--R inv : % -> % if R has FIELD           latex : % -> String
+--R map : ((R -> R),%) -> %               norm : % -> R
+--R one? : % -> Boolean                   pi : () -> % if R has TRANFUN
+--R rank : () -> PositiveInteger          real : % -> R
+--R recip : % -> Union(%,"failed")        represents : Vector R -> %
+--R retract : % -> R                      sample : () -> %
+--R trace : % -> R                        traceMatrix : () -> Matrix R
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if R has FIELD
+--R ?*? : (Fraction Integer,%) -> % if R has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if R has FIELD
+--R ?**? : (%,%) -> % if R has TRANFUN
+--R ?**? : (%,Fraction Integer) -> % if R has RADCAT and R has TRANFUN
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : % -> % if and(has(R,Field),has(R,DifferentialRing)) or R has DIFRING or and(has(R,DifferentialRing),has(R,Field))
+--R D : (%,NonNegativeInteger) -> % if and(has(R,Field),has(R,DifferentialRing)) or R has DIFRING or and(has(R,DifferentialRing),has(R,Field))
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R ?^? : (%,Integer) -> % if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if R has TRANFUN
+--R acosh : % -> % if R has TRANFUN
+--R acot : % -> % if R has TRANFUN
+--R acoth : % -> % if R has TRANFUN
+--R acsc : % -> % if R has TRANFUN
+--R acsch : % -> % if R has TRANFUN
+--R argument : % -> R if R has TRANFUN
+--R asec : % -> % if R has TRANFUN
+--R asech : % -> % if R has TRANFUN
+--R asin : % -> % if R has TRANFUN
+--R asinh : % -> % if R has TRANFUN
+--R associates? : (%,%) -> Boolean if R has INTDOM or R has EUCDOM and R has PFECAT
+--R atan : % -> % if R has TRANFUN
+--R atanh : % -> % if R has TRANFUN
+--R characteristic : () -> NonNegativeInteger
+--R characteristicPolynomial : % -> SparseUnivariatePolynomial R
+--R charthRoot : % -> Union(%,"failed") if and(has($,CharacteristicNonZero),AND(has(R,EuclideanDomain),has(R,PolynomialFactorizationExplicit))) or R has CHARNZ
+--R charthRoot : % -> % if R has FFIELDC
+--R coerce : % -> % if R has INTDOM or R has EUCDOM and R has PFECAT
+--R coerce : Fraction Integer -> % if R has FIELD or R has RETRACT FRAC INT
+--R conditionP : Matrix % -> Union(Vector %,"failed") if and(has($,CharacteristicNonZero),AND(has(R,EuclideanDomain),has(R,PolynomialFactorizationExplicit))) or R has FFIELDC
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R convert : % -> Complex DoubleFloat if R has REAL
+--R convert : % -> Complex Float if R has REAL
+--R convert : % -> Pattern Float if R has KONVERT PATTERN FLOAT
+--R convert : % -> Pattern Integer if R has KONVERT PATTERN INT
+--R convert : SparseUnivariatePolynomial R -> %
+--R convert : % -> SparseUnivariatePolynomial R
+--R coordinates : Vector % -> Matrix R
+--R coordinates : (Vector %,Vector %) -> Matrix R
+--R coordinates : (%,Vector %) -> Vector R
+--R cos : % -> % if R has TRANFUN
+--R cosh : % -> % if R has TRANFUN
+--R cot : % -> % if R has TRANFUN
+--R coth : % -> % if R has TRANFUN
+--R createPrimitiveElement : () -> % if R has FFIELDC
+--R csc : % -> % if R has TRANFUN
+--R csch : % -> % if R has TRANFUN
+--R definingPolynomial : () -> SparseUnivariatePolynomial R
+--R derivationCoordinates : (Vector %,(R -> R)) -> Matrix R if R has FIELD
+--R differentiate : % -> % if and(has(R,Field),has(R,DifferentialRing)) or R has DIFRING or and(has(R,DifferentialRing),has(R,Field))
+--R differentiate : (%,NonNegativeInteger) -> % if and(has(R,Field),has(R,DifferentialRing)) or R has DIFRING or and(has(R,DifferentialRing),has(R,Field))
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if R has FFIELDC
+--R discreteLog : % -> NonNegativeInteger if R has FFIELDC
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has EUCDOM
+--R ?.? : (%,R) -> % if R has ELTAB(R,R)
+--R euclideanSize : % -> NonNegativeInteger if R has EUCDOM
+--R eval : (%,Symbol,R) -> % if R has IEVALAB(SYMBOL,R)
+--R eval : (%,List Symbol,List R) -> % if R has IEVALAB(SYMBOL,R)
+--R eval : (%,List Equation R) -> % if R has EVALAB R
+--R eval : (%,Equation R) -> % if R has EVALAB R
+--R eval : (%,R,R) -> % if R has EVALAB R
+--R eval : (%,List R,List R) -> % if R has EVALAB R
+--R exp : % -> % if R has TRANFUN
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has EUCDOM
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM or R has EUCDOM and R has PFECAT
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has EUCDOM
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has EUCDOM
+--R factor : % -> Factored % if R has EUCDOM and R has PFECAT or R has FIELD
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has EUCDOM and R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has EUCDOM and R has PFECAT
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if R has FFIELDC
+--R gcd : (%,%) -> % if R has EUCDOM or R has EUCDOM and R has PFECAT
+--R gcd : List % -> % if R has EUCDOM or R has EUCDOM and R has PFECAT
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has EUCDOM or R has EUCDOM and R has PFECAT
+--R index : PositiveInteger -> % if R has FINITE
+--R init : () -> % if R has FFIELDC
+--R lcm : (%,%) -> % if R has EUCDOM or R has EUCDOM and R has PFECAT
+--R lcm : List % -> % if R has EUCDOM or R has EUCDOM and R has PFECAT
+--R lift : % -> SparseUnivariatePolynomial R
+--R log : % -> % if R has TRANFUN
+--R lookup : % -> PositiveInteger if R has FINITE
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimalPolynomial : % -> SparseUnivariatePolynomial R if R has FIELD
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has EUCDOM
+--R nextItem : % -> Union(%,"failed") if R has FFIELDC
+--R nthRoot : (%,Integer) -> % if R has RADCAT and R has TRANFUN
+--R order : % -> OnePointCompletion PositiveInteger if R has FFIELDC
+--R order : % -> PositiveInteger if R has FFIELDC
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if R has PATMAB FLOAT
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if R has PATMAB INT
+--R polarCoordinates : % -> Record(r: R,phi: R) if R has RNS and R has TRANFUN
+--R prime? : % -> Boolean if R has EUCDOM and R has PFECAT or R has FIELD
+--R primeFrobenius : % -> % if R has FFIELDC
+--R primeFrobenius : (%,NonNegativeInteger) -> % if R has FFIELDC
+--R primitive? : % -> Boolean if R has FFIELDC
+--R primitiveElement : () -> % if R has FFIELDC
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has EUCDOM
+--R ?quo? : (%,%) -> % if R has EUCDOM
+--R random : () -> % if R has FINITE
+--R rational : % -> Fraction Integer if R has INS
+--R rational? : % -> Boolean if R has INS
+--R rationalIfCan : % -> Union(Fraction Integer,"failed") if R has INS
+--R reduce : Fraction SparseUnivariatePolynomial R -> Union(%,"failed") if R has FIELD
+--R reduce : SparseUnivariatePolynomial R -> %
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R regularRepresentation : % -> Matrix R
+--R regularRepresentation : (%,Vector %) -> Matrix R
+--R ?rem? : (%,%) -> % if R has EUCDOM
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if R has FFIELDC
+--R represents : (Vector R,Vector %) -> %
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R sec : % -> % if R has TRANFUN
+--R sech : % -> % if R has TRANFUN
+--R sin : % -> % if R has TRANFUN
+--R sinh : % -> % if R has TRANFUN
+--R size : () -> NonNegativeInteger if R has FINITE
+--R sizeLess? : (%,%) -> Boolean if R has EUCDOM
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has EUCDOM and R has PFECAT
+--R sqrt : % -> % if R has RADCAT and R has TRANFUN
+--R squareFree : % -> Factored % if R has EUCDOM and R has PFECAT or R has FIELD
+--R squareFreePart : % -> % if R has EUCDOM and R has PFECAT or R has FIELD
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has EUCDOM and R has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if R has FFIELDC
+--R tan : % -> % if R has TRANFUN
+--R tanh : % -> % if R has TRANFUN
+--R traceMatrix : Vector % -> Matrix R
+--R unit? : % -> Boolean if R has INTDOM or R has EUCDOM and R has PFECAT
+--R unitCanonical : % -> % if R has INTDOM or R has EUCDOM and R has PFECAT
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM or R has EUCDOM and R has PFECAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ComplexCategory.help>>=
+====================================================================
+ComplexCategory examples
+====================================================================
+
+See Also:
+o )show ComplexCategory
+
+@
 {\bf See:}
 
 \pagefrom{CommutativeRing}{COMRING}
@@ -61707,6 +75174,185 @@ digraph pic {
 \pagehead{FunctionFieldCategory}{FFCAT}
 \pagepic{ps/v102functionfieldcategory.ps}{FFCAT}{0.70}
 
+<<FunctionFieldCategory.input>>=
+)set break resume
+)sys rm -f FunctionFieldCategory.output
+)spool FunctionFieldCategory.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionFieldCategory
+--R FunctionFieldCategory(F: UniqueFactorizationDomain,UP: UnivariatePolynomialCategory t#1,UPUP: UnivariatePolynomialCategory Fraction t#2)  is a category constructor
+--R Abbreviation for FunctionFieldCategory is FFCAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.2.pamphlet to see algebra source code for FFCAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction UP,%) -> %            ?*? : (%,Fraction UP) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        basis : () -> Vector %
+--R branchPoint? : UP -> Boolean          branchPoint? : F -> Boolean
+--R coerce : Fraction UP -> %             coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : UPUP -> %
+--R convert : % -> UPUP                   convert : Vector Fraction UP -> %
+--R convert : % -> Vector Fraction UP     definingPolynomial : () -> UPUP
+--R discriminant : () -> Fraction UP      elt : (%,F,F) -> F
+--R generator : () -> %                   genus : () -> NonNegativeInteger
+--R hash : % -> SingleInteger             integral? : (%,UP) -> Boolean
+--R integral? : (%,F) -> Boolean          integral? : % -> Boolean
+--R integralBasis : () -> Vector %        latex : % -> String
+--R lift : % -> UPUP                      norm : % -> Fraction UP
+--R one? : % -> Boolean                   primitivePart : % -> %
+--R ramified? : UP -> Boolean             ramified? : F -> Boolean
+--R rank : () -> PositiveInteger          rationalPoint? : (F,F) -> Boolean
+--R recip : % -> Union(%,"failed")        reduce : UPUP -> %
+--R represents : (Vector UP,UP) -> %      retract : % -> Fraction UP
+--R sample : () -> %                      singular? : UP -> Boolean
+--R singular? : F -> Boolean              trace : % -> Fraction UP
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Fraction UP has FIELD
+--R ?*? : (Fraction Integer,%) -> % if Fraction UP has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if Fraction UP has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if Fraction UP has FIELD
+--R D : % -> % if and(has(Fraction UP,Field),has(Fraction UP,DifferentialRing)) or and(has(Fraction UP,DifferentialRing),has(Fraction UP,Field)) or Fraction UP has FFIELDC
+--R D : (%,NonNegativeInteger) -> % if and(has(Fraction UP,Field),has(Fraction UP,DifferentialRing)) or and(has(Fraction UP,DifferentialRing),has(Fraction UP,Field)) or Fraction UP has FFIELDC
+--R D : (%,Symbol) -> % if and(has(Fraction UP,Field),has(Fraction UP,PartialDifferentialRing Symbol)) or and(has(Fraction UP,PartialDifferentialRing Symbol),has(Fraction UP,Field))
+--R D : (%,List Symbol) -> % if and(has(Fraction UP,Field),has(Fraction UP,PartialDifferentialRing Symbol)) or and(has(Fraction UP,PartialDifferentialRing Symbol),has(Fraction UP,Field))
+--R D : (%,Symbol,NonNegativeInteger) -> % if and(has(Fraction UP,Field),has(Fraction UP,PartialDifferentialRing Symbol)) or and(has(Fraction UP,PartialDifferentialRing Symbol),has(Fraction UP,Field))
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if and(has(Fraction UP,Field),has(Fraction UP,PartialDifferentialRing Symbol)) or and(has(Fraction UP,PartialDifferentialRing Symbol),has(Fraction UP,Field))
+--R D : (%,(Fraction UP -> Fraction UP)) -> % if Fraction UP has FIELD
+--R D : (%,(Fraction UP -> Fraction UP),NonNegativeInteger) -> % if Fraction UP has FIELD
+--R ?^? : (%,Integer) -> % if Fraction UP has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R absolutelyIrreducible? : () -> Boolean
+--R algSplitSimple : (%,(UP -> UP)) -> Record(num: %,den: UP,derivden: UP,gd: UP)
+--R associates? : (%,%) -> Boolean if Fraction UP has FIELD
+--R branchPointAtInfinity? : () -> Boolean
+--R characteristic : () -> NonNegativeInteger
+--R characteristicPolynomial : % -> UPUP
+--R charthRoot : % -> Union(%,"failed") if Fraction UP has CHARNZ
+--R charthRoot : % -> % if Fraction UP has FFIELDC
+--R coerce : % -> % if Fraction UP has FIELD
+--R coerce : Fraction Integer -> % if Fraction UP has FIELD or Fraction UP has RETRACT FRAC INT
+--R complementaryBasis : Vector % -> Vector %
+--R conditionP : Matrix % -> Union(Vector %,"failed") if Fraction UP has FFIELDC
+--R coordinates : Vector % -> Matrix Fraction UP
+--R coordinates : % -> Vector Fraction UP
+--R coordinates : (Vector %,Vector %) -> Matrix Fraction UP
+--R coordinates : (%,Vector %) -> Vector Fraction UP
+--R createPrimitiveElement : () -> % if Fraction UP has FFIELDC
+--R derivationCoordinates : (Vector %,(Fraction UP -> Fraction UP)) -> Matrix Fraction UP if Fraction UP has FIELD
+--R differentiate : % -> % if and(has(Fraction UP,Field),has(Fraction UP,DifferentialRing)) or and(has(Fraction UP,DifferentialRing),has(Fraction UP,Field)) or Fraction UP has FFIELDC
+--R differentiate : (%,NonNegativeInteger) -> % if and(has(Fraction UP,Field),has(Fraction UP,DifferentialRing)) or and(has(Fraction UP,DifferentialRing),has(Fraction UP,Field)) or Fraction UP has FFIELDC
+--R differentiate : (%,Symbol) -> % if and(has(Fraction UP,Field),has(Fraction UP,PartialDifferentialRing Symbol)) or and(has(Fraction UP,PartialDifferentialRing Symbol),has(Fraction UP,Field))
+--R differentiate : (%,List Symbol) -> % if and(has(Fraction UP,Field),has(Fraction UP,PartialDifferentialRing Symbol)) or and(has(Fraction UP,PartialDifferentialRing Symbol),has(Fraction UP,Field))
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if and(has(Fraction UP,Field),has(Fraction UP,PartialDifferentialRing Symbol)) or and(has(Fraction UP,PartialDifferentialRing Symbol),has(Fraction UP,Field))
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if and(has(Fraction UP,Field),has(Fraction UP,PartialDifferentialRing Symbol)) or and(has(Fraction UP,PartialDifferentialRing Symbol),has(Fraction UP,Field))
+--R differentiate : (%,(UP -> UP)) -> %
+--R differentiate : (%,(Fraction UP -> Fraction UP)) -> % if Fraction UP has FIELD
+--R differentiate : (%,(Fraction UP -> Fraction UP),NonNegativeInteger) -> % if Fraction UP has FIELD
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if Fraction UP has FFIELDC
+--R discreteLog : % -> NonNegativeInteger if Fraction UP has FFIELDC
+--R discriminant : Vector % -> Fraction UP
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Fraction UP has FIELD
+--R elliptic : () -> Union(UP,"failed")
+--R euclideanSize : % -> NonNegativeInteger if Fraction UP has FIELD
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Fraction UP has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Fraction UP has FIELD
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Fraction UP has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Fraction UP has FIELD
+--R factor : % -> Factored % if Fraction UP has FIELD
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if Fraction UP has FFIELDC
+--R gcd : (%,%) -> % if Fraction UP has FIELD
+--R gcd : List % -> % if Fraction UP has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Fraction UP has FIELD
+--R hyperelliptic : () -> Union(UP,"failed")
+--R index : PositiveInteger -> % if Fraction UP has FINITE
+--R init : () -> % if Fraction UP has FFIELDC
+--R integralAtInfinity? : % -> Boolean
+--R integralBasisAtInfinity : () -> Vector %
+--R integralCoordinates : % -> Record(num: Vector UP,den: UP)
+--R integralDerivationMatrix : (UP -> UP) -> Record(num: Matrix UP,den: UP)
+--R integralMatrix : () -> Matrix Fraction UP
+--R integralMatrixAtInfinity : () -> Matrix Fraction UP
+--R integralRepresents : (Vector UP,UP) -> %
+--R inv : % -> % if Fraction UP has FIELD
+--R inverseIntegralMatrix : () -> Matrix Fraction UP
+--R inverseIntegralMatrixAtInfinity : () -> Matrix Fraction UP
+--R lcm : (%,%) -> % if Fraction UP has FIELD
+--R lcm : List % -> % if Fraction UP has FIELD
+--R lookup : % -> PositiveInteger if Fraction UP has FINITE
+--R minimalPolynomial : % -> UPUP if Fraction UP has FIELD
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Fraction UP has FIELD
+--R nextItem : % -> Union(%,"failed") if Fraction UP has FFIELDC
+--R nonSingularModel : Symbol -> List Polynomial F if F has FIELD
+--R normalizeAtInfinity : Vector % -> Vector %
+--R numberOfComponents : () -> NonNegativeInteger
+--R order : % -> OnePointCompletion PositiveInteger if Fraction UP has FFIELDC
+--R order : % -> PositiveInteger if Fraction UP has FFIELDC
+--R prime? : % -> Boolean if Fraction UP has FIELD
+--R primeFrobenius : % -> % if Fraction UP has FFIELDC
+--R primeFrobenius : (%,NonNegativeInteger) -> % if Fraction UP has FFIELDC
+--R primitive? : % -> Boolean if Fraction UP has FFIELDC
+--R primitiveElement : () -> % if Fraction UP has FFIELDC
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Fraction UP has FIELD
+--R ?quo? : (%,%) -> % if Fraction UP has FIELD
+--R ramifiedAtInfinity? : () -> Boolean
+--R random : () -> % if Fraction UP has FINITE
+--R rationalPoints : () -> List List F if F has FINITE
+--R reduce : Fraction UPUP -> Union(%,"failed") if Fraction UP has FIELD
+--R reduceBasisAtInfinity : Vector % -> Vector %
+--R reducedSystem : Matrix % -> Matrix Fraction UP
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Fraction UP,vec: Vector Fraction UP)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if Fraction UP has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if Fraction UP has LINEXP INT
+--R regularRepresentation : % -> Matrix Fraction UP
+--R regularRepresentation : (%,Vector %) -> Matrix Fraction UP
+--R ?rem? : (%,%) -> % if Fraction UP has FIELD
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if Fraction UP has FFIELDC
+--R represents : Vector Fraction UP -> %
+--R represents : (Vector Fraction UP,Vector %) -> %
+--R retract : % -> Fraction Integer if Fraction UP has RETRACT FRAC INT
+--R retract : % -> Integer if Fraction UP has RETRACT INT
+--R retractIfCan : % -> Union(Fraction UP,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if Fraction UP has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if Fraction UP has RETRACT INT
+--R singularAtInfinity? : () -> Boolean
+--R size : () -> NonNegativeInteger if Fraction UP has FINITE
+--R sizeLess? : (%,%) -> Boolean if Fraction UP has FIELD
+--R squareFree : % -> Factored % if Fraction UP has FIELD
+--R squareFreePart : % -> % if Fraction UP has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if Fraction UP has FFIELDC
+--R traceMatrix : () -> Matrix Fraction UP
+--R traceMatrix : Vector % -> Matrix Fraction UP
+--R unit? : % -> Boolean if Fraction UP has FIELD
+--R unitCanonical : % -> % if Fraction UP has FIELD
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Fraction UP has FIELD
+--R yCoordinates : % -> Record(num: Vector UP,den: UP)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FunctionFieldCategory.help>>=
+====================================================================
+FunctionFieldCategory examples
+====================================================================
+
+See Also:
+o )show FunctionFieldCategory
+
+@
 {\bf See:}
 
 \pagefrom{MonogenicAlgebra}{MONOGEN}
@@ -62691,6 +76337,7 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory}{PACEXTC}
 \pagepic{ps/v102pseudoalgebraicclosureofalgextofrationalnumbercategory.ps}{PACEXTC}{0.50}
+
 <<PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory.input>>=
 )set break resume
 )sys rm -f PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory.output
diff --git a/changelog b/changelog
index ae90180..5d7ce6f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100529 tpd src/axiom-website/patches.html 20100529.04.tpd.patch
+20100529 tpd src/algebra/Makefile add test and help files for all categories
+20100529 tpd books/bookvol10.2 add test and help files for all categories
 20100529 tpd src/axiom-website/patches.html 20100529.03.tpd.patch
 20100529 tpd books/bookvolbib AL94 Adams, William W. and Loustaunau, Philippe
 20100529 tpd src/axiom-website/patches.html 20100529.02.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 25137cb..5914c28 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -16884,7 +16884,7 @@ ${MID}/BLHN.nrlib/code.o: ${MID}/BLHN.spad
 @
 <<newcode>>=
 
-PRSPCATDEPS = SETCATD
+PRSPCATDEPS = SETCATD UTSZ
 
 ${MID}/PRSPCAT.nrlib/code.o: ${MID}/PRSPCAT.spad
 	@echo P3 making ${MID}/PRSPCAT.nrlib/code.o from ${MID}/PRSPCAT.spad
@@ -18046,99 +18046,200 @@ This keeps the regression test list in the algebra Makefile.
 HELPFILE=${HELP}/help.help
 
 SPADHELP=\
+ ${HELP}/AbelianGroup.help \
+ ${HELP}/AbelianMonoid.help \
+ ${HELP}/AbelianMonoidRing.help \
+ ${HELP}/AbelianSemiGroup.help \
  ${HELP}/AffineAlgebraicSetComputeWithGroebnerBasis.help \
  ${HELP}/AffineAlgebraicSetComputeWithResultant.help \
  ${HELP}/AffinePlane.help \
  ${HELP}/AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.help \
  ${HELP}/AffineSpace.help \
  ${HELP}/AffineSpaceCategory.help \
+ ${HELP}/Aggregate.help \
+ ${HELP}/Algebra.help \
  ${HELP}/AlgebraicallyClosedField.help \
+ ${HELP}/AlgebraicallyClosedFunctionSpace.help \
  ${HELP}/Any.help \
  ${HELP}/ApplicationProgramInterface.help \
+ ${HELP}/ArcHyperbolicFunctionCategory.help \
+ ${HELP}/ArcTrigonometricFunctionCategory.help \
  ${HELP}/ArrayStack.help \
  ${HELP}/AssociationList.help \
+ ${HELP}/AssociationListAggregate.help \
  ${HELP}/BalancedBinaryTree.help \
+ ${HELP}/BagAggregate.help \
  ${HELP}/BasicOperator.help \
+ ${HELP}/BasicType.help \
  ${HELP}/Bezier.help \
+ ${HELP}/BiModule.help \
  ${HELP}/BinaryExpansion.help \
+ ${HELP}/BinaryRecursiveAggregate.help \
  ${HELP}/BinarySearchTree.help \
+ ${HELP}/BinaryTreeCategory.help \
+ ${HELP}/BitAggregate.help \
  ${HELP}/BlasLevelOne.help \
  ${HELP}/BlowUpMethodCategory.help \
  ${HELP}/BlowUpPackage.help \
  ${HELP}/BlowUpWithHamburgerNoether.help \
  ${HELP}/BlowUpWithQuadTrans.help \
+ ${HELP}/CachableSet.help \
+ ${HELP}/CancellationAbelianMonoid.help \
  ${HELP}/CardinalNumber.help \
  ${HELP}/CartesianTensor.help \
  ${HELP}/Character.help \
  ${HELP}/CharacterClass.help \
+ ${HELP}/CharacteristicNonZero.help \
+ ${HELP}/CharacteristicZero.help \
  ${HELP}/CliffordAlgebra.help \
+ ${HELP}/CoercibleTo.help \
+ ${HELP}/Collection.help \
  ${HELP}/CombinatorialFunction.help \
+ ${HELP}/CombinatorialFunctionCategory.help \
+ ${HELP}/CombinatorialOpsCategory.help \
+ ${HELP}/CommutativeRing.help \
  ${HELP}/Complex.help \
+ ${HELP}/ComplexCategory.help \
  ${HELP}/ContinuedFraction.help \
+ ${HELP}/ConvertibleTo.help \
  ${HELP}/CycleIndicators.help \
  ${HELP}/DecimalExpansion.help \
  ${HELP}/Dequeue.help \
+ ${HELP}/DequeueAggregate.help \
  ${HELP}/DeRhamComplex.help \
  ${HELP}/DesingTree.help \
  ${HELP}/DesingTreeCategory.help \
  ${HELP}/DesingTreePackage.help \
+ ${HELP}/Dictionary.help \
+ ${HELP}/DictionaryOperations.help \
+ ${HELP}/DifferentialExtension.help \
+ ${HELP}/DifferentialPolynomialCategory.help \
+ ${HELP}/DifferentialRing.help \
+ ${HELP}/DifferentialVariableCategory.help \
+ ${HELP}/DirectProductCategory.help \
  ${HELP}/DistributedMultivariatePolynomial.help \
+ ${HELP}/DivisionRing.help \
  ${HELP}/Divisor.help \
  ${HELP}/DivisorCategory.help \
  ${HELP}/DoubleFloat.help \
+ ${HELP}/DoublyLinkedAggregate.help \
  ${HELP}/ElementaryFunction.help \
+ ${HELP}/ElementaryFunctionCategory.help \
+ ${HELP}/Eltable.help \
+ ${HELP}/EltableAggregate.help \
+ ${HELP}/EntireRing.help \
  ${HELP}/EqTable.help \
  ${HELP}/Equation.help \
- ${HELP}/Expression.help \
+ ${HELP}/EuclideanDomain.help \
  ${HELP}/EuclideanGroebnerBasisPackage.help \
+ ${HELP}/Evalable.help \
+ ${HELP}/Expression.help \
+ ${HELP}/ExpressionSpace.help \
+ ${HELP}/ExtensibleLinearAggregate.help \
+ ${HELP}/ExtensionField.help \
  ${HELP}/Factored.help \
  ${HELP}/FactoredFunctions2.help \
  ${HELP}/FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber.help \
  ${HELP}/FactorisationOverPseudoAlgebraicClosureOfRationalNumber.help \
+ ${HELP}/Field.help \
+ ${HELP}/FieldOfPrimeCharacteristic.help \
  ${HELP}/File.help \
+ ${HELP}/FileCategory.help \
  ${HELP}/FileName.help \
+ ${HELP}/FileNameCategory.help \
+ ${HELP}/Finite.help \
+ ${HELP}/FiniteAbelianMonoidRing.help \
+ ${HELP}/FiniteAlgebraicExtensionField.help \
+ ${HELP}/FiniteDivisorCategory.help \
+ ${HELP}/FiniteFieldCategory.help \
  ${HELP}/FiniteFieldFactorizationWithSizeParseBySideEffect.help \
  ${HELP}/FiniteFieldSquareFreeDecomposition.help \
+ ${HELP}/FiniteLinearAggregate.help \
+ ${HELP}/FiniteRankAlgebra.help \
+ ${HELP}/FiniteRankNonAssociativeAlgebra.help \
+ ${HELP}/FiniteSetAggregate.help \
  ${HELP}/FlexibleArray.help \
  ${HELP}/Float.help \
+ ${HELP}/FloatingPointSystem.help \
+ ${HELP}/FortranFunctionCategory.help \
+ ${HELP}/FortranMachineTypeCategory.help \
+ ${HELP}/FortranMatrixCategory.help \
+ ${HELP}/FortranMatrixFunctionCategory.help \
+ ${HELP}/FortranProgramCategory.help \
+ ${HELP}/FortranVectorCategory.help \
+ ${HELP}/FortranVectorFunctionCategory.help \
  ${HELP}/Fraction.help \
+ ${HELP}/FramedAlgebra.help \
+ ${HELP}/FramedNonAssociativeAlgebra.help \
+ ${HELP}/FreeAbelianMonoidCategory.help \
+ ${HELP}/FreeLieAlgebra.help \
+ ${HELP}/FreeModuleCat.help \
  ${HELP}/FullPartialFractionExpansion.help \
+ ${HELP}/FullyEvalableOver.help \
+ ${HELP}/FullyLinearlyExplicitRingOver.help \
+ ${HELP}/FullyPatternMatchable.help \
+ ${HELP}/FullyRetractableTo.help \
+ ${HELP}/FunctionFieldCategory.help \
+ ${HELP}/FunctionSpace.help \
+ ${HELP}/GcdDomain.help \
  ${HELP}/GeneralDistributedMultivariatePolynomial.help \
  ${HELP}/GeneralPackageForAlgebraicFunctionField.help \
  ${HELP}/GeneralSparseTable.help \
+ ${HELP}/GradedAlgebra.help \
+ ${HELP}/GradedModule.help \
  ${HELP}/GroebnerFactorizationPackage.help \
  ${HELP}/GroebnerPackage.help \
+ ${HELP}/Group.help \
  ${HELP}/Heap.help \
  ${HELP}/HexadecimalExpansion.help \
+ ${HELP}/HomogeneousAggregate.help \
  ${HELP}/HomogeneousDistributedMultivariatePolynomial.help \
+ ${HELP}/HyperbolicFunctionCategory.help \
+ ${HELP}/IndexedAggregate.help \
  ${HELP}/IndexedBits.help \
+ ${HELP}/IndexedDirectProductCategory.help \
  ${HELP}/InfClsPt.help \
  ${HELP}/InfinitlyClosePoint.help \
  ${HELP}/InfinitlyClosePointCategory.help \
  ${HELP}/InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField.help \
+ ${HELP}/InnerEvalable.help \
  ${HELP}/Integer.help \
  ${HELP}/IntegerCombinatoricFunctions.help \
  ${HELP}/IntegerLinearDependence.help \
+ ${HELP}/IntegerNumberSystem.help \
  ${HELP}/IntegerNumberTheoryFunctions.help \
+ ${HELP}/IntegralDomain.help \
  ${HELP}/InterfaceGroebnerPackage.help \
  ${HELP}/InterpolateFormsPackage.help \
  ${HELP}/IntersectionDivisorPackage.help \
  ${HELP}/Interval.help \
+ ${HELP}/IntervalCategory.help \
  ${HELP}/Kernel.help \
  ${HELP}/KeyedAccessFile.help \
+ ${HELP}/KeyedDictionary.help \
+ ${HELP}/LazyStreamAggregate.help \
  ${HELP}/LazardSetSolvingPackage.help \
+ ${HELP}/LeftAlgebra.help \
+ ${HELP}/LeftModule.help \
  ${HELP}/LexTriangularPackage.help \
  ${HELP}/Library.help \
+ ${HELP}/LieAlgebra.help \
  ${HELP}/LieExponentials.help \
  ${HELP}/LiePolynomial.help \
+ ${HELP}/LinearlyExplicitRingOver.help \
+ ${HELP}/LinearAggregate.help \
  ${HELP}/LinearOrdinaryDifferentialOperator.help \
  ${HELP}/LinearOrdinaryDifferentialOperator1.help \
  ${HELP}/LinearOrdinaryDifferentialOperator2.help \
+ ${HELP}/LinearOrdinaryDifferentialOperatorCategory.help \
  ${HELP}/LinearSystemFromPowerSeriesPackage.help \
+ ${HELP}/ListAggregate.help \
+ ${HELP}/LiouvillianFunctionCategory.help \
  ${HELP}/List.help \
  ${HELP}/LinesOpPack.help \
  ${HELP}/LocalParametrizationOfSimplePointPackage.help \
  ${HELP}/LocalPowerSeriesCategory.help \
+ ${HELP}/Logic.help \
  ${HELP}/LyndonWord.help \
  ${HELP}/Magma.help \
  ${HELP}/MakeFunction.help \
@@ -18148,8 +18249,17 @@ SPADHELP=\
  ${HELP}/MappingPackage3.help \
  ${HELP}/Matrix.help \
  ${HELP}/MatrixCategory.help \
+ ${HELP}/Module.help \
+ ${HELP}/Monad.help \
+ ${HELP}/MonadWithUnit.help \
+ ${HELP}/MonogenicAlgebra.help \
+ ${HELP}/MonogenicLinearOperator.help \
+ ${HELP}/Monoid.help \
+ ${HELP}/MultiDictionary.help \
  ${HELP}/Multiset.help \
+ ${HELP}/MultisetAggregate.help \
  ${HELP}/MultivariatePolynomial.help \
+ ${HELP}/MultivariateTaylorSeriesCategory.help \
  ${HELP}/NagEigenPackage.help \
  ${HELP}/NagFittingPackage.help \
  ${HELP}/NagLinearEquationSolvingPackage.help \
@@ -18166,30 +18276,68 @@ SPADHELP=\
  ${HELP}/NagSpecialFunctionsPackage.help \
  ${HELP}/NeitherSparseOrDensePowerSeries.help \
  ${HELP}/NewtonPolygon.help \
+ ${HELP}/NonAssociativeAlgebra.help \
+ ${HELP}/NonAssociativeRing.help \
+ ${HELP}/NonAssociativeRng.help \
  ${HELP}/None.help \
+ ${HELP}/NormalizedTriangularSetCategory.help \
  ${HELP}/NottinghamGroup.help \
+ ${HELP}/NumericalIntegrationCategory.help \
+ ${HELP}/NumericalOptimizationCategory.help \
  ${HELP}/Octonion.help \
+ ${HELP}/OctonionCategory.help \
  ${HELP}/OneDimensionalArray.help \
+ ${HELP}/OneDimensionalArrayAggregate.help \
+ ${HELP}/OpenMath.help \
  ${HELP}/Operator.help \
+ ${HELP}/OrderedAbelianGroup.help \
+ ${HELP}/OrderedAbelianMonoid.help \
+ ${HELP}/OrderedAbelianMonoidSup.help \
+ ${HELP}/OrderedAbelianSemiGroup.help \
+ ${HELP}/OrderedCancellationAbelianMonoid.help \
+ ${HELP}/OrderedFinite.help \
  ${HELP}/OrderedFreeMonoid.help \
+ ${HELP}/OrderedIntegralDomain.help \
+ ${HELP}/OrderedMonoid.help \
+ ${HELP}/OrderedMultisetAggregate.help \
+ ${HELP}/OrderedRing.help \
+ ${HELP}/OrderedSet.help \
  ${HELP}/OrderedVariableList.help \
  ${HELP}/OrderlyDifferentialPolynomial.help \
+ ${HELP}/OrdinaryDifferentialEquationsSolverCategory.help \
  ${HELP}/PackageForAlgebraicFunctionField.help \
  ${HELP}/PackageForAlgebraicFunctionFieldOverFiniteField.help \
  ${HELP}/PackageForPoly.help \
+ ${HELP}/PAdicIntegerCategory.help \
  ${HELP}/ParametrizationPackage.help \
+ ${HELP}/PartialDifferentialEquationsSolverCategory.help \
+ ${HELP}/PartialDifferentialRing.help \
  ${HELP}/PartialFraction.help \
  ${HELP}/PartialFractionPackage.help \
+ ${HELP}/PartialTranscendentalFunctions.help \
+ ${HELP}/Patternable.help \
+ ${HELP}/PatternMatchable.help \
  ${HELP}/Permanent.help \
  ${HELP}/Permutation.help \
+ ${HELP}/PermutationCategory.help \
  ${HELP}/Places.help \
  ${HELP}/PlacesCategory.help \
  ${HELP}/PlacesOverPseudoAlgebraicClosureOfFiniteField.help \
  ${HELP}/PlaneAlgebraicCurvePlot.help \
  ${HELP}/Plcs.help \
  ${HELP}/Plot.help \
+ ${HELP}/PlottablePlaneCurveCategory.help \
+ ${HELP}/PlottableSpaceCurveCategory.help \
+ ${HELP}/PointCategory.help \
  ${HELP}/Polynomial.help \
+ ${HELP}/PolynomialCategory.help \
+ ${HELP}/PolynomialFactorizationExplicit.help \
  ${HELP}/PolynomialPackageForCurve.help \
+ ${HELP}/PolynomialSetCategory.help \
+ ${HELP}/PowerSeriesCategory.help \
+ ${HELP}/PrimitiveFunctionCategory.help \
+ ${HELP}/PrincipalIdealDomain.help \
+ ${HELP}/PriorityQueueAggregate.help \
  ${HELP}/Product.help \
  ${HELP}/ProjectiveAlgebraicSetPackage.help \
  ${HELP}/ProjectivePlane.help \
@@ -18204,46 +18352,98 @@ SPADHELP=\
  ${HELP}/PseudoAlgebraicClosureOfRationalNumber.help \
  ${HELP}/PseudoAlgebraicClosureOfRationalNumberCategory.help \
  ${HELP}/Quaternion.help \
+ ${HELP}/QuaternionCategory.help \
  ${HELP}/QuaternionCategoryFunctions2.help \
  ${HELP}/Queue.help \
+ ${HELP}/QueueAggregate.help \
+ ${HELP}/QuotientFieldCategory.help \
+ ${HELP}/RadicalCategory.help \
  ${HELP}/RadicalSolvePackage.help \
  ${HELP}/RadixExpansion.help \
  ${HELP}/RationalFunctionSum.help \
+ ${HELP}/RealClosedField.help \
  ${HELP}/RealClosure.help \
+ ${HELP}/RealConstant.help \
+ ${HELP}/RealNumberSystem.help \
+ ${HELP}/RealRootCharacterizationCategory.help \
  ${HELP}/RealSolvePackage.help \
+ ${HELP}/RectangularMatrixCategory.help \
+ ${HELP}/RecursiveAggregate.help \
+ ${HELP}/RecursivePolynomialCategory.help \
  ${HELP}/RegularTriangularSet.help \
+ ${HELP}/RegularTriangularSetCategory.help \
+ ${HELP}/RetractableTo.help \
+ ${HELP}/RightModule.help \
+ ${HELP}/Ring.help \
+ ${HELP}/Rng.help \
  ${HELP}/RomanNumeral.help \
  ${HELP}/RootsFindingPackage.help \
  ${HELP}/Segment.help \
  ${HELP}/SegmentBinding.help \
+ ${HELP}/SegmentCategory.help \
+ ${HELP}/SegmentExpansionCategory.help \
+ ${HELP}/SemiGroup.help \
  ${HELP}/Set.help \
+ ${HELP}/SetAggregate.help \
+ ${HELP}/SetCategory.help \
  ${HELP}/SetCategoryWithDegree.help \
+ ${HELP}/SExpressionCategory.help \
  ${HELP}/SingleInteger.help \
  ${HELP}/SparseTable.help \
  ${HELP}/SparseMultivariateTaylorSeries.help \
+ ${HELP}/SpecialFunctionCategory.help \
  ${HELP}/SquareMatrix.help \
+ ${HELP}/SquareFreeNormalizedTriangularSetCategory.help \
  ${HELP}/SquareFreeRegularTriangularSet.help \
+ ${HELP}/SquareFreeRegularTriangularSetCategory.help \
+ ${HELP}/SquareMatrixCategory.help \
  ${HELP}/Stack.help \
+ ${HELP}/StackAggregate.help \
+ ${HELP}/StepThrough.help \
  ${HELP}/Stream.help \
+ ${HELP}/StreamAggregate.help \
  ${HELP}/String.help \
+ ${HELP}/StringAggregate.help \
+ ${HELP}/StringCategory.help \
  ${HELP}/StringTable.help \
  ${HELP}/Symbol.help \
- ${HELP}/TexFormat.help \
  ${HELP}/Table.help \
+ ${HELP}/TableAggregate.help \
+ ${HELP}/TexFormat.help \
  ${HELP}/TextFile.help \
+ ${HELP}/ThreeSpaceCategory.help \
+ ${HELP}/TranscendentalFunctionCategory.help \
  ${HELP}/TransSolvePackage.help \
+ ${HELP}/TriangularSetCategory.help \
+ ${HELP}/TrigonometricFunctionCategory.help \
  ${HELP}/TwoDimensionalArray.help   \
+ ${HELP}/TwoDimensionalArrayCategory.help \
  ${HELP}/TwoDimensionalViewport.help \
+ ${HELP}/UnaryRecursiveAggregate.help \
+ ${HELP}/UniqueFactorizationDomain.help \
+ ${HELP}/UnivariateLaurentSeriesCategory.help \
+ ${HELP}/UnivariateLaurentSeriesConstructorCategory.help \
+ ${HELP}/UnivariatePolynomialCategory.help \
+ ${HELP}/UnivariatePowerSeriesCategory.help \
+ ${HELP}/UnivariatePuiseuxSeriesCategory.help \
+ ${HELP}/UnivariatePuiseuxSeriesConstructorCategory.help \
  ${HELP}/UnivariateSkewPolynomial.help \
+ ${HELP}/UnivariateSkewPolynomialCategory.help \
  ${HELP}/UnivariatePolynomial.help \
  ${HELP}/UnivariateTaylorSeriesCZero.help \
+ ${HELP}/UnivariateTaylorSeriesCategory.help \
  ${HELP}/UniversalSegment.help \
  ${HELP}/Vector.help \
+ ${HELP}/VectorCategory.help \
+ ${HELP}/VectorSpace.help \
  ${HELP}/Void.help \
  ${HELP}/WuWenTsunTriangularSet.help \
+ ${HELP}/XAlgebra.help \
+ ${HELP}/XFreeAlgebra.help \
  ${HELP}/XPBWPolynomial.help \
  ${HELP}/XPolynomial.help \
  ${HELP}/XPolynomialRing.help \
+ ${HELP}/XPolynomialsCat.help \
  ${HELP}/ZeroDimensionalSolvePackage.help \
  ${HELP}/dcabs1.help \
  ${HELP}/dasum.help \
@@ -18259,99 +18459,200 @@ is put into a int/Makefile.algebra and then executed by make.
 TESTSYS=  ${OBJ}/${SYS}/bin/interpsys
 
 REGRESS= \
+ AbelianGroup.regress \
+ AbelianMonoid.regress \
+ AbelianMonoidRing.regress \
+ AbelianSemiGroup.regress \
  AffineAlgebraicSetComputeWithGroebnerBasis.regress \
  AffineAlgebraicSetComputeWithResultant.regress \
  AffinePlane.regress \
  AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.regress \
  AffineSpace.regress \
  AffineSpaceCategory.regress \
+ Aggregate.regress \
+ Algebra.regress \
  AlgebraicallyClosedField.regress \
+ AlgebraicallyClosedFunctionSpace.regress \
  Any.regress \
  ApplicationProgramInterface.regress \
+ ArcHyperbolicFunctionCategory.regress \
+ ArcTrigonometricFunctionCategory.regress \
  ArrayStack.regress \
  AssociationList.regress \
+ AssociationListAggregate.regress \
  BalancedBinaryTree.regress \
+ BagAggregate.regress \
  BasicOperator.regress \
+ BasicType.regress \
  Bezier.regress \
+ BiModule.regress \
  BinaryExpansion.regress \
+ BinaryRecursiveAggregate.regress \
  BinarySearchTree.regress \
+ BinaryTreeCategory.regress \
+ BitAggregate.regress \
  BlasLevelOne.regress \
  BlowUpMethodCategory.regress \
  BlowUpPackage.regress \
  BlowUpWithHamburgerNoether.regress \
  BlowUpWithQuadTrans.regress \
+ CachableSet.regress \
+ CancellationAbelianMonoid.regress \
  CardinalNumber.regress \
  CartesianTensor.regress \
  Character.regress \
  CharacterClass.regress \
+ CharacteristicNonZero.regress \
+ CharacteristicZero.regress \
  CliffordAlgebra.regress \
+ CoercibleTo.regress \
+ Collection.regress \
  CombinatorialFunction.regress \
+ CombinatorialFunctionCategory.regress \
+ CombinatorialOpsCategory.regress \
+ CommutativeRing.regress \
  Complex.regress \
+ ComplexCategory.regress \
  ContinuedFraction.regress \
+ ConvertibleTo.regress \
  CycleIndicators.regress \
+ Dequeue.regress \
+ DequeueAggregate.regress \
  DeRhamComplex.regress \
  DecimalExpansion.regress \
- Dequeue.regress \
  DesingTree.regress \
  DesingTreeCategory.regress \
  DesingTreePackage.regress \
+ Dictionary.regress \
+ DictionaryOperations.regress \
+ DifferentialExtension.regress \
+ DifferentialPolynomialCategory.regress \
+ DifferentialRing.regress \
+ DifferentialVariableCategory.regress \
+ DirectProductCategory.regress \
  DistributedMultivariatePolynomial.regress \
+ DivisionRing.regress \
  Divisor.regress \
  DivisorCategory.regress \
  DoubleFloat.regress \
+ DoublyLinkedAggregate.regress \
  ElementaryFunction.regress \
+ ElementaryFunctionCategory.regress \
+ Eltable.regress \
+ EltableAggregate.regress \
+ EntireRing.regress \
  EqTable.regress \
  Equation.regress \
- Expression.regress \
+ EuclideanDomain.regress \
  EuclideanGroebnerBasisPackage.regress \
+ Evalable.regress \
+ Expression.regress \
+ ExpressionSpace.regress \
+ ExtensibleLinearAggregate.regress \
+ ExtensionField.regress \
  Factored.regress \
  FactoredFunctions2.regress \
  FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber.regress \
  FactorisationOverPseudoAlgebraicClosureOfRationalNumber.regress \
+ Field.regress \
+ FieldOfPrimeCharacteristic.regress \
  File.regress \
+ FileCategory.regress \
  FileName.regress \
+ FileNameCategory.regress \
+ Finite.regress \
+ FiniteAbelianMonoidRing.regress \
+ FiniteAlgebraicExtensionField.regress \
+ FiniteDivisorCategory.regress \
+ FiniteFieldCategory.regress \
  FiniteFieldFactorizationWithSizeParseBySideEffect.regress \
  FiniteFieldSquareFreeDecomposition.regress \
+ FiniteLinearAggregate.regress \
+ FiniteRankAlgebra.regress \
+ FiniteRankNonAssociativeAlgebra.regress \
+ FiniteSetAggregate.regress \
  FlexibleArray.regress \
  Float.regress \
+ FloatingPointSystem.regress \
+ FortranFunctionCategory.regress \
+ FortranMachineTypeCategory.regress \
+ FortranMatrixCategory.regress \
+ FortranMatrixFunctionCategory.regress \
+ FortranProgramCategory.regress \
+ FortranVectorCategory.regress \
+ FortranVectorFunctionCategory.regress \
  Fraction.regress \
+ FramedAlgebra.regress \
+ FramedNonAssociativeAlgebra.regress \
+ FreeAbelianMonoidCategory.regress \
+ FreeLieAlgebra.regress \
+ FreeModuleCat.regress \
  FullPartialFractionExpansion.regress \
+ FullyEvalableOver.regress \
+ FullyLinearlyExplicitRingOver.regress \
+ FullyPatternMatchable.regress \
+ FullyRetractableTo.regress \
+ FunctionFieldCategory.regress \
+ FunctionSpace.regress \
+ GcdDomain.regress \
  GeneralDistributedMultivariatePolynomial.regress \
  GeneralPackageForAlgebraicFunctionField.regress \
  GeneralSparseTable.regress \
+ GradedAlgebra.regress \
+ GradedModule.regress \
  GroebnerFactorizationPackage.regress \
  GroebnerPackage.regress \
+ Group.regress \
  Heap.regress \
  HexadecimalExpansion.regress \
+ HomogeneousAggregate.regress \
  HomogeneousDistributedMultivariatePolynomial.regress \
+ HyperbolicFunctionCategory.regress \
+ IndexedAggregate.regress \
  IndexedBits.regress \
+ IndexedDirectProductCategory.regress \
  InfClsPt.regress \
  InfinitlyClosePoint.regress \
  InfinitlyClosePointCategory.regress \
  InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField.regress \
+ InnerEvalable.regress \
  Integer.regress \
  IntegerCombinatoricFunctions.regress \
  IntegerLinearDependence.regress \
+ IntegerNumberSystem.regress \
  IntegerNumberTheoryFunctions.regress \
+ IntegralDomain.regress \
  InterfaceGroebnerPackage.regress \
  InterpolateFormsPackage.regress \
  IntersectionDivisorPackage.regress \
  Interval.regress \
+ IntervalCategory.regress \
  Kernel.regress \
  KeyedAccessFile.regress \
+ KeyedDictionary.regress \
+ LazyStreamAggregate.regress \
  LazardSetSolvingPackage.regress \
+ LeftAlgebra.regress \
+ LeftModule.regress \
  LexTriangularPackage.regress \
  Library.regress \
+ LieAlgebra.regress \
  LieExponentials.regress \
  LiePolynomial.regress \
+ LinearlyExplicitRingOver.regress \
+ LinearAggregate.regress \
  LinearOrdinaryDifferentialOperator.regress \
  LinearOrdinaryDifferentialOperator1.regress \
  LinearOrdinaryDifferentialOperator2.regress \
+ LinearOrdinaryDifferentialOperatorCategory.regress \
  LinearSystemFromPowerSeriesPackage.regress \
+ ListAggregate.regress \
+ LiouvillianFunctionCategory.regress \
  List.regress \
  LinesOpPack.regress \
  LocalParametrizationOfSimplePointPackage.regress \
  LocalPowerSeriesCategory.regress \
+ Logic.regress \
  LyndonWord.regress \
  Magma.regress \
  MathMLFormat.regress \
@@ -18361,34 +18662,81 @@ REGRESS= \
  MappingPackage3.regress \
  Matrix.regress \
  MatrixCategory.regress \
+ Module.regress \
+ Monad.regress \
+ MonadWithUnit.regress \
+ MonogenicAlgebra.regress \
+ MonogenicLinearOperator.regress \
+ Monoid.regress \
+ MultiDictionary.regress \
  Multiset.regress \
+ MultisetAggregate.regress \
  MultivariatePolynomial.regress \
+ MultivariateTaylorSeriesCategory.regress \
  NeitherSparseOrDensePowerSeries.regress \
  NewtonPolygon.regress \
+ NonAssociativeAlgebra.regress \
+ NonAssociativeRing.regress \
+ NonAssociativeRng.regress \
  None.regress \
+ NormalizedTriangularSetCategory.regress \
  NottinghamGroup.regress \
+ NumericalIntegrationCategory.regress \
+ NumericalOptimizationCategory.regress \
  Octonion.regress \
+ OctonionCategory.regress \
  OneDimensionalArray.regress \
+ OneDimensionalArrayAggregate.regress \
+ OpenMath.regress \
  Operator.regress \
+ OrderedAbelianGroup.regress \
+ OrderedAbelianMonoid.regress \
+ OrderedAbelianMonoidSup.regress \
+ OrderedAbelianSemiGroup.regress \
+ OrderedCancellationAbelianMonoid.regress \
+ OrderedFinite.regress \
  OrderedFreeMonoid.regress \
+ OrderedIntegralDomain.regress \
+ OrderedMonoid.regress \
+ OrderedMultisetAggregate.regress \
+ OrderedRing.regress \
+ OrderedSet.regress \
  OrderedVariableList.regress \
  OrderlyDifferentialPolynomial.regress \
+ OrdinaryDifferentialEquationsSolverCategory.regress \
  PackageForAlgebraicFunctionField.regress \
  PackageForAlgebraicFunctionFieldOverFiniteField.regress \
  PackageForPoly.regress \
+ PAdicIntegerCategory.regress \
  ParametrizationPackage.regress \
+ PartialDifferentialEquationsSolverCategory.regress \
+ PartialDifferentialRing.regress \
  PartialFraction.regress \
  PartialFractionPackage.regress \
+ PartialTranscendentalFunctions.regress \
+ Patternable.regress \
+ PatternMatchable.regress \
  Permanent.regress \
  Permutation.regress \
+ PermutationCategory.regress \
  Places.regress \
  PlacesCategory.regress \
  PlacesOverPseudoAlgebraicClosureOfFiniteField.regress \
  PlaneAlgebraicCurvePlot.regress \
  Plcs.regress \
  Plot.regress \
+ PlottablePlaneCurveCategory.regress \
+ PlottableSpaceCurveCategory.regress \
+ PointCategory.regress \
  Polynomial.regress \
+ PolynomialCategory.regress \
+ PolynomialFactorizationExplicit.regress \
  PolynomialPackageForCurve.regress \
+ PolynomialSetCategory.regress \
+ PowerSeriesCategory.regress \
+ PrimitiveFunctionCategory.regress \
+ PrincipalIdealDomain.regress \
+ PriorityQueueAggregate.regress \
  Product.regress \
  ProjectiveAlgebraicSetPackage.regress \
  ProjectivePlane.regress \
@@ -18403,44 +18751,96 @@ REGRESS= \
  PseudoAlgebraicClosureOfRationalNumber.regress \
  PseudoAlgebraicClosureOfRationalNumberCategory.regress \
  Quaternion.regress \
+ QuaternionCategory.regress \
  QuaternionCategoryFunctions2.regress \
  Queue.regress \
+ QueueAggregate.regress \
+ QuotientFieldCategory.regress \
+ RadicalCategory.regress \
  RadicalSolvePackage.regress \
  RadixExpansion.regress \
  RationalFunctionSum.regress \
+ RealClosedField.regress \
  RealClosure.regress \
+ RealConstant.regress \
+ RealNumberSystem.regress \
+ RealRootCharacterizationCategory.regress \
  RealSolvePackage.regress \
+ RectangularMatrixCategory.regress \
+ RecursiveAggregate.regress \
+ RecursivePolynomialCategory.regress \
  RegularTriangularSet.regress \
+ RegularTriangularSetCategory.regress \
+ RetractableTo.regress \
+ RightModule.regress \
+ Ring.regress \
+ Rng.regress \
  RomanNumeral.regress \
  RootsFindingPackage.regress \
  Segment.regress \
+ SegmentCategory.regress \
+ SegmentExpansionCategory.regress \
+ SemiGroup.regress \
  Set.regress \
+ SetAggregate.regress \
+ SetCategory.regress \
  SetCategoryWithDegree.regress \
+ SExpressionCategory.regress \
  SingleInteger.regress \
  SparseTable.regress \
  SparseMultivariateTaylorSeries.regress \
+ SpecialFunctionCategory.regress \
  SquareMatrix.regress \
+ SquareFreeNormalizedTriangularSetCategory.regress \
  SquareFreeRegularTriangularSet.regress \
+ SquareFreeRegularTriangularSetCategory.regress \
+ SquareMatrixCategory.regress \
  Stack.regress \
+ StackAggregate.regress \
+ StepThrough.regress \
  Stream.regress \
+ StreamAggregate.regress \
  String.regress \
+ StringAggregate.regress \
+ StringCategory.regress \
  StringTable.regress \
  Symbol.regress \
  Table.regress \
+ TableAggregate.regress \
  TexFormat.regress \
  TextFile.regress \
+ ThreeSpaceCategory.regress \
+ TranscendentalFunctionCategory.regress \
  TransSolvePackage.regress \
+ TriangularSetCategory.regress \
+ TrigonometricFunctionCategory.regress \
  TwoDimensionalArray.regress \
+ TwoDimensionalArrayCategory.regress \
+ UnaryRecursiveAggregate.regress \
+ UniqueFactorizationDomain.regress \
+ UnivariateLaurentSeriesCategory.regress \
+ UnivariateLaurentSeriesConstructorCategory.regress \
+ UnivariatePolynomialCategory.regress \
+ UnivariatePowerSeriesCategory.regress \
+ UnivariatePuiseuxSeriesCategory.regress \
+ UnivariatePuiseuxSeriesConstructorCategory.regress \
  UnivariateSkewPolynomial.regress \
+ UnivariateSkewPolynomialCategory.regress \
  UnivariatePolynomial.regress \
  UnivariateTaylorSeriesCZero.regress \
+ UnivariateTaylorSeriesCategory.regress \
  UniversalSegment.regress \
  Vector.regress \
+ VectorCategory.regress \
+ VectorSpace.regress \
  Void.regress \
  WuWenTsunTriangularSet.regress \
+ XAlgebra.regress \
+ XFreeAlgebra.regress \
  XPBWPolynomial.regress \
  XPolynomial.regress \
  XPolynomialRing.regress \
+ XPolynomialsCat.regress \
  ZeroDimensionalSolvePackage.regress \
  dcabs1.regress \
  dasum.regress \
@@ -18471,6 +18871,54 @@ all: ${REGRESS}
 	@echo algebra test cases complete.
 @
 <<spadhelp>>=
+${HELP}/AbelianGroup.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create AbelianGroup.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"AbelianGroup.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/AbelianGroup.help
+	@cp ${HELP}/AbelianGroup.help ${HELP}/ABELGRP.help
+	@${TANGLE} -R"AbelianGroup.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/AbelianGroup.input
+	@echo "AbelianGroup (ABELGRP)" >>${HELPFILE}
+
+${HELP}/AbelianMonoid.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create AbelianMonoid.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"AbelianMonoid.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/AbelianMonoid.help
+	@cp ${HELP}/AbelianMonoid.help ${HELP}/ABELMON.help
+	@${TANGLE} -R"AbelianMonoid.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/AbelianMonoid.input
+	@echo "AbelianMonoid (ABELMON)" >>${HELPFILE}
+
+${HELP}/AbelianMonoidRing.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create AbelianMonoidRing.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"AbelianMonoidRing.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/AbelianMonoidRing.help
+	@cp ${HELP}/AbelianMonoidRing.help ${HELP}/AMR.help
+	@${TANGLE} -R"AbelianMonoidRing.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/AbelianMonoidRing.input
+	@echo "AbelianMonoidRing (AMR)" >>${HELPFILE}
+
+${HELP}/AbelianSemiGroup.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create AbelianSemiGroup.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"AbelianSemiGroup.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/AbelianSemiGroup.help
+	@cp ${HELP}/AbelianSemiGroup.help ${HELP}/ABELSG.help
+	@${TANGLE} -R"AbelianSemiGroup.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/AbelianSemiGroup.input
+	@echo "AbelianSemiGroup (ABELSG)" >>${HELPFILE}
+
 ${HELP}/AffineAlgebraicSetComputeWithGroebnerBasis.help: \
             ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7000 create \
@@ -18561,6 +19009,30 @@ ${HELP}/AffineSpaceCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/AffineSpaceCategory.input
 	@echo "AffineSpaceCategory (AFSPCAT)" >>${HELPFILE}
 
+${HELP}/Aggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Aggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Aggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Aggregate.help
+	@cp ${HELP}/Aggregate.help ${HELP}/AGG.help
+	@${TANGLE} -R"Aggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Aggregate.input
+	@echo "Aggregate (AGG)" >>${HELPFILE}
+
+${HELP}/Algebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Algebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Algebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Algebra.help
+	@cp ${HELP}/Algebra.help ${HELP}/ALGEBRA.help
+	@${TANGLE} -R"Algebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Algebra.input
+	@echo "Algebra (ALGEBRA)" >>${HELPFILE}
+
 ${HELP}/AlgebraicallyClosedField.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 7006 create AlgebraicallyClosedField.help from \
             ${BOOKS}/bookvol10.2.pamphlet
@@ -18573,6 +19045,18 @@ ${HELP}/AlgebraicallyClosedField.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/AlgebraicallyClosedField.input
 	@echo "AlgebraicallyClosedField (ACF)" >>${HELPFILE}
 
+${HELP}/AlgebraicallyClosedFunctionSpace.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create AlgebraicallyClosedFunctionSpace.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"AlgebraicallyClosedFunctionSpace.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/AlgebraicallyClosedFunctionSpace.help
+	@cp ${HELP}/AlgebraicallyClosedFunctionSpace.help ${HELP}/ACFS.help
+	@${TANGLE} -R"AlgebraicallyClosedFunctionSpace.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/AlgebraicallyClosedFunctionSpace.input
+	@echo "AlgebraicallyClosedFunctionSpace (ACFS)" >>${HELPFILE}
+
 ${HELP}/Any.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7007 create Any.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Any.help" ${BOOKS}/bookvol10.3.pamphlet >${HELP}/Any.help
@@ -18593,6 +19077,30 @@ ${HELP}/ApplicationProgramInterface.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/ApplicationProgramInterface.input
 	@echo "ApplicationProgramInterface (API)" >>${HELPFILE}
 
+${HELP}/ArcHyperbolicFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create ArcHyperbolicFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"ArcHyperbolicFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/ArcHyperbolicFunctionCategory.help
+	@cp ${HELP}/ArcHyperbolicFunctionCategory.help ${HELP}/AHYP.help
+	@${TANGLE} -R"ArcHyperbolicFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/ArcHyperbolicFunctionCategory.input
+	@echo "ArcHyperbolicFunctionCategory (AHYP)" >>${HELPFILE}
+
+${HELP}/ArcTrigonometricFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create ArcTrigonometricFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"ArcTrigonometricFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/ArcTrigonometricFunctionCategory.help
+	@cp ${HELP}/ArcTrigonometricFunctionCategory.help ${HELP}/ATRIG.help
+	@${TANGLE} -R"ArcTrigonometricFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/ArcTrigonometricFunctionCategory.input
+	@echo "ArcTrigonometricFunctionCategory (ATRIG)" >>${HELPFILE}
+
 ${HELP}/ArrayStack.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7010 create ArrayStack.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"ArrayStack.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -18612,6 +19120,18 @@ ${HELP}/AssociationList.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/AssociationList.input
 	@echo "AssociationList (ALIST)" >>${HELPFILE}
 
+${HELP}/AssociationListAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create AssociationListAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"AssociationListAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/AssociationListAggregate.help
+	@cp ${HELP}/AssociationListAggregate.help ${HELP}/ALAGG.help
+	@${TANGLE} -R"AssociationListAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/AssociationListAggregate.input
+	@echo "AssociationListAggregate (ALAGG)" >>${HELPFILE}
+
 ${HELP}/BalancedBinaryTree.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7030 create BalancedBinaryTree.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -18622,6 +19142,18 @@ ${HELP}/BalancedBinaryTree.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/BalancedBinaryTree.input
 	@echo "BalancedBinaryTree (BBTREE)" >>${HELPFILE}
 
+${HELP}/BagAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create BagAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"BagAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/BagAggregate.help
+	@cp ${HELP}/BagAggregate.help ${HELP}/BGAGG.help
+	@${TANGLE} -R"BagAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/BagAggregate.input
+	@echo "BagAggregate (BGAGG)" >>${HELPFILE}
+
 ${HELP}/BasicOperator.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7040 create BasicOperator.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"BasicOperator.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -18631,6 +19163,18 @@ ${HELP}/BasicOperator.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/BasicOperator.input
 	@echo "BasicOperator (BOP)" >>${HELPFILE}
 
+${HELP}/BasicType.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create BasicType.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"BasicType.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/BasicType.help
+	@cp ${HELP}/BasicType.help ${HELP}/BASTYPE.help
+	@${TANGLE} -R"BasicType.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/BasicType.input
+	@echo "BasicType (BASTYPE)" >>${HELPFILE}
+
 ${HELP}/Bezier.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7050 create Bezier.help from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"Bezier.help" ${BOOKS}/bookvol10.4.pamphlet \
@@ -18640,6 +19184,18 @@ ${HELP}/Bezier.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/Bezier.input
 	@echo "Bezier (BEZIER)" >>${HELPFILE}
 
+${HELP}/BiModule.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create BiModule.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"BiModule.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/BiModule.help
+	@cp ${HELP}/BiModule.help ${HELP}/BMODULE.help
+	@${TANGLE} -R"BiModule.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/BiModule.input
+	@echo "BiModule (BMODULE)" >>${HELPFILE}
+
 ${HELP}/BinaryExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7060 create BinaryExpansion.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -18650,6 +19206,18 @@ ${HELP}/BinaryExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/BinaryExpansion.input
 	@echo "BinaryExpansion (BINARY)" >>${HELPFILE}
 
+${HELP}/BinaryRecursiveAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create BinaryRecursiveAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"BinaryRecursiveAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/BinaryRecursiveAggregate.help
+	@cp ${HELP}/BinaryRecursiveAggregate.help ${HELP}/BRAGG.help
+	@${TANGLE} -R"BinaryRecursiveAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/BinaryRecursiveAggregate.input
+	@echo "BinaryRecursiveAggregate (BRAGG)" >>${HELPFILE}
+
 ${HELP}/BinarySearchTree.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7070 create BinarySearchTree.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -18660,6 +19228,30 @@ ${HELP}/BinarySearchTree.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/BinarySearchTree.input
 	@echo "BinarySearchTree (BSTREE)" >>${HELPFILE}
 
+${HELP}/BinaryTreeCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create BinaryTreeCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"BinaryTreeCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/BinaryTreeCategory.help
+	@cp ${HELP}/BinaryTreeCategory.help ${HELP}/BTCAT.help
+	@${TANGLE} -R"BinaryTreeCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/BinaryTreeCategory.input
+	@echo "BinaryTreeCategory (BTCAT)" >>${HELPFILE}
+
+${HELP}/BitAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create BitAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"BitAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/BitAggregate.help
+	@cp ${HELP}/BitAggregate.help ${HELP}/BTAGG.help
+	@${TANGLE} -R"BitAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/BitAggregate.input
+	@echo "BitAggregate (BTAGG)" >>${HELPFILE}
+
 ${HELP}/BlasLevelOne.help: ${BOOKS}/bookvol10.5.pamphlet
 	@echo 7080 create BlasLevelOne.help from \
                 ${BOOKS}/bookvol10.5.pamphlet
@@ -18718,6 +19310,30 @@ ${HELP}/BlowUpWithQuadTrans.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/BlowUpWithQuadTrans.input
 	@echo "BlowUpWithQuadTrans (BLQT)" >>${HELPFILE}
 
+${HELP}/CachableSet.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create CachableSet.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"CachableSet.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/CachableSet.help
+	@cp ${HELP}/CachableSet.help ${HELP}/CACHSET.help
+	@${TANGLE} -R"CachableSet.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/CachableSet.input
+	@echo "CachableSet (CACHSET)" >>${HELPFILE}
+
+${HELP}/CancellationAbelianMonoid.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create CancellationAbelianMonoid.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"CancellationAbelianMonoid.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/CancellationAbelianMonoid.help
+	@cp ${HELP}/CancellationAbelianMonoid.help ${HELP}/CABMON.help
+	@${TANGLE} -R"CancellationAbelianMonoid.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/CancellationAbelianMonoid.input
+	@echo "CancellationAbelianMonoid (CABMON)" >>${HELPFILE}
+
 ${HELP}/CardinalNumber.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7086 create CardinalNumber.help from \
                 ${BOOKS}/bookvol10.3.pamphlet
@@ -18757,6 +19373,30 @@ ${HELP}/CharacterClass.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/CharacterClass.input
 	@echo "CharacterClass (CCLASS)" >>${HELPFILE}
 
+${HELP}/CharacteristicNonZero.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create CharacteristicNonZero.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"CharacteristicNonZero.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/CharacteristicNonZero.help
+	@cp ${HELP}/CharacteristicNonZero.help ${HELP}/CHARNZ.help
+	@${TANGLE} -R"CharacteristicNonZero.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/CharacteristicNonZero.input
+	@echo "CharacteristicNonZero (CHARNZ)" >>${HELPFILE}
+
+${HELP}/CharacteristicZero.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create CharacteristicZero.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"CharacteristicZero.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/CharacteristicZero.help
+	@cp ${HELP}/CharacteristicZero.help ${HELP}/CHARZ.help
+	@${TANGLE} -R"CharacteristicZero.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/CharacteristicZero.input
+	@echo "CharacteristicZero (CHARZ)" >>${HELPFILE}
+
 ${HELP}/CliffordAlgebra.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7120 create CliffordAlgebra.help from \
           ${BOOKS}/bookvol10.3.pamphlet
@@ -18767,6 +19407,30 @@ ${HELP}/CliffordAlgebra.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/CliffordAlgebra.input
 	@echo "CliffordAlgebra (CLIF)" >>${HELPFILE}
 
+${HELP}/CoercibleTo.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create CoercibleTo.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"CoercibleTo.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/CoercibleTo.help
+	@cp ${HELP}/CoercibleTo.help ${HELP}/KOERCE.help
+	@${TANGLE} -R"CoercibleTo.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/CoercibleTo.input
+	@echo "CoercibleTo (KOERCE)" >>${HELPFILE}
+
+${HELP}/Collection.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Collection.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Collection.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Collection.help
+	@cp ${HELP}/Collection.help ${HELP}/CLAGG.help
+	@${TANGLE} -R"Collection.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Collection.input
+	@echo "Collection (CLAGG)" >>${HELPFILE}
+
 ${HELP}/CombinatorialFunction.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7130 create CombinatorialFunction.help from \
           ${BOOKS}/bookvol10.4.pamphlet
@@ -18779,6 +19443,42 @@ ${HELP}/CombinatorialFunction.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/CombinatorialFunction.input
 	@echo "CombinatorialFunction (COMBF)" >>${HELPFILE}
 
+${HELP}/CombinatorialFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create CombinatorialFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"CombinatorialFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/CombinatorialFunctionCategory.help
+	@cp ${HELP}/CombinatorialFunctionCategory.help ${HELP}/CFCAT.help
+	@${TANGLE} -R"CombinatorialFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/CombinatorialFunctionCategory.input
+	@echo "CombinatorialFunctionCategory (CFCAT)" >>${HELPFILE}
+
+${HELP}/CombinatorialOpsCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create CombinatorialOpsCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"CombinatorialOpsCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/CombinatorialOpsCategory.help
+	@cp ${HELP}/CombinatorialOpsCategory.help ${HELP}/COMBOPC.help
+	@${TANGLE} -R"CombinatorialOpsCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/CombinatorialOpsCategory.input
+	@echo "CombinatorialOpsCategory (COMBOPC)" >>${HELPFILE}
+
+${HELP}/CommutativeRing.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create CommutativeRing.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"CommutativeRing.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/CommutativeRing.help
+	@cp ${HELP}/CommutativeRing.help ${HELP}/COMRING.help
+	@${TANGLE} -R"CommutativeRing.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/CommutativeRing.input
+	@echo "CommutativeRing (COMRING)" >>${HELPFILE}
+
 ${HELP}/Complex.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7140 create Complex.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Complex.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -18788,6 +19488,18 @@ ${HELP}/Complex.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Complex.input
 	@echo "Complex (COMPLEX)" >>${HELPFILE}
 
+${HELP}/ComplexCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create ComplexCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"ComplexCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/ComplexCategory.help
+	@cp ${HELP}/ComplexCategory.help ${HELP}/COMPCAT.help
+	@${TANGLE} -R"ComplexCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/ComplexCategory.input
+	@echo "ComplexCategory (COMPCAT)" >>${HELPFILE}
+
 ${HELP}/ContinuedFraction.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7150 create ContinuedFraction.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -18798,6 +19510,18 @@ ${HELP}/ContinuedFraction.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/ContinuedFraction.input
 	@echo "ContinuedFraction (CONTFRAC)" >>${HELPFILE}
 
+${HELP}/ConvertibleTo.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create ConvertibleTo.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"ConvertibleTo.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/ConvertibleTo.help
+	@cp ${HELP}/ConvertibleTo.help ${HELP}/KONVERT.help
+	@${TANGLE} -R"ConvertibleTo.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/ConvertibleTo.input
+	@echo "ConvertibleTo (KONVERT)" >>${HELPFILE}
+
 ${HELP}/CycleIndicators.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7160 create CycleIndicators.help from \
             ${BOOKS}/bookvol10.4.pamphlet
@@ -18808,6 +19532,27 @@ ${HELP}/CycleIndicators.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/CycleIndicators.input
 	@echo "CycleIndicators (CYCLES)" >>${HELPFILE}
 
+${HELP}/Dequeue.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7190 create Dequeue.help from ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Dequeue.help" ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Dequeue.help
+	@cp ${HELP}/Dequeue.help ${HELP}/DEQUEUE.help
+	@${TANGLE} -R"Dequeue.input" ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Dequeue.input
+	@echo "Dequeue (DEQUEUE)" >>${HELPFILE}
+
+${HELP}/DequeueAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create DequeueAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"DequeueAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/DequeueAggregate.help
+	@cp ${HELP}/DequeueAggregate.help ${HELP}/DQAGG.help
+	@${TANGLE} -R"DequeueAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/DequeueAggregate.input
+	@echo "DequeueAggregate (DQAGG)" >>${HELPFILE}
+
 ${HELP}/DeRhamComplex.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7170 create DeRhamComplex.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"DeRhamComplex.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -18827,15 +19572,6 @@ ${HELP}/DecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/DecimalExpansion.input
 	@echo "DecimalExpansion (DECIMAL)" >>${HELPFILE}
 
-${HELP}/Dequeue.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7190 create Dequeue.help from ${BOOKS}/bookvol10.3.pamphlet
-	@${TANGLE} -R"Dequeue.help" ${BOOKS}/bookvol10.3.pamphlet \
-           >${HELP}/Dequeue.help
-	@cp ${HELP}/Dequeue.help ${HELP}/DEQUEUE.help
-	@${TANGLE} -R"Dequeue.input" ${BOOKS}/bookvol10.3.pamphlet \
-            >${INPUT}/Dequeue.input
-	@echo "Dequeue (DEQUEUE)" >>${HELPFILE}
-
 ${HELP}/DesingTree.help: \
             ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7295 create DesingTree.help \
@@ -18875,6 +19611,90 @@ ${HELP}/DesingTreePackage.help: \
             >${INPUT}/DesingTreePackage.input
 	@echo "DesingTreePackage (DTP)" >>${HELPFILE}
 
+${HELP}/Dictionary.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Dictionary.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Dictionary.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Dictionary.help
+	@cp ${HELP}/Dictionary.help ${HELP}/DIAGG.help
+	@${TANGLE} -R"Dictionary.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Dictionary.input
+	@echo "Dictionary (DIAGG)" >>${HELPFILE}
+
+${HELP}/DictionaryOperations.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create DictionaryOperations.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"DictionaryOperations.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/DictionaryOperations.help
+	@cp ${HELP}/DictionaryOperations.help ${HELP}/DIOPS.help
+	@${TANGLE} -R"DictionaryOperations.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/DictionaryOperations.input
+	@echo "DictionaryOperations (DIOPS)" >>${HELPFILE}
+
+${HELP}/DifferentialExtension.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create DifferentialExtension.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"DifferentialExtension.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/DifferentialExtension.help
+	@cp ${HELP}/DifferentialExtension.help ${HELP}/DIFEXT.help
+	@${TANGLE} -R"DifferentialExtension.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/DifferentialExtension.input
+	@echo "DifferentialExtension (DIFEXT)" >>${HELPFILE}
+
+${HELP}/DifferentialPolynomialCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create DifferentialPolynomialCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"DifferentialPolynomialCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/DifferentialPolynomialCategory.help
+	@cp ${HELP}/DifferentialPolynomialCategory.help ${HELP}/DPOLCAT.help
+	@${TANGLE} -R"DifferentialPolynomialCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/DifferentialPolynomialCategory.input
+	@echo "DifferentialPolynomialCategory (DPOLCAT)" >>${HELPFILE}
+
+${HELP}/DifferentialRing.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create DifferentialRing.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"DifferentialRing.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/DifferentialRing.help
+	@cp ${HELP}/DifferentialRing.help ${HELP}/DIFRING.help
+	@${TANGLE} -R"DifferentialRing.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/DifferentialRing.input
+	@echo "DifferentialRing (DIFRING)" >>${HELPFILE}
+
+${HELP}/DifferentialVariableCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create DifferentialVariableCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"DifferentialVariableCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/DifferentialVariableCategory.help
+	@cp ${HELP}/DifferentialVariableCategory.help ${HELP}/DVARCAT.help
+	@${TANGLE} -R"DifferentialVariableCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/DifferentialVariableCategory.input
+	@echo "DifferentialVariableCategory (DVARCAT)" >>${HELPFILE}
+
+${HELP}/DirectProductCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create DirectProductCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"DirectProductCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/DirectProductCategory.help
+	@cp ${HELP}/DirectProductCategory.help ${HELP}/DIRPCAT.help
+	@${TANGLE} -R"DirectProductCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/DirectProductCategory.input
+	@echo "DirectProductCategory (DIRPCAT)" >>${HELPFILE}
+
 ${HELP}/DistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7299 create DistributedMultivariatePolynomial.help \
@@ -18888,6 +19708,18 @@ ${HELP}/DistributedMultivariatePolynomial.help: \
             >${INPUT}/DistributedMultivariatePolynomial.input
 	@echo "DistributedMultivariatePolynomial (DMP)" >>${HELPFILE}
 
+${HELP}/DivisionRing.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create DivisionRing.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"DivisionRing.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/DivisionRing.help
+	@cp ${HELP}/DivisionRing.help ${HELP}/DIVRING.help
+	@${TANGLE} -R"DivisionRing.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/DivisionRing.input
+	@echo "DivisionRing (DIVRING)" >>${HELPFILE}
+
 ${HELP}/Divisor.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7205 create Divisor.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -18917,6 +19749,18 @@ ${HELP}/DoubleFloat.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/DoubleFloat.input
 	@echo "DoubleFloat (DFLOAT)" >>${HELPFILE}
 
+${HELP}/DoublyLinkedAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create DoublyLinkedAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"DoublyLinkedAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/DoublyLinkedAggregate.help
+	@cp ${HELP}/DoublyLinkedAggregate.help ${HELP}/DLAGG.help
+	@${TANGLE} -R"DoublyLinkedAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/DoublyLinkedAggregate.input
+	@echo "DoublyLinkedAggregate (DLAGG)" >>${HELPFILE}
+
 ${HELP}/ElementaryFunction.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7220 create ElementaryFunction.help from \
             ${BOOKS}/bookvol10.4.pamphlet
@@ -18927,6 +19771,54 @@ ${HELP}/ElementaryFunction.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/ElementaryFunction.input
 	@echo "ElementaryFunction (EF)" >>${HELPFILE}
 
+${HELP}/ElementaryFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create ElementaryFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"ElementaryFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/ElementaryFunctionCategory.help
+	@cp ${HELP}/ElementaryFunctionCategory.help ${HELP}/ELEMFUN.help
+	@${TANGLE} -R"ElementaryFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/ElementaryFunctionCategory.input
+	@echo "ElementaryFunctionCategory (ELEMFUN)" >>${HELPFILE}
+
+${HELP}/Eltable.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Eltable.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Eltable.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Eltable.help
+	@cp ${HELP}/Eltable.help ${HELP}/ELTAB.help
+	@${TANGLE} -R"Eltable.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Eltable.input
+	@echo "Eltable (ELTAB)" >>${HELPFILE}
+
+${HELP}/EltableAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create EltableAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"EltableAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/EltableAggregate.help
+	@cp ${HELP}/EltableAggregate.help ${HELP}/ELTAGG.help
+	@${TANGLE} -R"EltableAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/EltableAggregate.input
+	@echo "EltableAggregate (ELTAGG)" >>${HELPFILE}
+
+${HELP}/EntireRing.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create EntireRing.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"EntireRing.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/EntireRing.help
+	@cp ${HELP}/EntireRing.help ${HELP}/ENTIRER.help
+	@${TANGLE} -R"EntireRing.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/EntireRing.input
+	@echo "EntireRing (ENTIRER)" >>${HELPFILE}
+
 ${HELP}/EqTable.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7230 create EqTable.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"EqTable.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -18945,6 +19837,30 @@ ${HELP}/Equation.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Equation.input
 	@echo "Equation (EQ)" >>${HELPFILE}
 
+${HELP}/ExpressionSpace.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create ExpressionSpace.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"ExpressionSpace.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/ExpressionSpace.help
+	@cp ${HELP}/ExpressionSpace.help ${HELP}/ES.help
+	@${TANGLE} -R"ExpressionSpace.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/ExpressionSpace.input
+	@echo "ExpressionSpace (ES)" >>${HELPFILE}
+
+${HELP}/ExtensibleLinearAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create ExtensibleLinearAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"ExtensibleLinearAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/ExtensibleLinearAggregate.help
+	@cp ${HELP}/ExtensibleLinearAggregate.help ${HELP}/ELAGG.help
+	@${TANGLE} -R"ExtensibleLinearAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/ExtensibleLinearAggregate.input
+	@echo "ExtensibleLinearAggregate (ELAGG)" >>${HELPFILE}
+
 ${HELP}/EuclideanGroebnerBasisPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7250 create EuclideanGroebnerBasisPackage.help from \
             ${BOOKS}/bookvol10.4.pamphlet
@@ -18957,6 +19873,30 @@ ${HELP}/EuclideanGroebnerBasisPackage.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/EuclideanGroebnerBasisPackage.input
 	@echo "EuclideanGroebnerBasisPackage (GBEUCLID)" >>${HELPFILE}
 
+${HELP}/EuclideanDomain.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create EuclideanDomain.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"EuclideanDomain.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/EuclideanDomain.help
+	@cp ${HELP}/EuclideanDomain.help ${HELP}/EUCDOM.help
+	@${TANGLE} -R"EuclideanDomain.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/EuclideanDomain.input
+	@echo "EuclideanDomain (EUCDOM)" >>${HELPFILE}
+
+${HELP}/Evalable.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Evalable.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Evalable.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Evalable.help
+	@cp ${HELP}/Evalable.help ${HELP}/EVALAB.help
+	@${TANGLE} -R"Evalable.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Evalable.input
+	@echo "Evalable (EVALAB)" >>${HELPFILE}
+
 ${HELP}/Expression.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7260 create Expression.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Expression.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -18966,6 +19906,18 @@ ${HELP}/Expression.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Expression.input
 	@echo "Expression (EXPR)" >>${HELPFILE}
 
+${HELP}/ExtensionField.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create ExtensionField.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"ExtensionField.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/ExtensionField.help
+	@cp ${HELP}/ExtensionField.help ${HELP}/XF.help
+	@${TANGLE} -R"ExtensionField.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/ExtensionField.input
+	@echo "ExtensionField (XF)" >>${HELPFILE}
+
 ${HELP}/Factored.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7270 create Factored.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Factored.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19025,6 +19977,30 @@ ${HELP}/FactorisationOverPseudoAlgebraicClosureOfRationalNumber.help: \
           "FactorisationOverPseudoAlgebraicClosureOfRationalNumber (FACTRN)" \
            >>${HELPFILE}
 
+${HELP}/Field.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Field.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Field.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Field.help
+	@cp ${HELP}/Field.help ${HELP}/FIELD.help
+	@${TANGLE} -R"Field.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Field.input
+	@echo "Field (FIELD)" >>${HELPFILE}
+
+${HELP}/FieldOfPrimeCharacteristic.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FieldOfPrimeCharacteristic.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FieldOfPrimeCharacteristic.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FieldOfPrimeCharacteristic.help
+	@cp ${HELP}/FieldOfPrimeCharacteristic.help ${HELP}/FPC.help
+	@${TANGLE} -R"FieldOfPrimeCharacteristic.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FieldOfPrimeCharacteristic.input
+	@echo "FieldOfPrimeCharacteristic (FPC)" >>${HELPFILE}
+
 ${HELP}/File.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7290 create File.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"File.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19034,6 +20010,18 @@ ${HELP}/File.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/File.input
 	@echo "File (FILE)" >>${HELPFILE}
 
+${HELP}/FileCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FileCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FileCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FileCategory.help
+	@cp ${HELP}/FileCategory.help ${HELP}/FILECAT.help
+	@${TANGLE} -R"FileCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FileCategory.input
+	@echo "FileCategory (FILECAT)" >>${HELPFILE}
+
 ${HELP}/FileName.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7300 create FileName.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"FileName.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19043,6 +20031,78 @@ ${HELP}/FileName.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/FileName.input
 	@echo "FileName (FNAME)" >>${HELPFILE}
 
+${HELP}/FileNameCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FileNameCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FileNameCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FileNameCategory.help
+	@cp ${HELP}/FileNameCategory.help ${HELP}/FNCAT.help
+	@${TANGLE} -R"FileNameCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FileNameCategory.input
+	@echo "FileNameCategory (FNCAT)" >>${HELPFILE}
+
+${HELP}/Finite.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Finite.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Finite.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Finite.help
+	@cp ${HELP}/Finite.help ${HELP}/FINITE.help
+	@${TANGLE} -R"Finite.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Finite.input
+	@echo "Finite (FINITE)" >>${HELPFILE}
+
+${HELP}/FiniteAbelianMonoidRing.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FiniteAbelianMonoidRing.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FiniteAbelianMonoidRing.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FiniteAbelianMonoidRing.help
+	@cp ${HELP}/FiniteAbelianMonoidRing.help ${HELP}/FAMR.help
+	@${TANGLE} -R"FiniteAbelianMonoidRing.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FiniteAbelianMonoidRing.input
+	@echo "FiniteAbelianMonoidRing (FAMR)" >>${HELPFILE}
+
+${HELP}/FiniteAlgebraicExtensionField.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FiniteAlgebraicExtensionField.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FiniteAlgebraicExtensionField.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FiniteAlgebraicExtensionField.help
+	@cp ${HELP}/FiniteAlgebraicExtensionField.help ${HELP}/FAXF.help
+	@${TANGLE} -R"FiniteAlgebraicExtensionField.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FiniteAlgebraicExtensionField.input
+	@echo "FiniteAlgebraicExtensionField (FAXF)" >>${HELPFILE}
+
+${HELP}/FiniteDivisorCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FiniteDivisorCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FiniteDivisorCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FiniteDivisorCategory.help
+	@cp ${HELP}/FiniteDivisorCategory.help ${HELP}/FDIVCAT.help
+	@${TANGLE} -R"FiniteDivisorCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FiniteDivisorCategory.input
+	@echo "FiniteDivisorCategory (FDIVCAT)" >>${HELPFILE}
+
+${HELP}/FiniteFieldCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FiniteFieldCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FiniteFieldCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FiniteFieldCategory.help
+	@cp ${HELP}/FiniteFieldCategory.help ${HELP}/FFIELDC.help
+	@${TANGLE} -R"FiniteFieldCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FiniteFieldCategory.input
+	@echo "FiniteFieldCategory (FFIELDC)" >>${HELPFILE}
+
 ${HELP}/FiniteFieldFactorizationWithSizeParseBySideEffect.help: \
            ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7303 create \
@@ -19072,6 +20132,54 @@ ${HELP}/FiniteFieldSquareFreeDecomposition.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/FiniteFieldSquareFreeDecomposition.input
 	@echo "FiniteFieldSquareFreeDecomposition (FFSQFR)" >>${HELPFILE}
 
+${HELP}/FiniteLinearAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FiniteLinearAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FiniteLinearAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FiniteLinearAggregate.help
+	@cp ${HELP}/FiniteLinearAggregate.help ${HELP}/FLAGG.help
+	@${TANGLE} -R"FiniteLinearAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FiniteLinearAggregate.input
+	@echo "FiniteLinearAggregate (FLAGG)" >>${HELPFILE}
+
+${HELP}/FiniteRankAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FiniteRankAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FiniteRankAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FiniteRankAlgebra.help
+	@cp ${HELP}/FiniteRankAlgebra.help ${HELP}/FINRALG.help
+	@${TANGLE} -R"FiniteRankAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FiniteRankAlgebra.input
+	@echo "FiniteRankAlgebra (FINRALG)" >>${HELPFILE}
+
+${HELP}/FiniteRankNonAssociativeAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FiniteRankNonAssociativeAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FiniteRankNonAssociativeAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FiniteRankNonAssociativeAlgebra.help
+	@cp ${HELP}/FiniteRankNonAssociativeAlgebra.help ${HELP}/FINAALG.help
+	@${TANGLE} -R"FiniteRankNonAssociativeAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FiniteRankNonAssociativeAlgebra.input
+	@echo "FiniteRankNonAssociativeAlgebra (FINAALG)" >>${HELPFILE}
+
+${HELP}/FiniteSetAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FiniteSetAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FiniteSetAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FiniteSetAggregate.help
+	@cp ${HELP}/FiniteSetAggregate.help ${HELP}/FSAGG.help
+	@${TANGLE} -R"FiniteSetAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FiniteSetAggregate.input
+	@echo "FiniteSetAggregate (FSAGG)" >>${HELPFILE}
+
 ${HELP}/FlexibleArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7310 create FlexibleArray.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"FlexibleArray.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19090,6 +20198,102 @@ ${HELP}/Float.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Float.input
 	@echo "Float (FLOAT)" >>${HELPFILE}
 
+${HELP}/FloatingPointSystem.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FloatingPointSystem.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FloatingPointSystem.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FloatingPointSystem.help
+	@cp ${HELP}/FloatingPointSystem.help ${HELP}/FPS.help
+	@${TANGLE} -R"FloatingPointSystem.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FloatingPointSystem.input
+	@echo "FloatingPointSystem (FPS)" >>${HELPFILE}
+
+${HELP}/FortranFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FortranFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FortranFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FortranFunctionCategory.help
+	@cp ${HELP}/FortranFunctionCategory.help ${HELP}/FORFN.help
+	@${TANGLE} -R"FortranFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FortranFunctionCategory.input
+	@echo "FortranFunctionCategory (FORFN)" >>${HELPFILE}
+
+${HELP}/FortranMachineTypeCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FortranMachineTypeCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FortranMachineTypeCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FortranMachineTypeCategory.help
+	@cp ${HELP}/FortranMachineTypeCategory.help ${HELP}/FMTC.help
+	@${TANGLE} -R"FortranMachineTypeCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FortranMachineTypeCategory.input
+	@echo "FortranMachineTypeCategory (FMTC)" >>${HELPFILE}
+
+${HELP}/FortranMatrixCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FortranMatrixCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FortranMatrixCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FortranMatrixCategory.help
+	@cp ${HELP}/FortranMatrixCategory.help ${HELP}/FMC.help
+	@${TANGLE} -R"FortranMatrixCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FortranMatrixCategory.input
+	@echo "FortranMatrixCategory (FMC)" >>${HELPFILE}
+
+${HELP}/FortranMatrixFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FortranMatrixFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FortranMatrixFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FortranMatrixFunctionCategory.help
+	@cp ${HELP}/FortranMatrixFunctionCategory.help ${HELP}/FMFUN.help
+	@${TANGLE} -R"FortranMatrixFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FortranMatrixFunctionCategory.input
+	@echo "FortranMatrixFunctionCategory (FMFUN)" >>${HELPFILE}
+
+${HELP}/FortranProgramCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FortranProgramCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FortranProgramCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FortranProgramCategory.help
+	@cp ${HELP}/FortranProgramCategory.help ${HELP}/FORTCAT.help
+	@${TANGLE} -R"FortranProgramCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FortranProgramCategory.input
+	@echo "FortranProgramCategory (FORTCAT)" >>${HELPFILE}
+
+${HELP}/FortranVectorCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FortranVectorCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FortranVectorCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FortranVectorCategory.help
+	@cp ${HELP}/FortranVectorCategory.help ${HELP}/FVC.help
+	@${TANGLE} -R"FortranVectorCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FortranVectorCategory.input
+	@echo "FortranVectorCategory (FVC)" >>${HELPFILE}
+
+${HELP}/FortranVectorFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FortranVectorFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FortranVectorFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FortranVectorFunctionCategory.help
+	@cp ${HELP}/FortranVectorFunctionCategory.help ${HELP}/FVFUN.help
+	@${TANGLE} -R"FortranVectorFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FortranVectorFunctionCategory.input
+	@echo "FortranVectorFunctionCategory (FVFUN)" >>${HELPFILE}
+
 ${HELP}/Fraction.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7330 create Fraction.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Fraction.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19099,6 +20303,66 @@ ${HELP}/Fraction.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Fraction.input
 	@echo "Fraction (FRAC)" >>${HELPFILE}
 
+${HELP}/FramedAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FramedAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FramedAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FramedAlgebra.help
+	@cp ${HELP}/FramedAlgebra.help ${HELP}/FRAMALG.help
+	@${TANGLE} -R"FramedAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FramedAlgebra.input
+	@echo "FramedAlgebra (FRAMALG)" >>${HELPFILE}
+
+${HELP}/FramedNonAssociativeAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FramedNonAssociativeAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FramedNonAssociativeAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FramedNonAssociativeAlgebra.help
+	@cp ${HELP}/FramedNonAssociativeAlgebra.help ${HELP}/FRNAALG.help
+	@${TANGLE} -R"FramedNonAssociativeAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FramedNonAssociativeAlgebra.input
+	@echo "FramedNonAssociativeAlgebra (FRNAALG)" >>${HELPFILE}
+
+${HELP}/FreeAbelianMonoidCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FreeAbelianMonoidCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FreeAbelianMonoidCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FreeAbelianMonoidCategory.help
+	@cp ${HELP}/FreeAbelianMonoidCategory.help ${HELP}/FAMONC.help
+	@${TANGLE} -R"FreeAbelianMonoidCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FreeAbelianMonoidCategory.input
+	@echo "FreeAbelianMonoidCategory (FAMONC)" >>${HELPFILE}
+
+${HELP}/FreeLieAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FreeLieAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FreeLieAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FreeLieAlgebra.help
+	@cp ${HELP}/FreeLieAlgebra.help ${HELP}/FLALG.help
+	@${TANGLE} -R"FreeLieAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FreeLieAlgebra.input
+	@echo "FreeLieAlgebra (FLALG)" >>${HELPFILE}
+
+${HELP}/FreeModuleCat.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FreeModuleCat.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FreeModuleCat.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FreeModuleCat.help
+	@cp ${HELP}/FreeModuleCat.help ${HELP}/FMCAT.help
+	@${TANGLE} -R"FreeModuleCat.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FreeModuleCat.input
+	@echo "FreeModuleCat (FMCAT)" >>${HELPFILE}
+
 ${HELP}/FullPartialFractionExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7340 create FullPartialFractionExpansion.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -19111,6 +20375,90 @@ ${HELP}/FullPartialFractionExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/FullPartialFractionExpansion.input
 	@echo "FullPartialFractionExpansion (FPARFRAC)" >>${HELPFILE}
 
+${HELP}/FullyEvalableOver.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FullyEvalableOver.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FullyEvalableOver.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FullyEvalableOver.help
+	@cp ${HELP}/FullyEvalableOver.help ${HELP}/FEVALAB.help
+	@${TANGLE} -R"FullyEvalableOver.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FullyEvalableOver.input
+	@echo "FullyEvalableOver (FEVALAB)" >>${HELPFILE}
+
+${HELP}/FullyLinearlyExplicitRingOver.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FullyLinearlyExplicitRingOver.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FullyLinearlyExplicitRingOver.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FullyLinearlyExplicitRingOver.help
+	@cp ${HELP}/FullyLinearlyExplicitRingOver.help ${HELP}/FLINEXP.help
+	@${TANGLE} -R"FullyLinearlyExplicitRingOver.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FullyLinearlyExplicitRingOver.input
+	@echo "FullyLinearlyExplicitRingOver (FLINEXP)" >>${HELPFILE}
+
+${HELP}/FullyPatternMatchable.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FullyPatternMatchable.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FullyPatternMatchable.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FullyPatternMatchable.help
+	@cp ${HELP}/FullyPatternMatchable.help ${HELP}/FPATMAB.help
+	@${TANGLE} -R"FullyPatternMatchable.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FullyPatternMatchable.input
+	@echo "FullyPatternMatchable (FPATMAB)" >>${HELPFILE}
+
+${HELP}/FullyRetractableTo.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FullyRetractableTo.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FullyRetractableTo.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FullyRetractableTo.help
+	@cp ${HELP}/FullyRetractableTo.help ${HELP}/FRETRCT.help
+	@${TANGLE} -R"FullyRetractableTo.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FullyRetractableTo.input
+	@echo "FullyRetractableTo (FRETRCT)" >>${HELPFILE}
+
+${HELP}/FunctionFieldCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FunctionFieldCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FunctionFieldCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FunctionFieldCategory.help
+	@cp ${HELP}/FunctionFieldCategory.help ${HELP}/FFCAT.help
+	@${TANGLE} -R"FunctionFieldCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FunctionFieldCategory.input
+	@echo "FunctionFieldCategory (FFCAT)" >>${HELPFILE}
+
+${HELP}/FunctionSpace.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create FunctionSpace.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"FunctionSpace.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/FunctionSpace.help
+	@cp ${HELP}/FunctionSpace.help ${HELP}/FS.help
+	@${TANGLE} -R"FunctionSpace.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/FunctionSpace.input
+	@echo "FunctionSpace (FS)" >>${HELPFILE}
+
+${HELP}/GcdDomain.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create GcdDomain.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"GcdDomain.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/GcdDomain.help
+	@cp ${HELP}/GcdDomain.help ${HELP}/GCDDOM.help
+	@${TANGLE} -R"GcdDomain.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/GcdDomain.input
+	@echo "GcdDomain (GCDDOM)" >>${HELPFILE}
+
 ${HELP}/GeneralDistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7350 create GeneralDistributedMultivariatePolynomial.help \
@@ -19149,6 +20497,30 @@ ${HELP}/GeneralSparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/GeneralSparseTable.input
 	@echo "GeneralSparseTable (GSTBL)" >>${HELPFILE}
 
+${HELP}/GradedAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create GradedAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"GradedAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/GradedAlgebra.help
+	@cp ${HELP}/GradedAlgebra.help ${HELP}/GRALG.help
+	@${TANGLE} -R"GradedAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/GradedAlgebra.input
+	@echo "GradedAlgebra (GRALG)" >>${HELPFILE}
+
+${HELP}/GradedModule.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create GradedModule.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"GradedModule.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/GradedModule.help
+	@cp ${HELP}/GradedModule.help ${HELP}/GRMOD.help
+	@${TANGLE} -R"GradedModule.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/GradedModule.input
+	@echo "GradedModule (GRMOD)" >>${HELPFILE}
+
 ${HELP}/GroebnerFactorizationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7370 create GroebnerFactorizationPackage.help \
             from ${BOOKS}/bookvol10.4.pamphlet
@@ -19171,6 +20543,18 @@ ${HELP}/GroebnerPackage.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/GroebnerPackage.input
 	@echo "GroebnerPackage (GB)" >>${HELPFILE}
 
+${HELP}/Group.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Group.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Group.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Group.help
+	@cp ${HELP}/Group.help ${HELP}/GROUP.help
+	@${TANGLE} -R"Group.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Group.input
+	@echo "Group (GROUP)" >>${HELPFILE}
+
 ${HELP}/Heap.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7390 create Heap.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Heap.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19191,6 +20575,18 @@ ${HELP}/HexadecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
            ${BOOKS}/bookvol10.3.pamphlet >${INPUT}/HexadecimalExpansion.input
 	@echo "HexadecimalExpansion (HEXADEC)" >>${HELPFILE}
 
+${HELP}/HomogeneousAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create HomogeneousAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"HomogeneousAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/HomogeneousAggregate.help
+	@cp ${HELP}/HomogeneousAggregate.help ${HELP}/HOAGG.help
+	@${TANGLE} -R"HomogeneousAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/HomogeneousAggregate.input
+	@echo "HomogeneousAggregate (HOAGG)" >>${HELPFILE}
+
 ${HELP}/HomogeneousDistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7410 create HomogeneousDistributedMultivariatePolynomial.help \
@@ -19206,6 +20602,30 @@ ${HELP}/HomogeneousDistributedMultivariatePolynomial.help: \
 	@echo "HomogeneousDistributedMultivariatePolynomial (HDMP)" \
             >>${HELPFILE}
 
+${HELP}/HyperbolicFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create HyperbolicFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"HyperbolicFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/HyperbolicFunctionCategory.help
+	@cp ${HELP}/HyperbolicFunctionCategory.help ${HELP}/HYPCAT.help
+	@${TANGLE} -R"HyperbolicFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/HyperbolicFunctionCategory.input
+	@echo "HyperbolicFunctionCategory (HYPCAT)" >>${HELPFILE}
+
+${HELP}/IndexedAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create IndexedAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"IndexedAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/IndexedAggregate.help
+	@cp ${HELP}/IndexedAggregate.help ${HELP}/IXAGG.help
+	@${TANGLE} -R"IndexedAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/IndexedAggregate.input
+	@echo "IndexedAggregate (IXAGG)" >>${HELPFILE}
+
 ${HELP}/IndexedBits.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7415 create IndexedBits.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"IndexedBits.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19215,6 +20635,18 @@ ${HELP}/IndexedBits.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/IndexedBits.input
 	@echo "IndexedBits (IBITS)" >>${HELPFILE}
 
+${HELP}/IndexedDirectProductCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create IndexedDirectProductCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"IndexedDirectProductCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/IndexedDirectProductCategory.help
+	@cp ${HELP}/IndexedDirectProductCategory.help ${HELP}/IDPC.help
+	@${TANGLE} -R"IndexedDirectProductCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/IndexedDirectProductCategory.input
+	@echo "IndexedDirectProductCategory (IDPC)" >>${HELPFILE}
+
 ${HELP}/InfClsPt.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7417 create InfClsPt.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -19271,6 +20703,18 @@ ${HELP}/InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField.help: \
       "InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField (INFCLSPS)" \
       >>${HELPFILE}
 
+${HELP}/InnerEvalable.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create InnerEvalable.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"InnerEvalable.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/InnerEvalable.help
+	@cp ${HELP}/InnerEvalable.help ${HELP}/IEVALAB.help
+	@${TANGLE} -R"InnerEvalable.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/InnerEvalable.input
+	@echo "InnerEvalable (IEVALAB)" >>${HELPFILE}
+
 ${HELP}/Integer.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7425 create Integer.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Integer.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19304,6 +20748,18 @@ ${HELP}/IntegerLinearDependence.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/IntegerLinearDependence.input
 	@echo "IntegerLinearDependence (ZLINDEP)" >>${HELPFILE}
 
+${HELP}/IntegerNumberSystem.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create IntegerNumberSystem.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"IntegerNumberSystem.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/IntegerNumberSystem.help
+	@cp ${HELP}/IntegerNumberSystem.help ${HELP}/INS.help
+	@${TANGLE} -R"IntegerNumberSystem.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/IntegerNumberSystem.input
+	@echo "IntegerNumberSystem (INS)" >>${HELPFILE}
+
 ${HELP}/IntegerNumberTheoryFunctions.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7450 create IntegerNumberTheoryFunctions.help \
             from ${BOOKS}/bookvol10.4.pamphlet
@@ -19317,6 +20773,18 @@ ${HELP}/IntegerNumberTheoryFunctions.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/IntegerNumberTheoryFunctions.input
 	@echo "IntegerNumberTheoryFunctions (INTHEORY)" >>${HELPFILE}
 
+${HELP}/IntegralDomain.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create IntegralDomain.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"IntegralDomain.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/IntegralDomain.help
+	@cp ${HELP}/IntegralDomain.help ${HELP}/INTDOM.help
+	@${TANGLE} -R"IntegralDomain.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/IntegralDomain.input
+	@echo "IntegralDomain (INTDOM)" >>${HELPFILE}
+
 ${HELP}/InterfaceGroebnerPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7455 create InterfaceGroebnerPackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -19362,6 +20830,18 @@ ${HELP}/Interval.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Interval.input
 	@echo "Interval (INTRVL)" >>${HELPFILE}
 
+${HELP}/IntervalCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create IntervalCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"IntervalCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/IntervalCategory.help
+	@cp ${HELP}/IntervalCategory.help ${HELP}/INTCAT.help
+	@${TANGLE} -R"IntervalCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/IntervalCategory.input
+	@echo "IntervalCategory (INTCAT)" >>${HELPFILE}
+
 ${HELP}/Kernel.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7460 create Kernel.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Kernel.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19381,6 +20861,30 @@ ${HELP}/KeyedAccessFile.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/KeyedAccessFile.input
 	@echo "KeyedAccessFile (KAFILE)" >>${HELPFILE}
 
+${HELP}/KeyedDictionary.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create KeyedDictionary.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"KeyedDictionary.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/KeyedDictionary.help
+	@cp ${HELP}/KeyedDictionary.help ${HELP}/KDAGG.help
+	@${TANGLE} -R"KeyedDictionary.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/KeyedDictionary.input
+	@echo "KeyedDictionary (KDAGG)" >>${HELPFILE}
+
+${HELP}/LazyStreamAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create LazyStreamAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"LazyStreamAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/LazyStreamAggregate.help
+	@cp ${HELP}/LazyStreamAggregate.help ${HELP}/LZSTAGG.help
+	@${TANGLE} -R"LazyStreamAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/LazyStreamAggregate.input
+	@echo "LazyStreamAggregate (LZSTAGG)" >>${HELPFILE}
+
 ${HELP}/LazardSetSolvingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7480 create LazardSetSolvingPackage.help from \
               ${BOOKS}/bookvol10.4.pamphlet
@@ -19393,6 +20897,30 @@ ${HELP}/LazardSetSolvingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/LazardSetSolvingPackage.input
 	@echo "LazardSetSolvingPackage (LAZM3PK)" >>${HELPFILE}
 
+${HELP}/LeftAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create LeftAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"LeftAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/LeftAlgebra.help
+	@cp ${HELP}/LeftAlgebra.help ${HELP}/LALG.help
+	@${TANGLE} -R"LeftAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/LeftAlgebra.input
+	@echo "LeftAlgebra (LALG)" >>${HELPFILE}
+
+${HELP}/LeftModule.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create LeftModule.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"LeftModule.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/LeftModule.help
+	@cp ${HELP}/LeftModule.help ${HELP}/LMODULE.help
+	@${TANGLE} -R"LeftModule.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/LeftModule.input
+	@echo "LeftModule (LMODULE)" >>${HELPFILE}
+
 ${HELP}/LexTriangularPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7490 create LexTriangularPackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -19414,6 +20942,18 @@ ${HELP}/Library.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Library.input
 	@echo "Library (LIB)" >>${HELPFILE}
 
+${HELP}/LieAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create LieAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"LieAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/LieAlgebra.help
+	@cp ${HELP}/LieAlgebra.help ${HELP}/LIECAT.help
+	@${TANGLE} -R"LieAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/LieAlgebra.input
+	@echo "LieAlgebra (LIECAT)" >>${HELPFILE}
+
 ${HELP}/LieExponentials.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7510 create LieExponentials.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -19438,6 +20978,30 @@ ${HELP}/LiePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/LiePolynomial.input
 	@echo "LiePolynomial (LPOLY)" >>${HELPFILE}
 
+${HELP}/LinearlyExplicitRingOver.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create LinearlyExplicitRingOver.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"LinearlyExplicitRingOver.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/LinearlyExplicitRingOver.help
+	@cp ${HELP}/LinearlyExplicitRingOver.help ${HELP}/LINEXP.help
+	@${TANGLE} -R"LinearlyExplicitRingOver.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/LinearlyExplicitRingOver.input
+	@echo "LinearlyExplicitRingOver (LINEXP)" >>${HELPFILE}
+
+${HELP}/LinearAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create LinearAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"LinearAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/LinearAggregate.help
+	@cp ${HELP}/LinearAggregate.help ${HELP}/LNAGG.help
+	@${TANGLE} -R"LinearAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/LinearAggregate.input
+	@echo "LinearAggregate (LNAGG)" >>${HELPFILE}
+
 ${HELP}/LinearOrdinaryDifferentialOperator.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7530 create LinearOrdinaryDifferentialOperator.help \
            from ${BOOKS}/bookvol10.3.pamphlet
@@ -19476,6 +21040,21 @@ ${HELP}/LinearOrdinaryDifferentialOperator2.help: \
             >${INPUT}/LinearOrdinaryDifferentialOperator2.input
 	@echo "LinearOrdinaryDifferentialOperator2 (LODO2)" >>${HELPFILE}
 
+${HELP}/LinearOrdinaryDifferentialOperatorCategory.help: \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create LinearOrdinaryDifferentialOperatorCategory.help \
+           from ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"LinearOrdinaryDifferentialOperatorCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/LinearOrdinaryDifferentialOperatorCategory.help
+	@cp ${HELP}/LinearOrdinaryDifferentialOperatorCategory.help \
+           ${HELP}/LODOCAT.help
+	@${TANGLE} -R"LinearOrdinaryDifferentialOperatorCategory.input" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${INPUT}/LinearOrdinaryDifferentialOperatorCategory.input
+	@echo "LinearOrdinaryDifferentialOperatorCategory (LODOCAT)" \
+           >>${HELPFILE}
+
 ${HELP}/LinearSystemFromPowerSeriesPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7555 create LinearSystemFromPowerSeriesPackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -19489,6 +21068,30 @@ ${HELP}/LinearSystemFromPowerSeriesPackage.help: ${BOOKS}/bookvol10.4.pamphlet
            >${INPUT}/LinearSystemFromPowerSeriesPackage.input
 	@echo "LinearSystemFromPowerSeriesPackage (LISYSER)" >>${HELPFILE}
 
+${HELP}/ListAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create ListAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"ListAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/ListAggregate.help
+	@cp ${HELP}/ListAggregate.help ${HELP}/LSAGG.help
+	@${TANGLE} -R"ListAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/ListAggregate.input
+	@echo "ListAggregate (LSAGG)" >>${HELPFILE}
+
+${HELP}/LiouvillianFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create LiouvillianFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"LiouvillianFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/LiouvillianFunctionCategory.help
+	@cp ${HELP}/LiouvillianFunctionCategory.help ${HELP}/LFCAT.help
+	@${TANGLE} -R"LiouvillianFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/LiouvillianFunctionCategory.input
+	@echo "LiouvillianFunctionCategory (LFCAT)" >>${HELPFILE}
+
 ${HELP}/List.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7560 create List.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"List.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19534,6 +21137,18 @@ ${HELP}/LocalPowerSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/LocalPowerSeriesCategory.input
 	@echo "LocalPowerSeriesCategory (LOCPOWC)" >>${HELPFILE}
 
+${HELP}/Logic.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Logic.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Logic.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Logic.help
+	@cp ${HELP}/Logic.help ${HELP}/LOGIC.help
+	@${TANGLE} -R"Logic.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Logic.input
+	@echo "Logic (LOGIC)" >>${HELPFILE}
+
 ${HELP}/LyndonWord.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7570 create LyndonWord.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -19625,6 +21240,90 @@ ${HELP}/MatrixCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/MatrixCategory.input
 	@echo "MatrixCategory (MATCAT)" >>${HELPFILE}
 
+${HELP}/Module.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Module.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Module.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Module.help
+	@cp ${HELP}/Module.help ${HELP}/MODULE.help
+	@${TANGLE} -R"Module.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Module.input
+	@echo "Module (MODULE)" >>${HELPFILE}
+
+${HELP}/Monad.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Monad.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Monad.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Monad.help
+	@cp ${HELP}/Monad.help ${HELP}/MONAD.help
+	@${TANGLE} -R"Monad.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Monad.input
+	@echo "Monad (MONAD)" >>${HELPFILE}
+
+${HELP}/MonadWithUnit.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create MonadWithUnit.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"MonadWithUnit.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/MonadWithUnit.help
+	@cp ${HELP}/MonadWithUnit.help ${HELP}/MONADWU.help
+	@${TANGLE} -R"MonadWithUnit.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/MonadWithUnit.input
+	@echo "MonadWithUnit (MONADWU)" >>${HELPFILE}
+
+${HELP}/MonogenicAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create MonogenicAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"MonogenicAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/MonogenicAlgebra.help
+	@cp ${HELP}/MonogenicAlgebra.help ${HELP}/MONOGEN.help
+	@${TANGLE} -R"MonogenicAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/MonogenicAlgebra.input
+	@echo "MonogenicAlgebra (MONOGEN)" >>${HELPFILE}
+
+${HELP}/MonogenicLinearOperator.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create MonogenicLinearOperator.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"MonogenicLinearOperator.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/MonogenicLinearOperator.help
+	@cp ${HELP}/MonogenicLinearOperator.help ${HELP}/MLO.help
+	@${TANGLE} -R"MonogenicLinearOperator.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/MonogenicLinearOperator.input
+	@echo "MonogenicLinearOperator (MLO)" >>${HELPFILE}
+
+${HELP}/Monoid.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Monoid.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Monoid.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Monoid.help
+	@cp ${HELP}/Monoid.help ${HELP}/MONOID.help
+	@${TANGLE} -R"Monoid.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Monoid.input
+	@echo "Monoid (MONOID)" >>${HELPFILE}
+
+${HELP}/MultiDictionary.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create MultiDictionary.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"MultiDictionary.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/MultiDictionary.help
+	@cp ${HELP}/MultiDictionary.help ${HELP}/MDAGG.help
+	@${TANGLE} -R"MultiDictionary.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/MultiDictionary.input
+	@echo "MultiDictionary (MDAGG)" >>${HELPFILE}
+
 ${HELP}/Multiset.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7650 create Multiset.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Multiset.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19634,6 +21333,18 @@ ${HELP}/Multiset.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Multiset.input
 	@echo "Multiset (MSET)" >>${HELPFILE}
 
+${HELP}/MultisetAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create MultisetAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"MultisetAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/MultisetAggregate.help
+	@cp ${HELP}/MultisetAggregate.help ${HELP}/MSETAGG.help
+	@${TANGLE} -R"MultisetAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/MultisetAggregate.input
+	@echo "MultisetAggregate (MSETAGG)" >>${HELPFILE}
+
 ${HELP}/MultivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7660 create MultivariatePolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -19646,6 +21357,18 @@ ${HELP}/MultivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/MultivariatePolynomial.input
 	@echo "MultivariatePolynomial (MPOLY)" >>${HELPFILE}
 
+${HELP}/MultivariateTaylorSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create MultivariateTaylorSeriesCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"MultivariateTaylorSeriesCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/MultivariateTaylorSeriesCategory.help
+	@cp ${HELP}/MultivariateTaylorSeriesCategory.help ${HELP}/MTSCAT.help
+	@${TANGLE} -R"MultivariateTaylorSeriesCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/MultivariateTaylorSeriesCategory.input
+	@echo "MultivariateTaylorSeriesCategory (MTSCAT)" >>${HELPFILE}
+
 ${HELP}/NagEigenPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7670 create NagEigenPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
@@ -19797,6 +21520,42 @@ ${HELP}/NewtonPolygon.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/NewtonPolygon.input
 	@echo "NewtonPolygon (NPOLYGON)" >>${HELPFILE}
 
+${HELP}/NonAssociativeAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create NonAssociativeAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"NonAssociativeAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/NonAssociativeAlgebra.help
+	@cp ${HELP}/NonAssociativeAlgebra.help ${HELP}/NAALG.help
+	@${TANGLE} -R"NonAssociativeAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/NonAssociativeAlgebra.input
+	@echo "NonAssociativeAlgebra (NAALG)" >>${HELPFILE}
+
+${HELP}/NonAssociativeRing.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create NonAssociativeRing.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"NonAssociativeRing.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/NonAssociativeRing.help
+	@cp ${HELP}/NonAssociativeRing.help ${HELP}/NASRING.help
+	@${TANGLE} -R"NonAssociativeRing.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/NonAssociativeRing.input
+	@echo "NonAssociativeRing (NASRING)" >>${HELPFILE}
+
+${HELP}/NonAssociativeRng.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create NonAssociativeRng.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"NonAssociativeRng.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/NonAssociativeRng.help
+	@cp ${HELP}/NonAssociativeRng.help ${HELP}/NARNG.help
+	@${TANGLE} -R"NonAssociativeRng.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/NonAssociativeRng.input
+	@echo "NonAssociativeRng (NARNG)" >>${HELPFILE}
+
 ${HELP}/None.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7810 create None.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"None.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19806,6 +21565,18 @@ ${HELP}/None.help: ${BOOKS}/bookvol10.3.pamphlet
              >${INPUT}/None.input
 	@echo "None (NONE)" >>${HELPFILE}
 
+${HELP}/NormalizedTriangularSetCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create NormalizedTriangularSetCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"NormalizedTriangularSetCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/NormalizedTriangularSetCategory.help
+	@cp ${HELP}/NormalizedTriangularSetCategory.help ${HELP}/NTSCAT.help
+	@${TANGLE} -R"NormalizedTriangularSetCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/NormalizedTriangularSetCategory.input
+	@echo "NormalizedTriangularSetCategory (NTSCAT)" >>${HELPFILE}
+
 ${HELP}/NottinghamGroup.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7820 create NottinghamGroup.help from \
              ${BOOKS}/bookvol10.3.pamphlet
@@ -19816,6 +21587,30 @@ ${HELP}/NottinghamGroup.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/NottinghamGroup.input
 	@echo "NottinghamGroup (NOTTING)" >>${HELPFILE}
 
+${HELP}/NumericalIntegrationCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create NumericalIntegrationCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"NumericalIntegrationCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/NumericalIntegrationCategory.help
+	@cp ${HELP}/NumericalIntegrationCategory.help ${HELP}/NUMINT.help
+	@${TANGLE} -R"NumericalIntegrationCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/NumericalIntegrationCategory.input
+	@echo "NumericalIntegrationCategory (NUMINT)" >>${HELPFILE}
+
+${HELP}/NumericalOptimizationCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create NumericalOptimizationCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"NumericalOptimizationCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/NumericalOptimizationCategory.help
+	@cp ${HELP}/NumericalOptimizationCategory.help ${HELP}/OPTCAT.help
+	@${TANGLE} -R"NumericalOptimizationCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/NumericalOptimizationCategory.input
+	@echo "NumericalOptimizationCategory (OPTCAT)" >>${HELPFILE}
+
 ${HELP}/Octonion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7830 create Octonion.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Octonion.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19825,6 +21620,18 @@ ${HELP}/Octonion.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Octonion.input
 	@echo "Octonion (OCT)" >>${HELPFILE}
 
+${HELP}/OctonionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OctonionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OctonionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OctonionCategory.help
+	@cp ${HELP}/OctonionCategory.help ${HELP}/OC.help
+	@${TANGLE} -R"OctonionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OctonionCategory.input
+	@echo "OctonionCategory (OC)" >>${HELPFILE}
+
 ${HELP}/OneDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7840 create OneDimensionalArray.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -19836,6 +21643,30 @@ ${HELP}/OneDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/OneDimensionalArray.input
 	@echo "OneDimensionalArray (ARRAY1)" >>${HELPFILE}
 
+${HELP}/OneDimensionalArrayAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OneDimensionalArrayAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OneDimensionalArrayAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OneDimensionalArrayAggregate.help
+	@cp ${HELP}/OneDimensionalArrayAggregate.help ${HELP}/A1AGG.help
+	@${TANGLE} -R"OneDimensionalArrayAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OneDimensionalArrayAggregate.input
+	@echo "OneDimensionalArrayAggregate (A1AGG)" >>${HELPFILE}
+
+${HELP}/OpenMath.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OpenMath.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OpenMath.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OpenMath.help
+	@cp ${HELP}/OpenMath.help ${HELP}/OM.help
+	@${TANGLE} -R"OpenMath.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OpenMath.input
+	@echo "OpenMath (OM)" >>${HELPFILE}
+
 ${HELP}/Operator.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7850 create Operator.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Operator.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19845,6 +21676,78 @@ ${HELP}/Operator.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Operator.input
 	@echo "Operator (OP)" >>${HELPFILE}
 
+${HELP}/OrderedAbelianGroup.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedAbelianGroup.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedAbelianGroup.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedAbelianGroup.help
+	@cp ${HELP}/OrderedAbelianGroup.help ${HELP}/OAGROUP.help
+	@${TANGLE} -R"OrderedAbelianGroup.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedAbelianGroup.input
+	@echo "OrderedAbelianGroup (OAGROUP)" >>${HELPFILE}
+
+${HELP}/OrderedAbelianMonoid.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedAbelianMonoid.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedAbelianMonoid.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedAbelianMonoid.help
+	@cp ${HELP}/OrderedAbelianMonoid.help ${HELP}/OAMON.help
+	@${TANGLE} -R"OrderedAbelianMonoid.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedAbelianMonoid.input
+	@echo "OrderedAbelianMonoid (OAMON)" >>${HELPFILE}
+
+${HELP}/OrderedAbelianMonoidSup.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedAbelianMonoidSup.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedAbelianMonoidSup.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedAbelianMonoidSup.help
+	@cp ${HELP}/OrderedAbelianMonoidSup.help ${HELP}/OAMONS.help
+	@${TANGLE} -R"OrderedAbelianMonoidSup.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedAbelianMonoidSup.input
+	@echo "OrderedAbelianMonoidSup (OAMONS)" >>${HELPFILE}
+
+${HELP}/OrderedAbelianSemiGroup.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedAbelianSemiGroup.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedAbelianSemiGroup.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedAbelianSemiGroup.help
+	@cp ${HELP}/OrderedAbelianSemiGroup.help ${HELP}/OASGP.help
+	@${TANGLE} -R"OrderedAbelianSemiGroup.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedAbelianSemiGroup.input
+	@echo "OrderedAbelianSemiGroup (OASGP)" >>${HELPFILE}
+
+${HELP}/OrderedCancellationAbelianMonoid.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedCancellationAbelianMonoid.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedCancellationAbelianMonoid.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedCancellationAbelianMonoid.help
+	@cp ${HELP}/OrderedCancellationAbelianMonoid.help ${HELP}/OCAMON.help
+	@${TANGLE} -R"OrderedCancellationAbelianMonoid.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedCancellationAbelianMonoid.input
+	@echo "OrderedCancellationAbelianMonoid (OCAMON)" >>${HELPFILE}
+
+${HELP}/OrderedFinite.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedFinite.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedFinite.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedFinite.help
+	@cp ${HELP}/OrderedFinite.help ${HELP}/ORDFIN.help
+	@${TANGLE} -R"OrderedFinite.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedFinite.input
+	@echo "OrderedFinite (ORDFIN)" >>${HELPFILE}
+
 ${HELP}/OrderedFreeMonoid.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7855 create OrderedFreeMonoid.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -19855,6 +21758,66 @@ ${HELP}/OrderedFreeMonoid.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/OrderedFreeMonoid.input
 	@echo "OrderedFreeMonoid (OFMONOID)" >>${HELPFILE}
 
+${HELP}/OrderedIntegralDomain.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedIntegralDomain.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedIntegralDomain.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedIntegralDomain.help
+	@cp ${HELP}/OrderedIntegralDomain.help ${HELP}/OINTDOM.help
+	@${TANGLE} -R"OrderedIntegralDomain.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedIntegralDomain.input
+	@echo "OrderedIntegralDomain (OINTDOM)" >>${HELPFILE}
+
+${HELP}/OrderedMonoid.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedMonoid.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedMonoid.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedMonoid.help
+	@cp ${HELP}/OrderedMonoid.help ${HELP}/ORDMON.help
+	@${TANGLE} -R"OrderedMonoid.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedMonoid.input
+	@echo "OrderedMonoid (ORDMON)" >>${HELPFILE}
+
+${HELP}/OrderedMultisetAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedMultisetAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedMultisetAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedMultisetAggregate.help
+	@cp ${HELP}/OrderedMultisetAggregate.help ${HELP}/OMSAGG.help
+	@${TANGLE} -R"OrderedMultisetAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedMultisetAggregate.input
+	@echo "OrderedMultisetAggregate (OMSAGG)" >>${HELPFILE}
+
+${HELP}/OrderedRing.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedRing.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedRing.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedRing.help
+	@cp ${HELP}/OrderedRing.help ${HELP}/ORDRING.help
+	@${TANGLE} -R"OrderedRing.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedRing.input
+	@echo "OrderedRing (ORDRING)" >>${HELPFILE}
+
+${HELP}/OrderedSet.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create OrderedSet.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrderedSet.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrderedSet.help
+	@cp ${HELP}/OrderedSet.help ${HELP}/ORDSET.help
+	@${TANGLE} -R"OrderedSet.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrderedSet.input
+	@echo "OrderedSet (ORDSET)" >>${HELPFILE}
+
 ${HELP}/OrderedVariableList.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7860 create OrderedVariableList.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -19879,6 +21842,22 @@ ${HELP}/OrderlyDifferentialPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/OrderlyDifferentialPolynomial.input
 	@echo "OrderlyDifferentialPolynomial (ODPOL)" >>${HELPFILE}
 
+${HELP}/OrdinaryDifferentialEquationsSolverCategory.help: \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create \
+           OrdinaryDifferentialEquationsSolverCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"OrdinaryDifferentialEquationsSolverCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/OrdinaryDifferentialEquationsSolverCategory.help
+	@cp ${HELP}/OrdinaryDifferentialEquationsSolverCategory.help \
+            ${HELP}/ODECAT.help
+	@${TANGLE} -R"OrdinaryDifferentialEquationsSolverCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/OrdinaryDifferentialEquationsSolverCategory.input
+	@echo "OrdinaryDifferentialEquationsSolverCategory (ODECAT)" \
+           >>${HELPFILE}
+
 ${HELP}/PackageForAlgebraicFunctionField.help: \
            ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7875 make PackageForAlgebraicFunctionField.help \
@@ -19919,6 +21898,18 @@ ${HELP}/PackageForPoly.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/PackageForPoly.input
 	@echo "PackageForPoly (PFORP)" >>${HELPFILE}
 
+${HELP}/PAdicIntegerCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PAdicIntegerCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PAdicIntegerCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PAdicIntegerCategory.help
+	@cp ${HELP}/PAdicIntegerCategory.help ${HELP}/PADICCT.help
+	@${TANGLE} -R"PAdicIntegerCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PAdicIntegerCategory.input
+	@echo "PAdicIntegerCategory (PADICCT)" >>${HELPFILE}
+
 ${HELP}/ParametrizationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7882 create ParametrizationPackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -19931,6 +21922,34 @@ ${HELP}/ParametrizationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
            >${INPUT}/ParametrizationPackage.input
 	@echo "ParametrizationPackage (PARAMP)" >>${HELPFILE}
 
+${HELP}/PartialDifferentialEquationsSolverCategory.help: \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create \
+           PartialDifferentialEquationsSolverCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PartialDifferentialEquationsSolverCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PartialDifferentialEquationsSolverCategory.help
+	@cp ${HELP}/PartialDifferentialEquationsSolverCategory.help \
+           ${HELP}/PDECAT.help
+	@${TANGLE} -R"PartialDifferentialEquationsSolverCategory.input" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${INPUT}/PartialDifferentialEquationsSolverCategory.input
+	@echo "PartialDifferentialEquationsSolverCategory (PDECAT)" \
+           >>${HELPFILE}
+
+${HELP}/PartialDifferentialRing.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PartialDifferentialRing.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PartialDifferentialRing.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PartialDifferentialRing.help
+	@cp ${HELP}/PartialDifferentialRing.help ${HELP}/PDRING.help
+	@${TANGLE} -R"PartialDifferentialRing.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PartialDifferentialRing.input
+	@echo "PartialDifferentialRing (PDRING)" >>${HELPFILE}
+
 ${HELP}/PartialFraction.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7884 create PartialFraction.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -19953,6 +21972,42 @@ ${HELP}/PartialFractionPackage.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/PartialFractionPackage.input
 	@echo "PartialFractionPackage (PFRPAC)" >>${HELPFILE}
 
+${HELP}/PartialTranscendentalFunctions.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PartialTranscendentalFunctions.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PartialTranscendentalFunctions.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PartialTranscendentalFunctions.help
+	@cp ${HELP}/PartialTranscendentalFunctions.help ${HELP}/PTRANFN.help
+	@${TANGLE} -R"PartialTranscendentalFunctions.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PartialTranscendentalFunctions.input
+	@echo "PartialTranscendentalFunctions (PTRANFN)" >>${HELPFILE}
+
+${HELP}/Patternable.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Patternable.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Patternable.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Patternable.help
+	@cp ${HELP}/Patternable.help ${HELP}/PATAB.help
+	@${TANGLE} -R"Patternable.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Patternable.input
+	@echo "Patternable (PATAB)" >>${HELPFILE}
+
+${HELP}/PatternMatchable.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PatternMatchable.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PatternMatchable.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PatternMatchable.help
+	@cp ${HELP}/PatternMatchable.help ${HELP}/PATMAB.help
+	@${TANGLE} -R"PatternMatchable.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PatternMatchable.input
+	@echo "PatternMatchable (PATMAB)" >>${HELPFILE}
+
 ${HELP}/Permanent.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7890 create Permanent.help from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"Permanent.help" ${BOOKS}/bookvol10.4.pamphlet \
@@ -19971,6 +22026,18 @@ ${HELP}/Permutation.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Permutation.input
 	@echo "Permutation (PERM)" >>${HELPFILE}
 
+${HELP}/PermutationCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PermutationCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PermutationCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PermutationCategory.help
+	@cp ${HELP}/PermutationCategory.help ${HELP}/PERMCAT.help
+	@${TANGLE} -R"PermutationCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PermutationCategory.input
+	@echo "PermutationCategory (PERMCAT)" >>${HELPFILE}
+
 ${HELP}/Places.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7905 create Places.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -20041,6 +22108,42 @@ ${HELP}/Plot.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Plot.input
 	@echo "Plot (PLOT)" >>${HELPFILE}
 
+${HELP}/PlottablePlaneCurveCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PlottablePlaneCurveCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PlottablePlaneCurveCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PlottablePlaneCurveCategory.help
+	@cp ${HELP}/PlottablePlaneCurveCategory.help ${HELP}/PPCURVE.help
+	@${TANGLE} -R"PlottablePlaneCurveCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PlottablePlaneCurveCategory.input
+	@echo "PlottablePlaneCurveCategory (PPCURVE)" >>${HELPFILE}
+
+${HELP}/PlottableSpaceCurveCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PlottableSpaceCurveCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PlottableSpaceCurveCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PlottableSpaceCurveCategory.help
+	@cp ${HELP}/PlottableSpaceCurveCategory.help ${HELP}/PSCURVE.help
+	@${TANGLE} -R"PlottableSpaceCurveCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PlottableSpaceCurveCategory.input
+	@echo "PlottableSpaceCurveCategory (PSCURVE)" >>${HELPFILE}
+
+${HELP}/PointCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PointCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PointCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PointCategory.help
+	@cp ${HELP}/PointCategory.help ${HELP}/PTCAT.help
+	@${TANGLE} -R"PointCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PointCategory.input
+	@echo "PointCategory (PTCAT)" >>${HELPFILE}
+
 ${HELP}/Polynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7930 create Polynomial.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Polynomial.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20050,6 +22153,30 @@ ${HELP}/Polynomial.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Polynomial.input
 	@echo "Polynomial (POLY)" >>${HELPFILE}
 
+${HELP}/PolynomialCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PolynomialCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PolynomialCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PolynomialCategory.help
+	@cp ${HELP}/PolynomialCategory.help ${HELP}/POLYCAT.help
+	@${TANGLE} -R"PolynomialCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PolynomialCategory.input
+	@echo "PolynomialCategory (POLYCAT)" >>${HELPFILE}
+
+${HELP}/PolynomialFactorizationExplicit.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PolynomialFactorizationExplicit.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PolynomialFactorizationExplicit.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PolynomialFactorizationExplicit.help
+	@cp ${HELP}/PolynomialFactorizationExplicit.help ${HELP}/PFECAT.help
+	@${TANGLE} -R"PolynomialFactorizationExplicit.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PolynomialFactorizationExplicit.input
+	@echo "PolynomialFactorizationExplicit (PFECAT)" >>${HELPFILE}
+
 ${HELP}/PolynomialPackageForCurve.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7933 create PolynomialPackageForCurve.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -20062,6 +22189,66 @@ ${HELP}/PolynomialPackageForCurve.help: ${BOOKS}/bookvol10.4.pamphlet
            >${INPUT}/PolynomialPackageForCurve.input
 	@echo "PolynomialPackageForCurve (PLPKCRV)" >>${HELPFILE}
 
+${HELP}/PolynomialSetCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PolynomialSetCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PolynomialSetCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PolynomialSetCategory.help
+	@cp ${HELP}/PolynomialSetCategory.help ${HELP}/PSETCAT.help
+	@${TANGLE} -R"PolynomialSetCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PolynomialSetCategory.input
+	@echo "PolynomialSetCategory (PSETCAT)" >>${HELPFILE}
+
+${HELP}/PowerSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PowerSeriesCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PowerSeriesCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PowerSeriesCategory.help
+	@cp ${HELP}/PowerSeriesCategory.help ${HELP}/PSCAT.help
+	@${TANGLE} -R"PowerSeriesCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PowerSeriesCategory.input
+	@echo "PowerSeriesCategory (PSCAT)" >>${HELPFILE}
+
+${HELP}/PrimitiveFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PrimitiveFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PrimitiveFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PrimitiveFunctionCategory.help
+	@cp ${HELP}/PrimitiveFunctionCategory.help ${HELP}/PRIMCAT.help
+	@${TANGLE} -R"PrimitiveFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PrimitiveFunctionCategory.input
+	@echo "PrimitiveFunctionCategory (PRIMCAT)" >>${HELPFILE}
+
+${HELP}/PrincipalIdealDomain.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PrincipalIdealDomain.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PrincipalIdealDomain.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PrincipalIdealDomain.help
+	@cp ${HELP}/PrincipalIdealDomain.help ${HELP}/PID.help
+	@${TANGLE} -R"PrincipalIdealDomain.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PrincipalIdealDomain.input
+	@echo "PrincipalIdealDomain (PID)" >>${HELPFILE}
+
+${HELP}/PriorityQueueAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create PriorityQueueAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"PriorityQueueAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/PriorityQueueAggregate.help
+	@cp ${HELP}/PriorityQueueAggregate.help ${HELP}/PRQAGG.help
+	@${TANGLE} -R"PriorityQueueAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/PriorityQueueAggregate.input
+	@echo "PriorityQueueAggregate (PRQAGG)" >>${HELPFILE}
+
 ${HELP}/Product.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7935 create Product.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Product.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20271,6 +22458,18 @@ ${HELP}/Quaternion.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Quaternion.input
 	@echo "Quaternion (QUAT)" >>${HELPFILE}
 
+${HELP}/QuaternionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create QuaternionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"QuaternionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/QuaternionCategory.help
+	@cp ${HELP}/QuaternionCategory.help ${HELP}/QUATCAT.help
+	@${TANGLE} -R"QuaternionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/QuaternionCategory.input
+	@echo "QuaternionCategory (QUATCAT)" >>${HELPFILE}
+
 ${HELP}/QuaternionCategoryFunctions2.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7949 create QuaternionCategoryFunctions2.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -20292,6 +22491,42 @@ ${HELP}/Queue.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Queue.input
 	@echo "Queue (QUEUE)" >>${HELPFILE}
 
+${HELP}/QueueAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create QueueAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"QueueAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/QueueAggregate.help
+	@cp ${HELP}/QueueAggregate.help ${HELP}/QUAGG.help
+	@${TANGLE} -R"QueueAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/QueueAggregate.input
+	@echo "QueueAggregate (QUAGG)" >>${HELPFILE}
+
+${HELP}/QuotientFieldCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create QuotientFieldCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"QuotientFieldCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/QuotientFieldCategory.help
+	@cp ${HELP}/QuotientFieldCategory.help ${HELP}/QFCAT.help
+	@${TANGLE} -R"QuotientFieldCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/QuotientFieldCategory.input
+	@echo "QuotientFieldCategory (QFCAT)" >>${HELPFILE}
+
+${HELP}/RadicalCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RadicalCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RadicalCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RadicalCategory.help
+	@cp ${HELP}/RadicalCategory.help ${HELP}/RADCAT.help
+	@${TANGLE} -R"RadicalCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RadicalCategory.input
+	@echo "RadicalCategory (RADCAT)" >>${HELPFILE}
+
 ${HELP}/RadicalSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7955 create RadicalSolvePackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -20326,6 +22561,18 @@ ${HELP}/RationalFunctionSum.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/RationalFunctionSum.input
 	@echo "RationalFunctionSum (SUMRF)" >>${HELPFILE}
 
+${HELP}/RealClosedField.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RealClosedField.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RealClosedField.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RealClosedField.help
+	@cp ${HELP}/RealClosedField.help ${HELP}/RCFIELD.help
+	@${TANGLE} -R"RealClosedField.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RealClosedField.input
+	@echo "RealClosedField (RCFIELD)" >>${HELPFILE}
+
 ${HELP}/RealClosure.help: ${BOOKS}/bookvol10.3.pamphlet 
 	@echo 7970 create RealClosure.help from ${BOOKS}/bookvol10.3.pamphlet 
 	@${TANGLE} -R"RealClosure.help" ${BOOKS}/bookvol10.3.pamphlet  \
@@ -20335,6 +22582,42 @@ ${HELP}/RealClosure.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/RealClosure.input
 	@echo "RealClosure (RECLOS)" >>${HELPFILE}
 
+${HELP}/RealConstant.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RealConstant.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RealConstant.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RealConstant.help
+	@cp ${HELP}/RealConstant.help ${HELP}/REAL.help
+	@${TANGLE} -R"RealConstant.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RealConstant.input
+	@echo "RealConstant (REAL)" >>${HELPFILE}
+
+${HELP}/RealNumberSystem.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RealNumberSystem.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RealNumberSystem.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RealNumberSystem.help
+	@cp ${HELP}/RealNumberSystem.help ${HELP}/RNS.help
+	@${TANGLE} -R"RealNumberSystem.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RealNumberSystem.input
+	@echo "RealNumberSystem (RNS)" >>${HELPFILE}
+
+${HELP}/RealRootCharacterizationCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RealRootCharacterizationCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RealRootCharacterizationCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RealRootCharacterizationCategory.help
+	@cp ${HELP}/RealRootCharacterizationCategory.help ${HELP}/RRCC.help
+	@${TANGLE} -R"RealRootCharacterizationCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RealRootCharacterizationCategory.input
+	@echo "RealRootCharacterizationCategory (RRCC)" >>${HELPFILE}
+
 ${HELP}/RealSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet 
 	@echo 7980 create RealSolvePackage.help from \
           ${BOOKS}/bookvol10.4.pamphlet 
@@ -20345,6 +22628,42 @@ ${HELP}/RealSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/RealSolvePackage.input
 	@echo "RealSolvePackage (REALSOLV)" >>${HELPFILE}
 
+${HELP}/RectangularMatrixCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RectangularMatrixCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RectangularMatrixCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RectangularMatrixCategory.help
+	@cp ${HELP}/RectangularMatrixCategory.help ${HELP}/RMATCAT.help
+	@${TANGLE} -R"RectangularMatrixCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RectangularMatrixCategory.input
+	@echo "RectangularMatrixCategory (RMATCAT)" >>${HELPFILE}
+
+${HELP}/RecursivePolynomialCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RecursivePolynomialCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RecursivePolynomialCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RecursivePolynomialCategory.help
+	@cp ${HELP}/RecursivePolynomialCategory.help ${HELP}/RPOLCAT.help
+	@${TANGLE} -R"RecursivePolynomialCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RecursivePolynomialCategory.input
+	@echo "RecursivePolynomialCategory (RPOLCAT)" >>${HELPFILE}
+
+${HELP}/RecursiveAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RecursiveAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RecursiveAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RecursiveAggregate.help
+	@cp ${HELP}/RecursiveAggregate.help ${HELP}/RCAGG.help
+	@${TANGLE} -R"RecursiveAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RecursiveAggregate.input
+	@echo "RecursiveAggregate (RCAGG)" >>${HELPFILE}
+
 ${HELP}/RegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7990 create RegularTriangularSet.help from \
           ${BOOKS}/bookvol10.3.pamphlet
@@ -20357,6 +22676,66 @@ ${HELP}/RegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/RegularTriangularSet.input
 	@echo "RegularTriangularSet (REGSET)" >>${HELPFILE}
 
+${HELP}/RegularTriangularSetCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RegularTriangularSetCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RegularTriangularSetCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RegularTriangularSetCategory.help
+	@cp ${HELP}/RegularTriangularSetCategory.help ${HELP}/RSETCAT.help
+	@${TANGLE} -R"RegularTriangularSetCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RegularTriangularSetCategory.input
+	@echo "RegularTriangularSetCategory (RSETCAT)" >>${HELPFILE}
+
+${HELP}/RetractableTo.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RetractableTo.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RetractableTo.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RetractableTo.help
+	@cp ${HELP}/RetractableTo.help ${HELP}/RETRACT.help
+	@${TANGLE} -R"RetractableTo.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RetractableTo.input
+	@echo "RetractableTo (RETRACT)" >>${HELPFILE}
+
+${HELP}/RightModule.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create RightModule.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"RightModule.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/RightModule.help
+	@cp ${HELP}/RightModule.help ${HELP}/RMODULE.help
+	@${TANGLE} -R"RightModule.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/RightModule.input
+	@echo "RightModule (RMODULE)" >>${HELPFILE}
+
+${HELP}/Ring.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Ring.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Ring.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Ring.help
+	@cp ${HELP}/Ring.help ${HELP}/RING.help
+	@${TANGLE} -R"Ring.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Ring.input
+	@echo "Ring (RING)" >>${HELPFILE}
+
+${HELP}/Rng.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create Rng.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"Rng.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/Rng.help
+	@cp ${HELP}/Rng.help ${HELP}/RNG.help
+	@${TANGLE} -R"Rng.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/Rng.input
+	@echo "Rng (RNG)" >>${HELPFILE}
+
 ${HELP}/RomanNumeral.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8000 create RomanNumeral.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"RomanNumeral.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20396,6 +22775,42 @@ ${HELP}/SegmentBinding.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/SegmentBinding.input
 	@echo "SegmentBinding (SEGBIND)" >>${HELPFILE}
 
+${HELP}/SegmentCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create SegmentCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"SegmentCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/SegmentCategory.help
+	@cp ${HELP}/SegmentCategory.help ${HELP}/SEGCAT.help
+	@${TANGLE} -R"SegmentCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/SegmentCategory.input
+	@echo "SegmentCategory (SEGCAT)" >>${HELPFILE}
+
+${HELP}/SegmentExpansionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create SegmentExpansionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"SegmentExpansionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/SegmentExpansionCategory.help
+	@cp ${HELP}/SegmentExpansionCategory.help ${HELP}/SEGXCAT.help
+	@${TANGLE} -R"SegmentExpansionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/SegmentExpansionCategory.input
+	@echo "SegmentExpansionCategory (SEGXCAT)" >>${HELPFILE}
+
+${HELP}/SemiGroup.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create SemiGroup.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"SemiGroup.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/SemiGroup.help
+	@cp ${HELP}/SemiGroup.help ${HELP}/SGROUP.help
+	@${TANGLE} -R"SemiGroup.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/SemiGroup.input
+	@echo "SemiGroup (SGROUP)" >>${HELPFILE}
+
 ${HELP}/Set.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8030 create Set.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Set.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20405,6 +22820,30 @@ ${HELP}/Set.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Set.input
 	@echo "Set (SET)" >>${HELPFILE}
 
+${HELP}/SetAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create SetAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"SetAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/SetAggregate.help
+	@cp ${HELP}/SetAggregate.help ${HELP}/SETAGG.help
+	@${TANGLE} -R"SetAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/SetAggregate.input
+	@echo "SetAggregate (SETAGG)" >>${HELPFILE}
+
+${HELP}/SetCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create SetCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"SetCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/SetCategory.help
+	@cp ${HELP}/SetCategory.help ${HELP}/SETCAT.help
+	@${TANGLE} -R"SetCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/SetCategory.input
+	@echo "SetCategory (SETCAT)" >>${HELPFILE}
+
 ${HELP}/SetCategoryWithDegree.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 8035 create SetCategoryWithDegree.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20417,6 +22856,18 @@ ${HELP}/SetCategoryWithDegree.help: ${BOOKS}/bookvol10.2.pamphlet
           >${INPUT}/SetCategoryWithDegree.input
 	@echo "SetCategoryWithDegree (SETCATD)" >>${HELPFILE}
 
+${HELP}/SExpressionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create SExpressionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"SExpressionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/SExpressionCategory.help
+	@cp ${HELP}/SExpressionCategory.help ${HELP}/SEXCAT.help
+	@${TANGLE} -R"SExpressionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/SExpressionCategory.input
+	@echo "SExpressionCategory (SEXCAT)" >>${HELPFILE}
+
 ${HELP}/SingleInteger.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8040 create SingleInteger.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SingleInteger.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20447,6 +22898,18 @@ ${HELP}/SparseMultivariateTaylorSeries.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/SparseMultivariateTaylorSeries.input
 	@echo "SparseMultivariateTaylorSeries (SMTS)" >>${HELPFILE}
 
+${HELP}/SpecialFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create SpecialFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"SpecialFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/SpecialFunctionCategory.help
+	@cp ${HELP}/SpecialFunctionCategory.help ${HELP}/SPFCAT.help
+	@${TANGLE} -R"SpecialFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/SpecialFunctionCategory.input
+	@echo "SpecialFunctionCategory (SPFCAT)" >>${HELPFILE}
+
 ${HELP}/SquareMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8070 create SquareMatrix.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SquareMatrix.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20456,6 +22919,21 @@ ${HELP}/SquareMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/SquareMatrix.input
 	@echo "SquareMatrix (SQMATRIX)" >>${HELPFILE}
 
+${HELP}/SquareFreeNormalizedTriangularSetCategory.help: \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create SquareFreeNormalizedTriangularSetCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"SquareFreeNormalizedTriangularSetCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/SquareFreeNormalizedTriangularSetCategory.help
+	@cp ${HELP}/SquareFreeNormalizedTriangularSetCategory.help \
+           ${HELP}/SNTSCAT.help
+	@${TANGLE} -R"SquareFreeNormalizedTriangularSetCategory.input" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${INPUT}/SquareFreeNormalizedTriangularSetCategory.input
+	@echo "SquareFreeNormalizedTriangularSetCategory (SNTSCAT)" \
+           >>${HELPFILE}
+
 ${HELP}/SquareFreeRegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8080 create SquareFreeRegularTriangularSet.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -20468,6 +22946,32 @@ ${HELP}/SquareFreeRegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/SquareFreeRegularTriangularSet.input
 	@echo "SquareFreeRegularTriangularSet (SREGSET)" >>${HELPFILE}
 
+${HELP}/SquareFreeRegularTriangularSetCategory.help: \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create SquareFreeRegularTriangularSetCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"SquareFreeRegularTriangularSetCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/SquareFreeRegularTriangularSetCategory.help
+	@cp ${HELP}/SquareFreeRegularTriangularSetCategory.help \
+           ${HELP}/SFRTCAT.help
+	@${TANGLE} -R"SquareFreeRegularTriangularSetCategory.input" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${INPUT}/SquareFreeRegularTriangularSetCategory.input
+	@echo "SquareFreeRegularTriangularSetCategory (SFRTCAT)" >>${HELPFILE}
+
+${HELP}/SquareMatrixCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create SquareMatrixCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"SquareMatrixCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/SquareMatrixCategory.help
+	@cp ${HELP}/SquareMatrixCategory.help ${HELP}/SMATCAT.help
+	@${TANGLE} -R"SquareMatrixCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/SquareMatrixCategory.input
+	@echo "SquareMatrixCategory (SMATCAT)" >>${HELPFILE}
+
 ${HELP}/Stack.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8090 create Stack.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Stack.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20477,6 +22981,30 @@ ${HELP}/Stack.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Stack.input
 	@echo "Stack (STACK)" >>${HELPFILE}
 
+${HELP}/StackAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create StackAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"StackAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/StackAggregate.help
+	@cp ${HELP}/StackAggregate.help ${HELP}/SKAGG.help
+	@${TANGLE} -R"StackAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/StackAggregate.input
+	@echo "StackAggregate (SKAGG)" >>${HELPFILE}
+
+${HELP}/StepThrough.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create StepThrough.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"StepThrough.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/StepThrough.help
+	@cp ${HELP}/StepThrough.help ${HELP}/STEP.help
+	@${TANGLE} -R"StepThrough.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/StepThrough.input
+	@echo "StepThrough (STEP)" >>${HELPFILE}
+
 ${HELP}/Stream.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8100 create Stream.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Stream.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20486,6 +23014,18 @@ ${HELP}/Stream.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Stream.input
 	@echo "Stream (STREAM)" >>${HELPFILE}
 
+${HELP}/StreamAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create StreamAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"StreamAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/StreamAggregate.help
+	@cp ${HELP}/StreamAggregate.help ${HELP}/STAGG.help
+	@${TANGLE} -R"StreamAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/StreamAggregate.input
+	@echo "StreamAggregate (STAGG)" >>${HELPFILE}
+
 ${HELP}/String.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8110 create String.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"String.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20495,6 +23035,30 @@ ${HELP}/String.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/String.input
 	@echo "String (STRING)" >>${HELPFILE}
 
+${HELP}/StringAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create StringAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"StringAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/StringAggregate.help
+	@cp ${HELP}/StringAggregate.help ${HELP}/SRAGG.help
+	@${TANGLE} -R"StringAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/StringAggregate.input
+	@echo "StringAggregate (SRAGG)" >>${HELPFILE}
+
+${HELP}/StringCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create StringCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"StringCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/StringCategory.help
+	@cp ${HELP}/StringCategory.help ${HELP}/STRICAT.help
+	@${TANGLE} -R"StringCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/StringCategory.input
+	@echo "StringCategory (STRICAT)" >>${HELPFILE}
+
 ${HELP}/StringTable.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8120 create StringTable.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"StringTable.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20522,6 +23086,18 @@ ${HELP}/Table.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Table.input
 	@echo "Table (TABLE)" >>${HELPFILE}
 
+${HELP}/TableAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create TableAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"TableAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/TableAggregate.help
+	@cp ${HELP}/TableAggregate.help ${HELP}/TBAGG.help
+	@${TANGLE} -R"TableAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/TableAggregate.input
+	@echo "TableAggregate (TBAGG)" >>${HELPFILE}
+
 ${HELP}/TexFormat.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8145 create TexFormat.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"TexFormat.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20540,6 +23116,30 @@ ${HELP}/TextFile.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/TextFile.input
 	@echo "TextFile (TEXTFILE)" >>${HELPFILE}
 
+${HELP}/ThreeSpaceCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create ThreeSpaceCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"ThreeSpaceCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/ThreeSpaceCategory.help
+	@cp ${HELP}/ThreeSpaceCategory.help ${HELP}/SPACEC.help
+	@${TANGLE} -R"ThreeSpaceCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/ThreeSpaceCategory.input
+	@echo "ThreeSpaceCategory (SPACEC)" >>${HELPFILE}
+
+${HELP}/TranscendentalFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create TranscendentalFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"TranscendentalFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/TranscendentalFunctionCategory.help
+	@cp ${HELP}/TranscendentalFunctionCategory.help ${HELP}/TRANFUN.help
+	@${TANGLE} -R"TranscendentalFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/TranscendentalFunctionCategory.input
+	@echo "TranscendentalFunctionCategory (TRANFUN)" >>${HELPFILE}
+
 ${HELP}/TransSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 8155 create TransSolvePackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -20550,6 +23150,30 @@ ${HELP}/TransSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/TransSolvePackage.input
 	@echo "TransSolvePackage (SOLVETRA)" >>${HELPFILE}
 
+${HELP}/TriangularSetCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create TriangularSetCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"TriangularSetCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/TriangularSetCategory.help
+	@cp ${HELP}/TriangularSetCategory.help ${HELP}/TSETCAT.help
+	@${TANGLE} -R"TriangularSetCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/TriangularSetCategory.input
+	@echo "TriangularSetCategory (TSETCAT)" >>${HELPFILE}
+
+${HELP}/TrigonometricFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create TrigonometricFunctionCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"TrigonometricFunctionCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/TrigonometricFunctionCategory.help
+	@cp ${HELP}/TrigonometricFunctionCategory.help ${HELP}/TRIGCAT.help
+	@${TANGLE} -R"TrigonometricFunctionCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/TrigonometricFunctionCategory.input
+	@echo "TrigonometricFunctionCategory (TRIGCAT)" >>${HELPFILE}
+
 ${HELP}/TwoDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8160 create TwoDimensionalArray.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -20561,6 +23185,18 @@ ${HELP}/TwoDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/TwoDimensionalArray.input
 	@echo "TwoDimensionalArray (ARRAY2)" >>${HELPFILE}
 
+${HELP}/TwoDimensionalArrayCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create TwoDimensionalArrayCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"TwoDimensionalArrayCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/TwoDimensionalArrayCategory.help
+	@cp ${HELP}/TwoDimensionalArrayCategory.help ${HELP}/ARR2CAT.help
+	@${TANGLE} -R"TwoDimensionalArrayCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/TwoDimensionalArrayCategory.input
+	@echo "TwoDimensionalArrayCategory (ARR2CAT)" >>${HELPFILE}
+
 ${HELP}/TwoDimensionalViewport.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8170 create TwoDimensionalViewport.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -20571,6 +23207,30 @@ ${HELP}/TwoDimensionalViewport.help: ${BOOKS}/bookvol10.3.pamphlet
 # Note:no input regression file due to graphics
 	@echo "TwoDimensionalViewport (VIEW2D)" >>${HELPFILE}
 
+${HELP}/UnaryRecursiveAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create UnaryRecursiveAggregate.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"UnaryRecursiveAggregate.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/UnaryRecursiveAggregate.help
+	@cp ${HELP}/UnaryRecursiveAggregate.help ${HELP}/URAGG.help
+	@${TANGLE} -R"UnaryRecursiveAggregate.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/UnaryRecursiveAggregate.input
+	@echo "UnaryRecursiveAggregate (URAGG)" >>${HELPFILE}
+
+${HELP}/UniqueFactorizationDomain.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create UniqueFactorizationDomain.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"UniqueFactorizationDomain.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/UniqueFactorizationDomain.help
+	@cp ${HELP}/UniqueFactorizationDomain.help ${HELP}/UFD.help
+	@${TANGLE} -R"UniqueFactorizationDomain.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/UniqueFactorizationDomain.input
+	@echo "UniqueFactorizationDomain (UFD)" >>${HELPFILE}
+
 ${HELP}/UnivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8180 create UnivariatePolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -20583,6 +23243,84 @@ ${HELP}/UnivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/UnivariatePolynomial.input
 	@echo "UnivariatePolynomial (UP)" >>${HELPFILE}
 
+${HELP}/UnivariateLaurentSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create UnivariateLaurentSeriesCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"UnivariateLaurentSeriesCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/UnivariateLaurentSeriesCategory.help
+	@cp ${HELP}/UnivariateLaurentSeriesCategory.help ${HELP}/ULSCAT.help
+	@${TANGLE} -R"UnivariateLaurentSeriesCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/UnivariateLaurentSeriesCategory.input
+	@echo "UnivariateLaurentSeriesCategory (ULSCAT)" >>${HELPFILE}
+
+${HELP}/UnivariateLaurentSeriesConstructorCategory.help: \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create UnivariateLaurentSeriesConstructorCategory.help \
+           from ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"UnivariateLaurentSeriesConstructorCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/UnivariateLaurentSeriesConstructorCategory.help
+	@cp ${HELP}/UnivariateLaurentSeriesConstructorCategory.help \
+          ${HELP}/ULSCCAT.help
+	@${TANGLE} -R"UnivariateLaurentSeriesConstructorCategory.input" \
+          ${BOOKS}/bookvol10.2.pamphlet \
+          >${INPUT}/UnivariateLaurentSeriesConstructorCategory.input
+	@echo "UnivariateLaurentSeriesConstructorCategory (ULSCCAT)" \
+          >>${HELPFILE}
+
+${HELP}/UnivariatePolynomialCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create UnivariatePolynomialCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"UnivariatePolynomialCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/UnivariatePolynomialCategory.help
+	@cp ${HELP}/UnivariatePolynomialCategory.help ${HELP}/UPOLYC.help
+	@${TANGLE} -R"UnivariatePolynomialCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/UnivariatePolynomialCategory.input
+	@echo "UnivariatePolynomialCategory (UPOLYC)" >>${HELPFILE}
+
+${HELP}/UnivariatePowerSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create UnivariatePowerSeriesCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"UnivariatePowerSeriesCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/UnivariatePowerSeriesCategory.help
+	@cp ${HELP}/UnivariatePowerSeriesCategory.help ${HELP}/UPSCAT.help
+	@${TANGLE} -R"UnivariatePowerSeriesCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/UnivariatePowerSeriesCategory.input
+	@echo "UnivariatePowerSeriesCategory (UPSCAT)" >>${HELPFILE}
+
+${HELP}/UnivariatePuiseuxSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create UnivariatePuiseuxSeriesCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"UnivariatePuiseuxSeriesCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/UnivariatePuiseuxSeriesCategory.help
+	@cp ${HELP}/UnivariatePuiseuxSeriesCategory.help ${HELP}/UPXSCAT.help
+	@${TANGLE} -R"UnivariatePuiseuxSeriesCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/UnivariatePuiseuxSeriesCategory.input
+	@echo "UnivariatePuiseuxSeriesCategory (UPXSCAT)" >>${HELPFILE}
+
+${HELP}/UnivariatePuiseuxSeriesConstructorCategory.help: \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create UnivariatePuiseuxSeriesConstructorCategory.help \
+           from ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"UnivariatePuiseuxSeriesConstructorCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/UnivariatePuiseuxSeriesConstructorCategory.help
+	@cp ${HELP}/UnivariatePuiseuxSeriesConstructorCategory.help \
+           ${HELP}/UPXSCCA.help
+	@${TANGLE} -R"UnivariatePuiseuxSeriesConstructorCategory.input" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${INPUT}/UnivariatePuiseuxSeriesConstructorCategory.input
+	@echo "UnivariatePuiseuxSeriesConstructorCategory (UPXSCCA)" \
+           >>${HELPFILE}
+
 ${HELP}/UnivariateSkewPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8190 create UnivariateSkewPolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -20595,6 +23333,18 @@ ${HELP}/UnivariateSkewPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/UnivariateSkewPolynomial.input
 	@echo "UnivariateSkewPolynomial (OREUP)" >>${HELPFILE}
 
+${HELP}/UnivariateSkewPolynomialCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create UnivariateSkewPolynomialCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"UnivariateSkewPolynomialCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/UnivariateSkewPolynomialCategory.help
+	@cp ${HELP}/UnivariateSkewPolynomialCategory.help ${HELP}/OREPCAT.help
+	@${TANGLE} -R"UnivariateSkewPolynomialCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/UnivariateSkewPolynomialCategory.input
+	@echo "UnivariateSkewPolynomialCategory (OREPCAT)" >>${HELPFILE}
+
 ${HELP}/UnivariateTaylorSeriesCZero.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8195 create UnivariateTaylorSeriesCZero.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -20607,6 +23357,18 @@ ${HELP}/UnivariateTaylorSeriesCZero.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/UnivariateTaylorSeriesCZero.input
 	@echo "UnivariateTaylorSeriesCZero (UTSZ)" >>${HELPFILE}
 
+${HELP}/UnivariateTaylorSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create UnivariateTaylorSeriesCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"UnivariateTaylorSeriesCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/UnivariateTaylorSeriesCategory.help
+	@cp ${HELP}/UnivariateTaylorSeriesCategory.help ${HELP}/UTSCAT.help
+	@${TANGLE} -R"UnivariateTaylorSeriesCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/UnivariateTaylorSeriesCategory.input
+	@echo "UnivariateTaylorSeriesCategory (UTSCAT)" >>${HELPFILE}
+
 ${HELP}/UniversalSegment.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8200 create UniversalSegment.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -20626,6 +23388,30 @@ ${HELP}/Vector.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Vector.input
 	@echo "Vector (VECTOR)" >>${HELPFILE}
 
+${HELP}/VectorCategory.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create VectorCategory.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"VectorCategory.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/VectorCategory.help
+	@cp ${HELP}/VectorCategory.help ${HELP}/VECTCAT.help
+	@${TANGLE} -R"VectorCategory.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/VectorCategory.input
+	@echo "VectorCategory (VECTCAT)" >>${HELPFILE}
+
+${HELP}/VectorSpace.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create VectorSpace.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"VectorSpace.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/VectorSpace.help
+	@cp ${HELP}/VectorSpace.help ${HELP}/VSPACE.help
+	@${TANGLE} -R"VectorSpace.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/VectorSpace.input
+	@echo "VectorSpace (VSPACE)" >>${HELPFILE}
+
 ${HELP}/Void.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8220 create Void.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Void.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20647,6 +23433,30 @@ ${HELP}/WuWenTsunTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/WuWenTsunTriangularSet.input
 	@echo "WuWenTsunTriangularSet (WUTSET)" >>${HELPFILE}
 
+${HELP}/XAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create XAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"XAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/XAlgebra.help
+	@cp ${HELP}/XAlgebra.help ${HELP}/XALG.help
+	@${TANGLE} -R"XAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/XAlgebra.input
+	@echo "XAlgebra (XALG)" >>${HELPFILE}
+
+${HELP}/XFreeAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create XFreeAlgebra.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"XFreeAlgebra.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/XFreeAlgebra.help
+	@cp ${HELP}/XFreeAlgebra.help ${HELP}/XFALG.help
+	@${TANGLE} -R"XFreeAlgebra.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/XFreeAlgebra.input
+	@echo "XFreeAlgebra (XFALG)" >>${HELPFILE}
+
 ${HELP}/XPBWPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8240 create XPBWPolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -20683,6 +23493,18 @@ ${HELP}/XPolynomialRing.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/XPolynomialRing.input
 	@echo "XPolynomialRing (XPR)" >>${HELPFILE}
 
+${HELP}/XPolynomialsCat.help: ${BOOKS}/bookvol10.2.pamphlet
+	@echo 5000 create XPolynomialsCat.help from \
+           ${BOOKS}/bookvol10.2.pamphlet
+	@${TANGLE} -R"XPolynomialsCat.help" \
+           ${BOOKS}/bookvol10.2.pamphlet \
+           >${HELP}/XPolynomialsCat.help
+	@cp ${HELP}/XPolynomialsCat.help ${HELP}/XPOLYC.help
+	@${TANGLE} -R"XPolynomialsCat.input" \
+            ${BOOKS}/bookvol10.2.pamphlet \
+            >${INPUT}/XPolynomialsCat.input
+	@echo "XPolynomialsCat (XPOLYC)" >>${HELPFILE}
+
 ${HELP}/ZeroDimensionalSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 8270 create ZeroDimensionalSolvePackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1c35684..6034fff 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2828,5 +2828,7 @@ May 2010 release
 src/axiom-website/download.html add new binaries<br/>
 <a href="patches/20100529.03.tpd.patch">20100529.03.tpd.patch</a>
 books/bookvolbib AL94 Adams, William W. and Loustaunau, Philippe<br/>
+<a href="patches/20100529.04.tpd.patch">20100529.04.tpd.patch</a>
+books/bookvol10.2 add test and help files for all categories<br/>
  </body>
 </html>
